
// private functions 
function logger(message){
	if(console){
		console.log(message);
	}else{
		alert(message);
	}
}

// library Helper	
function createSquare(width, height, x, y, fillColor, strokeColor, radius){
	var square;
	var g = new createjs.Graphics();
	
	if(strokeColor){
		g.setStrokeStyle(1);
		g.beginStroke(strokeColor);
		//if(debug) console.log("stroke Color " + strokeColor); 
	}
	
	if(fillColor){
		g.beginFill(fillColor);
		//if(debug) console.log("fill Color " + fillColor); 
	}
	
	if(radius){
		g.drawRoundRect(x, y, width, height, radius);
	}else{
		g.drawRect(x, y, width, height);
	}
	
	g.endFill();
	square = new createjs.Shape(g);
	return square;
}

function createCircle(radius, x, y, fillColor, strokeColor){
	var circle;
	var g = new createjs.Graphics();
	
	if(strokeColor){
		g.setStrokeStyle(1);
		g.beginStroke(strokeColor);
		//if(debug) console.log("stroke Color " + strokeColor); 
	}
	
	if(fillColor){
		g.beginFill(fillColor);
		//if(debug) console.log("fill Color " + fillColor); 
	}
	
	g.drawCircle(x, y, radius);
	g.endFill();
	circle = new createjs.Shape(g);
	return circle;
}

function createText(text, fontSettings, hexColor, x, y, width, height){
	var txtField = new createjs.Text(text, fontSettings, hexColor); //"20px Arial" "#000000"
	txtField.x = x;
	txtField.y = y;
	txtField.width = width;
	txtField.height = height;
	txtField.font = fontSettings;
	txtField.color = hexColor;
	txtField.align = "left";
	return txtField;
}

//GENERAL FUNCTIONS:
//adds standard 'sticker'-style dropshadow to passed DisplayObject
//params: Shadow ( color  offsetX  offsetY  blur )
function addShadow(obj){
	obj.shadow = new createjs.Shadow("#4F4F4F", 3, 3, 3);
}
function removeShadow(obj){
	obj.shadow = null;
}

//pulses passed DisplayObject
function doPulse(obj, delay){
	var currentScaleX = obj.scaleX;
	var currentScaleY = obj.scaleY;

	if(!delay){
		delay = 0;
	}

	createjs.Tween.get(obj, {loop:false})
	 .wait(delay)
     .to({scaleX: currentScaleX*1.05, scaleY: currentScaleY*1.05 }, 250, createjs.Ease.linear)
     .call(function(){
     	createjs.Tween.get(obj, {loop:false})
			.to({scaleX: currentScaleX, scaleY: currentScaleY }, 250, createjs.Ease.linear);
     });
}

//HELPER FUNCTION:
//+ Jonas Raoni Soares Silva
//@ https://jsfromhell.com/array/shuffle [v1.0]
function shuffle(o){ //v1.0
    for(var j, x, i = o.length; i; j = parseInt(Math.random() * i), x = o[--i], o[i] = o[j], o[j] = x);
    return o;
}