function prep_1_creatures(transition){
	//**//**console.log('function: prep_1_creatures');
	world_current = worlds['1_creatures'];
	
	ticker_world = (function(){
		tick_1_creatures();
	});
	end_world = (function(){
		end_1_creatures();
	});
	narrDone = (function(){
		narrDone_1_creatures();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	teachertiptext.text = '';

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['1_bg']);
	world_current.addChild(bg);

	//** page assets:

	martha1 = new createjs.Bitmap(images['1_martha']);
	martha1.x = 690;
	martha1.y = 310;
	

	groundhog_pop1 = new createjs.BitmapAnimation( spritesheets['groundhogPopsUp'] );
	groundhog_pop1.gotoAndStop(0);	
	groundhog_pop1.regX = -65;
	groundhog_pop1.scaleX = groundhog_pop1.scaleY = 0.22;
	groundhog_pop1.x = 650;
	groundhog_pop1.y = 345;
	
	hitregion_pop = new createjs.Shape();
	hitregion_pop.graphics.beginFill("white").drawRect(530,310, 200, 140);
	hitregion_pop.alpha = 0.01;
	world_current.addChild(hitregion_pop);

	holeback1 = new createjs.Bitmap(images['1_holeback']);
	holeback1.regX = holeback1.image.width/2;
	holeback1.regY = holeback1.image.height/2;
	holeback1.scaleX = holeback1.scaleY = 0.6;
	holeback1.x = 628;
	holeback1.y = 418;

	holefront1 = new createjs.Bitmap(images['1_holefront']);
	holefront1.regX = holefront1.image.width/2;
	holefront1.regY = holefront1.image.height/2;
	holefront1.scaleX = holefront1.scaleY = 0.6;
	holefront1.x = holeback1.x + 1;
	holefront1.y = holeback1.y + 5;
	
	world_current.addChild(holefront1);
	world_current.addChild(holeback1);	
	world_current.addChild(groundhog_pop1);
	world_current.addChild(martha1);
	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('1_creatures', ['creatures']);

	setDefinitionText();
	//********

	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_1_creatures);

}

//level specific functions:

//called once this level is fully slid into place
function begin_1_creatures(){
	//**//**console.log("WORLD 1 BEGIN");
	
	playSound('1_creatures');
	
}

function narrDone_1_creatures(){
	doPulse(holeback1);
	addShadow(holeback1);

	doPulse(holefront1);

	//enable tap to pop-up groundhog
	groundhog_pop1.visible = true;
	hitregion_pop.onPress = pop_up;
	holeback1.onPress = pop_up;

}

function pop_up(e){
	groundhog_pop1.scaleX *= -1;
	if(groundhog_pop1.scaleX > 0 ) groundhog_pop1.regX = -65;
	if(groundhog_pop1.scaleX < 0 ) groundhog_pop1.regX = -200;

	if(!narrActive) playSound('chipmunk');
	
	groundhog_pop1.gotoAndPlay('popup');
	hitregion_pop.onPress = pop_down;
	holeback1.onPress = pop_down;
}

function pop_down(e){
	groundhog_pop1.onAnimationEnd = null;
	groundhog_pop1.gotoAndPlay('popdown');
	hitregion_pop.onPress = pop_up;
	holeback1.onPress = pop_up;
}

function tick_1_creatures(){
	stage.update();
}



function end_1_creatures(){
	//**//**console.log('end_1_creatures');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

