function prep_2_habitat(transition){
	//**//**console.log('function: prep_2_habitat');
	world_current = worlds['2_habitat'];
	
	ticker_world = (function(){
		tick_2_habitat();
	});
	end_world = (function(){
		end_2_habitat();
	});
	narrDone = (function(){
		narrDone_2_habitat();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = "Parent tip: To make real-life connections to the story, find a patch of dirt in your backyard or a nearby park. Bring shovels or old spoons to dig with. What habitats can you uncover? At the library or bookstore, look for books about life underground, such as \"Underground\" by Denise Fleming.";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['2_bg']);
	world_current.addChild(bg);

	//** page assets:
	groundhog_under = new createjs.BitmapAnimation( spritesheets['2_groundhog_under'] );
	groundhog_under.regX = 47;
	groundhog_under.regY = 28;
	
	//looping hop animation (recursive, back-and-forth) for groundhog
	//250 to 890. 
	groundhog_under.x = 250; groundhog_under.y = 335;
	groundhog_under.startX = groundhog_under.x;
	groundhog_under.endX = 890;

	//first anim begins on groundhog_outlined tap. leads into looping anim.
	groundhog_under.gotoAndStop(2);
	groundhog_under.firstX = 380;

	groundhog_under.x = groundhog_under.firstX;
	groundhog_under.visible = false;
	world_current.addChild(groundhog_under);


	holemask = new createjs.Bitmap(images['2_holemask']);
	holemask.regX = holemask.image.width/2;
	holemask.regY = holemask.image.height/2;
	holemask.x = canvas.width/2 + 57;
	holemask.y = 269;
	//holemask.alpha=0.5;
	world_current.addChild(holemask);


	groundhog_outlined = new createjs.Bitmap(images['2_groundhog_outlined']);
	groundhog_outlined.regX = groundhog_outlined.image.width/2;
	groundhog_outlined.regY = groundhog_outlined.image.height/2;
	groundhog_outlined.x = 380;
	groundhog_outlined.y = 342;
	world_current.addChild(groundhog_outlined);

	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	//setNarrationText(860, 24);
	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('2_habitat', ['habitat.']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_2_habitat);

}

//level specific functions:

//called once this level is fully slid into place
function begin_2_habitat(){
	//**//**console.log("WORLD 1 BEGIN");
	
	playSound('2_habitat');
	
}


function narrDone_2_habitat(){
	createjs.Tween.removeTweens(groundhog_under);
	
	doPulse(groundhog_outlined);
	addShadow(groundhog_outlined);

	groundhog_outlined.onPress = groundhog_firstmove;

	//**original looping groundhog move.
	//groundhog_under.x=groundhog_under.startX;
	//move_groundhog_under();
}

function groundhog_firstmove(e){
	groundhog_outlined.visible = false;
	groundhog_under.visible = true;

	groundhog_under.gotoAndPlay('first');		

	createjs.Tween.get(groundhog_under, {loop:false})
     .to({x: groundhog_under.endX}, 3400, createjs.Ease.linear)
     .wait(1000)
     .call(move_groundhog_under);
}

function move_groundhog_under(){
	groundhog_under.gotoAndPlay('all');	

	var destX;
	if(groundhog_under.x == groundhog_under.startX){
		groundhog_under.scaleX = 1;
		destX = groundhog_under.endX;
	}
	if(groundhog_under.x == groundhog_under.endX){
		groundhog_under.scaleX = -1;
		destX = groundhog_under.startX;
	}

	createjs.Tween.get(groundhog_under, {loop:false})
     .to({x: destX}, 4000, createjs.Ease.linear)
     .wait(1000)
     .call(move_groundhog_under);

}

function tick_2_habitat(){
	stage.update();
}



function end_2_habitat(){
	//**//**console.log('end_2_habitat');	
	createjs.Tween.removeTweens(groundhog_under);


	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

