function prep_3_observe(transition){
	//**//**console.log('function: prep_3_observe');
	world_current = worlds['3_observe'];
	
	ticker_world = (function(){
		tick_3_observe();
	});
	end_world = (function(){
		end_3_observe();
	});
	narrDone = (function(){
		narrDone_3_observe();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = "Parent tip: What creatures can you observe in your neighborhood? Choose one to follow for a day. Ask your child to describe what the creature is doing. As you talk together, encourage your child to use the word observe. Point out words that have a similar meaning, such as see, watch, and notice. ";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['3_bg']);
	world_current.addChild(bg);

	//** page assets:

	//(two) enlarged version of bg. overlayed on top, revealed through mask shapes (binoculars);
	bgLargeA = new createjs.Bitmap(images['3_bg_overlay']);
	bgLargeA.regX = bgLargeA.image.width/2;
	bgLargeA.regY = bgLargeA.image.height/2;
		bgLargeA.scaleX = bgLargeA.scaleY = 1.5;
	bgLargeA.x = canvas.width/2;
	bgLargeA.y = canvas.height/2;
	world_current.addChild(bgLargeA);

	bgLargeB = bgLargeA.clone();
	world_current.addChild(bgLargeB);	

	circA = new createjs.Shape();
	circA.graphics.beginFill("white").drawCircle(0,0,90);
	circA.regX = circA.width/2;
	circA.regY = circA.height/2;
	circA.x = 650;
	circA.y = 340;	
	circA.alpha = 0.01; //shape has to be at least a little visible to have the mask effect, while shape is also touchable
	world_current.addChild(circA);

	circB = circA.clone();
	circB.x = circA.x + 200;
	world_current.addChild(circB);

	bgLargeA.mask = circA;
	bgLargeB.mask = circB;

	//binocularsbody = new createjs.Bitmap(images['3_binoculars']);
	binocularsbody = new createjs.Bitmap(images['3_binoculars_outlined']);
	binocularsbody.regX = binocularsbody.image.width/2;
	binocularsbody.regY = binocularsbody.image.height/2;
	binocularsbody.x = 513.8733896455038; binocularsbody.y = 241.67271248045043;
	world_current.addChild(binocularsbody);


	circA.x = binocularsbody.x - 120;
	circB.x = binocularsbody.x + 120;

	circA.y = binocularsbody.y + 10;
	circB.y = binocularsbody.y + 10;
	
	//final position of bg's based on binocular position (same positioning as ticker):
	bgLargeA.x = canvas.width/2 - (binocularsbody.x - canvas.width/2) ;
	bgLargeB.x = bgLargeA.x;

	bgLargeA.y = canvas.height/2 - (binocularsbody.y - canvas.height/2) ;
	bgLargeB.y = bgLargeA.y;


	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText(910, 24);

	//params: sndID, defintion words in array
	renderNarration('3_observe', ['creatures', 'habitats', 'observe']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_3_observe);

}

//level specific functions:

//called once this level is fully slid into place
function begin_3_observe(){
	//**//**console.log("WORLD 1 BEGIN");
	
	playSound('3_observe');


	//FOR THIS PAGE ONLY- HAVE BINOCULAR DISPLAYOBJECTS ONTOP OF NARRATION TXT
	world_current.addChild(bgLargeA);
	world_current.addChild(bgLargeB);
	world_current.addChild(circA);
	world_current.addChild(circB);
	world_current.addChild(binocularsbody);

	
}

function narrDone_3_observe(){
	drag_binoculars(binocularsbody);
	drag_binoculars(circA);
	drag_binoculars(circB);

	doPulse(binocularsbody);
	addShadow(binocularsbody);
	doPulse(circA);
	doPulse(circB);

	//no need for programatic shadow, binoculars image has burned-in shadow.
	//addShadow(binocularsbody);
}


function drag_binoculars(obj){
	
	(function() {
		obj.onPress =  function(evt) {
			if(!_active) return;

			//binocularsbody.scaleX = binocularsbody.scaleY = 1.02;
			
			// bump the target in front of it's siblings:
			//world_current.addChild(binocularsbody);
			
			//var offset = {x:binocularsbody.x-evt.stageX, y:binocularsbody.y-evt.stageY};
			
			evt.onMouseMove = function(ev) {				
				////**console.log("x,y: " + binocularsbody.x + " " + binocularsbody.y);
								
				if( (ev.stageX < 987) && (ev.stageX > 40)) binocularsbody.x = ev.stageX;
				if( (ev.stageY < 430) && (ev.stageY > 80)) binocularsbody.y = ev.stageY;
				//else binocularsbody.y = 430;
					
			}			
			evt.onMouseUp = function(ev){
				//binocularsbody.scaleX = binocularsbody.scaleY = 1.0;
				//binocularsbody.x = binocularsbody.startX;
				//binocularsbody.y = binocularsbody.startY;						
			}
		}	
			
	})(obj);			
}

function tick_3_observe(){
	stage.update();

	circA.x = binocularsbody.x - 120;
	circB.x = binocularsbody.x + 120;

	circA.y = binocularsbody.y + 10;
	circB.y = binocularsbody.y + 10;


	//moving enlarged bg's as based on binocular position difference to canvas center
	bgLargeA.x = canvas.width/2 - (binocularsbody.x - canvas.width/2) ;
	bgLargeB.x = bgLargeA.x;

	bgLargeA.y = canvas.height/2 - (binocularsbody.y - canvas.height/2) ;
	bgLargeB.y = bgLargeA.y;



}



function end_3_observe(){
	//**//**console.log('end_3_observe');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

