function prep_5_decay(transition){
	//**//**console.log('function: prep_5_decay');
	world_current = worlds['5_decay'];
	
	ticker_world = (function(){
		tick_5_decay();
	});
	end_world = (function(){
		end_5_decay();
	});
	narrDone = (function(){
		narrDone_5_decay();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	teachertiptext.text = '';

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['5_bg']);
	world_current.addChild(bg);

	//** page assets:
	
	//leave falling animation
	leavesfalling = new createjs.BitmapAnimation( spritesheets['5_leavesfall'] );
	leavesfalling.gotoAndStop(71);
	//leavesfalling.scaleX = leavesfalling.scaleY = 1.2;
	leavesfalling.x = 201;
	leavesfalling.y = -101;
	leavesfalling.visible=false;


	//clickable leave to start interaction
	leaves = new createjs.Bitmap(images['leaves']);
	leaves.regX = leaves.image.width/2;
	leaves.regY = leaves.image.height/2;
	leaves.x=canvas.width/2;
	leaves.y=-25;
	leaves.visible=true;


	//leaves decay sequence
	leaves1 = new createjs.Bitmap(images['leaves1']);
	leaves1.scaleX = leaves1.scaleY = 0.82;
	leaves1.x = canvas.width/2 - 195;
	leaves1.y = 370;
	leaves1.alpha = 0;

	leaves2 = new createjs.Bitmap(images['leaves2']);
	leaves2.scaleX = leaves2.scaleY = 0.82;
	leaves2.x = canvas.width/2 - 195;
	leaves2.y = 370;
	leaves2.alpha = 0;

	leaves3 = new createjs.Bitmap(images['leaves3']);
	leaves3.scaleX = leaves3.scaleY = 0.82;
	leaves3.x = canvas.width/2 - 195;
	leaves3.y = 370;
	leaves3.alpha = 0;

	leaves4 = new createjs.Bitmap(images['leaves4']);
	leaves4.scaleX = leaves4.scaleY = 0.82;
	leaves4.x = canvas.width/2 - 195;
	leaves4.y = 370;
	leaves4.alpha = 0;

	leaves5 = new createjs.Bitmap(images['leaves5']);
	leaves5.scaleX = leaves5.scaleY = 0.82;
	leaves5.x = canvas.width/2 - 195;
	leaves5.y = 370;
	leaves5.alpha = 0;

	leaves6 = new createjs.Bitmap(images['leaves6']);
	leaves6.scaleX = leaves6.scaleY = 0.82;
	leaves6.x = canvas.width/2 - 195;
	leaves6.y = 370;
	leaves6.alpha = 0;

	leaves7 = new createjs.Bitmap(images['compostpile2After']);
	leaves7.scaleX = leaves7.scaleY = 0.82;
	leaves7.x = canvas.width/2 - 195;
	leaves7.y = 373;
	leaves7.alpha = 0;

	world_current.addChild(leavesfalling);
	world_current.addChild(leaves7);
	world_current.addChild(leaves6);
	world_current.addChild(leaves5);
	world_current.addChild(leaves4);
	world_current.addChild(leaves3);
	world_current.addChild(leaves2);
	world_current.addChild(leaves1);
	world_current.addChild(leaves);

	//hit area for leaves
	hitarea = new createjs.Shape();
	hitarea.graphics.beginFill('white').drawRect(30,10,canvas.width,240);
	hitarea.alpha=0.01;
	world_current.addChild(hitarea);
	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('5_decay', ['decay,']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_5_decay);

}

//level specific functions:

//called once this level is fully slid into place
function begin_5_decay(){
	//**//**console.log("WORLD 1 BEGIN");
	
	playSound('5_decay');
	
	
}

function startLeaveFall(){
	hitarea.onPress = null;
	leaves.visible=false;
	leavesfalling.visible=true;
	leavesfalling.onAnimationEnd = swapTo_leaves1;


	setTimeout(function(){
		if(!narrActive) playSound('leaves_falling');
		leavesfalling.gotoAndPlay('fall');
	}, 200);
}


function swapTo_leaves1(){
	//leaves1
	//leavesfalling
	if(!narrActive) playSound('transform');

	createjs.Tween.get(leavesfalling, {loop:false})
     .to({alpha: 0}, 920, createjs.Ease.linear);

	createjs.Tween.get(leaves1, {loop:false})
     .to({alpha: 1}, 400, createjs.Ease.linear)
     .wait(600)
     .call(fadeIn_leaves);
}

function fadeIn_leaves(){

	leaves1.alpha = 1;
	leaves2.alpha = 1;
	leaves3.alpha = 1;
	leaves4.alpha = 1;
	leaves5.alpha = 1;
	leaves6.alpha = 1;
	leaves7.alpha = 1;

	createjs.Tween.get(leaves1, {loop:false})
     .to({alpha: 0}, 500, createjs.Ease.linear)
     //.wait(300)
     .call(function(){
		createjs.Tween.get(leaves2, {loop:false})
			.to({alpha: 0}, 500, createjs.Ease.linear)
			.wait(500)
			.call(function(){
				createjs.Tween.get(leaves3, {loop:false})
			     .to({alpha: 0}, 500, createjs.Ease.linear)
				//.wait(300)
				.call(function(){
					createjs.Tween.get(leaves4, {loop:false})
				     .to({alpha: 0}, 500, createjs.Ease.linear)
					//.wait(300)
					.call(function(){
						createjs.Tween.get(leaves5, {loop:false})
					     .to({alpha: 0}, 500, createjs.Ease.linear)
						//.wait(300)
						.call(function(){
							createjs.Tween.get(leaves6, {loop:false})
						     .to({alpha: 0}, 500, createjs.Ease.linear);
						 })
					 })
				 })
			 })
     });
 

}

function narrDone_5_decay(){
	createjs.Tween.removeAllTweens();


	leaves1.alpha = 0;
	leaves2.alpha = 0;
	leaves3.alpha = 0;
	leaves4.alpha = 0;
	leaves5.alpha = 0;
	leaves6.alpha = 0;
	leaves7.alpha = 0;

	leavesfalling.gotoAndStop(0);
	leavesfalling.visible=false;
	leavesfalling.alpha=1;

	leaves.visible=true;
	leaves.alpha=1;
	
	addShadow(leaves);
	doPulse(leaves);
	doPulse(hitarea);
	hitarea.onPress = startLeaveFall;
}


function tick_5_decay(){
	stage.update();
}



function end_5_decay(){
	//**//**console.log('end_5_decay');	
	createjs.Tween.removeAllTweens();
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

