function prep_7_compost1(transition){
	//**//**console.log('function: prep_7_compost1');
	world_current = worlds['7_compost1'];
	
	ticker_world = (function(){
		tick_7_compost1();
	});
	end_world = (function(){
		end_7_compost1();
	});
	narrDone = (function(){
		narrDone_7_compost1();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	teachertiptext.text = '';

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['7_bg']);
	world_current.addChild(bg);

	//** page assets:
	//
	compostpile1 = new createjs.Bitmap(images['compostpile1Full']);
	compostpile1.regX = compostpile1.image.width/2;
	compostpile1.regY = compostpile1.image.height/2;
	compostpile1.x = canvas.width/2  -20;
	compostpile1.y = 385;

	//on successful drag of paperbag onto compostpile1... fade compostpile2 in, fade compostpile1 out, make dirtPile appear
	compostpile2 = new createjs.Bitmap(images['compostpile2After']);
	compostpile2.regX = compostpile2.image.width/2;
	compostpile2.regY = compostpile2.image.height/2;
	compostpile2.x = compostpile1.x;
	compostpile2.y = compostpile1.y;
	compostpile2.alpha = 0;


	dirtPile = new createjs.Bitmap(images['dirtPile']);
	dirtPile.regX = dirtPile.image.width/2;
	dirtPile.regY = dirtPile.image.height/2;
	dirtPile.scaleX = dirtPile.scaleY = 0.8;
	dirtPile.x = compostpile2.x + 68;
	dirtPile.y = compostpile2.y + 20;
	dirtPile.startX = dirtPile.x;
	dirtPile.startY = dirtPile.y;
	dirtPile.alpha = 0;
	
	bucketFrontEmpty = new createjs.Bitmap(images['bucketTomatosFrontEmpty']);
	bucketFrontEmpty.regX = bucketFrontEmpty.image.width/2;
	bucketFrontEmpty.regY = bucketFrontEmpty.image.height/2;
	bucketFrontEmpty.x = canvas.width/2 + 328;
	bucketFrontEmpty.y = 328;

	bucketFrontHitRegion = new createjs.Shape();
	bucketFrontHitRegion.graphics.beginFill("white").drawRect(750,260, 170, 200);
	bucketFrontHitRegion.alpha = 0.01;
	world_current.addChild(bucketFrontHitRegion);

	bucketFrontDirt = new createjs.Bitmap(images['bucketTomatosFrontDirt']);
	bucketFrontDirt.regX = bucketFrontDirt.image.width/2;
	bucketFrontDirt.regY = bucketFrontDirt.image.height/2;
	bucketFrontDirt.x = bucketFrontEmpty.x;
	bucketFrontDirt.y = bucketFrontEmpty.y;
	bucketFrontDirt.visible = false;

	seeds = new createjs.Bitmap(images['7_seeds']);
	seeds.regX = seeds.image.width/2;
	seeds.regY = seeds.image.height/2;
	seeds.x = bucketFrontEmpty.x;
	seeds.y = bucketFrontEmpty.y - 150;
	seeds.alpha = 0;

	paperbag = new createjs.Bitmap(images['7_bag']);
	paperbag.regX = paperbag.image.width/2;
	paperbag.regY = paperbag.image.height/2;
	paperbag.x = 235;
	paperbag.y = 295;
	paperbag.startX = paperbag.x;
	paperbag.startY = paperbag.y;
	world_current.addChild(paperbag);

	arm = new createjs.Bitmap(images['helen_arm']);
	arm.x=193;
	arm.y=222;


	world_current.addChild(compostpile1);
	world_current.addChild(compostpile2);
	world_current.addChild(dirtPile);
	world_current.addChild(bucketFrontDirt);
	world_current.addChild(seeds);
	world_current.addChild(bucketFrontEmpty);
	world_current.addChild(arm);
	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('7_compost1', ['fertilize', 'compost']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_7_compost1);

}

//level specific functions:

//called once this level is fully slid into place
function begin_7_compost1(){
	//**//**console.log("WORLD 1 BEGIN");
	
	playSound('7_compost1');
	
}

function narrDone_7_compost1(){
	
	doDrag_paperbag(paperbag);
}


function doDrag_paperbag(obj){
	doPulse(paperbag);
	addShadow(paperbag);
	
	(function(target) {
		obj.onPress =  function(evt) {
			if(!_active) return;
			
			target.scaleX = target.scaleY = 1.02;
			
			// bump the target in front of it's siblings:
			world_current.addChild(target);
			
			evt.onMouseMove = function(ev) {
				target.x = ev.stageX;
				target.y = ev.stageY;				
			}			
			evt.onMouseUp = function(ev){
				
				var pt = target.localToLocal(target.regX, target.regY,compostpile1);
				if (compostpile1.hitTest(pt.x, pt.y)) { 					
					bagOnCompost();
				}
				else{	
					target.scaleX = target.scaleY = 1.0;
					target.x = target.startX;
					target.y = target.startY;	
					world_current.swapChildren(target,arm);
				}
			}
		}	
			
	})(obj);			
}


function bagOnCompost(){
	//compostpile1.alpha = 0;
	//compostpile2.alpha = 1;

	paperbag.visible = false;

	if(!narrActive) playSound('compost');

	createjs.Tween.get(compostpile1, {loop:false})
     .to({alpha: 0}, 1000, createjs.Ease.linear);

	createjs.Tween.get(compostpile2, {loop:false})
     .to({alpha: 1}, 1000, createjs.Ease.linear)
     .call(fadeIn_dirtPile);

}

function fadeIn_dirtPile(){
	createjs.Tween.get(dirtPile, {loop:false})
     .to({alpha: 1}, 750, createjs.Ease.linear)
     .call(allowDirtToPot);
}

function allowDirtToPot(){
	doPulse(dirtPile);
	addShadow(dirtPile);
	
	(function(target) {
		dirtPile.onPress =  function(evt) {
			if(!_active) return;
			
			target.scaleX = target.scaleY = 0.81;
			
			// bump the target in front of it's siblings:
			world_current.addChild(target);
			
			evt.onMouseMove = function(ev) {
				target.x = ev.stageX;
				target.y = ev.stageY;				
			}			
			evt.onMouseUp = function(ev){
				var pt = target.localToLocal(target.regX, target.regY,bucketFrontHitRegion);
				if (bucketFrontHitRegion.hitTest(pt.x, pt.y)) { 					
					dirtOnPot();
				}
				else{	
					target.scaleX = target.scaleY = 0.8;
					target.x = target.startX;
					target.y = target.startY;				
				}
			}
		}	
			
	})(dirtPile);	
}

function dirtOnPot(){
	dirtPile.visible = false;
	bucketFrontDirt.visible = true;

	if(!narrActive) playSound('compost');

	//fade in seeds:
	createjs.Tween.get(seeds, {loop:false})
     .to({alpha: 1}, 750, createjs.Ease.linear)
     .call(seedsDrop);

}

function seedsDrop(){
	createjs.Tween.get(seeds, {loop:false})
     .to({y: bucketFrontEmpty.y  + 80}, 1200, createjs.Ease.linear);
}

function tick_7_compost1(){
	stage.update();
}



function end_7_compost1(){
	//**//**console.log('end_7_compost1');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

