//"Can You Dig It?" story-specific vars

var pagenames = [
	'0_cover',				
	'1_creatures',
	'2_habitat',
	'3_observe',		
	'4_ecosystem',
	'5_decay',
	'6_fertilize',
	'7_compost1',
	'8_compost2',
	'9_identify',
	'glossary'
];

var glossary_definitions = []; //defined per storybook (storybook's js). used to store defintion words themselves, used with definitionText[] in Glossary
//for use with glossary:
glossary_definitions.push(
	['creature', 'txt'],
	['habitat', 'txt'],
	['observe', 'txt'],
	['ecosystem', 'txt'],
	['depend', 'txt'],
	['decay', 'txt'],
	['fertilize', 'txt'],
	['compost', 'txt'],
	['identify', 'txt']
);

//SOUNDS: path+filename of this storybook's multisound file (without extension)
var sndurl = 'sound/dig_text';

quiz_url = "digit_game.html";

/*
//functions below are called at certain points in the main storybook js (rtlstorybook.js)
1: makeSounds() -- call makeSound() and define defintions in definitionText[]
2: make_storymanifest() -- defines the differnet image files that preload.js will load 
3: story_spritesheets() -- called by main js (rtlstorybook.js)'s make_spritesheet's function to create storybook specific ss
*/

function makeSounds(){

	//empty:
	makeSound('empty',8.4,8.5);

	//narration: 	
	makeSound('0_cover', 177.728438, 180.270002);
	makeSound('1_creatures', 0, 9.2, ["Did ", "you ", "know ", "there ", "are ", "all ", "kinds ", "of ", "creatures ", "living ", "right ", "underneath ", "you? ", "It's ", "true! ", "You ", "just ", "have ", "to ", "dig ", "a ", "little ", "to ", "see ", "them! "], [0.075417, 0.262075, 0.561859, 1.00305, 1.167083, 1.427273, 1.794932, 2.143737, 2.277603, 2.728221, 3.231632, 3.623802, 4.295016, 4.981313, 5.22642, 6.071094, 6.189876, 6.40293, 6.646151, 6.908226, 7.032664, 7.164645, 7.432376, 7.53796, 7.86414]);
	makeSound('2_habitat', 9.562915, 23.75,  ["Dirt ", "is ", "full ", "of ", "living ", "things! ", "There ", "are ", "wiggly ", "earthworms ", "and ", "tiny ", "insects ", "such ","as ", "ants. ", "There ", "are ", "also ", "larger ", "animals ", "living ", "underground, ", "such ","as    ", "groundhogs. ", "They ", "live ", "there ", "because ", "that ", "is ", "their ", "habitat. "], [9.615707, 9.93246, 10.317088, 10.614987, 10.80353, 11.190044, 11.925363, 12.032832, 12.213834, 12.758724, 13.531751, 13.74292, 14.338717, 14.793106, 14.983535, 15.149453, 16.073315, 16.195868, 16.310879, 16.776581, 17.210231, 17.726839, 18.002112, 18.232135, 18.752515, 18.990079, 20.916992, 21.113077, 21.363839, 21.620258, 21.914386, 22.189659, 22.348035, 22.546006]);
	makeSound('3_observe', 24.48046, 35.825109, ["Other ", "creatures ", "have ", "habitats ", "above ", "ground. ", "You ", "might ", "observe ", "squirrels ", "collecting ", "nuts ", "or ", "birds ", "making ", "nests ", "in ", "trees. ", "You ", "might ", "even ", "spot ", "bees ", "and ", "butterflies ", "flying ", "around ", "flowers. "], [24.608669, 24.919765, 25.317592, 25.458999, 26.198089, 26.561977, 27.629132, 27.725289, 27.893093, 28.27018, 28.869747, 29.29774, 29.855829, 30.014205, 30.481792, 30.836254, 31.14735, 31.269903, 32.108921, 32.259755, 32.408705, 32.631186, 33.019585, 33.341994, 33.494714, 34.279054, 34.571296, 34.869194]);
	makeSound('4_ecosystem', 36.863982, 47.045319, ["All ", "the ", "creatures ", "and ", "plants ", "you ", "see ", "in ", "these ", "habitats ", "are ", "part ", "of ", "an ", "ecosystem. ", "In ", "an ", "ecosystem, ", "all ", "the ", "creatures ", "and ", "plants ", "living ", "there ", "depend ", "on ", "each ", "other. "], [36.945056, 37.250496, 37.359851, 37.850064, 37.968846, 38.413808, 38.521278, 38.72679, 38.890823, 39.113304, 40.137094, 40.289814, 40.504753, 40.599025, 40.746088, 42.205413, 42.446749, 42.593813, 43.493164, 43.898532, 43.989033, 44.375547, 44.550892, 44.933635, 45.284325, 45.591651, 46.04604, 46.234583, 46.41747]);
	makeSound('5_decay', 49.021253, 56.940071, ["For ", "example, ", "plants ", "drop ", "their ", "leaves ", "and ", "fruit ", "on ", "the ", "ground. ", "As ", "those ", "decay, ", "it ", "gives ", "the ", "earthworms ", "something ", "to ", "eat. "], [49.092899, 49.236192, 50.22793, 50.697403, 51.03301, 51.214011, 51.5779, 51.707995, 52.053029, 52.262312, 52.347156, 53.453906, 53.682043, 54.015765, 54.777479, 54.935856, 55.182847, 55.32614, 55.935135, 56.331076, 56.419691]);
	makeSound('6_fertilize', 58.131664, 65.718646, ["The ", "earthworms ", "and ", "insects ", "fertilize ", "the ", "soil, ", "which ", "helps ", "the ", "plants ", "grow. ", "Who ", "knew ", "that ", "worms ", "could ", "be ", "so ", "useful! "], [58.257988, 58.369229, 59.021589, 59.193163, 59.741824, 60.396069, 60.505424, 61.178524, 61.401005, 61.706445, 61.812029, 62.236252, 63.103551, 63.267583, 63.535315, 63.772879, 64.193331, 64.372447, 64.542136, 64.945619]);
	makeSound('7_compost1', 66.940406, 73.441379, ["But ", "earthworms ", "aren't ", "the ", "only ", "ones ", "who ", "fertilize ", "things! ", "You ", "can ", "fertilize ", "your ", "garden ", "by ", "making ", "a ", "compost ", "pile. "], [67.091241, 67.253388, 67.817133, 68.056583, 68.165938, 68.494003, 68.759849, 68.861662, 69.442376, 70.22106, 70.396405, 70.534041, 71.110984, 71.299527, 71.765229, 71.917949, 72.221504, 72.321432, 72.883291]);
	makeSound('8_compost2', 74.738557, 78.9, ["Then ", "the ", "plants ", "grow ", "vegetables ", "and ", "fruit ", "that ", "you ", "get ", "to ", "eat. "], [74.817745, 74.955381, 75.089247, 75.504042, 75.752919, 76.299695, 76.414706, 76.761626, 76.97468, 77.413986, 77.613842, 77.713769]);
	makeSound('9_identify', 79.535098, 86.38299, ["There ", "are ", "ecosystems ", "everywhere! ", "What ", "kinds ", "of ", "creatures ", "can ", "you ", "identify ", "in ", "an ", "ecosystem ", "near ", "you? "], [79.586004, 79.804714, 80.02531, 80.943516, 82.449977, 82.632864, 82.889283, 83.021263, 83.592549, 83.773551, 83.896104, 84.576745, 84.738892, 84.867102, 85.566597, 85.845641]);
	
	//sfx:
	makeSound('chipmunk',	218.657426,	220.406293);
	makeSound('compost',	222.458426,	223.160762);
	makeSound('flowers',	224.328426,	231.066907);
	makeSound('leaves_falling',	232.534426,	234.255426);
	makeSound('transform',	235.551426,	239.356333);	
	makeSound('tomato',	242.991000, 244.002383);
	//glossary sfx:
	makeSound('wordbones',	215.098426,	216.968426);
	makeSound('boing_bonk',	240.438426,	242.666454);

	//definition audio: used for definition audio AND glossary
	//make sure to check which dig-it defs  have defonly and extended audio-only segments
	makeSound('def_creature', 87.21258, 91.616951);
		makeSound('def_creatures', 87.21258, 91.616951);
	makeSound('def_habitat', 92.944296, 97.152582);
		makeSound('def_habitat.', 92.944296, 97.152582);
		makeSound('def_habitats', 92.944296, 97.152582);
	makeSound('def_observe', 98.10284, 103.849639);
	makeSound('def_ecosystem', 105.101566, 119.543945);
		makeSound('def_ecosystem.', 105.101566, 119.543945);
	makeSound('def_depend', 119.913527, 129.084272);
	makeSound('def_decay', 130.86412, 144.816323);
		makeSound('def_decay,', 130.86412, 144.816323);
	makeSound('def_fertilize', 145.857082, 153.359616);
	makeSound('def_identify', 154.258571, 164.168405);
	makeSound('def_compost', 165.405249, 177.152802);
	
	makeSound('defONLY_ecosystem',	185.104251, 195.059337);
	makeSound('defONLY_compost',	199.282706, 205.255757);
	makeSound('defONLY_identify',	208.936122, 213.4);
	makeSound('defONLY_depend', 119.913527, 125.084272);
	makeSound('defONLY_decay', 130.86412, 137.5);
	
	//definitions go into definitionText array (need to put word verbatim from phrase's text array above, including punctuation if necessary)
	definitionText['creature'] = definitionText['creatures'] = "A creature is something that's alive. It's a living thing.";
	definitionText['habitat'] = definitionText['habitat.'] = "A habitat is a place where things live.";
	definitionText['habitats'] = definitionText['habitat'];
	definitionText['observe'] = "When you observe something, it means you watch it closely or see it happen.";
	definitionText['ecosystem'] = definitionText['ecosystem.'] = 'Ecosystem is short for ecological system. It means all the living things and nonliving things that are found in a particular area.';
	definitionText['ecosystems'] = definitionText['ecosystem'];
	definitionText['depend'] = "When you depend on something it means that you need help from it.";
	definitionText['decay'] = definitionText['decay,'] =  "When something decays, it means it breaks down into smaller and smaller pieces until it's gone.";
	definitionText['fertilize'] = "When you fertilize plants it means you add things to the dirt to help plants grow stronger.";
	definitionText['compost'] = "When you compost, you put food or yard scraps in a pile and let them break down.";
	definitionText['identify'] = "When you identify something it means you know what it is and can name it.";

}


//story_manifest: unique for each storybook:
function make_storymanifest(){
	//image assets:
	//for preloader, each storybook's image assets should be defined here
	//id is used within images array to reference images:  images['i_pops']
	story_manifest = [
		
		
		//cover image:
		{src:imgPath+"img/covers/digit.jpg", id:"cover_story"},
		//background image;
		{src:imgPath+"img/bg/bg_blue.jpg", id:"bg_story"},

		//1_creatures
		{src:imgPath+"img/digit_story/1_creatures/1_bg.jpg", id:"1_bg"},
		{src:imgPath+"img/digit_story/1_creatures/holefront.png", id:"1_holefront"},
		{src:imgPath+"img/digit_story/1_creatures/holeback.png", id:"1_holeback"},
		{src:imgPath+"img/digit_story/1_creatures/martha.png", id:"1_martha"},
		{src:imgPath+"img/digit_story/1_creatures/groundhogPopsUp.png", id:"groundhogPopsUp"},

		//2_habitat
		{src:imgPath+"img/digit_story/2_habitat/2_bg.jpg", id:"2_bg"},
		{src:imgPath+"img/digit_story/2_habitat/holeMask.png", id:"2_holemask"},
		{src:imgPath+"img/digit_story/2_habitat/2_groundhog_under.png", id:"2_groundhog_under"},
		{src:imgPath+"img/digit_story/2_habitat/groundhogOutline.png", id:"2_groundhog_outlined"},
		
		//3_observe
		{src:imgPath+"img/digit_story/3_observe/3_bg.jpg", id:"3_bg"},
		{src:imgPath+"img/digit_story/3_observe/3_bg_overlay.jpg", id:"3_bg_overlay"},
		{src:imgPath+"img/digit_story/3_observe/3_binoculars.png", id:"3_binoculars"},
		{src:imgPath+"img/digit_story/3_observe/3_binoculars_outlined.png", id:"3_binoculars_outlined"},

		//4_ecosystem:
		{src:imgPath+"img/digit_story/4_ecosystem/4_bg.jpg", id:"4_bg"},
		{src:imgPath+"img/digit_story/4_ecosystem/4groundhog.png", id:"gopher4"},

		//5_decay
		{src:imgPath+"img/digit_story/5_decay/5_bg.jpg", id:"5_bg"},
		{src:imgPath+"img/digit_story/5_decay/5_leavesfall_0.png", id:"5_leavesfall_0"},
		{src:imgPath+"img/digit_story/5_decay/5_leavesfall_1.png", id:"5_leavesfall_1"},
		{src:imgPath+"img/digit_story/5_decay/leaves1.png", id:"leaves1"},
		{src:imgPath+"img/digit_story/5_decay/leaves2.png", id:"leaves2"},
		{src:imgPath+"img/digit_story/5_decay/leaves3.png", id:"leaves3"},
		{src:imgPath+"img/digit_story/5_decay/leaves4.png", id:"leaves4"},
		{src:imgPath+"img/digit_story/5_decay/leaves5.png", id:"leaves5"},
		{src:imgPath+"img/digit_story/5_decay/leaves6.png", id:"leaves6"},
		{src:imgPath+"img/digit_story/5_decay/leaves.png", id:"leaves"},
		//leaves7 will be a reuse of compostpile from pg7: images['compostpile2After']

		//6_fertilize:
		{src:imgPath+"img/digit_story/6_fertilize/6_bg.jpg", id:"6_bg"},
		{src:imgPath+"img/digit_story/6_fertilize/6_flowers.png", id:"6_flowers"},
		{src:imgPath+"img/digit_story/6_fertilize/butterfly1.png", id:"butterfly1"},
		{src:imgPath+"img/digit_story/6_fertilize/butterfly2.png", id:"butterfly2"},
		{src:imgPath+"img/digit_story/6_fertilize/butterfly3.png", id:"butterfly3"},


		//7_compost1 AND 8_compost2
		{src:imgPath+"img/digit_story/7_compost1/7_bg.jpg", id:"7_bg"},
		{src:imgPath+"img/digit_story/7_compost1/bag.png", id:"7_bag"},
		{src:imgPath+"img/digit_story/7_compost1/seeds.png", id:"7_seeds"},
		{src:imgPath+"img/digit_story/7_compost1/compostpile1Full.png", id:"compostpile1Full"},
		{src:imgPath+"img/digit_story/7_compost1/compostpile2After.png", id:"compostpile2After"},
		{src:imgPath+"img/digit_story/7_compost1/dirtPile.png", id:"dirtPile"},
		{src:imgPath+"img/digit_story/7_compost1/bucketTomatosFrontEmpty.png", id:"bucketTomatosFrontEmpty"},
		{src:imgPath+"img/digit_story/7_compost1/bucketTomatosFrontDirt.png", id:"bucketTomatosFrontDirt"},
		{src:imgPath+"img/digit_story/7_compost1/bucketTomatosFrontStem.png", id:"bucketTomatosFrontStem"},
		{src:imgPath+"img/digit_story/7_compost1/sackFront.png", id:"sackFront"},
		{src:imgPath+"img/digit_story/7_compost1/sackBack.png", id:"sackBack"},
		{src:imgPath+"img/digit_story/7_compost1/coathanger.png", id:"coathanger"},
		{src:imgPath+"img/digit_story/7_compost1/tomato1.png", id:"tomato"},
		{src:imgPath+"img/digit_story/7_compost1/HelensArm.png", id:"helen_arm"},

		//9_identify:
		{src:imgPath+"img/digit_story/9_identify/9_bg.jpg", id:"9middle"},

		//for glossary (common assets for every use):
		{src:imgPath+"img/glossary/wordbone.png", id:"glossary-wordbone"},	
		{src:imgPath+"img/glossary/martha_only.png", id:"glossary-martha"},	
		{src:imgPath+"img/glossary/board_only.png", id:"glossary-board"},
		{src:imgPath+"img/glossary/glossary_title.png", id:"glossary-title"},	
		{src:imgPath+"img/glossary/bowl_only.png", id:"glossary-bowl"},	
		{src:imgPath+"img/glossary/splash_only.png", id:"glossary-splash"},			
		{src:imgPath+"img/glossary/cloud_defonly.png", id:"glossary-txtcloud"},
		{src:imgPath+"img/glossary/cloud_defandimage.png", id:"glossary-imgcloud"},


	];
}

//each storybook should have its spritesheets created in this function
function story_spritesheets(){
	//1_creatures:
	spritesheets['groundhogPopsUp'] = new createjs.SpriteSheet({
	"frames": [[2, 2, 252, 508, 0, 254, -2], [258, 2, 252, 508, 0, 254, -2], [514, 2, 252, 508, 0, 254, -2], [770, 2, 252, 508, 0, 254, -2], [2, 514, 252, 508, 0, 254, -2], [258, 514, 252, 508, 0, 254, -2], [514, 514, 252, 508, 0, 254, -2]],
	"animations": {
		"popup": {"frames": [0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 4, 4, 5, 5, 6, 6], "next": false, "frequency": 2},
		"popdown": {"frames": [6, 6, 5, 5, 4, 4, 4, 4, 3, 3, 2, 2, 1, 1, 0, 0], "next": false, "frequency": 2}
	},
	"images": [images['groundhogPopsUp']]
	});

	//2_habitat
	spritesheets['2_groundhog_under'] = new createjs.SpriteSheet({
		"frames": [[2, 61, 91, 48, 0, -5, -8], [2, 2, 78, 55, 0, -9, -2], [164, 2, 82, 43, 0, -3, -13], [2, 113, 80, 41, 0, -4, -15], [97, 61, 84, 47, 0, -3, -9], [84, 2, 76, 48, 0, -13, -8]],
		"animations": {
			"all": {"frames": [0, 1, 2, 3, 4, 5], "next": true, "frequency": 6},
			"first": {"frames": [2,3,4,5], "next": 'all', "frequency": 6}
		},
		"images": [images['2_groundhog_under']]
	});	

	//5_decay	
	spritesheets['5_leavesfall'] = new createjs.SpriteSheet({
    "images": [images['5_leavesfall_0'], images['5_leavesfall_1']],
   "frames": [
        [341, 609, 500, 284, 0, -16, -71],
        [0, 896, 492, 279, 0, -21, -79],
        [1489, 896, 483, 274, 0, -27, -87],
        [1022, 1175, 474, 270, 0, -32, -94],
        [0, 1715, 466, 266, 0, -37, -102],
        [1346, 1715, 458, 265, 0, -42, -108],
        [897, 1715, 449, 265, 0, -47, -114],
        [0, 0, 440, 265, 1, -53, -121],
        [466, 1715, 431, 266, 0, -58, -127],
        [1211, 1446, 423, 267, 0, -63, -133],
        [798, 1446, 413, 268, 0, -69, -139],
        [394, 1446, 404, 269, 0, -74, -145],
        [0, 1446, 394, 269, 0, -80, -151],
        [1496, 1175, 385, 269, 0, -85, -158],
        [646, 1175, 376, 270, 0, -91, -164],
        [278, 1175, 368, 271, 0, -95, -170],
        [1128, 896, 361, 275, 0, -98, -176],
        [772, 896, 356, 277, 0, -100, -183],
        [1469, 609, 351, 281, 0, -102, -189],
        [841, 609, 346, 284, 0, -104, -195],
        [0, 609, 341, 287, 0, -106, -202],
        [1262, 309, 336, 290, 0, -107, -208],
        [931, 309, 331, 294, 0, -109, -214],
        [320, 309, 326, 297, 0, -111, -220],
        [0, 309, 320, 300, 0, -113, -227],
        [1498, 0, 316, 303, 0, -114, -233],
        [600, 0, 310, 306, 0, -116, -240],
        [0, 0, 305, 309, 0, -118, -246],
        [910, 0, 299, 305, 0, -120, -252],
        [305, 0, 295, 309, 0, -121, -259],
        [1209, 0, 289, 303, 0, -123, -265],
        [646, 309, 285, 297, 0, -125, -271],
        [1598, 309, 284, 290, 0, -126, -278],
        [1187, 609, 282, 284, 0, -128, -284],
        [492, 896, 280, 277, 0, -130, -291],
        [0, 1175, 278, 271, 0, -132, -297],
        [1634, 1446, 276, 264, 0, -134, -304],
        [440, 0, 274, 261, 1, -136, -310],
        [714, 0, 273, 254, 1, -137, -317],
        [987, 0, 271, 248, 1, -139, -323],
        [1258, 0, 269, 241, 1, -141, -330],
        [1527, 0, 269, 235, 1, -143, -336],
        [0, 265, 269, 228, 1, -144, -343],
        [269, 265, 271, 222, 1, -144, -349],
        [540, 265, 272, 216, 1, -144, -356],
        [812, 265, 274, 210, 1, -144, -362],
        [1086, 265, 274, 203, 1, -144, -369],
        [1360, 265, 274, 197, 1, -144, -375],
        [1634, 265, 274, 190, 1, -144, -382],
        [0, 493, 274, 184, 1, -144, -388],
        [274, 493, 278, 177, 1, -140, -395],
        [552, 493, 281, 172, 1, -137, -400],
        [833, 493, 286, 166, 1, -132, -406],
        [1119, 493, 289, 161, 1, -129, -411],
        [1408, 493, 293, 155, 1, -125, -417],
        [1701, 493, 297, 150, 1, -121, -422],
        [0, 677, 300, 144, 1, -118, -428],
        [300, 677, 300, 139, 1, -118, -433],
        [600, 677, 300, 139, 1, -118, -439],
        [900, 677, 300, 135, 1, -118, -443],
        [1200, 677, 300, 132, 1, -118, -446],
        [1500, 677, 300, 128, 1, -118, -450],
        [0, 821, 300, 124, 1, -118, -454],
        [300, 821, 300, 120, 1, -118, -458],
        [600, 821, 300, 116, 1, -118, -462],
        [900, 821, 300, 112, 1, -118, -466],
        [1200, 821, 300, 108, 1, -118, -470],
        [0, 945, 300, 107, 1, -118, -471],
        [1500, 821, 300, 107, 1, -118, -471],
        [900, 945, 300, 107, 1, -118, -471],
        [300, 945, 300, 107, 1, -118, -471],
        [600, 945, 300, 107, 1, -118, -471]
    ],
    "animations": {"fall": {"frames": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 71, 71, 71, 71, 71, 71, 71],"frequency": 2, "next": false}}
});
	
	//6_fertilize:
	spritesheets['butterfly1'] = new createjs.SpriteSheet({
		"frames": [[2, 2, 51, 45, 0, -4, -4], [57, 2, 51, 44, 0, -8, -8], [112, 2, 46, 40, 0, -4, -4], [162, 2, 44, 39, 0, -9, -8]],
		"animations": {"flap": {"frames": [0, 1, 2, 3], "frequency": 5, "next": true}}, 
		"images": [images['butterfly1']]
	});
	spritesheets['butterfly2'] = new createjs.SpriteSheet({
		"frames": [[2, 2, 51, 45, 0, -4, -4], [57, 2, 51, 44, 0, -8, -8], [112, 2, 46, 40, 0, -4, -4], [162, 2, 44, 39, 0, -9, -8]],
		"animations": {"flap": {"frames": [2,3,0,1], "frequency": 5, "next": true}}, 
		"images": [images['butterfly2']]
	});
	spritesheets['butterfly3'] = new createjs.SpriteSheet({
		"frames": [[2, 2, 51, 45, 0, -4, -4], [57, 2, 51, 44, 0, -8, -8], [112, 2, 46, 40, 0, -4, -4], [162, 2, 44, 39, 0, -9, -8]],
		"animations": {"flap": {"frames": [1,0,3,2], "frequency": 5, "next": true}}, 
		"images": [images['butterfly3']]
	});
	spritesheets['6_flowers'] = new createjs.SpriteSheet({
		"frames": [
        [1638, 2, 138, 69, 0, -71, -85],
        [2020, 2, 12, 15, 0, -103, -134],
        [1978, 2, 38, 38, 0, -103, -111],
        [1917, 2, 57, 39, 0, -103, -111],
        [281, 141, 102, 39, 0, -103, -111],
        [1780, 2, 133, 65, 0, -72, -85],
        [144, 141, 133, 64, 0, -72, -85],
        [2, 141, 138, 64, 0, -72, -85],
        [1495, 2, 139, 92, 0, -71, -57],
        [1352, 2, 139, 93, 0, -71, -57],
        [1201, 2, 147, 93, 0, -71, -57],
        [1045, 2, 152, 111, 0, -66, -39],
        [889, 2, 152, 112, 0, -66, -39],
        [712, 2, 173, 112, 0, -66, -39],
        [538, 2, 170, 135, 0, -69, -16],
        [364, 2, 170, 135, 0, -69, -16],
        [188, 2, 172, 135, 0, -69, -16],
        [2, 2, 182, 135, 0, -59, -16]
    ],
    "animations": {"all": {"frames": [17]}, "on": {"frames": [0]}, "grow": {"frames": [1, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 17, 17, 17], "frequency":5,"next":false}}, 
		"images": [images['6_flowers']]
	});


	//glossary:
	spritesheets['glossary-martha'] = new createjs.SpriteSheet({
	    "frames": [
	        [1037, 2, 259, 217, 0, -20, -114],
	        [538, 2, 248, 227, 0, -37, -128],
	        [288, 2, 246, 229, 0, -38, -118],
	        [790, 2, 243, 220, 0, -38, -121],
	        [1755, 450, 252, 196, 0, -30, -137],
	        [2, 2, 282, 237, 0, -4, -86],
	        [577, 656, 280, 157, 0, -149, -105],
	        [861, 656, 281, 157, 0, -183, -67],
	        [2, 656, 284, 190, 0, -208, -20],
	        [290, 656, 283, 189, 0, -228, -15],
	        [1463, 450, 288, 196, 0, -237, -10],
	        [1171, 450, 288, 196, 0, -244, -9],
	        [877, 450, 290, 200, 0, -247, -7],
	        [582, 450, 291, 200, 0, -249, -7],
	        [869, 243, 289, 203, 0, -252, -8],
	        [578, 243, 287, 203, 0, -255, -10],
	        [291, 450, 287, 202, 0, -257, -18],
	        [1742, 243, 286, 203, 0, -262, -30],
	        [1452, 243, 286, 203, 0, -268, -48],
	        [1162, 243, 286, 203, 0, -276, -73],
	        [2, 450, 285, 202, 0, -287, -107],
	        [290, 243, 284, 203, 0, -302, -152],
	        [2, 243, 284, 203, 0, -322, -215],
	        [1300, 2, 276, 204, 0, -356, -310],
	        [1580, 2, 275, 204, 0, -416, -495]
	    ],
	    "animations": {"all": {"frames": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24], "next": false, "frequency": 3}},		
		"images": [images['glossary-martha']]
	});

	spritesheets['glossary-board'] = new createjs.SpriteSheet({
	    "frames": [[2, 209, 384, 69, 0, 0, -14], [2, 2, 387, 110, 0, 0, -2], [393, 2, 386, 99, 0, 0, -5], [2, 116, 386, 89, 0, 0, -8], [392, 116, 386, 79, 0, 0, -11], [580, 209, 304, 69, 0, 0, -14], [783, 2, 237, 69, 0, 0, -14], [390, 209, 186, 69, 0, 0, -14], [2, 282, 149, 68, 0, 0, -14], [782, 116, 127, 68, 0, 0, -14], [888, 209, 120, 68, 0, 0, -14]],
	    "animations": {"all": {"frames": [0, 1, 2, 3, 4, 0, 0, 0, 0, 5, 6, 7, 8, 9, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10], "next": false, "frequency": 3}},
		"images": [images['glossary-board']]
	});

	spritesheets['glossary-bowl'] = new createjs.SpriteSheet({	
		"frames": [[0, 0, 629, 170, 0, 0, -1], [0, 170, 629, 166, 0, 0, -1]], 
		"animations": {"all": {"frames": [0, 1]}
		},
		"images": [images['glossary-bowl']]		
	});

	spritesheets['glossary-splash'] = new createjs.SpriteSheet({	
		"frames": [[1808, 0, 1, 1, 0, 0, 0], [451, 578, 422, 186, 0, -45, -134], [0, 578, 451, 230, 0, -30, -78], [0, 0, 543, 297, 0, 0, -4], [543, 0, 594, 295, 0, 0, 0], [1402, 297, 637, 262, 0, 0, -21], [1137, 0, 671, 282, 0, 0, 0], [0, 297, 694, 281, 0, 0, 0], [694, 297, 708, 280, 0, 0, 0]], 
		"animations": {
			"bowl_idle": {"frames": [0]}, 
			"bowl_splash": {"frames": [1, 2, 3, 4, 5, 6, 7, 8], "frequency": 4, "next": false}, 
		},			
		"images": [images['glossary-splash']]		
	});

	//**//**console.log('all spritesheet objects created');		
}