function prep_1_intro(transition){
	//**//**console.log('function: prep_1_intro');
	world_current = worlds['1_intro'];
	
	ticker_world = (function(){
		tick_1_intro();
	});
	end_world = (function(){
		end_1_intro();
	});
	narrDone = (function(){
		narrDone_1_intro();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = "Parent tip: Kids love books that use humor. Together, have fun imagining what other unexpected creatures—real or make-believe—that your child could plan a birthday party for. (Try to think of things as big as or bigger than an elephant!)";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);



	//** page assets:
  martha = new createjs.Bitmap(images['martha1']); 
  martha.regX = martha.image.width/2|0;
  martha.regY = martha.image.height/2|0;
  martha.x = 220;
  martha.y = 380;
  world_current.addChild(martha);

	jeffy = new createjs.Bitmap(images['jeffy1']);
	jeffy.regX = jeffy.image.width/2|0;
	jeffy.regY = jeffy.image.height/2|0;
	//jeffy.scaleX = jeffy.scaleY = 0.5;
	jeffy.x = 680;
	jeffy.y = 300;
	world_current.addChild(jeffy);
//

  // physics objects
  pusher = {}; 
  wall_top = {};
  wall_bottom = {};
  wall_left = {};
  wall_right = {};
  balloons = []; //array that will hold all the balloon easelbox objects


  //specific region where clicks/taps are being monitored for box2d interaction (via move_Pusher())
  balloon_region = new createjs.Shape();
  balloon_region.graphics.beginFill("white").drawRect(0, 0, canvas.width, 500);
  balloon_region.alpha = 0.01; 
  world_current.addChild(balloon_region);

  // PHYSICS stuff:
  doPhysics = false; //bool set to false at start. set to true once narration is done
  gravityX = 0;
  gravityY = -0.4;
  makePhysics_1_intro();


  //BOOL to determine whether to allow pusher or not.
  //if a balloon is tapped, _pusher = false. on release, _pusher = true
  _pusher = true;

  //


	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('1_intro', ['measure.']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_1_intro);

}

//level specific functions:

//called once this level is fully slid into place
function begin_1_intro(){
	//**//**console.log("WORLD 1 BEGIN");

  balloon_region.onPress = movePusher; //pusher will be moved to mouseClick position whenever click/tap happens in this region
  
  playSound('1_intro');
  

}

function narrDone_1_intro(){
  //**//**console.log("1_intro narration done");

  ////**//**console.log('physics is: ' + this.world);
  //this.world.changeGravity(0, -0.4);

  //yellow1.addShadow(); 
  //how to directly work with with displayobject of a easelbox box:
  //yellow1.easelObj.shadow = new createjs.Shadow("#000000", 3, 3, 1); 

  for (var i=0;i<balloons.length;i++){
    doPulse(balloons[i].easelObj);
    addShadow(balloons[i].easelObj);
  }

  doPhysics = true;

  if(!narrActive) playSound('party_horn');
}


function movePusher(e){
//**//**console.log('world pressed!');
  if(!_pusher) return;

  //**//**console.log('empty space, pusher!');
  e.onMouseMove = function(ev) {
    //if(_active && (ev.stageY+offset.y) > target.y) target.y = ev.stageY+offset.y;
    return pusher.setState({
      xPixels: ev.stageX,
      yPixels: ev.stageY
    });

  }


e.onMouseUp = function(ev){
  //**//**console.log(" released!");
    return pusher.setState({
      xPixels: -100,
      yPixels: -100
    });

  }

}

function makePhysics_1_intro(){
      var i, obj,
        _this = this;
      ////**//**console.log('this is: ' + this);

     this.world = new EaselBoxWorld(this, frameRate, canvas, gravityX, gravityY, pixelsPerMeter);
      

      wall_top = this.world.addEntity({
        type: 'static',
        color: "white",
        alpha:0,
        widthPixels: canvas.width *2,
        heightPixels: 50,
        xPixels: 0,
        yPixels: 0
      });

/*
      wall_bottom = this.world.addEntity({
        type: 'static',
        color: "white",
        //alpha: 0,
        widthPixels: canvas.width *2,
        heightPixels: 10,
        xPixels: 0,
        yPixels: 434
      });
*/

      wall_left = this.world.addEntity({
        type: 'static',
        color: "blue",
        alpha:0,
        heightPixels: canvas.height *2,
        widthPixels: 50,
        xPixels: 0,
        yPixels: 0
      });
      wall_right = this.world.addEntity({
        type: 'static',
        color: "blue",
        alpha:0,
        heightPixels: canvas.height *2,
        widthPixels: 50,
        xPixels: canvas.width,
        yPixels: 0
      });


      pusher = this.world.addEntity({
        type: 'dynamic',
        color: "white",
        alpha:0,
        radiusPixels: 45,
        xPixels: canvas.width - 100,
        yPixels: 100,
        angleRadians: 45
        //angularVelRadians: 2
      });

	
      //different balloons:
      var balloon_diameter = 80;

      //2 yellow:
      yellow1 = this.world.addEntity({
         type: 'dynamic',
        radiusPixels: balloon_diameter/2,
        imgSrc: images['balloon_yellow'],     
        xPixels: 100,
        yPixels: 200,
        scaleX: balloon_diameter / images['balloon_yellow'].width,
        scaleY: balloon_diameter / images['balloon_yellow'].width,
      });

      yellow2 = this.world.addEntity({
         type: 'dynamic',
        radiusPixels: balloon_diameter/2,
        imgSrc: images['balloon_yellow'],
        xPixels: 330,
        yPixels: 150,
        scaleX: balloon_diameter / images['balloon_yellow'].width,
        scaleY: balloon_diameter / images['balloon_yellow'].width,
      });
      
      //2 red:
      red1 = this.world.addEntity({
      	 type: 'dynamic',
        radiusPixels: balloon_diameter/2,
        imgSrc: images['balloon_red'],
     
        xPixels: 215,
        yPixels: 120,
        scaleX: balloon_diameter / images['balloon_red'].width,
        scaleY: balloon_diameter / images['balloon_red'].width,
      });

      red2 = this.world.addEntity({
         type: 'dynamic',
        radiusPixels: balloon_diameter/2,
        imgSrc: images['balloon_red'],     
        xPixels: 730,
        yPixels: 320,
        scaleX: balloon_diameter / images['balloon_red'].width,
        scaleY: balloon_diameter / images['balloon_red'].width,
        friction: 50
      });

      //2 green:
    
      green1 = this.world.addEntity({
        type: 'dynamic',
        radiusPixels: balloon_diameter/2,
        imgSrc: images['balloon_green'],     
        xPixels: 380,
        yPixels: 380,
        scaleX: balloon_diameter / images['balloon_green'].width,
        scaleY: balloon_diameter / images['balloon_green'].width,
      });

      green2 = this.world.addEntity({
        type: 'dynamic',
        radiusPixels: balloon_diameter/2,
        imgSrc: images['balloon_green'],
        xPixels: 690,
        yPixels: 170,
        scaleX: balloon_diameter / images['balloon_green'].width,
        scaleY: balloon_diameter / images['balloon_green'].width,
      });


      //2 blue:      
      blue1 = this.world.addEntity({
         type: 'dynamic',
        radiusPixels: balloon_diameter/2,
        imgSrc: images['balloon_blue'],     
        xPixels: 500,
        yPixels: 115,
        scaleX: balloon_diameter / images['balloon_blue'].width,
        scaleY: balloon_diameter / images['balloon_blue'].width,
      });

      blue2 = this.world.addEntity({
         type: 'dynamic',
        radiusPixels: balloon_diameter/2,
        imgSrc: images['balloon_blue'],     
        xPixels: 820,
        yPixels: 130,
        scaleX: balloon_diameter / images['balloon_blue'].width,
        scaleY: balloon_diameter / images['balloon_blue'].width,
      });

      balloons.push(yellow1,yellow2,red1,red2,blue1,blue2,green1,green2);

      //making each balloon draggable. toggling _pusher on press and release
      for (var i=0;i<balloons.length;i++){
          moveBalloon(balloons[i]);
      }

}

function moveBalloon(obj){
 //**//**console.log('balloon pressed!');
  //doPulse(obj.easelObj);
  //addShadow(obj.easelObj);
  obj.easelObj.onPress = function(eventPress) {
    
    obj.easelObj.scaleX = obj.easelObj.scaleX *1.03;
    obj.easelObj.scaleY = obj.easelObj.scaleY *1.03;
    
    obj.initPositionXpixels = eventPress.stageX;
    obj.initPositionYpixels = eventPress.stageY;

    eventPress.onMouseMove = function(event) {
      return obj.setState({
          xPixels: event.stageX,
          yPixels: event.stageY
        });
      }
    
    eventPress.onMouseUp = function(event) {    
   
      obj.easelObj.scaleX = obj.easelObj.scaleX /1.03;
      obj.easelObj.scaleY = obj.easelObj.scaleY /1.03;
    };
  };
}

function tick_1_intro(){
	stage.update(); //canvas ticker

	this.world.tick(); //box2d physics ticker
}



function end_1_intro(){
	//**//**console.log('end_1_intro');	

  stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page	
  
	createjs.Ticker.removeListener(ticker_world);
}

