function prep_3_hiding(transition){
	//**//**console.log('function: prep_3_hiding');
	world_current = worlds['3_hiding'];
	
	ticker_world = (function(){
		tick_3_hiding();
	});
	end_world = (function(){
		end_3_hiding();
	});
	narrDone = (function(){
		narrDone_3_hiding();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = "Parent tip: Encourage your child's creativity by asking what other animals might be hard to hide in a backyard. Use \"size\" words, such as \"big,\" \"bigger,\" and \"biggest\" to help your child better understand ideas about comparing measurements.";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:
	jeffy = new createjs.Bitmap(images['3-jeffy']);
	jeffy.regX = jeffy.image.width/2;
	jeffy.regY = jeffy.image.height/2;
	jeffy.x = 560; jeffy.y = 320;
	world_current.addChild(jeffy);

	treeshrub = new createjs.Bitmap(images['3-tree-shrub']);
	treeshrub.x = 30; treeshrub.y = 20;
	world_current.addChild(treeshrub);

	lawnmower = new createjs.Bitmap(images['3-lawnmower']);
	lawnmower.x = 100; lawnmower.y = 330;
	world_current.addChild(lawnmower);

	table = new createjs.Bitmap(images['3-table']);
	table.x = 660; table.y = 350;
	world_current.addChild(table);

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('3_hiding', ['huge!']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_3_hiding);

}

//level specific functions:
function jeffyDrag3(obj, snapback){
	addShadow(obj);
	doPulse(obj);

	(function(target) {
		obj.onPress =  function(evt) {
			if(!_active) return;
			
			target.scaleX = target.scaleY = 1.03;
			////**//**console.log(evt.target + " pressed!");
			
			// bump the target in front of it's siblings:
			//world_current.addChild(target);
			var offset = {x:target.x-evt.stageX, y:target.y-evt.stageY};

			evt.onMouseMove = function(ev) {
					
					if( (ev.stageX > 160) && (ev.stageX < 900) ) target.x = ev.stageX;
					if( (ev.stageY > 160) && (ev.stageY < 370) )target.y = ev.stageY;
				}

						
			evt.onMouseUp = function(ev){
				//**//**console.log(target + " released!");
				target.scaleX = target.scaleY = 1.0;
			}	
			
		}		
	})(obj);	
}

//called once this level is fully slid into place
function begin_3_hiding(){
	//**//**console.log("WORLD 3 BEGIN");
	
	playSound('3_hiding');
	
}

function narrDone_3_hiding(){
	jeffyDrag3(jeffy);
}

function tick_3_hiding(){
	stage.update();
}



function end_3_hiding(){
	//**//**console.log('end_3_hiding');	
	
	createjs.Ticker.removeListener(ticker_world);
}

