function prep_6_trickbird(transition){
	//**//**console.log('function: prep_6_trickbird');
	world_current = worlds['6_trickbird'];
	
	ticker_world = (function(){
		tick_6_trickbird();
	});
	end_world = (function(){
		end_6_trickbird();
	});
	narrDone = (function(){
		narrDone_6_trickbird();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	//teachertipcontainer.onPage = true;
	//teachertiptext.text = "Parent tip: When you read with your child, pause to discuss the text on screen. It's helpful to reuse any new words your child might be hearing for the first time. You could say, "What do you think the word measure means? Can you remember a time when you measured something?"';

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:
	
	jeffy = new createjs.Bitmap(images['6-jeffy']);
	jeffy.x = 120; jeffy.y = 50;
	world_current.addChild(jeffy);


	//truman and bird:
	trickContainer = new createjs.Container();
	trickContainer.regX=-100;
	trickContainer.x = 580;
	trickContainer.y = 186;

	
		//truman
		truman = new createjs.BitmapAnimation( spritesheets['6-truman'] );
		truman.gotoAndStop("before");

		trumanHit = new createjs.Bitmap( images['6-truman-start'] );
		trumanHit.x=22;
		trumanHit.y=1;
		//trumanHit.visible=false;

		//trickbird = new createjs.Bitmap(images['6-bird']);
		trickbird = new createjs.BitmapAnimation( spritesheets['6-bird'] );
		trickbird.scaleX = trickbird.scaleY = 0.3;
		trickbird.x = truman.x + 125; 
		trickbird.y = truman.y + 90;
		trickbird.gotoAndStop(0);
		trickbird.visible = false;

		trickContainer.addChild(truman);
		trickContainer.addChild(trumanHit);
		trickContainer.addChild(trickbird);
			
	world_current.addChild(trickContainer);


	
	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('6_trickbird', ['exact', 'comparing', 'size']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_6_trickbird);

}

//level specific functions:
function narrDone_6_trickbird(){
	doPulse(trickContainer);
	addShadow(trickContainer);

	truman.onPress = trumanTrick;
	trickContainer.onPress = trumanTrick;
}

function trumanTrick(e){
	trumanHit.visible=false;
	removeShadow(trickContainer);
	truman.onPress = null;
	trickContainer.onPress = null;
	truman.onAnimationEnd = showBird;
	truman.gotoAndPlay("begin");
}

function showBird(){
	
	truman.onAnimationEnd = null;
	truman.gotoAndPlay("bird");	


	trickbird.visible = true;
	trickbird.gotoAndPlay(0);

	if(!narrActive) playSound('magic_bird');

	createjs.Tween.get(trickbird, {loop:false})
     .to({x:truman.x + 400, y:-50, scaleX:1,scaleY:1 }, 1400, createjs.Ease.linear)
     .call(resetTruman);

}

function resetTruman(){
	trickbird.visible = false;

	trickbird.scaleX = trickbird.scaleY = 0.3;
	trickbird.x = truman.x + 110; 
	trickbird.y = truman.y + 95;
	trickbird.gotoAndStop(0);
	trickbird.visible = false;

	truman.gotoAndStop("before");
	addShadow(trickContainer);
	trumanHit.visible=true;
	truman.onPress = trumanTrick;
	trickContainer.onPress = trumanTrick;

}
//called once this level is fully slid into place
function begin_6_trickbird(){
	//**//**console.log("WORLD 2 BEGIN");
	
	playSound('6_trickbird');
	
}


function tick_6_trickbird(){
	stage.update();
}



function end_6_trickbird(){
	//**//**console.log('end_6_trickbird');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page		

	createjs.Ticker.removeListener(ticker_world);
}

