function prep_7_wand(transition){
	//**//**console.log('function: prep_7_wand');
	world_current = worlds['7_wand'];
	
	ticker_world = (function(){
		tick_7_wand();
	});
	end_world = (function(){
		end_7_wand();
	});
	narrDone = (function(){
		narrDone_7_wand();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = "Parent tip: What other objects could be used to measure? Help your child think about everyday items that are the same size, such as crayons or paper towel rolls. Your child may also be learning about these nonstandard ways of measuring in school. Later, you can use them to measure a favorite toy or book.";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:

	truman = new createjs.Bitmap(images['7-truman']);
	truman.x = 125; truman.y = 230;
	world_current.addChild(truman);


	jeffy = new createjs.Bitmap(images['7-jeffy']);
	jeffy.x = 400; jeffy.y = 42;
	world_current.addChild(jeffy);

	
	//TEMP: getWandPos to gather wand x,y positions
	//truman.onPress = getWandPos;

	//markers for region that accepts wands to lock-in-place:
	//don't have to be on screen, but their x/y values used to determine successful drops
	jeffyline1 = new createjs.Shape();
	jeffyline1.graphics.beginFill("black").drawRect(0,0, 5, 5);
	jeffyline1.x = 395; jeffyline1.y = 402;
	//world_current.addChild(jeffyline1);

	jeffyline2 = new createjs.Shape();
	jeffyline2.graphics.beginFill("black").drawRect(0,0, 5, 5);
	jeffyline2.x = 822; jeffyline2.y = 470;
	//world_current.addChild(jeffyline2);


	//visual cue of where to drop wands.
	wandcontainer = new createjs.Bitmap(images['7-container']);
	wandcontainer.x = 400;
	wandcontainer.y = 416;
	world_current.addChild(wandcontainer);

	wands_finalX = [429.36810165113013, 467.50590461943347, 507.7624744193092, 549.0784276349711, 590.3943808506332, 631.7103340662951, 674.0856706977432, 716.4610073291914, 757.7769605448534, 796.9741469289429];
	wandsInPlace = 0;
	wands = [];
	for (var i=0;i<wands_finalX.length;i++){
		wand = new createjs.Bitmap(images['7-wand']);
		wand.regX = wand.image.width/2;
		wand.regY = wand.image.height/2;
		wand.scaleX = wand.scaleY = 0.75;
			//saving random x, y positions as start positions for each wand
			wand.x = randomInt(260,320);
			wand.y = randomInt(380,410);
			wand.startX = wand.x;
			wand.startY = wand.y;
		world_current.addChild(wand);		
		wands.push(wand);
	}

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('7_wand', ['equals', 'check']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_7_wand);

}

//level specific functions:
//temp function for getting wand x,y pos
function getWandPos(e){
	//**//**console.log("jeffyline positions:");
	//**//**console.log("line1: " + jeffyline1.x +", " + jeffyline1.y);
	//**//**console.log("line2: " + jeffyline2.x +", " + jeffyline2.y);

	//**//**console.log("getting wand positions:");
	
	for(var i=0;i<wands.length;i++){
		//**console.log("wand["+i+"] x,y: " + wands[i].x + ", " +  wands[i].y);
	}

}

function narrDone_7_wand(){
	//only pulse and allow dragging of wands that are NOT in place already
	for(var i=0;i<wands.length;i++){
		//if(wands[i].x == wands_finalX[i]) continue;
		dragWand(wands[i], true);
	}
}

//allowing snapback to startX,startY on release (if not released in target region)
function dragWand(obj, snapback){
	addShadow(obj);
	doPulse(obj);

	(function(target) {
		obj.onPress =  function(evt) {
			if(!_active) return;
			
			target.scaleX = target.scaleY = 0.8;
			
			if(!narrActive) playSound('click_up');
				
			// bump the target in front of it's siblings:
			world_current.addChild(target);
			
			evt.onMouseMove = function(ev) {
					target.x = ev.stageX;
					target.y = ev.stageY;
				}

						
			evt.onMouseUp = function(ev){
				//**//**console.log(target + " released!");
				target.scaleX = target.scaleY = 0.75;

				if(snapback){
					if( (target.x > jeffyline1.x) && (target.y > jeffyline1.y) & (target.x < jeffyline2.x) && (target.y < jeffyline2.y) ){
						//**//**console.log('successful drop!... wand is index: ' + wands.indexOf(target) );
						target.onPress = null;
						removeShadow(target);
						
						//if(!narrActive) playSound('click_down');
						//target.x = wands_finalX[wandsInPlace];
						//target.y = 445;
						createjs.Tween.get(target, {loop:false})
					     .to({x: wands_finalX[wandsInPlace], y: 435 }, 250, createjs.Ease.linear)
					     .call(function(){
					     	nextWand(target);
					     });											
					}
					else{						
						target.x = target.startX;
						target.y = target.startY;						
					}
				}
			}	
			
		}		
	})(obj);	
}

function nextWand(wand){
	wandsInPlace++;

	//removing pointer on mouseOver on placed wand
	wand.onMouseOver = null;

	//removing placed wand from wands array, so it won't pulse and become active again on narrDone
	wands.remove(wands.indexOf(wand));

	if(wands.length == 0){
		////**console.log('ALL WANDS DONE');
		if(!narrActive){
			stopSound();
			playSound('elephant_wands');	
		} 
	}
}
//called once this level is fully slid into place
function begin_7_wand(){
	//**//**console.log("WORLD 7 BEGIN");
	
	playSound('7_wand');
	
}


function tick_7_wand(){
	stage.update();
}



function end_7_wand(){
	//**//**console.log('end_7_wand');	
	
	createjs.Ticker.removeListener(ticker_world);
}

