function prep_8_stage(transition){
	//**//**console.log('function: prep_8_stage');
	world_current = worlds['8_stage'];
	
	ticker_world = (function(){
		tick_8_stage();
	});
	end_world = (function(){
		end_8_stage();
	});
	narrDone = (function(){
		narrDone_8_stage();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	//teachertipcontainer.onPage = true;
	//teachertiptext.text = "Parent tip: When you read with your child, pause to discuss the text on screen. It's helpful to reuse any new words your child might be hearing for the first time. You could say, "What do you think the word measure means? Can you remember a time when you measured something?"';

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:

	tree8 = new createjs.Bitmap(images['8-tree']);
	tree8.scaleX = tree8.scaleY = 1.03;
	tree8.x = 24; tree8.y = 23;
	world_current.addChild(tree8);

	stage8 = new createjs.Bitmap(images['8-stage']);
	stage8.x = 256; stage8.y = 270;
	world_current.addChild(stage8);


	//balloons:
	balloons = [];
	balloon_green = new createjs.Bitmap(images['8-balloon-green']);
	balloon_green.regX = balloon_green.image.width/2;
	balloon_green.regY = balloon_green.image.height/2;			
	balloon_green.x = 780; balloon_green.y = 204;
	world_current.addChild(balloon_green);

	balloon_yellow = new createjs.Bitmap(images['8-balloon-yellow']);
	balloon_yellow.regX = balloon_yellow.image.width/2;
	balloon_yellow.regY = balloon_yellow.image.height/2;		
	balloon_yellow.x = 782; balloon_yellow.y = 240;
	world_current.addChild(balloon_yellow);

	balloon_red = new createjs.Bitmap(images['8-balloon-red']);
	balloon_red.regX = balloon_red.image.width/2;
	balloon_red.regY = balloon_red.image.height/2;	
	balloon_red.x = 810; balloon_red.y = 222;
	world_current.addChild(balloon_red);

	balloon_blue = new createjs.Bitmap(images['8-balloon-blue']);
	balloon_blue.regX = balloon_blue.image.width/2;
	balloon_blue.regY = balloon_blue.image.height/2;
	balloon_blue.x = 824; balloon_blue.y = 248;
	world_current.addChild(balloon_blue);

	balloons.push(balloon_blue,balloon_red,balloon_yellow,balloon_green);

	truman8 = new createjs.Bitmap(images['8-truman']);
	truman8.x = 810; truman8.y = 256;
	world_current.addChild(truman8);

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('8_stage', ['estimate']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_8_stage);

}

//level specific functions:

//called once this level is fully slid into place
function begin_8_stage(){
	//**//**console.log("WORLD 2 BEGIN");
	
	playSound('8_stage');
	
}

function narrDone_8_stage(){
	for(var i=0;i<balloons.length;i++){
		dragBalloon(balloons[i]);
	}

}

function dragBalloon(obj, snapback){
	addShadow(obj);
	doPulse(obj);

	(function(target) {
		obj.onPress =  function(evt) {
			if(!_active) return;
			offsetX = target.x - evt.stageX;
			offsetY = target.y - evt.stageY;
			target.scaleX = target.scaleY = 1.02;

			////**//**console.log(evt.target + " pressed!");
			
			// bump the target in front of it's siblings:
			world_current.addChild(target);
			
			evt.onMouseMove = function(ev) {
				var newX=ev.stageX+offsetX;
				var newY=ev.stageY+offsetY;

				if(newX>target.image.width && newX<canvas.width-target.image.width/2)
				{
					//**console.log("within X bound")
					target.x = ev.stageX+offsetX;
				}
				if(newY>10 && newY<canvas.height-target.image.height-100)
				{
					target.y = ev.stageY+offsetY;
				}

					

				}

						
			evt.onMouseUp = function(ev){
				//**//**console.log(target + " released!");
				target.scaleX = target.scaleY = 1.0;
			}	
			
		}		
	})(obj);	
}
function tick_8_stage(){
	stage.update();
}



function end_8_stage(){
	//**//**console.log('end_8_stage');	
	
	createjs.Ticker.removeListener(ticker_world);
}

