function prep_9_magic(transition){
	//**//**console.log('function: prep_9_magic');
	world_current = worlds['9_magic'];
	
	ticker_world = (function(){
		tick_9_magic();
	});
	end_world = (function(){
		end_9_magic();
	});
	narrDone = (function(){
		narrDone_9_magic();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = "Parent tip: Ask your child what he or she would like to measure! Choose your unit of measurement, such as crayons or unsharpened pencils. Measure the length of the kitchen counter or your child's toy. How many units does it take? ";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:
	balloons1 = new createjs.Bitmap(images['9-balloons']);
	balloons2 = new createjs.Bitmap(images['9-balloons']);
	balloons1.x = 65; balloons1.y = 102;
	balloons2.x = 700; balloons2.y = 104;
	world_current.addChild(balloons1);
	world_current.addChild(balloons2);

	stage9 = new createjs.Bitmap(images['9-stage']);
	stage9.x = 136; stage9.y = 392;
	world_current.addChild(stage9);

	dogs9 = new createjs.Bitmap(images['9-dogs']);
	dogs9.x = 790; dogs9.y = 356;
	world_current.addChild(dogs9);

	box9 = new createjs.Bitmap(images['9-box']);
	box9.x = 585; box9.y = 333;
	world_current.addChild(box9);

	jeffybody = new createjs.Bitmap(images['9-jeffybody']);
	jeffybody.x = 222; jeffybody.y = 166;
	world_current.addChild(jeffybody);

	//jeffy heads:

	jeffy_none = new createjs.BitmapAnimation( spritesheets['9-jeffy-none'] );
	jeffy_none.gotoAndStop('up');
	jeffy_none.x = jeffybody.x + 118;
	jeffy_none.y = jeffybody.y - 105;
	world_current.addChild(jeffy_none);

	jeffy_dino = new createjs.BitmapAnimation( spritesheets['9-jeffy-dino'] );
	jeffy_pizza = new createjs.BitmapAnimation( spritesheets['9-jeffy-pizza'] );
	jeffy_photo = new createjs.BitmapAnimation( spritesheets['9-jeffy-photo'] );
	jeffy_maraca = new createjs.BitmapAnimation( spritesheets['9-jeffy-maraca'] );
	jeffy_shoe = new createjs.BitmapAnimation( spritesheets['9-jeffy-shoe'] );

	jeffyheads = [jeffy_dino,jeffy_pizza,jeffy_photo,jeffy_maraca,jeffy_shoe];
	randHeads = [];


	for (var i=0; i < jeffyheads.length;i++){
		jeffyheads[i].x = jeffy_none.x;
		jeffyheads[i].y = jeffy_none.y;
		jeffyheads[i].gotoAndStop('down');
		jeffyheads[i].visible = false;
		world_current.addChild(jeffyheads[i]);		
	}

	head_current = jeffy_none;
	head_next= {};

	//separate jeffy's partyhats spritesheet, goes ontop of all jeffy heads &  jeffybody
	partyhats = new createjs.BitmapAnimation( spritesheets['9-jeffy-partyhats'] );
	partyhats.gotoAndStop(0);	
	partyhats.x = jeffybody.x + 287;
	partyhats.y = jeffybody.y - 143;

	world_current.addChild(partyhats);

	//
	hat = new createjs.Bitmap(images['9-hat']);
	hat.regX = hat.image.width/2;
	hat.regY = hat.image.height/2;
	hat.scaleX = hat.scaleY =  1.1;
	hat.x = 607; hat.y = 238;
	world_current.addChild(hat);

	truman = new createjs.Bitmap(images['9-truman']);
	truman.x = 611; truman.y = 178;
	world_current.addChild(truman);

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('9_magic', ['huge']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_9_magic);

}

//level specific functions:
function narrDone_9_magic(){

	doPulse(hat);
	addShadow(hat);
	hat.onPress = jeffy_dipIN;
}

function jeffy_dipIN(e){
	hat.onPress = null;
	
	if(randHeads.length == 0){
		randHeads = jeffyheads.slice();	 // new 'deep copy' of jeffyheads
		shuffle(randHeads);
	}
	
	//head_next = jeffyheads[randomInt(0,jeffyheads.length-1)];
	head_next = randHeads.pop(); //pop last item in randHeads
	
	//head_current.onAnimationEnd = jeffy_dipOUT;
	head_current.onAnimationEnd = jeffy_dipDELAY;
	head_current.gotoAndPlay('dip-in');
	partyhats.gotoAndPlay('dip-in');

	if(!narrActive){
		stopSound();
		playSound('elephant_party');		
	}
	
}
function jeffy_dipDELAY(){
	setTimeout('jeffy_dipOUT()', 500);
}
function jeffy_dipOUT(){
	head_current.onAnimationEnd = null;
	head_current.visible = false;
	head_next.visible = true;
	head_next.onAnimationEnd = jeffy_dipDONE;
	head_next.gotoAndPlay('dip-out');
	partyhats.gotoAndPlay('dip-out');
}
function jeffy_dipDONE(){
	head_next.onAnimationEnd = null;

	head_current = head_next;

	hat.onPress = jeffy_dipIN;
}
//called once this level is fully slid into place
function begin_9_magic(){
	//**//**console.log("WORLD 2 BEGIN");
	
	playSound('9_magic');
	
}


function tick_9_magic(){
	stage.update();
}



function end_9_magic(){
	//**//**console.log('end_9_magic');	

	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page		

	createjs.Ticker.removeListener(ticker_world);
}

