//"How to Plan Your Elephant's Birthday Party" story-specific vars

var pagenames = [
	'0_cover',
	'1_intro',
	'2_trampoline',
	'3_hiding',
	'4_toobig',
	'5_guesscar',
	'6_trickbird',
	'7_wand',
	'8_stage',
	'9_magic',
	'glossary'
];

//define quiz_url as the page to switch to upon press of arrowGame on final page (glossary)
quiz_url = "elephantparty_game.html";

var glossary_definitions = []; //defined per storybook (storybook's js). used to store defintion words themselves, used with definitionText[] in Glossary

//for use with glossary:
glossary_definitions.push(
	['heavy', 'txt'],
	['huge', 'txt'],
	['exact', 'txt'],
	['compare', 'txt'],
	['approximate', 'txt'],
	['size', 'txt'],
	['equal', 'txt'],
	['check', 'txt'],
	['estimate', 'txt']
);


//box2d physics vars(can be modified in js per level):
var doPhysics  = true; //set false whenver you want physics ticker to not execute (such as false at page creation, true on narration done)
var frameRate, gravitationalConstant, gravityX, gravityY, pixelsPerMeter, forceMultiplier;
pixelsPerMeter = 30;
gravityX = 0;
gravityY = 0;
frameRate = FPS;
gravitationalConstant = 1.5;
forceMultiplier = 5;
//

//SOUNDS: path+filename of this storybook's multisound file (without extension)
var sndurl = 'sound/elephant_text';
quiz_url = "elephantparty_game.html";
/*
//functions below are called at certain points in the main storybook js (rtlstorybook.js)
1: makeSounds() -- call makeSound() and define defintions in definitionText[]
2: make_storymanifest() -- defines the differnet image files that preload.js will load 
3: story_spritesheets() -- called by main js (rtlstorybook.js)'s make_spritesheet's function to create storybook specific ss
*/

function makeSounds(){
	makeSound('empty', 6.2,6.3);
	
	//narration:	
	makeSound('0_cover', 173.671692, 177.194326);
	makeSound('1_intro', 0.269292, 5.9, ["If ", "you're ", "planning ", "a ", "birthday ", "party ", "for ", "your ", "elephant, ", "be ", "sure ", "to ", "do ", "things ", "an ", "elephant ", "will ", "like."], [0.269292, 0.451247, 0.625923, 0.949801, 1.084447, 1.459273, 1.79043, 1.994219, 2.154338, 3.158726, 3.373432, 3.668198, 3.861069, 4.09761, 4.323233, 4.479714, 4.894569, 5.149305]);
	makeSound('2_trampoline', 6.899705, 12.5, ["A ", "trampoline ", "party ", "might ", "be ", "a ", "bad ", "idea ", "because ", "elephants ", "are ", "so ", "heavy. "], [7.005239, 7.128967, 7.871341, 8.220693, 8.766556, 8.872089, 9.010374, 9.235998, 9.963815, 10.251302, 10.684354, 10.793526, 11.328472]);
	makeSound('3_hiding', 13.246269, 23.0, ["Playing ", "hide-and-seek ", "with ", "an ", "elephant ", "might ", "also ", "be ", "a ", "bad ", "idea ", "because ", "elephants ", "are ", "so ", "huge! ", "There's ", "no ", "place ", "big ", "enough ", "for ", "Jeffy ", "to ", "hide!"], [13.246269, 13.68296, 14.399859, 14.592731, 14.71646, 15.102203, 15.404247, 15.888245, 16.030169, 16.183011, 16.368604, 17.125534, 17.427578, 17.842434, 17.969802, 18.592085, 19.640142, 19.891238, 20.182365, 20.557191, 20.684559, 20.968408, 21.059385, 21.423293, 21.517909]);
	makeSound('4_toobig', 23.697721, 35.6, ["A ", "magic ", "show ", "might ", "be ", "fun ", "for ", "an ", "elephant's ", "birthday ", "party, ", "but ", "you ", "should ", "make ", "sure ", "your ", "elephant ", "will ", "fit ", "on ", "the ", "stage. ", "If ", "your ", "elephant ", "is ", "really ", "big,      ", "you ", "might ", "not ", "be ", "able ", "to ", "get ", "your ", "elephant's ", "exact ", "length."], [23.78142, 23.883315, 24.327283, 24.632966, 24.858589, 25.051461, 25.306197, 25.41173, 25.509986, 25.96851, 26.303306, 27.074792, 27.216717, 27.318611, 27.529678, 27.675241, 27.87903, 28.053706, 28.457645, 28.694185, 28.770606, 28.923447, 29.03262, 29.844136, 29.94603, 30.087955, 30.46278, 30.695682, 31.197876, 31.587258, 31.740099, 32.027587, 32.369661, 32.617119, 32.853659, 32.951914, 33.104756, 33.235763, 33.679731, 34.08367]);
	makeSound('5_guesscar',	35.95416, 51.8, ["But ", "don't ", "worry. ", "You ", "can ", "compare ", "your ", "elephant ", "to ", "other ", "things ", "and ", "approximate ", "how ", "big ", "he ", "is. ", "Compared ", "to ", "a ", "car, ", "Jeffy ", "is ", "twice ", "as ", "tall ", "and ", "almost ", "as ", "long! ", "But ", "there's ", "no ", "way ", "to ", "tell ", "if ", "a ", "car ", "will ", "fit ", "on ", "stage ", "either."], [35.975994, 36.139753, 36.369015, 37.216922, 37.427989, 37.591748, 38.057551, 38.232227, 38.701669, 38.807202, 39.101968, 39.65147, 39.884371, 40.699526, 40.968819, 41.165329, 41.354562, 42.657354, 43.15227, 43.341502, 43.417923, 44.316777, 44.666129, 44.880835, 45.21927, 45.372112, 46.008951, 46.118124, 46.576649, 46.765881, 47.752073, 47.893997, 48.12326, 48.39983, 48.567228, 48.68004, 48.818325, 48.967527, 49.073061, 49.43333, 49.662593, 49.775404, 49.997389, 50.375853]);
	makeSound('6_trickbird', 52.111697, 59.127853, ["Luckily, ", "you ", "can ", "get ", "an ", "exact ", "measurement ", "by ", "comparing ", "your ", "elephant ", "to ", "something ", "that's ", "a ", "smaller ", "size ", "- like ", "this ", "magic ", "wand!"], [52.191757, 52.719424, 52.890461, 53.057859, 53.170671, 53.287121, 53.752924, 54.324261, 54.498937, 54.968379, 55.092107, 55.52152, 55.594301, 56.041909, 56.151081, 56.220224, 56.645997, 57.664941, 57.908759, 58.138022, 58.571073]);
	makeSound('7_wand',	60.845501, 68.6, ["Our ", "elephant's ", "length ", "equals ", "exactly ", "ten ", "magic ", "wands. ", "Can ", "you ", "use ", "the ", "magic ", "wands ", "to ", "check ", "if ", "we ", "counted ", "right?"], [60.976508, 61.227605, 61.664295, 62.035482, 62.384834, 62.970726, 63.451086, 63.876859, 65.154177, 65.397996, 65.550838, 65.838325, 65.965693, 66.220429, 66.689871, 66.820878, 67.024667, 67.148396, 67.264847, 67.657868]);
	makeSound('8_stage', 70.07422, 80.350996, ["Look! ", "The ", "length ", "of ", "the ", "stage ", "is ", "a ", "lot ", "bigger ", "than ", "ten ", "magic ", "wands! ", "That ", "means ", "we ", "can ", "estimate ", "that ",  "our ", "elephant ", "will ", "fit ", "just ", "fine! ", "Time ", "to ", "decorate ", "for ", "the ", "party!"], [70.143363, 70.954879, 71.082247, 71.369735, 71.471629, 71.537133, 71.94471, 72.053883, 72.18489, 72.628858, 72.883594, 73.040075, 73.25842, 73.57502, 74.699497, 74.976068, 75.394563, 75.48554, 75.68205, 76.180605, 76.282499, 76.475371, 76.879309, 77.148602, 77.294165, 77.628961, 78.396808, 78.840776, 79.066399, 79.492172, 79.681405, 79.812412]);
	makeSound('9_magic', 82.12687, 89.463265, ["It ", "takes ", "a ", "lot ", "of ", "planning ", "to ", "have ", "a ", "party ", "for ", "an ", "elephant. ", "But ", "if ", "you ", "measure ", "carefully, ", "your ", "party ", "will ", "be ", "a ", "huge ", "hit!"], [82.196012, 82.345215, 82.578116, 82.676372, 82.952942, 83.105784, 83.531557, 83.589782, 83.720789, 83.804488, 84.157479, 84.310321, 84.43405, 85.354738, 85.485745, 85.678617, 85.813263, 86.155337, 86.748508, 87.159724, 87.600054, 87.763812, 87.869346, 88.01127, 88.775478]);

	//sfx:
	makeSound('elephant_wands',	179.975,	182.064796);
	makeSound('click_down',	182.369796,	182.735193);
	makeSound('click_up',	183.373796,	183.739193);
	makeSound('elephant_party',	184.181796,	186.845039);
	makeSound('magic_bird',	187.339796,	188.518458);
	makeSound('party_horn',	189.028796,	190.258524);
	//glossary sfx:
	makeSound('wordbones',	177.914865,	179.010229);
	makeSound('boing_bonk',	190.841796,	193.069823);

	//duplicating sound defintions for some instances of definitions appearing slightly altered in text
	makeSound('def_heavy', 92.054294, 96.450308);
		makeSound('def_heavy.', 92.054294, 96.450308);
	makeSound('def_huge', 97.061675, 102.680422);
		makeSound('def_huge!', 97.061675, 102.680422);
	makeSound('def_exact', 103.64114, 107.891591);
	makeSound('def_compare', 109.332669, 116.669064);
		makeSound('def_comparing', 109.332669, 116.669064);
	makeSound('def_approximate', 117.542445, 123.932678);
	makeSound('def_size', 125.723108, 129.900777);
	makeSound('def_equal', 130.977947, 153.190921);
		makeSound('def_equals', 130.977947, 153.190921);
	makeSound('defONLY_equal', 154.58833, 159.624823);
	makeSound('def_check', 161.284246, 165.942275);
	makeSound('def_estimate', 167.223233, 172.055938);

	//definitions go into definitionText array (need to put word verbatim from phrase's text array above, including punctuation/space if necessary)

	definitionText['heavy'] = definitionText['heavy.'] = "When something is heavy, that means it weighs a lot.";
	definitionText['huge'] = definitionText['huge!'] = "When something is huge that means \nit is really, really big.";
	definitionText['exact'] = "When something is exact, it means it is just right.";
	definitionText['compare'] = definitionText['comparing'] =  "When you compare things, you think about how those things are the same, alike, or different from each other.";
	definitionText['approximate'] = "When you approximate, it means you make a guess about something using what you already know about it.";
	definitionText['size'] = "Size means how big or small something is.";
	definitionText['equal'] = definitionText['equals'] =  "When two things are equal, it means they are the same in a certain way.";
	definitionText['check'] = "When you check something, it means you make sure that it's right.";
	definitionText['estimate'] = "When you estimate, it means you make a careful guess.";

}


//story_manifest: unique for each storybook:
function make_storymanifest(){
	//image assets:
	//for preloader, each storybook's image assets should be defined here
	//id is used within images array to reference images:  images['i_pops']
	story_manifest = [
		
		//cover image:
		{src:imgPath+"img/covers/elephantparty.jpg", id:"cover_story"},
		//background image;
		{src:imgPath+"img/bg/bg_red.jpg", id:"bg_story"},

		//1_intro:
		{src:imgPath+"img/elephantparty_story/1_intro/1-martha.png", id:"martha1"},
		{src:imgPath+"img/elephantparty_story/1_intro/1-jeffy.png", id:"jeffy1"},
		{src:imgPath+"img/elephantparty_story/1_intro/1-balloon-blue.png", id:"balloon_blue"},
		{src:imgPath+"img/elephantparty_story/1_intro/1-balloon-yellow.png", id:"balloon_yellow"},
		{src:imgPath+"img/elephantparty_story/1_intro/1-balloon-red.png", id:"balloon_red"},
		{src:imgPath+"img/elephantparty_story/1_intro/1-balloon-green.png", id:"balloon_green"},

		//2_trampoline:
		{src:imgPath+"img/elephantparty_story/2_trampoline/2-jeffy-trampoline.png", id:"2-jeffy-trampoline"},

		//3_hiding:
		{src:imgPath+"img/elephantparty_story/3_hiding/3-jeffy.png", id:"3-jeffy"},
		{src:imgPath+"img/elephantparty_story/3_hiding/3-lawnmower.png", id:"3-lawnmower"},
		{src:imgPath+"img/elephantparty_story/3_hiding/3-table.png", id:"3-table"},
		{src:imgPath+"img/elephantparty_story/3_hiding/3-tree-shrub.png", id:"3-tree-shrub"},

		//4_toobig:
		{src:imgPath+"img/elephantparty_story/4_toobig/4-jeffy.png", id:"4-jeffy"},
		{src:imgPath+"img/elephantparty_story/4_toobig/4-truman.png", id:"4-truman"},

		//5_guesscar:
		{src:imgPath+"img/elephantparty_story/5_guesscar/5-jeffy.png", id:"5-jeffy"},
		{src:imgPath+"img/elephantparty_story/5_guesscar/5-car.png", id:"5-car"},

		//6_trickbird:
		{src:imgPath+"img/elephantparty_story/6_trickbird/6-jeffy.png", id:"6-jeffy"},
		{src:imgPath+"img/elephantparty_story/6_trickbird/truman_nobird.png", id:"6-truman"},
		{src:imgPath+"img/elephantparty_story/6_trickbird/6-truman-start.png", id:"6-truman-start"},
		{src:imgPath+"img/elephantparty_story/6_trickbird/justbird.png", id:"6-bird"},

		//7_wand:
		{src:imgPath+"img/elephantparty_story/7_wand/7-jeffy.png", id:"7-jeffy"},
		{src:imgPath+"img/elephantparty_story/7_wand/7-truman.png", id:"7-truman"},
		{src:imgPath+"img/elephantparty_story/7_wand/7-wand.png", id:"7-wand"},
		{src:imgPath+"img/elephantparty_story/7_wand/7-container.png", id:"7-container"},

		//8_stage:
		{src:imgPath+"img/elephantparty_story/8_stage/8-stage.png", id:"8-stage"},
		{src:imgPath+"img/elephantparty_story/8_stage/8-tree.png", id:"8-tree"},
		{src:imgPath+"img/elephantparty_story/8_stage/8-truman.png", id:"8-truman"},
		{src:imgPath+"img/elephantparty_story/8_stage/8-balloon-blue.png", id:"8-balloon-blue"},
		{src:imgPath+"img/elephantparty_story/8_stage/8-balloon-green.png", id:"8-balloon-green"},
		{src:imgPath+"img/elephantparty_story/8_stage/8-balloon-red.png", id:"8-balloon-red"},
		{src:imgPath+"img/elephantparty_story/8_stage/8-balloon-yellow.png", id:"8-balloon-yellow"},

		//9_magic:
		{src:imgPath+"img/elephantparty_story/9_magic/9-jeffybody.png", id:"9-jeffybody"},
		{src:imgPath+"img/elephantparty_story/9_magic/9-truman.png", id:"9-truman"},
		{src:imgPath+"img/elephantparty_story/9_magic/9-hat.png", id:"9-hat"},
		{src:imgPath+"img/elephantparty_story/9_magic/9-stage.png", id:"9-stage"},
		{src:imgPath+"img/elephantparty_story/9_magic/9-box.png", id:"9-box"},
		{src:imgPath+"img/elephantparty_story/9_magic/9-dogs.png", id:"9-dogs"},
		{src:imgPath+"img/elephantparty_story/9_magic/9-balloons.png", id:"9-balloons"},

		{src:imgPath+"img/elephantparty_story/9_magic/9-jeffy-none.png", id:"9-jeffy-none"},
		{src:imgPath+"img/elephantparty_story/9_magic/9-jeffy-dino.png", id:"9-jeffy-dino"},
		{src:imgPath+"img/elephantparty_story/9_magic/9-jeffy-pizza.png", id:"9-jeffy-pizza"},
		{src:imgPath+"img/elephantparty_story/9_magic/9-jeffy-photo.png", id:"9-jeffy-photo"},
		{src:imgPath+"img/elephantparty_story/9_magic/9-jeffy-shoe.png", id:"9-jeffy-shoe"},
		{src:imgPath+"img/elephantparty_story/9_magic/9-jeffy-maraca.png", id:"9-jeffy-maraca"},
		{src:imgPath+"img/elephantparty_story/9_magic/9-justhats.png", id:"9-jeffy-partyhats"},

		//for glossary (common assets for every use):
		{src:imgPath+"img/glossary/wordbone.png", id:"glossary-wordbone"},	
		//{src:imgPath+"img/glossary/martha_only.png", id:"glossary-martha"},
		{src:imgPath+"img/glossary/martha_only.png", id:"glossary-martha"},	
		{src:imgPath+"img/glossary/board_only.png", id:"glossary-board"},{src:imgPath+"img/glossary/glossary_title.png", id:"glossary-title"},	
		{src:imgPath+"img/glossary/bowl_only.png", id:"glossary-bowl"},	
		{src:imgPath+"img/glossary/splash_only.png", id:"glossary-splash"},			
		{src:imgPath+"img/glossary/cloud_defonly.png", id:"glossary-txtcloud"},
		{src:imgPath+"img/glossary/cloud_defandimage.png", id:"glossary-imgcloud"},

		//quiz-glossary img assets specific to this story:
		//{src:imgPath+"img/measureup_story/quiz_glossary/scale.png", id:"scales"},

	];

}

//each storybook should have its spritesheets created in this function
function story_spritesheets(){

	//6_trickbird:
	spritesheets['6-bird'] = new createjs.SpriteSheet({
		"frames": [[257, 0, 93, 56, 0, -1, -13], [350, 0, 96, 54, 0, -2, -11], [102, 109, 99, 47, 0, -3, -10], [383, 57, 103, 49, 0, -3, -8], [93, 57, 96, 51, 0, -7, -6], [0, 57, 93, 52, 0, -7, -5], [174, 0, 83, 56, 0, -8, -1], [91, 0, 83, 56, 0, -7, -1], [0, 0, 91, 57, 0, -6, 0], [289, 57, 94, 50, 0, -5, -7], [201, 109, 98, 47, 0, -3, -10], [299, 109, 98, 46, 0, -3, -11], [0, 109, 102, 47, 0, -1, -13], [189, 57, 100, 51, 0, -1, -13]],
	    "animations": {
	    	"all": {"frames": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], "frequency": 4}
	    },
		"images": [images['6-bird']]
	});	


	spritesheets['6-truman'] = new createjs.SpriteSheet({    
	    "frames": [
	        [2, 2, 131, 272, 0, -21, -2],
	        [1463, 2, 119, 262, 0, -28, -6],
	        [285, 278, 127, 262, 0, -20, -6],
	        [1170, 2, 145, 263, 0, -3, -5],
	        [416, 278, 146, 262, 0, -3, -6],
	        [151, 278, 130, 262, 0, -17, -6],
	        [1716, 2, 119, 262, 0, -28, -6],
	        [1586, 2, 126, 262, 0, -21, -6],
	        [1839, 2, 145, 262, 0, -3, -6],
	        [2, 278, 145, 262, 0, -4, -6],
	        [566, 278, 131, 261, 0, -16, -7],
	        [800, 278, 117, 259, 0, -28, -9],
	        [1175, 278, 105, 256, 0, -55, -12],
	        [701, 278, 95, 260, 0, -63, -8],
	        [921, 278, 109, 259, 0, -55, -9],
	        [1034, 278, 137, 258, 0, -47, -10],
	        [1319, 2, 140, 262, 0, -54, -6],
	        [869, 2, 140, 263, 0, -59, -5],
	        [1013, 2, 153, 263, 0, -51, -5],
	        [574, 2, 146, 263, 0, -54, -5],
	        [427, 2, 143, 263, 0, -55, -5],
	        [282, 2, 141, 263, 0, -56, -5],
	        [137, 2, 141, 263, 0, -56, -5],
	        [724, 2, 141, 263, 0, -56, -5]
    	],
		"animations": {
			"before": {"frames": [0], "next": false}, 
			"begin": {"frames": [1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 12, 12, 13, 13, 14, 14, 15, 15, 16, 16], "next": false, "frequency": 3}, 
			"bird": {"frames": [17, 17, 18, 18, 19, 19,20, 20, 21, 21, 22, 22, 23, 23, 23, 23, 23, 23, 23, 23, 23, 23, 23, 23, 23, 23, 23, 23], "next": false, "frequency": 3},
			/*"begin": {"frames": [1, 2, 2, 3, 3, 4, 4, 5, 5, 1, 1, 6, 6, 3, 3, 3, 3, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 12, 12, 13, 13], "next": false, "frequency": 3}, 
			"bird": {"frames": [14, 14, 15, 15, 16, 16, 17, 17, 18, 18, 18, 17, 16], "next": false, "frequency": 3}, */		
			"after": {"frames": [23], "next": false}
		},    
		"images": [images['6-truman']]
	});	

	//9_magic:
	spritesheets['9-jeffy-none'] = new createjs.SpriteSheet({    
		"frames": [[0, 164, 273, 154, 0, -1, -23], [0, 318, 301, 152, 0, 0, -28], [0, 0, 274, 164, 0, -6, -28]], 
		"animations": {
			"dip-in": {"frames": [0,1,2], "frequency": 6, "next": false},
			"dip-out": {"frames": [2,1,0], "frequency": 6, "next": false}
			,"mid": {"frames": [1]}, "down": {"frames": [2]}, "up": {"frames": [0]}
		}, 
		"images": [images['9-jeffy-none']]
	});

	spritesheets['9-jeffy-dino'] = new createjs.SpriteSheet({    
		"frames": [[2, 2, 273, 171, 0, -1, -6], [557, 2, 301, 152, 0, 0, -28], [279, 2, 274, 164, 0, -6, -28]], 
		"animations": {
			"dip-in": {"frames": [0,1,2], "frequency": 6, "next": false},
			"dip-out": {"frames": [2,1,0], "frequency": 6, "next": false}
			,"mid": {"frames": [1]}, "down": {"frames": [2]}, "up": {"frames": [0]}
		}, 
		"images": [images['9-jeffy-dino']]
	});

	spritesheets['9-jeffy-pizza'] = new createjs.SpriteSheet({    
		"frames": [[2, 2, 283, 175, 0, 0, -2], [567, 2, 316, 152, 0, 0, -28], [289, 2, 274, 164, 0, -6, -28]], 		
		"animations": {
			"dip-in": {"frames": [0,1,2], "frequency": 6, "next": false},
			"dip-out": {"frames": [2,1,0], "frequency": 6, "next": false}
			,"mid": {"frames": [1]}, "down": {"frames": [2]}, "up": {"frames": [0]}
		}, 
		"images": [images['9-jeffy-pizza']]
	});

	spritesheets['9-jeffy-photo'] = new createjs.SpriteSheet({    
		"frames": [[2, 2, 274, 177, 0, 0, 0], [559, 2, 304, 152, 0, 0, -28], [280, 2, 275, 164, 0, -5, -28]],
		"animations": {
			"dip-in": {"frames": [0,1,2], "frequency": 6, "next": false},
			"dip-out": {"frames": [2,1,0], "frequency": 6, "next": false}
			,"mid": {"frames": [1]}, "down": {"frames": [2]}, "up": {"frames": [0]}
		}, 
		"images": [images['9-jeffy-photo']]
	});

	spritesheets['9-jeffy-shoe'] = new createjs.SpriteSheet({    
		"frames": [[2, 2, 274, 173, 0, 0, -4], [558, 2, 301, 152, 0, 0, -28], [280, 2, 274, 164, 0, -6, -28]],
		"animations": {
			"dip-in": {"frames": [0,1,2], "frequency": 6, "next": false},
			"dip-out": {"frames": [2,1,0], "frequency": 6, "next": false}
			,"mid": {"frames": [1]}, "down": {"frames": [2]}, "up": {"frames": [0]}
		}, 
		"images": [images['9-jeffy-shoe']]
	});

	spritesheets['9-jeffy-maraca'] = new createjs.SpriteSheet({    
		"frames": [[2, 2, 283, 170, 0, 0, -7], [567, 2, 312, 152, 0, 0, -28], [289, 2, 274, 164, 0, -6, -28]],
		"animations": {
			"dip-in": {"frames": [0,1,2], "frequency": 6, "next": false},
			"dip-out": {"frames": [2,1,0], "frequency": 6, "next": false}
			,"mid": {"frames": [1]}, "down": {"frames": [2]}, "up": {"frames": [0]}
		}, 
		"images": [images['9-jeffy-maraca']]
	});

	spritesheets['9-jeffy-partyhats'] = new createjs.SpriteSheet({    
		"frames": [[0, 0, 128, 128, 0, 128, 0], [128, 0, 128, 128, 0, 128, 0]], 
		"animations": {
			"dip-in": {"frames": [0, 0, 1], "frequency": 6, "next": false},
			"dip-out": {"frames": [1,0,0], "frequency": 6, "next": false} 
		}, 
		"images": [images['9-jeffy-partyhats']]
	});

	//glossary:
	spritesheets['glossary-martha'] = new createjs.SpriteSheet({
	    "frames": [
	        [1037, 2, 259, 217, 0, -20, -114],
	        [538, 2, 248, 227, 0, -37, -128],
	        [288, 2, 246, 229, 0, -38, -118],
	        [790, 2, 243, 220, 0, -38, -121],
	        [1755, 450, 252, 196, 0, -30, -137],
	        [2, 2, 282, 237, 0, -4, -86],
	        [577, 656, 280, 157, 0, -149, -105],
	        [861, 656, 281, 157, 0, -183, -67],
	        [2, 656, 284, 190, 0, -208, -20],
	        [290, 656, 283, 189, 0, -228, -15],
	        [1463, 450, 288, 196, 0, -237, -10],
	        [1171, 450, 288, 196, 0, -244, -9],
	        [877, 450, 290, 200, 0, -247, -7],
	        [582, 450, 291, 200, 0, -249, -7],
	        [869, 243, 289, 203, 0, -252, -8],
	        [578, 243, 287, 203, 0, -255, -10],
	        [291, 450, 287, 202, 0, -257, -18],
	        [1742, 243, 286, 203, 0, -262, -30],
	        [1452, 243, 286, 203, 0, -268, -48],
	        [1162, 243, 286, 203, 0, -276, -73],
	        [2, 450, 285, 202, 0, -287, -107],
	        [290, 243, 284, 203, 0, -302, -152],
	        [2, 243, 284, 203, 0, -322, -215],
	        [1300, 2, 276, 204, 0, -356, -310],
	        [1580, 2, 275, 204, 0, -416, -495]
	    ],
	    "animations": {"all": {"frames": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24], "next": false, "frequency": 3}},		
		"images": [images['glossary-martha']]
	});

	spritesheets['glossary-board'] = new createjs.SpriteSheet({
	    "frames": [[2, 209, 384, 69, 0, 0, -14], [2, 2, 387, 110, 0, 0, -2], [393, 2, 386, 99, 0, 0, -5], [2, 116, 386, 89, 0, 0, -8], [392, 116, 386, 79, 0, 0, -11], [580, 209, 304, 69, 0, 0, -14], [783, 2, 237, 69, 0, 0, -14], [390, 209, 186, 69, 0, 0, -14], [2, 282, 149, 68, 0, 0, -14], [782, 116, 127, 68, 0, 0, -14], [888, 209, 120, 68, 0, 0, -14]],
	    "animations": {"all": {"frames": [0, 1, 2, 3, 4, 0, 0, 0, 0, 5, 6, 7, 8, 9, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10], "next": false, "frequency": 3}},
		"images": [images['glossary-board']]
	});

	spritesheets['glossary-bowl'] = new createjs.SpriteSheet({	
		"frames": [[0, 0, 629, 170, 0, 0, -1], [0, 170, 629, 166, 0, 0, -1]], 
		"animations": {"all": {"frames": [0, 1]}
		},
		"images": [images['glossary-bowl']]		
	});

	spritesheets['glossary-splash'] = new createjs.SpriteSheet({	
		"frames": [[1808, 0, 1, 1, 0, 0, 0], [451, 578, 422, 186, 0, -45, -134], [0, 578, 451, 230, 0, -30, -78], [0, 0, 543, 297, 0, 0, -4], [543, 0, 594, 295, 0, 0, 0], [1402, 297, 637, 262, 0, 0, -21], [1137, 0, 671, 282, 0, 0, 0], [0, 297, 694, 281, 0, 0, 0], [694, 297, 708, 280, 0, 0, 0]], 
		"animations": {
			"bowl_idle": {"frames": [0]}, 
			"bowl_splash": {"frames": [1, 2, 3, 4, 5, 6, 7, 8], "frequency": 4, "next": false}, 
		},			
		"images": [images['glossary-splash']]		
	});

	//**//**console.log('all spritesheet objects created');		
}