function prep_2_gettingtothegame(transition){
	//**//**console.log('function: prep_2_gettingtothegame');
	world_current = worlds['2_gettingtothegame'];
	
	ticker_world = (function(){
		tick_2_gettingtothegame();
	});
	end_world = (function(){
		end_2_gettingtothegame();
	});
	narrDone = (function(){
		narrDone_2_gettingtothegame();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = "Parent tip: Talk about different types of transportation. Ask your child to predict which ones will be in this book. As you read, check to see if any are mentioned. To learn new words, children need to hear them a lot. Use the word \"transportation\" as often as you can when you are out and about. ";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:

	streetbg = new createjs.Bitmap(images['2_street']);
	streetbg.x = 0;
	streetbg.y = 300;
	world_current.addChild(streetbg);

	aliceruns2 = new createjs.BitmapAnimation( spritesheets['aliceruns'] );
	aliceruns2.gotoAndPlay('run');
	aliceruns2.scaleX = aliceruns2.scaleY = 0.45;
	aliceruns2.x = 580;
	aliceruns2.startX = aliceruns2.x;
	aliceruns2.endX = 1250;
	aliceruns2.y = 136;
	world_current.addChild(aliceruns2);


	busbodyOutlined = new createjs.Bitmap(images['busbody_outlined']);
	busbodyOutlined.regX = busbodyOutlined.image.width/2;
	busbodyOutlined.regY = busbodyOutlined.image.height/2;
	busbodyOutlined.x = 376;
	busbodyOutlined.y = 355;
	world_current.addChild(busbodyOutlined);

	//##to add: entire container that holds all bus parts. scale it to 200%
	busContainer = new createjs.Container();
	//busContainer.scaleX = busContainer.scaleY = 2.0; //**bus assets saved at 50% size, so entire bus is being scaled to 2.0
	busContainer.x = -973;
	busContainer.startX = busContainer.x;
	busContainer.endX = busContainer.startX + 2000;
	busContainer.leftX = busContainer.startX -1000;
	busContainer.y = 70;
	world_current.addChild(busContainer);
	busContainer.visible = false;

	busbody = new createjs.Bitmap(images['busbody']);
	busbody.scaleX = busbody.scaleY = 0.92;
	busContainer.addChild(busbody);

	buswheel1 = new createjs.Bitmap(images['buswheel']);
	buswheel1.regX = buswheel1.image.width/2;
	buswheel1.regY = buswheel1.image.height/2;
	buswheel1.scaleX = buswheel1.scaleY = 2.0;
	buswheel1.x = 376;
	buswheel1.y = 422 + buswheel1.regY;
	busContainer.addChild(buswheel1);

	buswheel2 = buswheel1.clone();
	buswheel2.x = 1322;	
	busContainer.addChild(buswheel2);

	buswheelspeed = 0; //change to something when animating


	busfront_open = new createjs.Bitmap(images['busfront_open']);
	busfront_open.x = 490;
	busfront_open.y = 108;
	busfront_open.visible = false;
	world_current.addChild(busfront_open);

	busfront_closed = new createjs.Bitmap(images['busfront_closed']);
	busfront_closed.x = 490;
	busfront_closed.y = 108;
	busfront_closed.visible = false;
	world_current.addChild(busfront_closed);

	//


	busdoor = new createjs.BitmapAnimation( spritesheets['busdoor'] );	
	busdoor.scaleX = 2.2;
	busdoor.scaleY = 2.0;
	busdoor.x = 780;
	busdoor.y = 112;
	busdoor.gotoAndStop(4);
	busdoor.visible = false;
	world_current.addChild(busdoor);

	signpost2 = new createjs.Bitmap(images['2_signpost']);
	signpost2.x = 200;
	signpost2.y = 36;
	world_current.addChild(signpost2);

	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('2_gettingtothegame', ['transportation']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_2_gettingtothegame);

}

//level specific functions:

//called once this level is fully slid into place
function begin_2_gettingtothegame(){
	//**//**console.log("WORLD 1 BEGIN");

	playSound('2_gettingtothegame');
	
}

function narrDone_2_gettingtothegame(){
	
	doPulse(busbodyOutlined);
	addShadow(busbodyOutlined);
	busbodyOutlined.onPress = busCloseDoor;
}

function busCloseDoor(e){
	
	busbodyOutlined.visible = false;
	busContainer.visible = true;
	busfront_open.visible = true;
	busdoor.visible = true;
	
	busdoor.onAnimationEnd = busToMove;
	busdoor.gotoAndPlay('close');	
}

function busToMove(){
	busdoor.visible = false;
	busfront_open.visible = false;

	
	buswheelspeed = -5;

	busdoor.onAnimationEnd = null;

	busbodyOutlined.visible = false;
	busContainer.visible = true;

	if(!narrActive) playSound('bus_leaving');
	
	createjs.Tween.get(busContainer, {loop:false})	
		//.to({x: busContainer.x-180}, 500, createjs.Ease.linear)
		.call(function(){
			buswheelspeed = 5;
			aliceChases();
		})
		.to({x: busContainer.endX}, 3000, createjs.Ease.circIn)
		.wait(200)
		.call(function(){
			busContainer.x = busContainer.leftX;
			//busReturn();
		});
}

function aliceChases(){
	createjs.Tween.get(aliceruns2, {loop:false})	
	.wait(2700)
		.to({x: aliceruns2.endX}, 2000, createjs.Ease.linear)
		.call(busReturn);
}
function busReturn(){

	createjs.Tween.get(busContainer, {loop:false})	
		.to({x: busContainer.startX}, 2000, createjs.Ease.linear)
		.call(function(){
				busdoor.visible = true;
				
				busfront_open.visible = true;

				busdoor.onAnimationEnd = busActive;
				busdoor.gotoAndPlay('open');				
		});

}

function busActive(){
	busdoor.onAnimationEnd = null;

	busfront_open.visible = false;
	busdoor.visible = true;

				busbodyOutlined.visible = true;
				busContainer.visible = false;

	buswheelspeed = 0;
	aliceruns2.x = aliceruns2.startX;

	//world_current.addChild(busbodyOutlined);
}

function tick_2_gettingtothegame(){
	stage.update();
	
	//buswheel rotation depends on value of buswheelspeed
	buswheel1.rotation += buswheelspeed;
	buswheel2.rotation += buswheelspeed;
}



function end_2_gettingtothegame(){
	//**//**console.log('end_2_gettingtothegame');	
	createjs.Tween.removeTweens(busContainer);
	createjs.Tween.removeTweens(aliceruns2);

	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

