function prep_3_gettingtothegame(transition){
	//**//**console.log('function: prep_3_gettingtothegame');
	world_current = worlds['3_gettingtothegame'];
	
	ticker_world = (function(){
		tick_3_gettingtothegame();
	});
	end_world = (function(){
		end_3_gettingtothegame();
	});
	narrDone = (function(){
		narrDone_3_gettingtothegame();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = "Parent tip: Talk about what a shortcut is and why people use them. Do you ever take shortcuts to walk to school or the store? After you have finished reading, help your child draw a map or diagram of a shortcut you use when you travel together. ";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:
	garagebg = new createjs.Bitmap(images['3_bg']);
	garagebg.x = 20;
	garagebg.y = 48;
	world_current.addChild(garagebg);

	garagechicken = new createjs.BitmapAnimation( spritesheets['3_chicken'] );
	garagechicken.gotoAndPlay('all');
	garagechicken.regX = -200;
	garagechicken.scaleX *= -1;
	garagechicken.x = 950;
	garagechicken.rightX = garagechicken.x;
	garagechicken.leftX = 120;
	garagechicken.y = 315;
	world_current.addChild(garagechicken);

	_garagechicken = false; //made true in chickenwalk(). once true, return from function

	//dogs behind glass:
	garagedogs1 = new createjs.Bitmap(images['3_dogs1']);
	garagedogs1.x = 90;
	garagedogs1.y = 20;
	garagedogs1.visible = false;
	world_current.addChild(garagedogs1);
	garagedogs2 = new createjs.Bitmap(images['3_dogs2']);
	garagedogs2.x = 90;
	garagedogs2.y = 20;
	garagedogs2.visible = false;
	world_current.addChild(garagedogs2);
	garagedogs3 = new createjs.Bitmap(images['3_dogs3']);
	garagedogs3.x = 90;
	garagedogs3.y = 20;
	garagedogs3.visible = false;
	world_current.addChild(garagedogs3);

	currentdogs = {}; //number that keeps track of which garagedogs# is visible, to prevent repeats
	showhidedogs(randomInt(1,3)); //at this point, any random dog is fine. next time showhidedogs is called, prevent repeat


	//** garagecontainer holds the windowpanes and garagedoor. tween garagecontainer and they all slide up and down together
	garagecontainer = new createjs.Container();
	garagecontainer.startY = 0;
	garagecontainer.midY = -300;
	garagecontainer.endY = -550;
	world_current.addChild(garagecontainer);

	//windowglass panes:
	pane1 = new createjs.Bitmap(images['3_glass']);
	pane1.x = 90;
	pane1.y = 25;
	pane1.alpha = 0.4;
	garagecontainer.addChild(pane1);

	pane2 = pane1.clone();
	pane2.x = pane1.x + 176;
	garagecontainer.addChild(pane2);

	pane3 = pane2.clone();
	pane3.x = pane2.x + 176;
	garagecontainer.addChild(pane3);

	pane4 = pane3.clone();
	pane4.x = pane3.x + 176;
	garagecontainer.addChild(pane4);

	pane5 = pane4.clone();
	pane5.x = pane4.x + 176;
	garagecontainer.addChild(pane5);

	//garage door slides up and down
	garagedoor = new createjs.Bitmap(images['3_garage']);
	garagedoor.x = 0;
	garagedoor.y = 20;
	garagecontainer.addChild(garagedoor);

	alice3 = new createjs.Bitmap(images['3_alice']);
	alice3.scaleX = alice3.scaleY = 1;
	alice3.x = 70;
	alice3.y = 90;
	world_current.addChild(alice3);

	garageremote = new createjs.BitmapAnimation( spritesheets['3_remote'] );
	garageremote.gotoAndStop(0);
	garageremote.scaleX = garageremote.scaleY = 1.2;
	garageremote.x = 688;
	garageremote.y = 345;
	world_current.addChild(garageremote);

	_garage = false; //(true = door is ready to slide up, false = door ready to slide back down)
	_garageAllow = true; //false aborts on the garageremote press fnction. made false on first tween, made true on tween from mid to destination
	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('3_gettingtothegame', ['travel.']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_3_gettingtothegame);

}

//level specific functions:

//showhidedogs: if passed nothing, all dog arrangements hidden. if passed 1,2,3-- that garagedogs# is made visible
function showhidedogs(i){

	garagedogs1.visible = false;
	garagedogs2.visible = false;
	garagedogs3.visible = false;

	//if random num is same as the previously shown dog, pick a different one
	if(i == currentdogs){
		var garagedogs = [1,2,3];		
		garagedogs.remove(garagedogs.indexOf(i));
		shuffle(garagedogs);
		i = garagedogs[0];
	}	
	
	switch(i){
		case 1: garagedogs1.visible = true; break;
		case 2: garagedogs2.visible = true; break;
		case 3: garagedogs3.visible = true; break;
	}

	//save currentdogs
	if(i) currentdogs = i;
}
function remotePressed(e){
	if(!_garageAllow) return;

	garageremote.gotoAndStop(1);
	createjs.Tween.removeTweens(garagecontainer);
	
	_garage = !_garage;

	_garageAllow = false;

	if(_garage){
		createjs.Tween.get(garagecontainer, {loop:false})	
	     .to({y: garagecontainer.midY}, 500, createjs.Ease.linear)
	     .call(function(){
	     	showhidedogs();
	     	_garageAllow = true;
	     })
	     .to({y: garagecontainer.endY}, 500, createjs.Ease.linear)
	     .call(
			function(){
				////**console.log('should play chicken_cluck');
     			if(!narrActive) playSound('chicken_cluck');
	     });
	} 
	else{
		createjs.Tween.get(garagecontainer, {loop:false})	
	     .to({y: garagecontainer.midY}, 500, createjs.Ease.linear)
	     .call(function(){
	     	showhidedogs(randomInt(1,3));
	     	_garageAllow = true;
	     })
	     .to({y: garagecontainer.startY}, 500, createjs.Ease.linear)
	     .call(
			function(){
				if(!narrActive) stopSound();    		
	     });	     
	}

     e.onMouseUp = function(ev){
     	garageremote.gotoAndStop(0);
     }
}


function chickenwalk(){
	if(_garagechicken) return;
	_garagechicken = true; //ensures function only runs once entire time page on screen

	var chickenX = {};
	if(garagechicken.x == garagechicken.rightX){
		chickenX = garagechicken.leftX;	
	} 
	if(garagechicken.x == garagechicken.leftX){
		chickenX = garagechicken.rightX;	
	} 

	garagechicken.scaleX *= -1;

	createjs.Tween.get(garagechicken, {loop:false})	
		.to({x: chickenX}, 4000, createjs.Ease.linear)
		.call(chickenwalk2);
}
function chickenwalk2(){
	var chickenX = {};
	if(garagechicken.x == garagechicken.rightX){
		chickenX = garagechicken.leftX;	
	} 
	if(garagechicken.x == garagechicken.leftX){
		chickenX = garagechicken.rightX;	
	} 

	garagechicken.scaleX *= -1;

	createjs.Tween.get(garagechicken, {loop:false})	
		.to({x: chickenX}, 4000, createjs.Ease.linear)
		.call(chickenwalk2);	
}
//called once this level is fully slid into place
function begin_3_gettingtothegame(){
	//**//**console.log("WORLD 1 BEGIN");
	
	playSound('3_gettingtothegame');
	
	//this should only ever be called once. even if begin_funct. is called again to replay sound
	//calling this repeatedly makes chicken glitchy...
	chickenwalk();
}

function narrDone_3_gettingtothegame(){
	addShadow(garageremote);
	doPulse(garageremote);

	garageremote.onPress = remotePressed;
}

function slide_garagedoor_up(){
	createjs.Tween.removeTweens(garagedoor);

	createjs.Tween.get(garagedoor, {loop:false})	
     .to({y: garagedoor.endY}, 1000, createjs.Ease.linear);

}

function slide_garagedoor_down(){
	createjs.Tween.get(garagedoor, {loop:false})	
	 .to({y: garagedoor.startY}, 600, createjs.Ease.linear);	
}


function tick_3_gettingtothegame(){
	stage.update();
}



function end_3_gettingtothegame(){
	//**//**console.log('end_3_gettingtothegame');	
	createjs.Tween.removeTweens(garagecontainer);
	createjs.Tween.removeTweens(garagechicken);

	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

