function prep_6_gettingtothegame(transition){
	//**//**console.log('function: prep_6_gettingtothegame');
	world_current = worlds['6_gettingtothegame'];
	
	ticker_world = (function(){
		tick_6_gettingtothegame();
	});
	end_world = (function(){
		end_6_gettingtothegame();
	});
	narrDone = (function(){
		narrDone_6_gettingtothegame();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	teachertiptext.text = '';

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:

	//** FOR TREES: change the .vX value across the different drag states to change the speed of travel
	
	tree6A = new createjs.Bitmap(images['6_tree2']);
	tree6A.x = 20;
	tree6A.y = 22;
		tree6A.startX = tree6A.x;
		tree6A.leftX = -440;
		tree6A.rightX = 1200;
		tree6A.vX = 2; // (pixels per second-- used to calculate varying travelTime relative to distance for a consistent speed
		tree6A.travelTime = 0; //travel time in ms, calculated with each tween to make the 'peed consist'

	tree6B = new createjs.Bitmap(images['6_tree1']);
	tree6B.x = 520;
	tree6B.y = 22;
		tree6B.startX = tree6A.x;
		tree6B.leftX = -440;
		tree6B.rightX = 1200;	
		tree6B.vX = 2; // (pixels per second-- used to calculate varying travelTime relative to distance for a consistent speed
		tree6B.travelTime = 0; //travel time in ms, calculated with each tween to make the 'peed consist'	

	//busContainer is what needs to move like the trees. all other parts are its children, stay in place
	busContainer = new createjs.Container();
	busContainer.x = 540;
	busContainer.y = 120;
		busContainer.startX = busContainer.x;
		busContainer.rightX = -440;
		busContainer.leftX = 1200;
		busContainer.vX = 2;

	busbody = new createjs.Bitmap(images['busbody']);
	busbody.scaleX = busbody.scaleY = 0.5;
	busContainer.addChild(busbody);

	buswheel1 = new createjs.Bitmap(images['buswheel']);
	buswheel1.regX = buswheel1.image.width/2;
	buswheel1.regY = buswheel1.image.height/2;
	buswheel1.x = 155 + buswheel1.regX;
	buswheel1.y = 200 + buswheel1.regY;
	busContainer.addChild(buswheel1);

	buswheel2 = buswheel1.clone();
	buswheel2.x = buswheel1.x + 520;
	busContainer.addChild(buswheel2);

	buswheelspeed = 5; //change to something when animating rotating tires

	busContainer.scaleX = busContainer.scaleY = 0.5;
	//
	world_current.addChild(busContainer);
	world_current.addChild(tree6A);
	world_current.addChild(tree6B);
	//

	alice6 = new createjs.BitmapAnimation(spritesheets['6_alice_bikeride']);	
	alice6.x = 335; alice6.y = 85;
	alice6.gotoAndStop(0);
	world_current.addChild(alice6);
	
	//holds vX (speed in px per second) that trees & bus will move, chosen via value of currentSpeed
	treeSpeeds = [0,1,3,6,10];
	busSpeeds = [8,6,4,2,0.5];
	moving=false;

	speedmeter6 = new createjs.Bitmap(images['6_meter']);
	speedmeter6.regX = speedmeter6.image.width/2;
	speedmeter6.regY = speedmeter6.image.height/2;
	speedmeter6.x = canvas.width/2;
	speedmeter6.y = 410;
	world_current.addChild(speedmeter6);

	//holds x positions for locking arrow6 for each movement speed (tree.vX):
	arrowX = [356,459,561,664];

	arrow6 = new createjs.Bitmap(images['6_arrow']);
	arrow6.regX = arrow6.image.width/2;
	arrow6.regY = arrow6.image.height/2;
	arrow6.scaleX = arrow6.scaleY = 0.8;
	arrow6.x = arrowX[0]; arrow6.startX = arrow6.x;
	arrow6.y = 435;
	world_current.addChild(arrow6);
	
	//can be 1,2,3, depending on where arrow6 is left on speed_meter
	//determines what speed alice, trees, bus move in speedChange6()
	currentSpeed = 0;

	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('6_gettingtothegame', ['accelerate,']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_6_gettingtothegame);

}

//level specific functions:

//called once this level is fully slid into place
function begin_6_gettingtothegame(){

	playSound('6_gettingtothegame');
}

function narrDone_6_gettingtothegame(){
	enable_arrow6(arrow6);
		
	//initially move bus only,
	moveTree(busContainer, busSpeeds[1]);

}

//arrow6 min/max: 305 - 765
function enable_arrow6(obj){
	doPulse(obj);
	addShadow(obj);
	//doPulse(speedmeter6);

	(function(target) {
		obj.onPress = function(evt) {
			//**//**console.log(evt.target + " pressed!");
			arrow6.startX = arrow6.x;
			arrow6.scaleX = arrow6.scaleY=0.85;
			
			// bump the target in front of it's siblings:
			world_current.addChild(target);
			var offset = {x:target.x-evt.stageX, y:target.y-evt.stageY};

			evt.onMouseMove = function(ev) {				
				if( (target.x >= 335) && (target.x <= 685) ) target.x = ev.stageX+offset.x;				
			}

			evt.onMouseUp = function(ev){
				arrow6.scaleX = arrow6.scaleY=0.8;
				var newPos = false;
				var posX = target.x;
				for (var i=0; i<arrowX.length;i++){
					if( (posX <= arrowX[i] + 35) && (posX >= arrowX[i] - 35) ){
						arrow6.x = arrowX[i];
						newPos = true;						
						
						speedChange6(i);
						break;
					}
				}
				//if no new position for the cursor, return cursor back to where it was grabbed from
				if (!newPos) arrow6.x = arrow6.startX;
			}

		}
		
	})(obj);
}

/*
	receives i( index of arrowX that the arrow6 has locked on)
	pos of arrow (arrowX[i]) determines what speed to play anims at.
	i = 0: alice and trees stop, bus animates at [1]
	i = 1, currentSpeed = 1
	i = 2, currentSpeed = 3
	i = 3, currentSpeed = 4
*/
function speedChange6(i){
	////**console.log('speed change at pos: ' + i);
	stopTrees();

	if(i == 0){
		alice6.gotoAndStop(0);
		moveTree(busContainer, busSpeeds[1]);
		return;
	}

	switch(i){
		case 1:
			currentSpeed = 1;
			break;
		case 2:
			currentSpeed = 3;
			break;
		case 3:
			currentSpeed = 4;
			break;
	}

	if(!narrActive && !defActive){
		stopSound();
		playSound('bike_bell');
	}

	alice6.gotoAndPlay('s'+String(currentSpeed));

	moveTree(tree6A, treeSpeeds[currentSpeed]);
	moveTree(tree6B, treeSpeeds[currentSpeed]);
	moveTree(busContainer, busSpeeds[currentSpeed]);
}

//moveTree accepts object to move (tree or busContainer), and vX value
function moveTree(tree, speed){
	moving=true;
	if(speed) tree.vX = speed;
	var pointDest = {};
	var pointPrev = {};
	var dist = {};
	
	pointDest.x = tree.leftX;
	pointDest.y = tree.y;

	pointPrev.x = tree.x;
	pointPrev.y = tree.y;
	
	//gathering proper travelTime for travelling between these points, using distance between points and set speed (bf.vX)
	//use bf.vX to determine uniform tween time (travelTime) regardless of distance....
	dist = lineDistance(pointDest,pointPrev);
	tree.travelTime = (dist * 20) / tree.vX;

	createjs.Tween.get(tree, {loop:false})
		.to({x:pointDest.x}, tree.travelTime, createjs.Ease.linear)
		.call(function(){
			tree.x = tree.rightX;

			pointDest.x = tree.startX;
			pointDest.y = tree.y;

			pointPrev.x = tree.x;
			pointPrev.y = tree.y;

			dist = lineDistance(pointDest,pointPrev);
			tree.travelTime = (dist * 20) / tree.vX;
			
			createjs.Tween.get(tree, {loop:false})
				.to({x:pointDest.x}, tree.travelTime, createjs.Ease.linear)
				.call(function(){
					moveTree(tree);
				});
		});

}

function stopTrees(){
	createjs.Tween.removeTweens(tree6A);
	createjs.Tween.removeTweens(tree6B);
	createjs.Tween.removeTweens(busContainer);
}

function tick_6_gettingtothegame(){
	stage.update();

	//buswheel rotation depends on value of buswheelspeed
	if(moving)
	{
		buswheel1.rotation += buswheelspeed;
		buswheel2.rotation += buswheelspeed;
	}

}



function end_6_gettingtothegame(){
	//**//**console.log('end_6_gettingtothegame');	
	createjs.Tween.removeTweens(tree6A);
	createjs.Tween.removeTweens(tree6B);
	createjs.Tween.removeTweens(busContainer);

	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

