//"How Do You Measure Up?" Quiz vars

//page name of quiz_end page should be set to var quiz_end
//create one additional container in worlds[] with .name contained in quiz_end
var quiz_end = 'gettingtothegame_quiz_end';
worlds[ quiz_end ] = new createjs.Container();

var questionOutcome = {}; //will hold final outcome of each quiz question (right/wrong)
var quiz_finalchoice = {}; //will equal word player has chosen for the round (to play proper final audio)

//define questions and answers here 
//Questions are always text. Answers can be txt or images....
/*
//quiz_words: array that holds each word being quizzed. array elements (strings) used as keys to access questions and answers in quiz_content

//TEXT-ONLY
//quiz_content 2D array, for each inner array, indices as follows:
	0 - question text
	1 - CORRECT answer choice
	2 - WRONG answer choice
	3 - WRONG answer choice
	4 - difficulty: 'easy', 'medium' 'hard', 'rc'(for reading comp question)

*/

var quiz_words = ['q1', 'q2', 'q3', 'q4', 'q5', 'q6', 'q7', 'q8', 'q9']; 
var quiz_content = [];

//txt questions
quiz_content['q1'] = ["Which of these uses a link and gear in order to make the wheels rotate?", 'a bike', 'a skateboard', 'roller skates', 'easy'];
quiz_content['q2'] = ["When you move from one place to another, what is that called?",'traveling', 'jumping', 'rotating', 'medium'];
quiz_content['q3'] = ["What do a car, a bus, and an airplane all use in order to work?", 'an engine', 'wheels', 'wings', 'medium'];
quiz_content['q4'] = ["In order for a skateboard, roller skates or a bus to move forward the wheels need to...", 'rotate', 'stop', 'twist' ,'hard'];
quiz_content['q5'] = ["In order for a bike to work, a link needs to work together with which of these gadgets?", 'gear', 'pedals', 'brakes' ,'hard']
quiz_content['q6'] = ["Which of these is a type of vehicle?",'bus', 'roller skates', 'link', 'hard'];
quiz_content['q7'] = ["If you wanted to accelerate on a bike, what would you do?", 'pedal faster', 'jump higher', 'travel farther' ,'hard']
quiz_content['q8'] = ["Which of these can you use as a form of transportation?",'airplane', 'magic hat', 'broom', 'hard'];
quiz_content['q9'] = ["What do we call an object that works all by itself?", 'automatic', 'fast', 'gear' ,'hard']

//FOR FIRST question:
//pull a random quiz question... 
//_questionNumber will be random # to pull a random word from quiz_words
//quiz_content holds the question text and answer choices for the word in quiz_words 
quiz_doCover();


//for quiz only: set narrDone to nothing:
function narrDone(){}

//SOUNDS: path+filename of this storybook's multisound file (without extension)
var sndurl = 'sound/game_quiz';

/*
//functions below are called at certain points in the main storybook js (rtlstorybook.js)
1: makeSounds() -- call makeSound() and define defintions in definitionText[]
2: make_storymanifest() -- defines the differnet image files that preload.js will load 
3: story_spritesheets() -- called by main js (rtlstorybook.js)'s make_spritesheet's function to create storybook specific ss
*/

function makeSounds(){
	// all timecodes are in seconds format... converted to milliseconds at runtime (onPlay event)
	
	//quiz sfx:
	makeSound('sfx_biscuits', 150.170580, 151.144190);
	makeSound('sfx_splat', 151.422893, 152.533732);
	makeSound('sfx_pie', 152.616738, 153.426640);
	makeSound('sfx_lazer', 153.595983, 155.639144);
	makeSound('sfx_wrong', 156.202394, 157.542413);


	//question-specific audio:
	makeSound('q_q1', 0.743503, 5.204519);
	makeSound('q_q2', 7.320643, 10.523424);
	makeSound('q_q3', 11.896044, 16.528638);
	makeSound('q_q4', 18.644762, 24.075355);
	makeSound('q_q5', 29.454148, 34.830245);
	makeSound('q_q6', 37.060753, 39.234069);
	makeSound('q_q7', 41.578962, 44.838936);
	makeSound('q_q8', 46.611904, 49.814685);
	makeSound('q_q9', 51.873616, 55.247975);


	makeSound('a bike', 57.020943, 57.821638);
	makeSound('traveling', 59.079874, 59.937761);
	makeSound('an engine', 60.795649, 61.825115);
	makeSound('rotate', 62.111077, 62.847727);
	makeSound('bus', 63.998430, 64.799126);
	makeSound('pedal faster', 65.599821, 66.972441);
	makeSound('airplane', 68.001907, 68.916987);
	makeSound('automatic', 69.889260, 70.975918);
	makeSound('a skateboard', 72.005383, 73.263619);
	makeSound('jumping', 74.121506, 75.036587);
	makeSound('wheels', 75.951667, 76.923940);
	makeSound('stop', 77.781828, 78.468138);
	makeSound('pedals', 79.783566, 80.584261);
	makeSound('rollerskates', 81.670919, 82.757577);
	makeSound('jump higher', 83.672657, 84.759315);
	makeSound('magic hat', 86.589476, 87.790519);
	makeSound('fast', 88.991562, 89.906642);
	makeSound('roller skates', 90.249797, 91.336455);
	makeSound('rotating', 92.022765, 93.109423);
	makeSound('wings', 94.196081, 94.996776);
	makeSound('twist', 96.140627, 96.998515);
	makeSound('brakes', 98.085172, 98.771483);
	makeSound('link', 99.057445, 99.661089);
	makeSound('travel farther', 100.144103, 101.459531);
	makeSound('broom', 102.660574, 103.461269);
	makeSound('gear', 104.233368, 104.861414);
	makeSound('f_q1', 106.206510, 108.897330);
	makeSound('f_q2', 109.068907, 112.729448);
	makeSound('f_q3', 112.729448, 115.553267);
	makeSound('f_q4', 116.100816, 119.906852);
	makeSound('f_q5', 120.333063, 123.279654);
	makeSound('f_q6', 123.764614, 129.964753);
	makeSound('f_q7', 130.606767, 132.888337);
	makeSound('f_q8', 133.637971, 137.720240);
	makeSound('f_q9', 138.384950, 141.270163);
	
	//required for quiz question outocomes:
	makeSound('empty', 5.9,6.0);
	makeSound('quizmo', 141.422805, 142.652444);
	makeSound('correct_1', 143.024195, 144.210940);
	makeSound('correct_2', 144.368220, 145.573101);
	makeSound('incorrect_1', 145.939649, 147.170653);
	makeSound('incorrect_2', 147.899858, 149.208792);	
}
