function prep_2_computer(transition) {
	world_current = worlds['2_computer'];

	ticker_world = tick_2_computer;
	end_world = end_2_computer;
	narrDone = narrDone_2_computer;

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = "To make the topic of communication more meaningful, discuss your child’s own experiences. How does he or she connect with friends? Does he or she communicate with far-away relatives by mail, email, or video calls? Review your family’s typical communication style.";

	//adding background color (shape) or image - bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//page assets:

	var bg2 = new createjs.Bitmap(images['icecream2bg']);
	bg2.y = 143;
	world_current.addChild(bg2);

	carolina = new createjs.BitmapAnimation(spritesheets["icecream2caro"]);
	carolina.gotoAndStop("wave");
	carolina.x = 456;
	carolina.y = 162;
	world_current.addChild(carolina);

	hilite = new createjs.Bitmap(images['icecream2hilite']);
	hilite.regX = hilite.image.width/2;
	hilite.regY = hilite.image.height/2;
	hilite.x = 311.5;
	hilite.y = 360.5;
	hilite.visible = false;
	world_current.addChild(hilite);

	helen = new createjs.Bitmap(images['icecream2helen']);
	helen.x = 142;
	helen.y = 68;
	world_current.addChild(helen);

	arm = new createjs.BitmapAnimation(spritesheets["icecream2arm"]);
	arm.gotoAndStop("wave");
	arm.x = 312;
	arm.y = 265;
	//arm.visible = false;
	world_current.addChild(arm);


	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('2_computer', ['connect']);

	setDefinitionText();


	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_2_computer);
}

//level specific functions:

//called once this level is fully slid into place
function begin_2_computer() { playSound('2_computer'); }

function narrDone_2_computer() {
	helen.visible = false;
	arm.visible = false;
	hilite.visible = true;
	addShadow(hilite);
	doPulse(hilite);
	hilite.onPress = function() {
		hilite.visible = false;
		helen.visible = true;
		arm.visible = true;
		arm.gotoAndPlay("wave");
		arm.onAnimationEnd = function() {
			carolina.gotoAndPlay("wave");
			carolina.onAnimationEnd = function() {
				hilite.visible = true;
				helen.visible = false;
				arm.visible = false;
			}
		}
	}
}

function tick_2_computer() { stage.update(); }

function end_2_computer() {
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	createjs.Ticker.removeListener(ticker_world);
}
