function prep_3_texting(transition) {

	world_current = worlds['3_texting'];

	ticker_world = tick_3_texting;
	end_world = end_3_texting;
	narrDone = narrDone_3_texting;

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	teachertiptext.text = '';

	//adding background color (shape) or image (bitmap, and white border - bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//page assets:

	var tdBody = new createjs.BitmapAnimation(spritesheets["icecream3other"]);
	tdBody.gotoAndStop("td_body");
	tdBody.x = 585;
	tdBody.y = 266;
	world_current.addChild(tdBody);

	tdHead = new createjs.BitmapAnimation(spritesheets["icecream3other"]);
	tdHead.gotoAndStop("td_head1");
	tdHead.x = 661;
	tdHead.y = 158;
	world_current.addChild(tdHead);

	var phone = new createjs.BitmapAnimation(spritesheets["icecream3other"]);
	phone.gotoAndStop("phone");
	phone.x = 125;
	phone.y = 65;
	world_current.addChild(phone);

	btnL = new createjs.BitmapAnimation(spritesheets["icecream3phone"]);
	btnL.gotoAndStop("btnL");
	btnL.regX = 34.5;
	btnL.regY = 36.5;
	btnL.scaleX = btnL.scaleY = 0.6;
	btnL.x = 245;
	btnL.y = 282;
	world_current.addChild(btnL);

	btnR = new createjs.BitmapAnimation(spritesheets["icecream3phone"]);
	btnR.gotoAndStop("btnR");
	btnR.regX = 34.5;
	btnR.regY = 36.5;
	btnR.scaleX = btnR.scaleY = 0.6;
	btnR.x = 356;
	btnR.y = 278;
	world_current.addChild(btnR);

	btnS = new createjs.BitmapAnimation(spritesheets["icecream3phone"]);
	btnS.gotoAndStop("btnS");
	btnS.regX = 66.5;
	btnS.regY = 37.5;
	btnS.scaleX = btnS.scaleY = 0.5;
	btnS.x = 300;
	btnS.y = 274;
	world_current.addChild(btnS);

	notes = new createjs.BitmapAnimation(spritesheets["icecream3phone"]);
	notes.gotoAndStop("notes");
	notes.x = 217;
	notes.y = 128;
	world_current.addChild(notes);


	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('3_texting', ['technology', 'message.']);

	setDefinitionText();


	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_3_texting);
}

//level specific functions:

//called once this level is fully slid into place
function begin_3_texting() { playSound('3_texting'); }

function narrDone_3_texting() {
	doPulse(btnL);
	doPulse(btnR);
	doPulse(btnS);
	btnR.onPress = function(evt) {
		btnR.gotoAndStop("btnRdn");
		if(!narrActive) playSound('sfx_phone_arr');
		if (notes.currentFrame < 13) { notes.gotoAndStop(notes.currentFrame+1); } else { notes.gotoAndStop(6); }

		evt.onMouseUp = phoneBtnsOff;
	};
	btnL.onPress = function(evt) {
		btnL.gotoAndStop("btnLdn");
		if(!narrActive)  playSound('sfx_phone_arr');
		if (notes.currentFrame > 6) { notes.gotoAndStop(notes.currentFrame-1); } else { notes.gotoAndStop(13); }

		evt.onMouseUp = phoneBtnsOff;
	};
	btnS.onPress = function(evt) {
		btnS.gotoAndStop("btnSdn");
		if(!narrActive)  playSound('sfx_phone_send');
		if (tdHead.currentAnimation == "td_head2") { tdHead.gotoAndStop("td_head3"); } else { tdHead.gotoAndStop("td_head2"); }

		evt.onMouseUp = phoneBtnsOff;
	}
}

function phoneBtnsOff() {
	btnR.gotoAndStop("btnR");
	btnL.gotoAndStop("btnL");
	btnS.gotoAndStop("btnS");
}

function tick_3_texting() { stage.update(); }

function end_3_texting() {
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	createjs.Ticker.removeListener(ticker_world);
}

