function prep_5_poweroutage(transition) {

	world_current = worlds['5_poweroutage'];

	ticker_world = tick_5_poweroutage;
	end_world = end_5_poweroutage;
	narrDone = narrDone_5_poweroutage;

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = "Has your house ever lost power or has your family gone screen-free for a day or more? With your child, reflect on how life is different without technology. What did you use for heat or light? What did you do for fun? Help your child think about the ups and downs of technology today.";

	//adding background color (shape) or image (bitmap, and white border bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:

	var foreground = new createjs.Bitmap(images['icecream5']);
	world_current.addChild(foreground);

	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	//providing custom linewidth and font size params for this page only:
	setNarrationText(900, 22);

	//params: sndID, defintion words in array
	renderNarration('5_poweroutage', ['technology,', 'information']);

	setDefinitionText();


	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_5_poweroutage);
}

//level specific functions:

//called once this level is fully slid into place
function begin_5_poweroutage() { playSound('5_poweroutage'); }

function narrDone_5_poweroutage() {}

function tick_5_poweroutage() { stage.update(); }

function end_5_poweroutage() {
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	createjs.Ticker.removeListener(ticker_world);
}

