function prep_6_drawinvite(transition) {
	world_current = worlds['6_drawinvite'];

	ticker_world = tick_6_drawinvite;
	end_world = end_6_drawinvite;
	narrDone = narrDone_6_drawinvite;

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = "Have your child draw a simple picture and dictate a caption for it. To explore the meaning of the word, talk about the opposite of simple--complex or complicated. With your child, look around the house. Compare and contrast things that are simple with things that are complex.";

	//adding background color shape or image - bitmap, and white border
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	// page assets:

	//vars for drawing on the 2 drawing spaces:
	mouseIsDown = false;
	lastPt = {}; // last draw position
	mouseX = 0;
	mouseY = 0;
	fstClick = true;
	wasBlank = true;

	//x,y,width,height
	//mask to conceal where drawings can be seen (can also be a visible shape itself)
	drawMask = new createjs.Shape();
	drawMask.graphics.beginFill("#d9f3f6").drawRect(209,55,578,388);
	world_current.addChild(drawMask);

	// shape to draw vector data into:
	drawBox = new createjs.Shape();
	graphics = drawBox.graphics;
	drawBox.mask = drawMask;
	world_current.addChild(drawBox);
	graphics.setStrokeStyle(10,"round").beginStroke("#666fe3");


	// set up the cache for the shape, and make it the same size as the shape itself:
	//cache created once, and then the owner won't be re-rendered every tick, but instead updates when you decide with updateCache()
	// IMPORTANT SET CACHE TO ON HERE, SO THIS OBJECT IS NOT RENDERED ON EVERY TICK.
	// THEN USE updateCache() to update and rerender ONLY when new drawing is occurring (on mouse down)
	drawBox.cache(0,0,canvas.width,canvas.height);

	drawMask.onPress = (function (evt) {
		if(!allowDraw6) return;

		if (fstClick) {
			fstClick = false;
			frame.visible = true;
			hilite.visible = false;
		}
		if (wasBlank) {
			wasBlank = false;
			eraser.alpha = 1;
			//eraser.mouseEnabled = true;
			addShadow(eraser);
		}

		mouseX = evt.stageX;
		mouseY = evt.stageY;

		//initial point on tap:
		graphics.moveTo(mouseX-1, mouseY-1);
		graphics.lineTo(mouseX, mouseY);

		mouseIsDown = true;
		lastPt = (evt.stageX, evt.stageY);

		// add a handler to the event object's onMouseMove callback
		// this will be active until the user releases the mouse button:
		evt.onMouseMove = function (ev) { mouseMove(ev); }
		//stop drawing:
		evt.onMouseUp = function (ev) { mouseIsDown = false; }
	});

	frame = new createjs.Bitmap(images['icecream6frame']);
	frame.x = 179;
	frame.y = 36;
	world_current.addChild(frame);

	hilite = new createjs.Bitmap(images['icecream6hilite']);
	hilite.regX = hilite.image.width/2;
	hilite.regY = hilite.image.height/2;
	hilite.x = 497;
	hilite.y = 253;
	world_current.addChild(hilite);
	hilite.visible = false;

	eraser = new createjs.Bitmap(images['icecream6eraser']);
	eraser.x = 826;
	eraser.y = 117;
	eraser.alpha = 0.666;
	world_current.addChild(eraser);

	//bool that is initially false, set to true on narrDone. ensures that drawing only happens on mute or after first narration finish
	allowDraw6 = false;

	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	//providing custom linewidth and font size params for this page only:
	setNarrationText(900, 22);

	//params: sndID, defintion words in array
	renderNarration('6_drawinvite', ['simple', 'communicate']);

	setDefinitionText();


	//passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_6_drawinvite);
}

//level specific functions:

//update mouse positions
function mouseMove(e) {
	if (!e) { e = window.event; }
	mouseX = (e.stageX);
	mouseY = (e.stageY);
}

//called once this level is fully slid into place
function begin_6_drawinvite() { playSound('6_drawinvite'); }

function narrDone_6_drawinvite() {
	allowDraw6 = true;

	if(fstClick){
		frame.visible = false;
		hilite.visible = true;
	}

	doPulse(hilite, true);
	addShadow(hilite);
	eraser.onPress = function() {
		graphics.clear();
		drawBox.updateCache();
		graphics.setStrokeStyle(10,"round").beginStroke("#666fe3");
		wasBlank = true;
		eraser.alpha = 0.666;
		//eraser.mouseEnabled = false;
		removeShadow(eraser);
	}
	//eraser.mouseEnabled = false;
	eraser.onMouseOver = function(){
		document.body.style.cursor='pointer';
	}
	eraser.onMouseOut = function(){
		document.body.style.cursor='default';
	}

}

function tick_6_drawinvite() {
	if (mouseIsDown) {
		graphics.moveTo(lastPt.x,lastPt.y);
		lastPt = drawBox.globalToLocal(mouseX, mouseY);
		graphics.lineTo(mouseX, mouseY);
		drawBox.updateCache();
	}
	stage.update();
}

function end_6_drawinvite() {
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	createjs.Ticker.removeListener(ticker_world);
}
