function prep_7_wordsinvite(transition) {
	world_current = worlds["7_wordsinvite"];

	ticker_world = tick_7_wordsinvite;
	end_world = end_7_wordsinvite;
	narrDone = narrDone_7_wordsinvite;

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = "Has your child ever sent or received an invitation? What message was on it? What details did it include? Together, create a make-believe invitation to an upcoming event, such as a stuffed animal’s tea party or a superhero sports event.";

	//adding background color (shape) or image - bitmap, and white border bitmap
	bg = new createjs.Bitmap(images["bg_story"]);
	world_current.addChild(bg);

	//page assets:

	var invite = new createjs.Bitmap(images["icecream7inv"]);
	invite.x = 390;
	invite.y = 82;
	world_current.addChild(invite);

	dragSpr0 = new createjs.BitmapAnimation(spritesheets["icecream7sprites"]);
	dragSpr0.gotoAndStop(0);
	dragSpr0.regX = 107.5;
	dragSpr0.regY = 59;
	dragSpr0.x = 232;
	dragSpr0.y = 94;
	world_current.addChild(dragSpr0);

	dragSpr1 = new createjs.BitmapAnimation(spritesheets["icecream7sprites"]);
	dragSpr1.gotoAndStop(1);
	dragSpr1.regX = 148.5;
	dragSpr1.regY = 39.5;
	dragSpr1.x = 232;
	dragSpr1.y = 193;
	world_current.addChild(dragSpr1);

	dragSpr2 = new createjs.BitmapAnimation(spritesheets["icecream7sprites"]);
	dragSpr2.gotoAndStop(2);
	dragSpr2.regX = 131;
	dragSpr2.regY = 37.5;
	dragSpr2.x = 232;
	dragSpr2.y = 274;
	world_current.addChild(dragSpr2);

	dragSpr3 = new createjs.BitmapAnimation(spritesheets["icecream7sprites"]);
	dragSpr3.gotoAndStop(3);
	dragSpr3.regX = 99;
	dragSpr3.regY = 41.5;
	dragSpr3.x = 232;
	dragSpr3.y = 354;
	world_current.addChild(dragSpr3);

	dragSpr4 = new createjs.BitmapAnimation(spritesheets["icecream7sprites"]);
	dragSpr4.gotoAndStop(4);
	dragSpr4.regX = 119.5;
	dragSpr4.regY = 37.5;
	dragSpr4.x = 232;
	dragSpr4.y = 434;
	world_current.addChild(dragSpr4);


	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images["bg_wordcloud"]);
	world_current.addChild(bg_wordcloud);

	//providing custom linewidth and font size params for this page only:
	setNarrationText(900, 24);

	//params: sndID, defintion words in array
	renderNarration("7_wordsinvite", ["message"]);

	setDefinitionText();


	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_7_wordsinvite);
}

//level specific functions:

//called once this level is fully slid into place
function begin_7_wordsinvite() { playSound('7_wordsinvite'); }

function narrDone_7_wordsinvite() {
	addShadow(dragSpr0);
	addShadow(dragSpr1);
	addShadow(dragSpr2);
	addShadow(dragSpr3);
	addShadow(dragSpr4);
	doPulse(dragSpr0);
	doPulse(dragSpr1);
	doPulse(dragSpr2);
	doPulse(dragSpr3);
	doPulse(dragSpr4);
	dragSpr0.onPress = dragCardTxt;
	dragSpr1.onPress = dragCardTxt;
	dragSpr2.onPress = dragCardTxt;
	dragSpr3.onPress = dragCardTxt;
	dragSpr4.onPress = dragCardTxt;
}

function tick_7_wordsinvite() { stage.update(); }

function end_7_wordsinvite() {
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	createjs.Ticker.removeListener(ticker_world);
}

function dragCardTxt(evt) {
	var dragTxtMC = evt.target;
	dragTxtMC.parent.addChild(dragTxtMC);
	dragTxtMC.scaleX = dragTxtMC.scaleY = 1.075;
	var offset = {x:dragTxtMC.x-evt.stageX, y:dragTxtMC.y-evt.stageY};

	stage.onMouseMove = function(ev) {
		if(dragTxtMC.x > 170 && dragTxtMC.x < canvas.width-170){
			dragTxtMC.x = ev.stageX+offset.x;
		}
		else if (dragTxtMC.x <= 170 &&  dragTxtMC.x <= ev.stageX+offset.x){
			dragTxtMC.x = ev.stageX+offset.x;
		}
		else if (dragTxtMC.x >= canvas.width - 170 &&  dragTxtMC.x >= ev.stageX+offset.x){
			dragTxtMC.x = ev.stageX+offset.x;
		}

		if(dragTxtMC.y > 90 && dragTxtMC.y < 420){
			dragTxtMC.y = ev.stageY+offset.y;
		}
		else if (dragTxtMC.y <= 90 &&  dragTxtMC.y <= ev.stageY+offset.y){
			dragTxtMC.y = ev.stageY+offset.y;
		}
		else if (dragTxtMC.y >= 420 &&  dragTxtMC.y >= ev.stageY+offset.y){
			dragTxtMC.y = ev.stageY+offset.y;
		}
		
		
	}

	stage.onMouseUp = function(ev) {
		dragTxtMC.scaleX = dragTxtMC.scaleY = 1;
		dragTxtMC = null;
		delete stage.onMouseMove;
		delete stage.onMouseUp;
	}
}
