function prep_8_flashlight(transition) {
	world_current = worlds["8_flashlight"];

	ticker_world = tick_8_flashlight;
	end_world = end_8_flashlight;
	narrDone = narrDone_8_flashlight;

	// if game, visible false. if storybook, visible true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	// teachertip:
	teachertipcontainer.onPage = false;
	teachertiptext.text = "";

	// adding background color (shape) or image bitmap, and white border bitmap
	bg = new createjs.Bitmap(images["bg_story"]);
	world_current.addChild(bg);

	//page assets:
	startTime = 0;
	stepTimes = [83,458,1000,1167,1292,1500,1625,1833,2250,2833,3000,3167,3292,3417,3583,3708,3875,4042,4250,6542,6958,7167,7250,7375,7500,7750,8125,9500,10000];
	stepFuncs = [helenFlash,helenOff,helenFlash,helenOff,helenFlash,helenOff,helenFlash,helenOff,helenFlash,helenOff,helenFlash,helenOff,helenFlash,helenOff,helenFlash,helenOff,helenFlash,helenOff,helTextOn,helTextOff,trumanFlash,trumanOff,trumanFlash,trumanOff,trumanFlash,trumanOff,truTextOn,truTextOff];
	curStep = 0;
	totSteps = 29;
	//bool that indicates if sequence is playing or not. so taht narrDone doesn't allow start of playback while it is already playing
	flashlight_seq = false;

	var darken = new createjs.Shape();
	darken.graphics.beginFill("rgba(8,58,94,0.45)").rect(11,16,1001,647);
	world_current.addChild(darken);

	helenText = new createjs.Text('“Ice Cream Party?”', "bold 44px Nunito", "#006");
	helenText.x = 512;
	helenText.y = 68;
	helenText.textAlign = "center";
	helenText.visible = false;
	world_current.addChild(helenText);

	trumanText = new createjs.Text('“You know I don\'t like ice cream!”', "bold 40px Nunito", "#006");
	trumanText.x = 460;
	trumanText.y = 68;
	trumanText.textAlign = "center";
	trumanText.visible = false;
	world_current.addChild(trumanText);

	truman = new createjs.Bitmap(images['icecream8tru']);
	truman.x = 728;
	truman.y = 86;
	world_current.addChild(truman);

	trumanBeam = new createjs.Bitmap(images['icecream8beamTru']);
	trumanBeam.x = 52;
	trumanBeam.y = 118;
	trumanBeam.visible = false;
	world_current.addChild(trumanBeam);

	helen = new createjs.Bitmap(images['icecream8hel']);
	helen.x = 142;
	helen.y = 134;
	world_current.addChild(helen);

	hilite = new createjs.Bitmap(images['icecream8hilite']);
	hilite.regX = hilite.image.width/2;
	hilite.regY = hilite.image.height/2;
	hilite.x = 269.5;
	hilite.y = 325.5;
	hilite.visible = false;
	world_current.addChild(hilite);

	helenBeam = new createjs.Bitmap(images['icecream8beamHel']);
	helenBeam.x = 382;
	helenBeam.y = 20;
	helenBeam.visible = false;
	world_current.addChild(helenBeam);


	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images["bg_wordcloud"]);
	world_current.addChild(bg_wordcloud);

	//providing custom linewidth and font size params for this page only:
	setNarrationText(900, 24);

	//params: sndID, defintion words in array
	renderNarration("8_flashlight", ["complex", "messages"]);

	setDefinitionText();


	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_8_flashlight);
}

//level specific functions:

//called once this level is fully slid into place
function begin_8_flashlight() { playSound("8_flashlight"); }

function narrDone_8_flashlight() {
	////**console.log(createjs.Ticker.getTime());
	if(!flashlight_seq){
		helen.visible = false;
		hilite.visible = true;
		addShadow(hilite);
		doPulse(hilite);		
	}

	hilite.onPress = function() {
		helen.visible = true;
		hilite.visible = false;
		helenFlash(); //start with Helen's flashlight on (for all subsequent plays of sequence)
		flashlight_seq = true;
		startTime = createjs.Ticker.getTime();
		
		if(!narrActive)  playSound('sfx_morse_code');
	}
}

function tick_8_flashlight() {
	if (startTime > 0) {
		if ((createjs.Ticker.getTime()-startTime) >= stepTimes[curStep]) {
			if (curStep < totSteps-1) {
				stepFuncs[curStep]();
			} else {
				////**console.log('DONE');
				flashlight_seq = false;
				startTime = 0;
				curStep = 0;				
				helen.visible = false;
				hilite.visible = true;
				addShadow(hilite);
			}
			curStep++;
		}
	}
	stage.update();
}

function end_8_flashlight() {
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	createjs.Ticker.removeListener(ticker_world);
}

function helenFlash() { helenBeam.visible = true; }
function helenOff() { helenBeam.visible = false; }
function trumanFlash() { trumanBeam.visible = true; }
function trumanOff() { trumanBeam.visible = false; }
function helTextOn() { helenText.visible = true; }
function helTextOff() { helenText.visible = false; }
function truTextOn() { trumanText.visible = true; }
function truTextOff() { trumanText.visible = false; }