function prep_9_flags(transition) {
	world_current = worlds['9_flags'];

	ticker_world = tick_9_flags;
	end_world = end_9_flags;
	narrDone = narrDone_9_flags;

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	teachertiptext.text = '';

	//adding background color (shape) or image bitmap, and white border bitmap
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:
	moveArm = null;

	hitAreaL = new createjs.Shape();
	hitAreaL.graphics.beginFill("#cec8f1").drawRect(228,30,255,453);	

	hitAreaR = new createjs.Shape();
	hitAreaR.graphics.beginFill("#cec8f1").drawRect(498,30,255,453);	

	//hit areas are topmost, make them "invisible", but still click/tappable
	hitAreaL.alpha = 0.01;
	hitAreaR.alpha = 0.01;

	armL = new createjs.BitmapAnimation(spritesheets["icecream9sprites"]);
	armL.gotoAndStop(7);
	armL.regX = 119;
	armL.regY = 195;
	armL.scaleX = -1;
	armL.x = 358;
	armL.y = 238;

	armR = new createjs.BitmapAnimation(spritesheets["icecream9sprites"]);
	armR.gotoAndStop(1);
	armR.regX = 119;
	armR.regY = 195;
	armR.x = 620;
	armR.y = 237;

	torso = new createjs.Bitmap(images['icecream9hel']);
	torso.x = 444;
	torso.y = 121;

	helen = new createjs.Container();
	helen.addChild(armL, armR, torso);
	helen.regX = helen.x = 493;
	helen.regY = helen.y = 265;
	world_current.addChild(helen);

	world_current.addChild(hitAreaL);
	world_current.addChild(hitAreaR);

	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	//providing custom linewidth and font size params for this page only:
	setNarrationText(900, 24);

	//params: sndID, defintion words in array
	renderNarration('9_flags', ['signals']);

	setDefinitionText();


	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_9_flags);
}

//level specific functions:

//called once this level is fully slid into place
function begin_9_flags() { playSound('9_flags'); }

function narrDone_9_flags() {
	doPulse(helen);
	doPulse(hitAreaL);
	doPulse(hitAreaR);
	addShadow(armL);
	addShadow(armR);
	
	hitAreaL.onPress = moveArmON;
	hitAreaR.onPress = moveArmON;	
}

function moveArmON(evt){
	//**console.log('flag hit on: ' + evt.target.name)
	if(evt.target==hitAreaL) moveArm = armL;
	if(evt.target==hitAreaR) moveArm = armR;

	evt.onMouseUp = function(){
		////**console.log("stop moving");
		moveArm = null;
	}

}

function tick_9_flags() {
	if (moveArm != null) {
		var n = Math.floor(((stage.mouseY-50)/400)*9);
		if (n > 9) { n = 9; } else if (n < 0) { n = 0; }
		moveArm.gotoAndStop(n);
	}
	stage.update();
}

function end_9_flags() {
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	createjs.Ticker.removeListener(ticker_world);
}
