//"Operation Ice Cream?" Quiz vars

//page name of quiz_end page should be set to var quiz_end
//create one additional container in worlds[] with .name contained in quiz_end
var quiz_end = 'icecream_quiz_end';
worlds[ quiz_end ] = new createjs.Container();

//define questions and answers here 
//Questions are always text. Answers can be txt or images....
/*
//quiz_words: array that holds each word being quizzed. array elements (strings) used as keys to access questions and answers in quiz_content

//TEXT-ONLY
//quiz_content 2D array, for each inner array, indices as follows:
	0 - question text
	1 - CORRECT answer choice
	2 - WRONG answer choice
	3 - WRONG answer choice
	4 - difficulty: 'easy', 'medium' 'hard', 'rc'(for reading comp question)

*/

var quiz_words = ['q1', 'q2', 'q3', 'q4', 'q5', 'q6', 'q7', 'q8', 'q9']; 
var quiz_content = [];

//txt questions
quiz_content['q1'] = ["What's another word for easy?", 'simple', 'complex', 'information', 'easy'];
quiz_content['q2'] = ["An example of a signal is...",'a stoplight', 'a flashlight', 'an overhead light', 'medium'];
quiz_content['q3'] = ["When you want to know more about a topic that you like, you are looking for...", 'information', 'books', 'themes', 'medium'];
quiz_content['q4'] = ["When you write a letter or an email to a friend, you are sending a...", 'message', 'package', 'container' ,'hard'];
quiz_content['q5'] = ["When something has a lot of parts and it is not easy to understand it is...", 'complex', 'simple', 'messy' ,'hard']
quiz_content['q6'] = ["When you talk with someone over the internet, on the phone, or in person you are getting together with them. What's another word for this?",'connect', 'train', 'build', 'hard'];
quiz_content['q7'] = ["When someone comes up with a new idea or a new way to do something better, we call this...", 'innovation', 'connection', 'communication' ,'hard']
quiz_content['q8'] = ["When we use science or engineering to create useful things, we are using...",'technology', 'debris', 'knowledge', 'hard'];
quiz_content['q9'] = ["When you tell someone something you...", 'communicate', 'tattle', 'talk' ,'hard']


//FOR FIRST question:
//pull a random quiz question... 
//_questionNumber will be random # to pull a random word from quiz_words
//quiz_content holds the question text and answer choices for the word in quiz_words 
quiz_doCover();



//

//for quiz only: set narrDone to nothing:
function narrDone(){}

//SOUNDS: path+filename of this storybook's multisound file (without extension)
var sndurl = 'sound/icecream_quiz';

/*
//functions below are called at certain points in the main storybook js (rtlstorybook.js)
1: makeSounds() -- call makeSound() and define defintions in definitionText[]
2: make_storymanifest() -- defines the differnet image files that preload.js will load 
3: story_spritesheets() -- called by main js (rtlstorybook.js)'s make_spritesheet's function to create storybook specific ss
*/

function makeSounds(){
	// all timecodes are in seconds format... converted to milliseconds at runtime (onPlay event)
	
	//quiz sfx:
	makeSound('sfx_biscuits', 140.385748, 141.359359);
	makeSound('sfx_splat', 141.638061, 142.748900);
	makeSound('sfx_pie', 142.831907, 143.641809);
	makeSound('sfx_lazer', 143.811152, 145.854313);
	makeSound('sfx_wrong', 146.417563, 147.757582);



	//question-specific audio:
	makeSound('q_q1', 0.367450, 2.161469);
	makeSound('q_q2', 3.263818, 5.144296);
	makeSound('q_q3', 6.614095, 10.493931);
	makeSound('q_q4', 11.844849, 15.346429);
	makeSound('q_q5', 16.999953, 21.506615);
	makeSound('q_q6', 23.289827, 30.595592);
	makeSound('q_q7', 32.692216, 37.825705);
	makeSound('q_q8', 39.706183, 44.299304);
	makeSound('q_q9', 46.179782, 48.373673);

	//makeSound('q_q10', 33.4994,38.224661);

	makeSound('a stoplight', 49.983967, 50.956628);
	makeSound('a flashlight', 51.961711, 52.901950);
	makeSound('an overhead light', 54.015107, 55.193107);
	makeSound('books', 56.133346, 56.770979);
	makeSound('package', 57.559916, 58.262393);
	makeSound('connection', 58.889219, 59.678155);
	makeSound('tattle', 60.348210, 60.910192);
	makeSound('themes', 61.774780, 62.466450);
	makeSound('messy', 63.136505, 63.838983);
	makeSound('communication', 64.833258, 65.892378);
	makeSound('knowledge', 66.724544, 67.653975);
	makeSound('talk', 68.605021, 69.199425);
	makeSound('train', 70.345004, 70.993445);
	makeSound('build', 71.922876, 72.517280);
	makeSound('simple', 73.327831, 74.106381);
	makeSound('communicate', 75.046199, 76.019386);
	makeSound('complex', 76.688915, 77.496661);
	makeSound('innovation', 77.899338, 78.687619);
	makeSound('information', 79.239448, 80.212636);
	makeSound('message', 80.838935, 81.422848);
	makeSound('connect', 81.962899, 82.366772);
	makeSound('technology', 82.741028, 83.648845);
	makeSound('debris',139.198595,140.134780);
	makeSound('container', 148.492910, 149.310828);
	makeSound('f_q1', 84.124368, 89.476900);
	makeSound('f_q2', 90.522316, 96.166800);
	makeSound('f_q3', 97.136410, 101.223798);
	makeSound('f_q4', 102.367165, 104.975308);
	makeSound('f_q5', 105.868745, 111.357523);
	makeSound('f_q6', 112.569298, 116.890248);
	makeSound('f_q7', 117.972970, 121.823566);
	makeSound('f_q8', 122.771431, 127.014529);
	makeSound('f_q9', 127.958956, 130.528171);
	
	//required for quiz question outocomes:
	makeSound('empty', 5.6,5.7);
	makeSound('quizmo', 130.812095, 132.041734);
	makeSound('correct_1', 132.413486, 133.600230);
	makeSound('correct_2', 133.757510, 134.962391);
	makeSound('incorrect_1', 135.328939, 136.559943);
	makeSound('incorrect_2', 137.289148, 138.598083);	
}