//"Operation Ice Cream" story-specific vars

var pagenames = [
'0_cover',	
'1_intro',
'2_computer',
'3_texting',
'4_landline',
'5_poweroutage',
'6_drawinvite',
'7_wordsinvite',
'8_flashlight',
'9_flags',
'10_party',
'glossary'
];

var glossary_definitions = []; //defined per storybook (storybook's js). used to store defintion words themselves, used with definitionText[] in Glossary
//for use with glossary:
glossary_definitions.push(
	['communicate', 'txt'],
	['connect', 'txt'],
	['technology', 'txt'],
	['innovation', 'txt'],
	['information', 'txt'],
	['simple', 'txt'],
	['message', 'txt'],
	['complex', 'txt'],
	['signal', 'txt']
	);


//SOUNDS: path+filename of this storybook's multisound file (without extension)
var sndurl = 'sound/icecream_text';
quiz_url = "icecream_game.html";

/*
//functions below are called at certain points in the main storybook engine (rtlstorybook.js)
1: makeSounds() -- call makeSound() and define defintions in definitionText[]
2: make_storymanifest() -- defines the differnet image files that preload.js will load
3: story_spritesheets() -- called by main js (rtlstorybook.js)'s make_spritesheet's function to create storybook specific ss
*/

function makeSounds() {
	//empty
	makeSound('empty',9.7,9.8);

	//narration text
	makeSound('0_cover', 212.215, 215.79);
	makeSound('1_intro', 0.01, 10.0, ["Thanks ", "to ", "technology, ", "it’s ", "so ", "easy ", "to ", "communicate ", "with ", "your ", "friends. ", "You ", "could ", "decide ", "to ", "have ", "an ", "ice ", "cream ", "party, ", "and ", "in ", "seconds ", "get ", "in ", "touch ", "with ", "everyone ", "you ", "know."], [0.058391, 0.369811, 0.496326, 1.274876, 1.698212, 2.087487, 2.35998, 2.476762, 3.041211, 3.157994, 3.367229, 4.374478, 4.569116, 4.729692, 5.084905, 5.18709, 5.362264, 5.449851, 5.717477, 5.94131, 6.593346, 6.695531, 6.860973, 7.430287, 7.537338, 7.697914, 7.936345, 8.155312, 8.641906, 8.826811]);
	makeSound('2_computer', 10.452035, 13.2, ["You ", "could ", "connect ", "with ", "friends ", "using ", "a ", "computer."], [10.559085, 10.724527, 10.875371, 11.293842, 11.420356, 11.887486, 12.169711, 12.310823]);
	makeSound('3_texting', 14.325321, 19.3, ["If ", "you ", "have ", "a ", "cellphone, ", "you ", "can ", "use ", "its ", "texting ", "technology ", "to ", "type ", "out ", "a ", "message. "], [14.393445, 14.617278, 14.70973, 14.850843, 14.957893, 15.789969, 15.984606, 16.130584, 16.330088, 16.631776, 17.030783, 17.682819, 17.862858, 18.120753, 18.261865, 18.329988]);
	makeSound('4_landline', 20.086592, 27.5, ["Or ", "you ", "could ", "use ", "an ", "old-fashioned ", "innovation ", "such ", "as ", "a ", "rotary ", "telephone ", "to ", "call ", "your ", "friends ", "and ", "ask ", "them ", "to ", "come ", "over."], [20.169313, 20.548856, 20.704566, 20.797019, 20.972193, 21.181428, 21.925917, 22.806651, 22.996423, 23.118071, 23.361368, 23.774973, 24.383215, 24.529193, 24.782222, 24.967128, 25.220157, 25.380732, 25.589968, 25.818667, 25.940315, 26.178746]);
	makeSound('5_poweroutage', 28.027803, 42.0, ["But ", "suppose ", "the ", "power ", "went ", "out ", "and ", "you ", "couldn’t ", "use ", "a ", "computer ", "or ", "a ", "cellphone? ", "And ", "suppose ", "your ", "dog ", "was ", "hogging ", "the ", "rotary ", "telephone?      ", "Without ", "modern ", "technology, ", "how ", "could ", "you ", "get ", "the ", "information ", "about ", "your    ", "ice ", "cream ", "party ", "to ", "your ", "friends?"], [28.144585, 28.577654, 29.331874, 29.448657, 29.871993, 30.017971, 30.314794, 30.441308, 30.601884, 30.952231, 31.1566, 31.278249, 31.725916, 31.847564, 31.925419, 32.587187, 32.9424, 33.297614, 33.501983, 33.896124, 34.027504, 34.441109, 34.616283, 34.986094, 36.076064, 36.402082, 36.776759, 37.428795, 37.910523, 38.090562, 38.202479, 38.377653, 38.450642, 38.93237, 39.165935, 39.307047, 39.550344, 39.715786, 40.041804, 40.275369, 40.411615]);
	makeSound('6_drawinvite', 42.859182, 56.0, ["You ", "could ", "make ", "an ", "invitation ", "to ", "invite ", "everyone ", "over. ", "You ", "might ", "draw ", "a ", "simple ", "picture ", "to ", "show ", "what ", "you ", "were ", "trying ", "to ", "say. ", "A ", "picture ", "is ", "a ", "great ", "way ", "to ", "communicate ", "because ", "even ", "kids ", "who ", "can’t ", "read ", "can ", "understand ", "it."], [42.9565, 43.146272, 43.31658, 43.477156, 43.579341, 44.255706, 44.357891, 44.69364, 45.048854, 46.133958, 46.226411, 46.498903, 46.795726, 46.941704, 47.282319, 47.681326, 47.827304, 48.119261, 48.2993, 48.401485, 48.515835, 48.890512, 48.958635, 50.435447, 50.537632, 50.980432, 51.082617, 51.182369, 51.613004, 51.878198, 51.956053, 52.778396, 53.077651, 53.4207, 53.749151, 53.853769, 54.13356, 54.561763, 54.717473, 55.325715]);
	makeSound('7_wordsinvite', 57.612706, 72.0, ["But ", "a ", "picture ", "of ", "a ", "bowl ", "of ", "ice ", "cream ", "might ", "be ", "mistaken ", "for ", "a ", "bowl ", "of ", "mashed ", "potatoes. ", "People ", "might ", "think ", "you’re ", "having ", "a ", "mashed ", "potato ", "party! ", "If ", "you ", "add ", "words ", "to ", "your ", "card, ", "your ", "message ", "will ", "be ", "easier ", "to ", "understand."], [57.814642, 58.559131, 58.744036, 59.284155, 59.434999, 59.505556, 59.904562, 60.067571, 60.325466, 60.707442, 61.028594, 61.172139, 61.646568, 61.768217, 61.86067, 62.310769, 62.429984, 62.936042, 64.634254, 64.872685, 65.094085, 65.227899, 65.342248, 65.517422, 65.587978, 65.875068, 66.361662, 67.452206, 67.59664, 67.760215, 68.040381, 68.468461, 68.626816, 68.77647, 69.3107, 69.498638, 69.799686, 69.963262, 70.116396, 70.556657, 70.723713]);
	makeSound('8_flashlight', 72.659456, 86.0, ["If ", "you ", "don’t ", "have ", "stamps ", "to ", "mail ", "your ", "invitations, ", "you ", "could ", "tell ", "your ", "friends ", "about ", "your ", "party ", "by ", "flashlight. ", "By ", "flicking ", "the ", "flashlight ", "on ", "and ", "off ", "in ", "certain ", "patterns, ", "you ", "can ", "send ", "really ", "complex ", "messages ", "in ", "code."], [72.764073, 72.914917, 73.060896, 73.223904, 73.382047, 73.861342, 73.96596, 74.27738, 74.474451, 75.591183, 75.776089, 76.19456, 76.581402, 76.8101, 77.043666, 77.243169, 77.41591, 77.790587, 78.150667, 79.659107, 79.938899, 80.260051, 80.396297, 80.851262, 81.138353, 81.247836, 81.525195, 81.680905, 82.038551, 82.877925, 82.963079, 83.157717, 83.415612, 83.678372, 84.167399, 84.590736, 84.736714]);
	makeSound('9_flags', 86.829067, 99.8, ["If ", "one ", "of ", "your ", "friends ", "lives ", "farther ", "away, ", "you ", "might ", "send ", "signals ", "with ", "flags. ", "If ", "you ", "have ", "a ", "pesky ", "big ", "brother ", "and ", "you ", "want ", "to ", "talk ", "to ", "your ", "friends ", "in ", "secret, ", "use ", "a ", "special ", "code ", "when ", "you ", "send ", "your ", "flag ", "signals."], [86.931252, 87.11859, 87.269434, 87.38865, 87.597885, 87.889842, 88.123407, 88.546743, 89.359355, 89.512632, 89.721867, 90.01139, 90.500417, 90.712086, 92.130506, 92.249722, 92.334876, 92.541678, 92.690089, 93.276435, 93.53433, 94.127974, 94.244757, 94.41993, 94.568341, 94.670526, 94.923555, 95.047636, 95.264171, 95.5099, 95.643714, 96.317646, 96.553644, 96.631499, 97.110794, 97.46844, 97.629016, 97.830953, 98.015858, 98.132641, 98.536514]);
	makeSound('10_party', 100.220128, 112.5, ["But ", "the ", "best ", "way ", "to ", "tell ", "your ", "friends ", "about ", "your ", "ice ", "cream ", "party ", "is     ", "face-to-face. ", "Whatever ", "method ", "you ", "use ", "to ", "communicate, ", "be ", "sure ", "you ", "tell ", "the ", "whole ", "gang ", "that ", "it’s ", "time ", "for ", "a ", "yummy ", "ice ", "cream ", "party!"], [100.285819, 100.806474, 100.930555, 101.200615, 101.404984, 101.485272, 101.667745, 101.90131, 102.241926, 102.453594, 102.592273, 102.813673, 103.066702, 103.409751, 103.760098, 105.241776, 105.589691, 105.876781, 106.068986, 106.258757, 106.343911, 107.292769, 107.482541, 107.713673, 107.864517, 108.078618, 108.261091, 108.604139, 109.034775, 109.141826, 109.326731, 109.740336, 109.910644, 110.020127, 110.38264, 110.664864, 110.959253]);

	//sound effects	
	makeSound('sfx_morse_code',	232.406279,	240.099703);
	makeSound('sfx_phone_arr',	240.732591,	240.808723);
	makeSound('sfx_phone_send',	241.577815,	241.828398);
	//glossary sfx:
	makeSound('boing_bonk',	242.542147, 244.770168);
	makeSound('wordbones',	245.182, 246.535);

	//used for definition audio AND glossary
	makeSound('def_communicate', 113.689045, 117.737505);
	makeSound('def_decision',	225.595,	231.532279);
	makeSound('def_decide',	225.595,	231.532279);
	makeSound('def_simple', 118.671765, 125.289441);
	makeSound('def_message', 126.496193, 134.359549);
	makeSound('defONLY_message', 134.943462, 138.991922);
	makeSound('def_information', 139.614762, 150.008406);
	makeSound('defONLY_information', 151.409796, 157.404631);
	makeSound('def_signal', 158.650312, 169.511085);
	makeSound('defONLY_signal', 217.703335, 224.827064);
	makeSound('def_complex', 171.068185, 177.803642);
	makeSound('def_innovation', 179.009396, 184.222455);
	makeSound('def_technology', 185.821709, 192.166892);
	makeSound('def_connect', 193.412572, 204.740476);
	makeSound('defONLY_connect', 205.324386, 211.163512);
	//______ alternates ______
	makeSound('def_communicate,', 113.689045, 117.737505);
	makeSound('def_message.', 126.496193, 134.359549);
	makeSound('def_messages', 126.496193, 134.359549);
	makeSound('def_signals', 158.650312, 169.511085);
	makeSound('def_technology,', 185.821709, 192.166892);

	//definitions go into definitionText array (need to put word verbatim from phrase's text array above, including punctuation/space if necessary)
	definitionText['communicate'] = 'When you communicate, you tell someone something.';
	definitionText['decide'] = definitionText['decision'] = "When you make a decision, it means you think about something and then make up your mind.";
	definitionText['simple'] = 'When something is simple, that means it does not have a lot of parts and it is easy to understand.';
	definitionText['message'] = 'A message is something you want to tell someone else.';
	definitionText['information'] = 'When you want information about something, you want to know things about it.';
	definitionText['signal'] = 'A signal is something that tells you what to do, gives directions, a warning, or other information.';
	definitionText['complex'] = 'When something is complex, that means it has a lot of parts and it is not easy to understand.';
	definitionText['innovation'] = 'An innovation is a new idea, thing, or way to do something.';
	definitionText['technology'] = 'Technology is the use of science or engineering to create useful things.';
	definitionText['connect'] = 'When you connect with someone, you talk or meet with them to tell them something.';
	//______ alternates ______
	definitionText['communicate,'] = definitionText['communicate'];
	definitionText['message.'] = definitionText['message'];
	definitionText['messages'] = definitionText['message'];
	definitionText['signals'] = definitionText['signal'];
	definitionText['technology,'] = definitionText['technology'];
}

//story_manifest: unique for each storybook:
function make_storymanifest() {
	//image assets:
	//for preloader, each storybook's image assets should be defined here
	//id is used within images array to reference images:  images['i_pops']
	story_manifest = [
		//background image;
		{src:imgPath+"img/bg/bg_purple.jpg", id:"bg_story"},
		{src:imgPath+"img/covers/icecream.jpg", id:"icecream_cover"},

		{src:imgPath+"img/icecream_story/1/intro_sprites.png", id:"icecream1"},

		{src:imgPath+"img/icecream_story/2/computer_bg8.png", id:"icecream2bg"},
		{src:imgPath+"img/icecream_story/2/helen_torso.png", id:"icecream2helen"},
		{src:imgPath+"img/icecream_story/2/helen_hilite.png", id:"icecream2hilite"},
		{src:imgPath+"img/icecream_story/2/computer_hel_sprites.png", id:"icecream2arm"},
		{src:imgPath+"img/icecream_story/2/computer_car_sprites.png", id:"icecream2caro"},

		{src:imgPath+"img/icecream_story/3/phone_sprites.png", id:"phone_sprites"},
		{src:imgPath+"img/icecream_story/3/texting_sprites.png", id:"texting_sprites"},

		{src:imgPath+"img/icecream_story/4/helen_phone.png", id:"icecream4"},
		
		{src:imgPath+"img/icecream_story/5/5-nopower.jpg", id:"icecream5"},

		{src:imgPath+"img/icecream_story/6/frame_hilite.png", id:"icecream6hilite"},
		{src:imgPath+"img/icecream_story/6/picture_frame.png", id:"icecream6frame"},
		{src:imgPath+"img/icecream_story/6/btn_eraser.png", id:"icecream6eraser"},

		{src:imgPath+"img/icecream_story/7/invite_idx.png", id:"icecream7inv"},
		{src:imgPath+"img/icecream_story/7/words_sprites.png", id:"invite_sprites"},

		{src:imgPath+"img/icecream_story/8/8_hel_beam.png", id:"icecream8beamHel"},
		{src:imgPath+"img/icecream_story/8/8_helen_hilite.png", id:"icecream8hilite"},
		{src:imgPath+"img/icecream_story/8/8_helen.png", id:"icecream8hel"},
		{src:imgPath+"img/icecream_story/8/8_tru_beam.png", id:"icecream8beamTru"},
		{src:imgPath+"img/icecream_story/8/8_truman.png", id:"icecream8tru"},

		{src:imgPath+"img/icecream_story/9/9_helen8.png", id:"icecream9hel"},
		{src:imgPath+"img/icecream_story/9/flag_sprites16.png", id:"icecream9arms"},

		{src:imgPath+"img/icecream_story/10/party_16lin.png", id:"icecream10scn"},
		{src:imgPath+"img/icecream_story/10/balloon_sprites.png", id:"balloon_sprites"},

		//for glossary (common assets for every use):
		{src:imgPath+"img/glossary/wordbone.png", id:"glossary-wordbone"},
		{src:imgPath+"img/glossary/martha_only.png", id:"glossary-martha"},
		{src:imgPath+"img/glossary/board_only.png", id:"glossary-board"},{src:imgPath+"img/glossary/glossary_title.png", id:"glossary-title"},
		{src:imgPath+"img/glossary/bowl_only.png", id:"glossary-bowl"},
		{src:imgPath+"img/glossary/splash_only.png", id:"glossary-splash"},
		{src:imgPath+"img/glossary/cloud_defonly.png", id:"glossary-txtcloud"},
		{src:imgPath+"img/glossary/cloud_defandimage.png", id:"glossary-imgcloud"}
		];
}

//each storybook should have its spritesheets created in this function
function story_spritesheets() {

	spritesheets["icecream1"] = new createjs.SpriteSheet({
		images:[images["icecream1"]],
		frames:[[2,2,340,389],[346,2,195,148],[545,2,156,144],[448,251,190,121],[448,154,191,93],[346,154,98,214]],
		animations:{helen:0,icecream1:1,icecream2:2,icecream3:3,icecream4:4,icecream5:5}
	});

	spritesheets["icecream2arm"] = new createjs.SpriteSheet({
		images:[images["icecream2arm"]],
		frames:[[0,0,391,572],[391,0,391,572],[782,0,391,572],[1173,0,391,572],[1564,0,391,572],[0,572,391,572],[391,572,391,572],[782,572,391,572],[1173,572,391,572],[1564,572,391,572],[0,1144,391,572],[391,1144,391,572],[782,1144,391,572]],
		animations:{wave:{frames:[0,1,2,3,4,5,6,7,8,9,10,11,12,11,10,9,8,7,6,5,4,3,2,1,0],next:false,frequency:5}}
	});

	spritesheets["icecream2caro"] = new createjs.SpriteSheet({
		images:[images["icecream2caro"]],
		frames:[[2,2,266,199],[270,2,266,199],[538,2,266,199],[806,2,266,199],[1074,2,266,199],[1342,2,266,199],[2,203,266,199],[270,203,266,199],[538,203,266,199],[806,203,266,199],[1074,203,266,199],[1342,203,266,199],[2,404,266,199],[270,404,266,199],[538,404,266,199],[806,404,266,199],[1074,404,266,199],[1342,404,266,199]],
		animations:{wave:{frames:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,16,15,14,13,12,11,10,9,8,7,6,5,4,3,2,1,0],next:false,frequency:2.5}}
	});

	spritesheets["icecream3phone"] = new createjs.SpriteSheet({
		images:[images["phone_sprites"]],
		frames:[[2,2,69,73],[73,2,69,73],[2,77,69,73],[73,77,69,73],[2,152,133,75],[2,229,133,75],[2,306,149,113],[2,421,149,113],[2,536,149,113],[2,651,149,113],[2,766,149,113],[2,881,149,113],[2,996,149,113],[2,1111,149,113]],
		animations:{btnL:0,btnLdn:1,btnR:2,btnRdn:3,btnS:4,btnSdn:5,notes:6}
	});

	spritesheets["icecream3other"] = new createjs.SpriteSheet({
		images:[images["texting_sprites"]],
		frames:[[2,2,340,596],[2,601,263,315],[268,841,120,117],[268,721,120,117],[268,601,120,117]],
		animations:{phone:0,td_body:1,td_head1:2,td_head2:3,td_head3:4}
	});

	spritesheets["icecream7sprites"] = new createjs.SpriteSheet({
		images:[images["invite_sprites"]],
		frames:[[5,5,215,118],[5,125,297,79],[5,206,262,75],[5,283,198,83],[5,368,239,75]]
	});

	spritesheets["icecream9sprites"] = new createjs.SpriteSheet({
		images:[images["icecream9arms"]],
		frames:[[242,1570,238,390],[2,1570,238,390],[242,1178,238,390],[2,1178,238,390],[242,786,238,390],[2,786,238,390],[242,394,238,390],[2,394,238,390],[242,2,238,390],[2,2,238,390]]
	});

	spritesheets["icecream10sprites"] = new createjs.SpriteSheet({
		images:[images["balloon_sprites"]],
		frames:[[349,2,62,188],[64,2,61,209],[2,2,60,223],[284,2,63,195],[127,2,83,200],[212,2,70,199],[413,2,54,166]]
	});


	//glossary:
	spritesheets['glossary-martha'] = new createjs.SpriteSheet({
	    "frames": [
	        [1037, 2, 259, 217, 0, -20, -114],
	        [538, 2, 248, 227, 0, -37, -128],
	        [288, 2, 246, 229, 0, -38, -118],
	        [790, 2, 243, 220, 0, -38, -121],
	        [1755, 450, 252, 196, 0, -30, -137],
	        [2, 2, 282, 237, 0, -4, -86],
	        [577, 656, 280, 157, 0, -149, -105],
	        [861, 656, 281, 157, 0, -183, -67],
	        [2, 656, 284, 190, 0, -208, -20],
	        [290, 656, 283, 189, 0, -228, -15],
	        [1463, 450, 288, 196, 0, -237, -10],
	        [1171, 450, 288, 196, 0, -244, -9],
	        [877, 450, 290, 200, 0, -247, -7],
	        [582, 450, 291, 200, 0, -249, -7],
	        [869, 243, 289, 203, 0, -252, -8],
	        [578, 243, 287, 203, 0, -255, -10],
	        [291, 450, 287, 202, 0, -257, -18],
	        [1742, 243, 286, 203, 0, -262, -30],
	        [1452, 243, 286, 203, 0, -268, -48],
	        [1162, 243, 286, 203, 0, -276, -73],
	        [2, 450, 285, 202, 0, -287, -107],
	        [290, 243, 284, 203, 0, -302, -152],
	        [2, 243, 284, 203, 0, -322, -215],
	        [1300, 2, 276, 204, 0, -356, -310],
	        [1580, 2, 275, 204, 0, -416, -495]
	    ],
	    "animations": {"all": {"frames": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24], "next": false, "frequency": 3}},		
		"images": [images['glossary-martha']]
	});
	
	spritesheets['glossary-board'] = new createjs.SpriteSheet({
	    "frames": [[2, 209, 384, 69, 0, 0, -14], [2, 2, 387, 110, 0, 0, -2], [393, 2, 386, 99, 0, 0, -5], [2, 116, 386, 89, 0, 0, -8], [392, 116, 386, 79, 0, 0, -11], [580, 209, 304, 69, 0, 0, -14], [783, 2, 237, 69, 0, 0, -14], [390, 209, 186, 69, 0, 0, -14], [2, 282, 149, 68, 0, 0, -14], [782, 116, 127, 68, 0, 0, -14], [888, 209, 120, 68, 0, 0, -14]],
	    "animations": {"all": {"frames": [0, 1, 2, 3, 4, 0, 0, 0, 0, 5, 6, 7, 8, 9, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10], "next": false, "frequency": 3}},
		"images": [images['glossary-board']]
	});
	
	spritesheets['glossary-bowl'] = new createjs.SpriteSheet({
		"frames": [[0, 0, 629, 170, 0, 0, -1], [0, 170, 629, 166, 0, 0, -1]],
		"animations": {"all": {"frames": [0, 1]}
	},
	"images": [images['glossary-bowl']]
	});

	spritesheets['glossary-splash'] = new createjs.SpriteSheet({
		"frames": [[1808, 0, 1, 1, 0, 0, 0], [451, 578, 422, 186, 0, -45, -134], [0, 578, 451, 230, 0, -30, -78], [0, 0, 543, 297, 0, 0, -4], [543, 0, 594, 295, 0, 0, 0], [1402, 297, 637, 262, 0, 0, -21], [1137, 0, 671, 282, 0, 0, 0], [0, 297, 694, 281, 0, 0, 0], [694, 297, 708, 280, 0, 0, 0]],
		"animations": {
			"bowl_idle": {"frames": [0]},
			"bowl_splash": {"frames": [1, 2, 3, 4, 5, 6, 7, 8], "frequency": 4, "next": false},
		},
		"images": [images['glossary-splash']]
	});
}
