function prep_1_inventor(transition){
	//**//**console.log('function: prep_1_inventor');
	world_current = worlds['1_inventor'];
	
	ticker_world = (function(){
		tick_1_inventor();
	});
	end_world = (function(){
		end_1_inventor();
	});
	narrDone = (function(){
		narrDone_1_inventor();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = "Parent tip: Talk with your child about all the different ways he or she is curious. Does he or she ask a lot of questions? Like to learn new things? Enjoy exploring new places? It's great to be curious! Ask your child what he or she is most curious about. ";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['1_bg']);
	world_current.addChild(bg);

	//** page assets:
	balloon = new createjs.BitmapAnimation(spritesheets['bottleballoon']);
	balloon.gotoAndStop(0);
	balloon.x = 721;
	balloon.y = 83;


	glassbottle = new createjs.Bitmap(images['1_bottle']);
	glassbottle.x = 722;
	glassbottle.y = 85;

	world_current.addChild(glassbottle);
	world_current.addChild(balloon);

	/*papertop = new createjs.Bitmap(images['1_schematic']);
	papertop.x = 584;
	papertop.y = 390;
	world_current.addChild(papertop);*/

	lasershot = new createjs.BitmapAnimation(spritesheets['lasershot']);
	lasershot.gotoAndStop(0);
	lasershot.x = 350; lasershot.y = 100;
	lasershot.visible = false;
	world_current.addChild(lasershot);

	lasermachine = new createjs.Bitmap(images['1_lasermachine']);
	lasermachine.regX = lasermachine.image.width/2;
	lasermachine.regY = lasermachine.image.height/2;
	lasermachine.x = 376;
	lasermachine.y = 280;
	world_current.addChild(lasermachine);


	_balloonFilling = false;
	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('1_inventor',['curious']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_1_inventor);

}

//level specific functions:
function shootLaser(e){
	
	if(!narrActive){
		stopSound();
		playSound('laser_zap');
	}
	
	lasershot.visible = true;
	
	lasershot.onAnimationEnd = inflateBalloon;
	lasershot.gotoAndPlay('fire');
}
function inflateBalloon(){
	lasershot.visible=false;
	if(!_balloonFilling){
		_balloonFilling = true;
		lasershot.onAnimationEnd = null;
		balloon.onAnimationEnd = deflateBalloon;
		balloon.gotoAndPlay('inflate')		
	}
}
function deflateBalloon(){
	balloon.onAnimationEnd = resetLaser;
	balloon.gotoAndPlay('deflate');
}
function resetLaser(){
	_balloonFilling = false;
	balloon.onAnimationEnd = null;
	//doPulse(lasermachine);
	
	
}
//called once this level is fully slid into place
function begin_1_inventor(){
	//**//**console.log("WORLD 1 BEGIN");
	
	playSound('1_inventor');
	
}

function narrDone_1_inventor(){
	doPulse(lasermachine);
	addShadow(lasermachine);
	
	lasermachine.onPress = shootLaser;	
}


function tick_1_inventor(){
	stage.update();
}



function end_1_inventor(){
	//**//**console.log('end_1_inventor');	
	
	stopSound();
	
	createjs.Ticker.removeListener(ticker_world);
}

