function prep_2_inventor(transition){
	//**//**console.log('function: prep_2_inventor');
	world_current = worlds['2_inventor'];
	
	ticker_world = (function(){
		tick_2_inventor();
	});
	end_world = (function(){
		end_2_inventor();
	});
	narrDone = (function(){
		narrDone_2_inventor();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = 'Talk about inventions your child uses (or would like to use, such as a telescope). Pick a favorite. Find out more about it, online and at the library. Who invented it? When was it first used? What other inventions did it lead to? ';

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['2_bg']);
	world_current.addChild(bg);

	//** page assets:


	periscope = new createjs.Bitmap(images['periscope']);
	periscope.x = 750;
	periscope.y = 240;
	periscope.startY = periscope.y;
	periscope.endY = periscope.startY - 100;
	
	subbody = new createjs.Bitmap(images['subbody']);
	subbody.x = 610;
	subbody.y = 125;
	subbody.startY = subbody.y;
	subbody.endY = subbody.startY + 118;		
	
	submask = new createjs.Bitmap(images['submask']);
	submask.x = 565;
	submask.y = 165;

	subsplash = new createjs.BitmapAnimation(spritesheets['splash']);
	subsplash.x = 748;
	subsplash.y = 210;
	subsplash.alpha = 0.5;
	subsplash.visible = false;
	subsplash.onAnimationEnd = hideSplash; //whenever splash anim finishes, it is hidden. make visible true each time it plays
	subsplash.gotoAndStop(0);

	world_current.addChild(subbody);
	world_current.addChild(periscope);
	world_current.addChild(subsplash);
	world_current.addChild(submask);
	
	

	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('2_inventor',['developed']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_2_inventor);

}

//level specific functions:
function hideSplash(){
	subsplash.visible = false;
}

function sub_submerge(e){
	createjs.Tween.removeTweens(subbody);
	subbody.onPress = null;
	removeShadow(subbody);

	if(!narrActive){
		playSound('submarine_splash');
	}

	createjs.Tween.get(subbody, {loop:false})
     .to({y: subbody.endY }, 1000, createjs.Ease.linear)
     .wait(600)
     .call(periscope_rise);
}
function periscope_rise(){
	subsplash.visible = true;
	subsplash.gotoAndPlay('all')

	createjs.Tween.get(periscope, {loop:false})
     .to({y: periscope.endY }, 700, createjs.Ease.circOut)
     .call(function(){
     	doPulse(periscope);
     	addShadow(periscope);
		periscope.onPress = sub_rise;
     });
}

function sub_rise(){
	periscope.onPress = null;
	removeShadow(periscope);

	if(!narrActive){
		playSound('submarine_splash');
	}

	createjs.Tween.get(periscope, {loop:false})
     .to({y: periscope.startY-30 }, 700, createjs.Ease.circIn)
     .call(function(){
     		subsplash.visible = true;
			subsplash.gotoAndPlay('all')
     })
     .to({y: periscope.startY }, 400, createjs.Ease.linear)
     .wait(600)
     .call(function(){
		createjs.Tween.get(subbody, {loop:false})
	     .to({y: subbody.startY }, 1000, createjs.Ease.linear)
	     .call(function(){
			doPulse(subbody);
			addShadow(subbody);
			subbody.onPress = sub_submerge;	     	
	     });     	
	});
}

//called once this level is fully slid into place
function begin_2_inventor(){
	
	playSound('2_inventor');
	
}

function narrDone_2_inventor(){
	

	doPulse(subbody);
	addShadow(subbody);
	subbody.onPress = sub_submerge;
}

function tick_2_inventor(){
	stage.update();
}



function end_2_inventor(){
	//**//**console.log('end_2_inventor');	
	createjs.Tween.removeTweens(subbody);
	createjs.Tween.removeTweens(periscope);
	
	stopSound(); 
	
	createjs.Ticker.removeListener(ticker_world);
}

