function prep_6_inventor(transition){
	//**//**console.log('function: prep_6_inventor');
	world_current = worlds['6_inventor'];
	
	ticker_world = (function(){
		tick_6_inventor();
	});
	end_world = (function(){
		end_6_inventor();
	});
	narrDone = (function(){
		narrDone_6_inventor();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = "Parent tip: With your child, recall a time he or she experimented with doing or making something. How many attempts did it take? Repeated use of a word helps a child learn it. During the week, point out when your child attempts or experiments with something, using those words. ";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['6_bg']);
	world_current.addChild(bg);


	  // PHYSICS stuff:	  
	  doPhysics = false; //bool set to false at start. set to true once narration is done
	  gravityX = 0;
	  gravityY = 20;

	  // physics objects
	  obj = {}; 
	  wall_top = {};
	  wall_bottom = {};
	  wall_left = {};
	  wall_right = {};	  
	  screen_top = 30; //y-pos of wall_top (ocean surface)
	  screen_bottom = 440; //y-pos of wall_bottom
	  screen_left = 60; //x-pos of wall_left
	  screen_right = canvas.width - screen_left;

	  foodbits = [];
	  foodBatch = 0;
	  shootAllowed = true;
	//** page assets:
	

	foodshooter = new createjs.Bitmap(images['foodshooter']);
	foodshooter.regX = foodshooter.image.width/2;
	foodshooter.regY = foodshooter.image.height/2;
	foodshooter.x = 180 + foodshooter.regX; //210
	foodshooter.y = 285 + foodshooter.regY;	//250
	

	foodshooterTop = new createjs.Bitmap(images['foodshooterTop']);
	foodshooterTop.regX = foodshooterTop.image.width/2;
	foodshooterTop.regY = foodshooterTop.image.height/2;
	foodshooterTop.x = foodshooter.x +  85.5;
	foodshooterTop.y = foodshooter.y - 42.5;
	foodshooterTop.visible=false;
	
	//
	
	//adding children to canvas in proper order:
	world_current.addChild(foodshooter);
	makePhysics_6_inventor(); //creates box2D world & related createjs objects on canvas			
	world_current.addChild(foodshooterTop);	

	
	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	//providing custom linewidth and font size params for this page only:
	setNarrationText();


	//params: sndID, defintion words in array
	//renderNarration('6_inventor',['experiment','materials.','attempt']);
	renderNarration('6_inventor',['experiment','materials.','attempt']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_6_inventor);

}

//level specific functions:

function makePhysics_6_inventor(){
    //var _this = this;
    //**//**console.log('this is: ' + this);

    this.world = new EaselBoxWorld(this, frameRate, canvas, gravityX, gravityY, pixelsPerMeter);
    

    wall_top = this.world.addEntity({
    type: 'static',
    color: "blue",
    alpha:0,
    widthPixels: canvas.width *2,
    heightPixels: 10,
    xPixels: 0,
    yPixels: screen_top
    });

	walltopY = wall_top.body.GetPosition().y;

    wall_bottom = this.world.addEntity({
    type: 'static',
    color: "blue",
    alpha:0,
    widthPixels: canvas.width *2,
    heightPixels: 10,
    xPixels: 0,
    yPixels: screen_bottom
    });

	wallbottomY = wall_bottom.body.GetPosition().y;

/*
    wall_left = this.world.addEntity({
    type: 'static',
    color: "blue",
    //alpha:0,
    heightPixels: canvas.height *2,
    widthPixels: 50,
    xPixels: 30,
    yPixels: 0
    });

	wallleftX = wall_left.body.GetPosition().x;
*/
    wall_right = this.world.addEntity({
    type: 'static',
    color: "blue",
    alpha:0,
    heightPixels: canvas.height *2,
    widthPixels: 50,
    xPixels: canvas.width - 30,
    yPixels: 0
    });

	wallrightX = wall_right.body.GetPosition().x;



	var ball_width = 15;

	pipeleft = this.world.addEntity({
	    type: 'static',
	    color: "red",
	    alpha:0,
	    widthPixels: 10,
	    heightPixels: 35,
	    xPixels: 300,
	    yPixels: 350,	    
    });

	barrierRight = this.world.addEntity({
	    type: 'static',
	    color: "green",
	    alpha:0,
	    widthPixels: 10,
	    heightPixels: 105,
	    xPixels: 445,
	    yPixels: 378,	    
    });


	pipetop1 = this.world.addEntity({
	    type: 'static',
	    color: "orange",
	    alpha:0,
	    widthPixels: 85,
	    heightPixels: 10,
	    xPixels: 412,
	    yPixels: 295,
	    angleDegrees:-30
    });

	pipetop2 = this.world.addEntity({
	    type: 'static',
	    color: "pink",
	    alpha:0,
	    widthPixels: 170,
	    heightPixels: 10,
	    xPixels: 284,
	    yPixels: 315
    });

	pipebottom1 = this.world.addEntity({
	    type: 'static',
	    color: "yellow",
	    alpha:0,
	    widthPixels: 85,
	    heightPixels: 10,
	    xPixels: 410,
	    yPixels: 350,
	    angleDegrees:-31
    });

	pipebottom2 = this.world.addEntity({
	    type: 'static',
	    color: "black",
	    alpha:0,
	    widthPixels: 170,
	    heightPixels: 10,
	    xPixels: 284,
	    yPixels: 372
    });

	
	//making sets of food pellets. create them as STATIC first, then on each machine press, a latest set is made dynamic as its moved into place.
	//foodpellets are hidden at first (visible of easelObj set to false). make easelObj visible TRUE before firing.
	var ballX = 392;  //starting x and y positioning of foodpellets into the machine, before they fire
	var ballY = 334;
	
	var b = 0;
	var randFood = [
		'foodbit1',
		'foodbit2',
		'foodbit3',
		'foodbit4',
		'foodbit5',
		'foodbit6',
		'foodbit7'
	];
	var rf = {};

	//first batch: foodbits[0]
	foodbits[0] = [];
    for (var i=0; i<2; i++){
    	for (var j=0;j<4;j++){
    		rf = randomInt(0, randFood.length-1);
    		var rImg = images[randFood[rf]];

		    foodbits[0][b] = this.world.addEntity({
		    type: 'static',
		    alpha:0, //sets .visible of easelObj to false
		    radiusPixels: ball_width/2,
		    imgSrc: rImg,
		    scaleX: ball_width / rImg.width,
		    scaleY: ball_width / rImg.width,    
		    xPixels: ballX + 15*j,		    
		    yPixels: ballY - 10*j		    
		    });
			
			foodbits[0][b].startX = foodbits[0][b].body.GetPosition().x;
		    foodbits[0][b].startY = foodbits[0][b].body.GetPosition().y;
		    
		    b++;
    	}
    }


    //additional foodbit batches: change # of loop iterations to adjust # of batches that can be fired 
    for (var f=1;f<20;f++){
    	
    	foodbits[f] = [];
    	b = 0;

    	for (var i=0; i<2; i++){
	    	for (var j=0;j<4;j++){
	    		rf = randomInt(0, randFood.length-1);
	    		var rImg = images[randFood[rf]];

			    foodbits[f][b] = this.world.addEntity({
			    type: 'static',
			    radiusPixels: ball_width/2,
			    imgSrc: rImg,
			    scaleX: ball_width / rImg.width,
			    scaleY: ball_width / rImg.width,    
			    xPixels: -30*f - 15*j,
			    yPixels: -30*f  - 15*i,
			    alpha:0,
			    });
				
				foodbits[f][b].startX = foodbits[0][b].startX;
			    foodbits[f][b].startY = foodbits[0][b].startY;
			    
			    b++;
	    	}
    	}
	}



}
//called once this level is fully slid into place
function begin_6_inventor(){
	//**//**console.log("WORLD 1 BEGIN");
	
	playSound('6_inventor');
	
}

function narrDone_6_inventor(){
	//doPhysics = false;
	foodshooterTop.visible=false;
	doPulse(foodshooter);
	//doPulse(foodshooterTop);
	addShadow(foodshooter);

	foodshooter.onPress = doShoot;
	doPhysics = true;
}


function doShoot(e){
	foodshooterTop.visible=true;
	if(shootAllowed){
		shootAllowed = false;
		testFire();

		if(!narrActive) playSound('first_attempt');

		
		setTimeout(function(){
			shootAllowed = true;
		}, 1000);
	}

}

function testFire(){
	if(foodBatch >= foodbits.length) return;

	////**console.log('batch #: ' + foodBatch);

	for (var i=0; i<foodbits[foodBatch].length;i++){

		foodbits[foodBatch][i].setState({
	      xPixels: foodbits[foodBatch][i].startX*30,
	      yPixels: foodbits[foodBatch][i].startY*30
	    });			

	      foodbits[foodBatch][i].selected = false;
	      foodbits[foodBatch][i].setType("dynamic");
		  foodbits[foodBatch][i].easelObj.visible = true; //show hidden pellets just before they fire

		forceX = randomNum(18,25);
		forceY = randomNum(-20,-10);
			
		foodbits[foodBatch][i].body.ApplyImpulse(this.world.vector(forceX, forceY), this.world.vector(foodbits[foodBatch][i].body.GetPosition().x, foodbits[foodBatch][i].body.GetPosition().y));
	}
	
	foodBatch++;
}

function tick_6_inventor(){
	stage.update();
	this.world.tick();
}



function end_6_inventor(){
	//**//**console.log('end_6_inventor');	
	//doPhysics=false;
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

