//"How to Be An Inventor?" Quiz vars

//page name of quiz_end page should be set to var quiz_end
//create one additional container in worlds[] with .name contained in quiz_end
var quiz_end = 'inventor_quiz_end';
worlds[ quiz_end ] = new createjs.Container();

//define questions and answers here 
//Questions are always text. Answers can be txt or images....
/*
//quiz_words: array that holds each word being quizzed. array elements (strings) used as keys to access questions and answers in quiz_content

//TEXT-ONLY
//quiz_content 2D array, for each inner array, indices as follows:
	0 - question text
	1 - CORRECT answer choice
	2 - WRONG answer choice
	3 - WRONG answer choice
	4 - difficulty: 'easy', 'medium' 'hard', 'rc'(for reading comp question)

*/

var quiz_words = ['q1', 'q2', 'q3', 'q4', 'q5', 'q6', 'q7', 'q8', 'q9']; 
var quiz_content = [];

//txt questions
quiz_content['q1'] = ["What is something you should think about before you create an invention?", 'a plan', 'a product', 'a mistake', 'easy'];
quiz_content['q2'] = ["What's another word for making something new?",'develop', 'discover', 'plan', 'medium'];
quiz_content['q3'] = ["When you improve something you...", 'make it better', 'make it worse', 'find it', 'medium'];
quiz_content['q4'] = ["If you are able to finish your invention and it comes out as planned, what is this called?", 'success', 'develop', 'a plan' ,'hard'];
quiz_content['q5'] = ["When you want to learn or know more about something you are...", 'curious', 'excited', 'making mistakes' ,'hard']
quiz_content['q6'] = ["When you do tests to find something out you are...",'experimenting', 'making mistakes', 'taking a test', 'hard'];
quiz_content['q7'] = ["What's another word for imagining a picture of something you'd like to do, in your mind?", 'envision', 'attempt', 'success' ,'hard']
quiz_content['q8'] = ["What's another word for try?",'attempt', 'plan', 'fail', 'hard'];
quiz_content['q9'] = ["When you make something you...", 'produce it', 'find it', 'remove it' ,'hard']

//FOR FIRST question:
//pull a random quiz question... 
//_questionNumber will be random # to pull a random word from quiz_words
//quiz_content holds the question text and answer choices for the word in quiz_words 
quiz_doCover();

//

//for quiz only: set narrDone to nothing:
function narrDone(){}

//SOUNDS: path+filename of this storybook's multisound file (without extension)
var sndurl = 'sound/inventor_quiz';

/*
//functions below are called at certain points in the main storybook js (rtlstorybook.js)
1: makeSounds() -- call makeSound() and define defintions in definitionText[]
2: make_storymanifest() -- defines the differnet image files that preload.js will load 
3: story_spritesheets() -- called by main js (rtlstorybook.js)'s make_spritesheet's function to create storybook specific ss
*/

function makeSounds(){
	// all timecodes are in seconds format... converted to milliseconds at runtime (onPlay event)
	
	//quiz sfx:
	makeSound('sfx_biscuits', 142.052609, 143.026219);
	makeSound('sfx_splat', 143.304922, 144.415761);
	makeSound('sfx_pie', 144.498767, 145.308669);
	makeSound('sfx_lazer', 145.478012, 147.521173);
	makeSound('sfx_wrong', 148.084423, 149.424442);

	//question-specific audio:
	makeSound('q_q1', 0.000000, 3.956807);
	makeSound('q_q2', 5.554050, 8.312924);
	makeSound('q_q3', 10.944745, 13.086503);
	makeSound('q_q4', 15.899829, 20.618956);
	makeSound('q_q5', 21.998393, 25.192879);
	makeSound('q_q6', 26.372661, 29.639749);
	makeSound('q_q7', 31.672604, 36.536935);
	makeSound('q_q8', 38.351984, 40.275936);
	makeSound('q_q9', 42.399543, 44.178291);

	//makeSound('q_q10', 33.4994,38.224661);
	makeSound('f_q1', 94.473297, 100.832824);
	makeSound('f_q2', 101.929294, 105.547646);
	makeSound('f_q3', 105.986234, 109.275645);
	makeSound('f_q4', 109.823880, 113.222938);
	makeSound('f_q5', 113.990467, 118.266701);
	makeSound('f_q6', 118.924583, 126.270934);
	makeSound('f_q7', 126.928816, 132.411167);
	makeSound('f_q8', 133.069049, 135.481284);
	makeSound('f_q9', 137.564577, 140.963635);
	makeSound('a plan', 45.811835, 46.846413);
	makeSound('make it better', 47.536131, 48.570709);
	makeSound('experimenting', 49.696040, 50.839520);
	makeSound('produce it', 51.801496, 52.563817);
	makeSound('a product', 54.197361, 55.195638);
	makeSound('discover', 56.502473, 57.246643);
	makeSound('make it worse', 58.480876, 59.824013);
	makeSound('excited', 61.457557, 62.310630);
	makeSound('making mistakes', 63.671916, 65.142106);
	makeSound('a mistake', 66.594145, 67.519820);
	makeSound('find it', 68.627000, 69.280418);
	makeSound('plan', 70.242393, 70.791446);
	makeSound('success', 72.134582, 73.001268);
	makeSound('taking a test', 74.240039, 75.433433);
	makeSound('fail', 76.663129, 77.157730);
	makeSound('remove it', 79.376627, 80.070883);
	makeSound('attempt', 81.209833, 81.847663);
	makeSound('develop', 82.630102, 83.301670);
	makeSound('curious', 83.818959, 84.660562);
	makeSound('envision', 85.216547, 85.942567);
	
	//required for quiz question outocomes:
	makeSound('empty', 4.4,4.5);
	makeSound('quizmo', 86.153182, 87.382821);
	makeSound('correct_1', 87.754573, 88.941318);
	makeSound('correct_2', 89.098597, 90.303478);
	makeSound('incorrect_1', 90.670026, 91.901030);
	makeSound('incorrect_2', 92.630235, 93.939170);
}