//"HOW TO BE AN INVENTOR" story-specific vars

var pagenames = [
	'0_cover',				
	'1_inventor',
	'2_inventor',
	'3_inventor',
	'4_inventor',
	'5_inventor',
	'6_inventor',
	'7_inventor',
	'8_inventor',
	'9_inventor',
	'glossary'
];

//for use with glossary:
glossary_definitions = [];
glossary_definitions.push(
	['plan','txt'],
	['develop','txt'],
	['improve','txt'],
	['succeed','txt'],
	['curious','txt'],
	['experiment','txt'],
	['envision','txt'],
	['attempt','txt'],
	['produce','txt']
);

//box2d physics vars(can be modified in js per level):
var doPhysics  = true; //set false whenver you want physics ticker to not execute (such as false at page creation, true on narration done)
var frameRate, gravitationalConstant, gravityX, gravityY, pixelsPerMeter, forceMultiplier;
pixelsPerMeter = 30;
gravityX = 0;
gravityY = 0;
frameRate = FPS;
gravitationalConstant = 1.5;
forceMultiplier = 5;
var allowWin = false;
//


//SOUNDS: path+filename of this storybook's multisound file (without extension)
var sndurl = 'sound/inventor_text';
quiz_url = "inventor_game.html";
/*
//functions below are called at certain points in the main storybook js (rtlstorybook.js)
1: makeSounds() -- call makeSound() and define defintions in definitionText[]
2: make_storymanifest() -- defines the differnet image files that preload.js will load 
3: story_spritesheets() -- called by main js (rtlstorybook.js)'s make_spritesheet's function to create storybook specific ss
*/

function makeSounds(){
	//empty
	makeSound('empty',2.9,3.0);

	//narration: 	
	makeSound('0_cover', 160.610572, 163.89036);	
	makeSound('1_inventor', 0.465498, 9.7,["Are ","you ","curious ","about ","how ","things ","work? ","Do ","you ","like ","to ","come ","up ","with ","new ","ways ","to ","do ","things? ","Then ","you ","have ","what ","it ","takes ","to ","be ","an ","inventor! "], [0.569998, 0.691122, 0.930996, 1.403619, 1.674368, 1.947492, 2.334615, 3.187237, 3.282236, 3.362986, 3.56011, 3.67411, 3.802359, 3.982858, 4.099233, 4.308232, 4.685856, 4.866355, 5.129979, 6.179724, 6.459973, 6.716472, 7.020471, 7.19622, 7.371969, 7.725843, 7.937217, 8.048842, 8.184216]);
	makeSound('2_inventor', 10.544956, 22.011409,["Inventors ", "come ","up ","with ","all ","kinds ","of ","cool ","things. ","Sarah ","Mather ","invented ","a ","telescope ","for ","submarines. ","An ","engineer ","named ","Lonnie ","George ","Johnson ","developed ","a ","really ","great ","water ","squirter! "], [10.568706, 11.145829, 11.321578, 11.461702, 11.585202, 11.882076, 12.342824, 12.490073, 12.798822, 13.827193, 14.214316, 14.577689, 14.938688, 15.028938, 15.59181, 15.717685, 17.318428, 17.487052, 18.05705, 18.294549, 18.769547, 19.163795, 19.643543, 20.063917, 20.201666, 20.733664, 21.025788, 21.422411]); 
	makeSound('3_inventor', 24.1394, 33.905359,["Think ","of ","all ","those ","fun ","video ","games ","you ","and ","your ","friends ","play. ","They ","may ","never ","have ","existed ","if ","a ","guy ","named ","Allan ","Alcorn ","hadn't ","created ","the ","very ","first ","video ","game ","ever. "], [24.1584, 24.355524, 24.441023, 24.673773, 24.930271, 25.312645, 25.697393, 25.963392, 26.184266, 26.300641, 26.41464, 26.835014, 27.502386, 27.74226, 27.979759, 28.390632, 28.566381, 29.143504, 29.305003, 29.438003, 29.649377, 30.01275, 30.319124, 30.886747, 31.385495, 31.779743, 31.964992, 32.399615, 32.679864, 33.059863, 33.449361]);
	makeSound('4_inventor', 35.890851, 50.2,["If ", "you ", "want ", "to ", "be ", "an ", "inventor, ", "find ", "something ", "that ", "needs ", "improvement. ", "Say ", "you'd ", "like ", "to ", "sleep ", "late ", "on ", "weekends, ", "but ", "you ", "can't ", "because ", "your ", "dog ", "wants ", "breakfast. ", "Inventing ", "a ", "way ", "to ", "feed ", "your ", "dog ", "without ", "waking ", "up ", "would ", "be ", "a ", "big ", "improvement!"], [36.0381, 36.20435, 36.361099, 36.593848, 36.714973, 36.859847, 36.969096, 37.814593, 38.049717, 38.420215, 38.534215, 38.828714, 40.125458, 40.529207, 40.678831, 40.804706, 40.94483, 41.286829, 41.519578, 41.785576, 42.474324, 42.614448, 42.759322, 43.148821, 43.417195, 43.588194, 43.882693, 44.212816, 45.459686, 45.889559, 46.013059, 46.138933, 46.243433, 46.504682, 46.656681, 46.948805, 47.305054, 47.639927, 47.818051, 48.091175, 48.176675, 48.297799, 48.597048]);
	makeSound('5_inventor', 51.033788, 61.5,["Before ", "you ", "get ", "started, ", "it's ", "important ", "to ", "start ", "with ", "a ", "plan. ", "Having ", "a ", "plan ", "helps ", "you ", "figure ", "out ", "what ", "to ", "do. ", "Think ", "through ", "your ", "plan ", "and ", "then ", "draw ", "or ", "write ", "it ", "down."], [51.086038, 51.442286, 51.534911, 51.732035, 52.527657, 52.679656, 53.123779, 53.233029, 53.532278, 53.672402, 53.786402, 54.890772, 55.173396, 55.277895, 55.676894, 55.940518, 56.080642, 56.349016, 56.62214, 56.778889, 56.919014, 57.880885, 58.116009, 58.365383, 58.536382, 58.99238, 59.270254, 59.514878, 60.001751, 60.244, 60.422124, 60.571748]);
	makeSound('6_inventor', 62.832739, 72.4,["Once ", "you ", "have ", "a ", "plan ", "for ", "your ", "invention, ", "you ", "may ", "have ", "to ", "experiment ", "with ", "different ", "materials. ", "If ", "your ", "first ", "attempt ", "doesn't ", "work, ", "don't ", "worry. ", "You ", "can ", "always ", "try ", "again. "], [62.880239, 63.110613, 63.181235, 63.354121, 63.4221, 63.796405, 63.972648, 64.177425, 65.048566, 65.14424, 65.32384, 65.577293, 65.679682, 66.366188, 66.555858, 66.87813, 68.204145, 68.324997, 68.548237, 68.75805, 69.028288, 69.367345, 69.85411, 70.151204, 70.706787, 70.844424, 70.953527, 71.294262, 71.490647]);
	makeSound('7_inventor', 73.415695, 81.4,["Inventors ", "know ", "that ", "making ", "mistakes ", "is ", "part ", "of ", "the ", "process. ", "They ", "keep ", "on ", "trying ", "until ", "they ", "are ", "able ", "to ", "produce ", "an ", "invention ", "that ", "works."], [73.491418, 74.060429, 74.297098, 74.493482, 74.939963, 75.48044, 75.629826, 75.943706, 76.054486, 76.200516, 77.244543, 77.464426, 77.704451, 77.835374, 78.2315, 78.585664, 78.738407, 79.012002, 79.218458, 79.653189, 79.757256, 80.291019, 80.425299, 80.7]);
	makeSound('8_inventor', 81.652161, 89.5,["In ", "time, ", "you'll ", "have ", "an ", "invention ", "that ", "does ", "what ", "you ", "envisioned, ", "even ", "if ", "how ", "it ", "does ", "it ", "is ", "different ", "than ", "what ", "you ", "originally ", "planned. "], [81.830203, 82.021552, 82.783591, 82.917871, 83.171324, 83.238464, 83.753763, 83.945112, 84.2271, 84.342917, 84.465447, 85.430584, 85.709215, 85.878743, 86.360473, 86.494753, 86.770027, 86.86738, 87.177902, 87.505209, 87.585777, 87.803982, 87.953369, 88.483775]);
	makeSound('9_inventor', 91.893118, 102.7,["Of ", "course, ", "if ", "you ", "succeed ", "in ", "inventing ", "something ", "really ", "great, ", "it ", "may ", "be ", "so ", "much ", "fun ", "that ", "your ", "dogs ", "will ", "ask ", "to ", "see ", "it ", "again ", "and ", "again. ", "Because ", "everybody ", "loves ", "a ", "really ", "good ", "invention!"], [91.906235, 92.104298, 92.977117, 93.151681, 93.311139, 93.630054, 93.752584, 94.281312, 94.680794, 95.034958, 95.743284, 95.835602, 95.995059, 96.166266, 96.483503, 96.733599, 97.039086, 97.170009, 97.364715, 97.678594, 97.767555, 98.014294, 98.143539, 98.366779, 98.454061, 98.825009, 98.885435, 99.65251, 100.102347, 100.679751, 100.991952, 101.146374, 101.6986, 101.834559]);

	//sfx:
	makeSound('contraption_alarm',	169.745424,	171.254721);
	makeSound('first_attempt',	172.109424,	172.518424);
	makeSound('laser_zap',	173.505424,	174.457424);
	makeSound('submarine_splash',	175.157424,	178.237084);
	makeSound('pong_hit',	181.996,	182.023);
	makeSound('pong_lose',	182.473,	183.981753);
	makeSound('pong_score',	184.494,	186.572141);
	//glossary sfx:
	makeSound('wordbones',	164.076674,	165.304424);
	makeSound('boing_bonk',	179.145424,	181.373451);

	//definition audio:
	makeSound('def_plan', 103.264571, 109.952543);
		makeSound('def_plan.', 103.264571, 109.952543);
	makeSound('def_develop', 111.149538, 115.377021);
		makeSound('def_developed', 111.149538, 115.377021);
	makeSound('def_improve', 116.403017, 120.535499);
		makeSound('def_improvement.', 116.403017, 120.535499);
	makeSound('def_curious', 127.261471, 132.020952);
	makeSound('def_succeed', 121.542495, 126.064476);
	makeSound('def_experiment', 133.284446, 141.359413);
	makeSound('def_envision', 142.660907, 148.721882);
		makeSound('def_envisioned,', 142.660907, 148.721882);
	makeSound('def_attempt', 151.74287, 154.849357);
	makeSound('def_produce', 156.312351, 160.150335);
	makeSound('def_material',	165.809,	169.262424);
		makeSound('def_materials',	165.809,	169.262424);
		makeSound('def_materials.',	165.809,	169.262424);

	//definitions go into definitionText array (need to put word verbatim from phrase's text array above, including punctuation if necessary)
	definitionText['plan'] = definitionText['plan.'] = "When you have a plan, it means that you have something in your mind to do.  A plan is how you will do it. ";
	definitionText['developed'] = definitionText['develop'] = "When you develop something, you make something new. ";
	definitionText['improve'] = definitionText['improvement.'] = "When you improve something, you make it better. ";
	definitionText['succeed'] = "When you succeed, you are able to do it in the end. ";
	definitionText['curious'] = "If you are curious, you want to learn or know more. ";
	definitionText['experiment'] = "When you experiment, you do tests to find something out. You try different things and see what happens. ";
	definitionText['envision'] = definitionText['envisioned,'] = "When you envision something, it means you picture it in your mind or imagine it. ";
	definitionText['attempt'] = "To attempt means to try. ";
	definitionText['produce'] = "When you produce something, it means you make it. ";	
	definitionText['materials'] = definitionText['materials.'] = "Material is what something is made from.";
	definitionText['original'] = "Original means the first or earliest of something.";	
}


//story_manifest: unique for each storybook:
function make_storymanifest(){
	//image assets:
	//for preloader, each storybook's image assets should be defined here
	//id is used within images array to reference images:  images['i_pops']
	story_manifest = [
		
		//cover image:
		//{src:imgPath+"img/covers/inventor.png", id:"cover_story"},		
		{src:imgPath+"img/covers/inventor.jpg", id:"cover_story"},
		//background image;
		{src:imgPath+"img/bg/bg_green.jpg", id:"bg_story"},

		//1
		{src:imgPath+"img/inventor_story/1/1_bg.jpg", id:"1_bg"},
		//{src:imgPath+"img/inventor_story/1/schematic.png", id:"1_schematic"},
		{src:imgPath+"img/inventor_story/1/glassbottle.png", id:"1_bottle"},
		{src:imgPath+"img/inventor_story/1/lasermachine.png", id:"1_lasermachine"},		
		{src:imgPath+"img/inventor_story/1/bottleballoon.png", id:"bottleballoon"}, //anim
		{src:imgPath+"img/inventor_story/1/lasershot.png", id:"lasershot"}, //anim

		//2
		{src:imgPath+"img/inventor_story/2/2_bg.jpg", id:"2_bg"},
		{src:imgPath+"img/inventor_story/2/submask.png", id:"submask"},
		{src:imgPath+"img/inventor_story/2/submarine.png", id:"subbody"},
		{src:imgPath+"img/inventor_story/2/periscope.png", id:"periscope"},
		{src:imgPath+"img/inventor_story/2/splash.png", id:"splash"}, //anim

		//3:
		{src:imgPath+"img/inventor_story/3/3_bg.jpg", id:"3_bg"},
		{src:imgPath+"img/inventor_story/3/scoreboard.png", id:"3_scoreboard"},
		{src:imgPath+"img/inventor_story/3/paddle.png", id:"pongblock"},
		{src:imgPath+"img/inventor_story/3/ball.png", id:"pongball"},
		{src:imgPath+"img/inventor_story/3/remote.png", id:"gameremote"},
		{src:imgPath+"img/inventor_story/3/tvmask_1.png", id:"tvmask1"},
		{src:imgPath+"img/inventor_story/3/tvmask_2.png", id:"tvmask2"},
		{src:imgPath+"img/inventor_story/3/tvmask_3.png", id:"tvmask3"},
		{src:imgPath+"img/inventor_story/3/tvmask_4.png", id:"tvmask4"},

		//4:		
		{src:imgPath+"img/inventor_story/4/bed.png", id:"4_bed"},
		{src:imgPath+"img/inventor_story/4/headpost_pillow.png", id:"headpost_pillow"},
		{src:imgPath+"img/inventor_story/4/martha_on.png", id:"martha_hitarea"},
		{src:imgPath+"img/inventor_story/4/helen_0.png", id:"4_helen0"}, //anim
		{src:imgPath+"img/inventor_story/4/helen_1.png", id:"4_helen1"}, //anim
		{src:imgPath+"img/inventor_story/4/martha_bed.png", id:"4_martha"}, //anim
		//{src:imgPath+"img/inventor_story/4/martha_paws_single.png", id:"4_martha_paws"}, //bitmap
		
		//5
		{src:imgPath+"img/inventor_story/5/5_bg.jpg", id:"5_bg"},
		{src:imgPath+"img/inventor_story/5/5_boardmask.png", id:"5_boardmask"},
		{src:imgPath+"img/inventor_story/5/helen-arm.png", id:"5_helenarm"},
		{src:imgPath+"img/inventor_story/5/helenOutline.png", id:"5_helen_outline"},

		//6
		{src:imgPath+"img/inventor_story/6/6_bg.jpg", id:"6_bg"},
		{src:imgPath+"img/inventor_story/6/foodshooter.png", id:"foodshooter"},
		{src:imgPath+"img/inventor_story/6/shooterMask.png", id:"foodshooterTop"},
		{src:imgPath+"img/inventor_story/6/foodbit1.png", id:"foodbit1"},
		{src:imgPath+"img/inventor_story/6/foodbit2.png", id:"foodbit2"},
		{src:imgPath+"img/inventor_story/6/foodbit3.png", id:"foodbit3"},
		{src:imgPath+"img/inventor_story/6/foodbit4.png", id:"foodbit4"},
		{src:imgPath+"img/inventor_story/6/foodbit5.png", id:"foodbit5"},
		{src:imgPath+"img/inventor_story/6/foodbit6.png", id:"foodbit6"},
		{src:imgPath+"img/inventor_story/6/foodbit7.png", id:"foodbit7"},
		
		//7:
		{src:imgPath+"img/inventor_story/7/7_bg.png", id:"7_bg"},

		//8:
		{src:imgPath+"img/inventor_story/8/8_bg.jpg", id:"8_bg"},
		{src:imgPath+"img/inventor_story/8/pullies.png", id:"8_pullies"},
		{src:imgPath+"img/inventor_story/8/clock.png", id:"8_clock"},
		{src:imgPath+"img/inventor_story/8/clockStroked.png", id:"8_clockStroked"},
		{src:imgPath+"img/inventor_story/8/marthaAndSkits.png", id:"8_dogs"},
		{src:imgPath+"img/inventor_story/8/foodInBowl.png", id:"8_foodinbowl"},
		{src:imgPath+"img/inventor_story/8/plank.png", id:"8_plank"},
		{src:imgPath+"img/inventor_story/8/rope-alarm-clock.png", id:"rope-alarm-clock"},
		{src:imgPath+"img/inventor_story/8/rope-plank.png", id:"rope-plank"},
		{src:imgPath+"img/inventor_story/8/rope.png", id:"rope"},
		{src:imgPath+"img/inventor_story/8/rope45.png", id:"rope45"},
		{src:imgPath+"img/inventor_story/8/ropeLong.png", id:"ropeLong"},
		{src:imgPath+"img/inventor_story/8/bottom.png", id:"8_bottom"},
		{src:imgPath+"img/inventor_story/8/contrap_pour_step10.png", id:"contrap_pour_step10"},	 //using identical image and spritesheed code as kibblecontraption

		//9:
		{src:imgPath+"img/inventor_story/9/9_bg.jpg", id:"9_martha_bg"}, //anim

		//for glossary (common assets for every use):
		{src:imgPath+"img/glossary/wordbone.png", id:"glossary-wordbone"},	
		{src:imgPath+"img/glossary/martha_only.png", id:"glossary-martha"},	
		{src:imgPath+"img/glossary/board_only.png", id:"glossary-board"},{src:imgPath+"img/glossary/glossary_title.png", id:"glossary-title"},	
		{src:imgPath+"img/glossary/bowl_only.png", id:"glossary-bowl"},	
		{src:imgPath+"img/glossary/splash_only.png", id:"glossary-splash"},			
		{src:imgPath+"img/glossary/cloud_defonly.png", id:"glossary-txtcloud"},
		{src:imgPath+"img/glossary/cloud_defandimage.png", id:"glossary-imgcloud"},
	];

}

//each storybook should have its spritesheets created in this function
function story_spritesheets(){
	//1
	spritesheets['bottleballoon'] = new createjs.SpriteSheet({    
	    "frames": [
	        [358, 105, 30, 65, 0, -25, -34],
	        [392, 105, 30, 65, 0, -25, -34],
	        [426, 105, 30, 65, 0, -25, -34],
	        [324, 105, 30, 65, 0, -25, -34],
	        [290, 105, 30, 65, 0, -25, -34],
	        [257, 105, 29, 66, 0, -25, -33],
	        [223, 105, 30, 66, 0, -24, -33],
	        [189, 105, 30, 67, 0, -24, -32],
	        [154, 105, 31, 68, 0, -23, -31],
	        [118, 105, 32, 69, 0, -23, -30],
	        [80, 105, 34, 70, 0, -21, -29],
	        [42, 105, 34, 71, 0, -21, -28],
	        [2, 105, 36, 71, 0, -20, -28],
	        [1998, 2, 37, 72, 0, -20, -27],
	        [1955, 2, 39, 73, 0, -19, -26],
	        [1910, 2, 41, 74, 0, -17, -25],
	        [1863, 2, 43, 76, 0, -16, -23],
	        [1814, 2, 45, 78, 0, -15, -21],
	        [1764, 2, 46, 79, 0, -14, -20],
	        [1712, 2, 48, 80, 0, -13, -19],
	        [1659, 2, 49, 82, 0, -12, -17],
	        [1604, 2, 51, 83, 0, -11, -16],
	        [1548, 2, 52, 84, 0, -10, -15],
	        [1491, 2, 53, 86, 0, -10, -13],
	        [1433, 2, 54, 87, 0, -9, -12],
	        [1373, 2, 56, 88, 0, -8, -11],
	        [1312, 2, 57, 89, 0, -7, -10],
	        [1249, 2, 59, 90, 0, -6, -9],
	        [1186, 2, 59, 91, 0, -6, -8],
	        [1122, 2, 60, 92, 0, -5, -7],
	        [1056, 2, 62, 93, 0, -4, -6],
	        [990, 2, 62, 94, 0, -4, -5],
	        [923, 2, 63, 94, 0, -3, -5],
	        [855, 2, 64, 95, 0, -3, -4],
	        [786, 2, 65, 96, 0, -2, -3],
	        [717, 2, 65, 96, 0, -2, -3],
	        [647, 2, 66, 97, 0, -1, -2],
	        [577, 2, 66, 97, 0, -1, -2],
	        [506, 2, 67, 98, 0, -1, -1],
	        [434, 2, 68, 98, 0, 0, -1],
	        [362, 2, 68, 98, 0, 0, -1],
	        [290, 2, 68, 99, 0, 0, 0],
	        [218, 2, 68, 99, 0, 0, 0],
	        [146, 2, 68, 99, 0, 0, 0],
	        [74, 2, 68, 99, 0, 0, 0],
	        [2, 2, 68, 99, 0, 0, 0]
	    ],
	    "animations": {
	    	"inflate": {
	    		"frames": [0,1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38],
	    		"frequency": 3,
	    		"next": false
	    	},
	    	"deflate": {
	    		"frames": [38, 37, 36, 35, 34, 33, 32, 31, 30, 29, 28, 27, 26, 25, 24, 23, 22, 21, 20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0],
	    		"frequency": 6,
	    		"next": false
	    	}

	    },		
		"images": [images['bottleballoon']]
	});

	spritesheets['lasershot'] = new createjs.SpriteSheet({
	   "frames": [[2, 90, 277, 55, 0, -1, -16], [2, 149, 233, 48, 0, -116, -19], [239, 149, 192, 42, 0, -212, -23], [382, 2, 72, 39, 0, -335, -26], [283, 90, 45, 48, 0, -364, -23], [218, 2, 46, 64, 0, -365, -16], [53, 2, 37, 77, 0, -377, -8], [2, 2, 47, 84, 0, -374, -4], [157, 2, 57, 68, 0, -367, -14], [94, 2, 59, 71, 0, -378, -12], [268, 2, 65, 58, 0, -373, -28], [337, 2, 41, 55, 0, -382, -31], [458, 2, 52, 29, 0, -378, -32], [332, 90, 27, 14, 0, -407, -26]],
	    "animations": {"fire": {"frames": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], "next": false, "frequency":3}},
	 	"images": [images['lasershot']]
	});

	//2
	spritesheets['splash'] = new createjs.SpriteSheet({
	    "frames": [
	        [49, 2, 42, 23, 0, -21, -6],
	        [2, 2, 43, 24, 0, -21, -5],
	        [95, 2, 45, 23, 0, -20, -6],
	        [144, 2, 47, 22, 0, -19, -7],
	        [195, 2, 52, 18, 0, -19, -11],
	        [2, 30, 66, 17, 0, -7, -14],
	        [72, 30, 74, 13, 0, -4, -19],
	        [2, 66, 74, 11, 0, -4, -22],
	        [159, 51, 72, 11, 0, -5, -22],
	        [81, 51, 74, 11, 0, -4, -23],
	        [2, 51, 75, 11, 0, -4, -23],
	        [80, 66, 76, 10, 0, -3, -24],
	        [150, 30, 77, 11, 0, -2, -24],
	        [160, 66, 77, 10, 0, -3, -25],
	        [2, 81, 50, 8, 0, -5, -27],
	        [231, 30, 15, 4, 0, -40, -31],
	        [56, 81, 16, 3, 0, -40, -32],
	        [235, 51, 15, 3, 0, -41, -32],
	        [251, 2, 0, 0, 0, 0, 0]
	    ],
	    "animations": {"all": {"frames": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17], "next": false, "frequency": 3}},
	    "images": [images['splash']]
	});

	//4
	spritesheets['4_helen'] = new createjs.SpriteSheet({	
	    "frames": [[2, 1682, 881, 296, 1, 0, -311],
        [887, 1345, 881, 308, 1, 0, -299],
        [2, 1345, 881, 333, 1, 0, -277],
        [887, 950, 881, 363, 1, 0, -252],
        [2, 950, 881, 391, 1, 0, -231],
        [887, 498, 881, 422, 1, 0, -205],
        [2, 498, 881, 448, 1, 0, -183],
        [887, 2, 881, 480, 1, 0, -158],
        [2, 2, 881, 492, 1, 0, -147],
        [2, 1001, 881, 495, 0, 0, -144],
        [2, 2, 881, 496, 0, 0, -143],
        [887, 1001, 881, 494, 0, 0, -145],
        [2, 1500, 881, 494, 0, 0, -145],
        [887, 1500, 881, 494, 0, 0, -145],
        [2, 502, 881, 495, 0, 0, -144],
        [887, 502, 881, 495, 0, 0, -144],
        [887, 2, 881, 495, 0, 0, -144]],
	    "animations": {"all": {"frames": [0, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 12, 12, 13, 13, 14, 14, 15, 15, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16], "next": false, "frequency":2}},
	    "images": [images['4_helen0'], images['4_helen1'] ]
	});

	spritesheets['4_martha'] = new createjs.SpriteSheet({
	    "frames": [
	        [1186, 171, 239, 159, 0, 0, -12],
	        [240, 330, 239, 159, 0, 0, -12],
	        [947, 171, 239, 159, 0, 0, -12],
	        [472, 171, 239, 159, 0, 0, -12],
	        [0, 330, 240, 159, 0, 0, -12],
	        [1195, 330, 240, 159, 0, 0, -12],
	        [955, 330, 240, 159, 0, 0, -12],
	        [479, 330, 240, 159, 0, 0, -12],
	        [719, 330, 236, 159, 0, 0, -12],
	        [236, 171, 236, 159, 0, 0, -12],
	        [0, 171, 236, 159, 0, 0, -12],
	        [711, 171, 236, 159, 0, 0, -12],
	        [1665, 171, 239, 159, 0, 0, -12],
	        [1425, 171, 240, 159, 0, 0, -12],
	        [1652, 0, 240, 159, 0, 0, -12],
	        [1435, 330, 239, 158, 0, 0, -13],
	        [1674, 330, 239, 155, 0, 0, -16],
	        [236, 489, 239, 153, 0, 0, -18],
	        [713, 489, 239, 150, 0, 0, -21],
	        [475, 489, 238, 151, 0, 0, -20],
	        [0, 489, 236, 154, 0, 0, -17],
	        [1416, 0, 236, 160, 0, 0, -11],
	        [708, 0, 236, 165, 0, 0, -6],
	        [0, 0, 236, 171, 0, 0, 0],
	        [236, 0, 236, 166, 0, 0, -5],
	        [472, 0, 236, 165, 0, 0, -6],
	        [944, 0, 236, 163, 0, 0, -8],
	        [1180, 0, 236, 163, 0, 0, -8]
	    ],
	    "animations": {"all": {"frames": [0, 0, 1, 1, 2, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 12, 13, 13, 14, 14, 9, 9, 12, 12, 15, 15, 16, 16, 17, 17, 18, 18, 19, 19, 20, 20, 21, 21, 22, 22, 23, 23, 24, 24, 25, 25, 26, 26, 27, 27, 27, 0, 0, 1, 1, 2, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 12, 13, 13, 14, 14, 9, 9, 12, 12, 15, 15, 16, 16, 17, 17, 18, 18, 19, 19, 20, 20, 21, 21, 22, 22, 23, 23, 24, 24, 25, 25, 26, 26, 27, 27, 27,0, 0, 1, 1, 2, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 12, 13, 13, 14, 14, 9, 9, 12, 12, 15, 15, 16, 16, 17, 17, 18, 18, 19, 19, 20, 20, 21, 21, 22, 22, 23, 23, 24, 24, 25, 25, 26, 26, 27, 27, 27], "next": false, "frequency": 2}},
		"images": [images['4_martha']]
	});
	
	//8
	//**reusing same spritesheet as that from kibblecontraption step10.
	spritesheets['contrap_pour_step10'] = new createjs.SpriteSheet({
		"frames": [[200, 2, 44, 31, 0, -22, -2], [99, 106, 51, 50, 0, -20, -2], [2, 106, 93, 91, 0, -12, -2], [103, 2, 93, 95, 0, -15, -2], [2, 2, 97, 100, 0, -6, -2]],
		"animations": {
			"start": {
				"frames": [0, 1,2,3],
				"next": false,
				"frequency": 6
			}, 
			"loop": {
				"frames": [2, 3, 4],
				"frequency": 6,
				"next": true
			}, 
		},		
		"images": [images['contrap_pour_step10']]
	});

	//9

	//glossary:
	spritesheets['glossary-martha'] = new createjs.SpriteSheet({
	    "frames": [
	        [1037, 2, 259, 217, 0, -20, -114],
	        [538, 2, 248, 227, 0, -37, -128],
	        [288, 2, 246, 229, 0, -38, -118],
	        [790, 2, 243, 220, 0, -38, -121],
	        [1755, 450, 252, 196, 0, -30, -137],
	        [2, 2, 282, 237, 0, -4, -86],
	        [577, 656, 280, 157, 0, -149, -105],
	        [861, 656, 281, 157, 0, -183, -67],
	        [2, 656, 284, 190, 0, -208, -20],
	        [290, 656, 283, 189, 0, -228, -15],
	        [1463, 450, 288, 196, 0, -237, -10],
	        [1171, 450, 288, 196, 0, -244, -9],
	        [877, 450, 290, 200, 0, -247, -7],
	        [582, 450, 291, 200, 0, -249, -7],
	        [869, 243, 289, 203, 0, -252, -8],
	        [578, 243, 287, 203, 0, -255, -10],
	        [291, 450, 287, 202, 0, -257, -18],
	        [1742, 243, 286, 203, 0, -262, -30],
	        [1452, 243, 286, 203, 0, -268, -48],
	        [1162, 243, 286, 203, 0, -276, -73],
	        [2, 450, 285, 202, 0, -287, -107],
	        [290, 243, 284, 203, 0, -302, -152],
	        [2, 243, 284, 203, 0, -322, -215],
	        [1300, 2, 276, 204, 0, -356, -310],
	        [1580, 2, 275, 204, 0, -416, -495]
	    ],
	    "animations": {"all": {"frames": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24], "next": false, "frequency": 3}},		
		"images": [images['glossary-martha']]
	});

	spritesheets['glossary-board'] = new createjs.SpriteSheet({
	    "frames": [[2, 209, 384, 69, 0, 0, -14], [2, 2, 387, 110, 0, 0, -2], [393, 2, 386, 99, 0, 0, -5], [2, 116, 386, 89, 0, 0, -8], [392, 116, 386, 79, 0, 0, -11], [580, 209, 304, 69, 0, 0, -14], [783, 2, 237, 69, 0, 0, -14], [390, 209, 186, 69, 0, 0, -14], [2, 282, 149, 68, 0, 0, -14], [782, 116, 127, 68, 0, 0, -14], [888, 209, 120, 68, 0, 0, -14]],
	    "animations": {"all": {"frames": [0, 1, 2, 3, 4, 0, 0, 0, 0, 5, 6, 7, 8, 9, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10], "next": false, "frequency": 3}},
		"images": [images['glossary-board']]
	});

	spritesheets['glossary-bowl'] = new createjs.SpriteSheet({	
		"frames": [[0, 0, 629, 170, 0, 0, -1], [0, 170, 629, 166, 0, 0, -1]], 
		"animations": {"all": {"frames": [0, 1]}
		},
		"images": [images['glossary-bowl']]		
	});

	spritesheets['glossary-splash'] = new createjs.SpriteSheet({	
		"frames": [[1808, 0, 1, 1, 0, 0, 0], [451, 578, 422, 186, 0, -45, -134], [0, 578, 451, 230, 0, -30, -78], [0, 0, 543, 297, 0, 0, -4], [543, 0, 594, 295, 0, 0, 0], [1402, 297, 637, 262, 0, 0, -21], [1137, 0, 671, 282, 0, 0, 0], [0, 297, 694, 281, 0, 0, 0], [694, 297, 708, 280, 0, 0, 0]], 
		"animations": {
			"bowl_idle": {"frames": [0]}, 
			"bowl_splash": {"frames": [1, 2, 3, 4, 5, 6, 7, 8], "frequency": 4, "next": false}, 
		},			
		"images": [images['glossary-splash']]		
	});

	//**//**console.log('all spritesheet objects created');		
}