function prep_kibble10(transition){
	//**//**console.log('function: prep_kibble10');
	world_current = worlds['kibble10'];
	
	ticker_world = (function(){
		tick_kibble10();
	});
	end_world = (function(){
		end_kibble10();
	});
	narrDone = (function(){
		narrDone_kibble10();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false; teachertiptext.text = '';

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);	
	world_current.addChild(bg);

	//** page assets:

	skits10 = new createjs.BitmapAnimation(spritesheets['skits_eats']);
	skits10.x = 406;
	skits10.y = 77;	
	skits10.gotoAndStop(0);

	helenbtm10 = new createjs.Bitmap(images['helen3_btm']);	
	helenbtm10.x = 88;
	helenbtm10.y = 15;
	

	contrap_step10_fill = new createjs.Bitmap(images['contrap_step10_fill']);	
	contrap_step10_fill.x = 270;
	contrap_step10_fill.y = -3;
	

	contrap_step10 = new createjs.Bitmap(images['contrap_step10']);	
	contrap_step10.x = 270;
	contrap_step10.y = -3;
	
	
	//what is dragged:
	cardboard10 = new createjs.Bitmap(images['cardboard_step10_active']);
	cardboard10.regX = cardboard10.image.width/2;
	cardboard10.regY = cardboard10.image.height/2;
	cardboard10.x = 413;
	cardboard10.y = 230;
	cardboard10.startX = cardboard10.x;
	cardboard10.endX = cardboard10.x + 70;
	cardboard10.startY = cardboard10.y;
	
	contrap_step10_top = new createjs.Bitmap(images['contrap_step10_top']);	
	contrap_step10_top.x = 270;
	contrap_step10_top.y = -3;
	
	helentop10 = new createjs.Bitmap(images['helen3_top']);	
	helentop10.x = 88;
	helentop10.y = 15;
	
	bowl_back = new createjs.Bitmap(images['bowl_back']);	
	bowl_back.x = 385;
	bowl_back.y = 354;
	

	//show and play short time after cardboard slid beyond threshold
	pouring10 = new createjs.BitmapAnimation(spritesheets['contrap_pour_step10']);
	pouring10.x = 400;
	pouring10.y = 319;
	pouring10.gotoAndStop(0);	
	pouring10.visible = false;
	
	bowl_front = new createjs.Bitmap(images['bowl_front']);	
	bowl_front.x = 385;
	bowl_front.y = 354;
	
	skitsbowl10 = new createjs.BitmapAnimation(spritesheets['skitsbowl']);
	skitsbowl10.x = 396;
	skitsbowl10.y = 366;

	//orig layering that should be reset whenever cardboard grabbed
	world_current.addChild(helenbtm10);
	world_current.addChild(skits10);
	world_current.addChild(bowl_back);	
	world_current.addChild(contrap_step10_fill);
	world_current.addChild(contrap_step10);
	world_current.addChild(cardboard10);
	world_current.addChild(contrap_step10_top);
	world_current.addChild(pouring10);
	world_current.addChild(helentop10);	
	world_current.addChild(skitsbowl10);
	world_current.addChild(bowl_front);

	_pouring10 = false;
	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	bg_wordcloudSTEP = new createjs.Bitmap(images['bg_wordcloud_STEP']);
	bg_wordcloudSTEP.x = 43;
	bg_wordcloudSTEP.y = 430;
	world_current.addChild(bg_wordcloudSTEP);

	text_step = new createjs.Text("STEP 10", "28px Nunito", "black");
	text_step.x = 122; text_step.y = 472;
	text_step.textAlign = "center";
	text_step.textBaseline = "middle";
	world_current.addChild(text_step);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('kibble10', ['kibble']);

	setDefinitionText();
	//********
	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_kibble10);

}

//level specific functions:
function dragCardboard10(obj){
	addShadow(obj);
	doPulse(obj);

	(function(target) {
		obj.onPress =  function(evt) {
			if(!_active) return;

			//orig layering that should be reset whenever cardboard grabbed
			world_current.addChild(helenbtm10);
			world_current.addChild(skits10);
			world_current.addChild(bowl_back);	
			world_current.addChild(contrap_step10_fill);
			world_current.addChild(contrap_step10);
			world_current.addChild(cardboard10);
			world_current.addChild(contrap_step10_top);
			world_current.addChild(pouring10);
			world_current.addChild(helentop10);	
			world_current.addChild(skitsbowl10);
			world_current.addChild(bowl_front);

			evt.onMouseMove = function(ev) {
				////**console.log("cardboard at: " + target.x);				
				if( (ev.stageX >= target.startX) && (ev.stageX <= target.endX) ){
					target.x = ev.stageX;
				}

				//if cardboard is moved back into place, hide pouring anim.
				if(target.x <= 434){
					pouring10.visible = false;
					skitsbowl10.stop();
				} 

				if( !_pouring10 && (target.x > 434) ){
					_pouring10 = true;
					begin_pour10();	
					return;
				} 
			}			
			evt.onMouseUp = function(ev){
				////**console.log("tube at: " + target.x);				
				target.x = target.startX;
				target.y = target.startY;
				
				//only have skits eat on mouseUP if pouring has (been) happening.
				if(_pouring10){
					_pouring10 = false;
					stop_pour10();
				}
			}
		}	
			
	})(obj);			
}



function begin_pour10(){
	if(!_pouring10) return;

	pouring10.visible = true;
	pouring10.gotoAndPlay('start');
	pouring10.onAnimationEnd = fillbowl10;
	
	if(!narrActive) playSound('dog_kibble');
}

function fillbowl10(){
	pouring10.onAnimationEnd = null;
	pouring10.gotoAndPlay('loop');
	skitsbowl10.gotoAndPlay('fill');
}

function stop_pour10(){
	if(!narrActive) stopSound();

	pouring10.visible = false;
	pouring10.stop();
	skitsbowl10.stop();

	//as skits is about to eat, push him and bowl to front
	world_current.addChild(skits10);
	world_current.addChild(bowl_back);	
	world_current.addChild(skitsbowl10);
	world_current.addChild(bowl_front);

	skits10.gotoAndPlay('eat');
	skitsbowl10.gotoAndPlay('empty');
}

//called once this level is fully slid into place
function begin_kibble10(){
	//**//**console.log("WORLD 1 BEGIN");
	
	playSound('kibble10');
	
}

function narrDone_kibble10(){
	dragCardboard10(cardboard10);
}


function tick_kibble10(){
	stage.update();
}


function end_kibble10(){
	//**//**console.log('end_kibble10');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

