function prep_kibble2(transition){
	//**//**console.log('function: prep_kibble2');
	world_current = worlds['kibble2'];
	
	ticker_world = (function(){
		tick_kibble2();
	});
	end_world = (function(){
		end_kibble2();
	});
	narrDone = (function(){
		narrDone_kibble2();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false; teachertiptext.text = '';

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);	
	world_current.addChild(bg);

	//** page assets:
	
	//objects:

	dad2 = new createjs.Bitmap(images['dad']);
	dad2.regX  = dad2.image.width/2;
	dad2.regY  = dad2.image.height/2;
	dad2.x = 162; dad2.y = 294;
	world_current.addChild(dad2);

	skits2 = new createjs.Bitmap(images['skits1']);
	skits2.regX  = skits2.image.width/2;
	skits2.regY  = skits2.image.height/2;
	skits2.x = 202; skits2.y = 330;
	world_current.addChild(skits2);

	table2 = new createjs.Bitmap(images['table']);
	table2.regX  = table2.image.width/2;
	table2.regY  = table2.image.height/2;
	table2.x = canvas.width/2; table2.y = 560;
	world_current.addChild(table2);

	bottle2 = new createjs.Bitmap(images['bottle']);
	bottle2.regX  = bottle2.image.width/2;
	bottle2.regY  = bottle2.image.height/2;
	bottle2.x = canvas.width/2 + 26; bottle2.y = 270;
	world_current.addChild(bottle2);

	bottle_cutoff2 = new createjs.Bitmap(images['bottle_cutoff']);
	bottle_cutoff2.regX  = bottle_cutoff2.image.width/2;
	bottle_cutoff2.regY  = bottle_cutoff2.image.height/2;
	bottle_cutoff2.x = bottle2.x; bottle_cutoff2.y = bottle2.y;
	bottle_cutoff2.visible = false;
	world_current.addChild(bottle_cutoff2);

	bottle_spout2 = new createjs.Bitmap(images['bottle_spout']);
	bottle_spout2.regX  = bottle_spout2.image.width/2;
	bottle_spout2.regY  = bottle_spout2.image.height/2;
	bottle_spout2.x = bottle2.x; bottle_spout2.y = bottle2.y - 144;
	bottle_spout2.startY = bottle_spout2.y;
	bottle_spout2.visible = false;
	world_current.addChild(bottle_spout2);


	dotline2 = new createjs.Bitmap(images['dotted_line1']);
	dotline2.regX  = dotline2.image.width/2;
	dotline2.regY  = dotline2.image.height/2;
	dotline2.x = canvas.width/2 + 27; dotline2.y = 160;
	world_current.addChild(dotline2);

	scissors2 = new createjs.BitmapAnimation(spritesheets['scissors_animate']);
	scissors2.gotoAndStop(0);
	scissors2.regX = -64;
	scissors2.regY = 52;
	scissors2.x = dotline2.x + dotline2.image.width + 2*(scissors2.regX); scissors2.y = dotline2.y;
	scissors2.startX = scissors2.x;
	scissors2.startY = scissors2.y;
	world_current.addChild(scissors2);

	_scissors2active = false;
	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	bg_wordcloudSTEP = new createjs.Bitmap(images['bg_wordcloud_STEP']);
	bg_wordcloudSTEP.x = 43;
	bg_wordcloudSTEP.y = 430;
	world_current.addChild(bg_wordcloudSTEP);

	text_step = new createjs.Text("STEP 2", "28px Nunito", "black");
	text_step.x = 115; text_step.y = 472;
	text_step.textAlign = "center";
	text_step.textBaseline = "middle";
	world_current.addChild(text_step);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('kibble2', ['follow', 'directions:', 'detach']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_kibble2);

}

//level specific functions:

//called once this level is fully slid into place
function begin_kibble2(){
	//**//**console.log("WORLD 1 BEGIN");
	
	playSound('kibble2');
	
}

function narrDone_kibble2(){
	drag_scissors2(scissors2);
}

function scissors2_on(e){
	scissors2.gotoAndPlay('cut');
}


function drag_scissors2(obj){
	createjs.Tween.removeTweens(bottle_spout2);
	obj.visible=true;
	obj.x=obj.startX;
	obj.y=obj.startY;

	bottle2.visible = true;
	dotline2.visible=true;
	bottle_cutoff2.visible = false;
	bottle_spout2.visible = false;
	bottle_spout2.y=bottle_spout2.startY;
	_scissors2active=true;

	addShadow(obj);
	doPulse(obj);

	(function(target) {
		obj.onPress =  function(evt) {
			if(!_scissors2active) return;
			
			//target.scaleX = target.scaleY = 0.8;
			scissors2.gotoAndPlay('cut');
			if(!narrActive) playSound('scissor_snip');
			// bump the target in front of it's siblings:
			world_current.addChild(target);
			
			evt.onMouseMove = function(ev) {
				if(ev.stageX>360 && ev.stageX<=scissors2.startX)
				{
					target.x = ev.stageX;
					
					if(target.x<455)
					{
						scissors2.gotoAndStop(0);
						_scissors2active = false;
						doTheCut2();						
					}
				}
				////**console.log("scissors at: " + target.x);
			}			
			evt.onMouseUp = function(ev){
				if(!narrActive) stopSound();

				scissors2.x = scissors2.startX;
				scissors2.gotoAndStop(0);
			}
		}	
			
	})(obj);			
}


function doTheCut2(){
	if(!narrActive) stopSound();
	
	scissors2.visible = false;
	dotline2.visible = false;

	bottle2.visible = false;
	bottle_cutoff2.visible = true;
	bottle_spout2.visible = true;

	createjs.Tween.get(bottle_spout2, {loop:false})
     .to({y: bottle_spout2.startY-30 }, 500, createjs.Ease.linear);

}


function tick_kibble2(){
	stage.update();
}



function end_kibble2(){
	//**//**console.log('end_kibble2');	
	createjs.Tween.removeTweens(bottle_spout2);
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

