function prep_kibble3(transition){
	//**//**console.log('function: prep_kibble3');
	world_current = worlds['kibble3'];
	
	ticker_world = (function(){
		tick_kibble3();
	});
	end_world = (function(){
		end_kibble3();
	});
	narrDone = (function(){
		narrDone_kibble3();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false; teachertiptext.text = '';
	
	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);	
	world_current.addChild(bg);

	//** page assets:
	table3 = new createjs.Bitmap(images['table']);
	table3.regX  = table3.image.width/2;
	table3.regY  = table3.image.height/2;
	table3.x = canvas.width/2; table3.y = 560;
	world_current.addChild(table3);

	bottle_cutoff3 = new createjs.Bitmap(images['bottle_cutoff']);
	bottle_cutoff3.regX  = bottle_cutoff3.image.width/2;
	bottle_cutoff3.regY  = bottle_cutoff3.image.height/2;
	bottle_cutoff3.x = 339; bottle_cutoff3.y = 263;
	world_current.addChild(bottle_cutoff3);

	cupbottom3 = new createjs.Bitmap(images['cup_cutoff_btm']);
	cupbottom3.regX  = cupbottom3.image.width/2;
	cupbottom3.regY  = cupbottom3.image.height/2;
	cupbottom3.x = 745; cupbottom3.y = 405;
	world_current.addChild(cupbottom3);

	//cup to be dragged:
	cup3 = new createjs.Bitmap(images['cup_openbtm_active']);
	cup3.regX  = cup3.image.width/2;
	cup3.regY  = cup3.image.height/2;
	cup3.x = 570; cup3.y = 347;
	cup3.startX = cup3.x;
	cup3.startY = cup3.y;
	world_current.addChild(cup3);

	//hit region that accepts cup3 for drag-drop:
	hitregion3 = new createjs.Shape();
	hitregion3.graphics.beginFill("white").drawRect(215,65, 250, 250);
	hitregion3.alpha = 0.01;
	world_current.addChild(hitregion3);

	//the final cup and tape (hidden at first) to show after drag-drop is complete:
	cupattached3 = new createjs.Bitmap(images['cup_openbtm']);
	cupattached3.regX  = cupattached3.image.width/2;
	cupattached3.regY  = cupattached3.image.height/2;
	cupattached3.x = 338; cupattached3.y = 114;
	cupattached3.visible = false;
	world_current.addChild(cupattached3);

	tapebunch3 = new createjs.Bitmap(images['tape1']);
	tapebunch3.regX  = tapebunch3.image.width/2;
	tapebunch3.regY  = tapebunch3.image.height/2;
	tapebunch3.x = 340; tapebunch3.y = 177;
	tapebunch3.visible = false;
	world_current.addChild(tapebunch3);


	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	bg_wordcloudSTEP = new createjs.Bitmap(images['bg_wordcloud_STEP']);
	bg_wordcloudSTEP.x = 43;
	bg_wordcloudSTEP.y = 430;
	world_current.addChild(bg_wordcloudSTEP);

	text_step = new createjs.Text("STEP 3", "28px Nunito", "black");
	text_step.x = 115; text_step.y = 472;
	text_step.textAlign = "center";
	text_step.textBaseline = "middle";
	world_current.addChild(text_step);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('kibble3', ['habitat.']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_kibble3);

}

//level specific functions:

//called once this level is fully slid into place
function begin_kibble3(){
	//**//**console.log("WORLD 1 BEGIN");
	playSound('kibble3');	
}

function narrDone_kibble3(){
	drag_cup3(cup3);
}

function drag_cup3(obj){
	addShadow(obj);
	doPulse(obj);

	(function(target) {
		obj.onPress =  function(evt) {
			if(!_active) return;
			
			target.scaleX = target.scaleY = 1.03;
			
			// bump the target in front of it's siblings:
			world_current.addChild(target);
			
			evt.onMouseMove = function(ev) {
				target.x = ev.stageX;
				target.y = ev.stageY;
				
			}			
			evt.onMouseUp = function(ev){
				
				var pt = target.localToLocal(target.regX, target.regY,hitregion3);
				if (hitregion3.hitTest(pt.x, pt.y)) { 
					//**console.log("attach the cup!");
					attachcup3();
				}
				else{	
					target.scaleX = target.scaleY = 1.0;
					target.x = target.startX;
					target.y = target.startY;						
				}
			}
		}	
			
	})(obj);			
}

function attachcup3(){

	if(!narrActive) playSound('sticky_tape');
	
	cup3.visible = false;
	cupattached3.visible = true;
	tapebunch3.visible = true;
}

function tick_kibble3(){
	stage.update();
}



function end_kibble3(){
	//**//**console.log('end_kibble3');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

