function prep_kibble9(transition){
	//**//**console.log('function: prep_kibble9');
	world_current = worlds['kibble9'];
	
	ticker_world = (function(){
		tick_kibble9();
	});
	end_world = (function(){
		end_kibble9();
	});
	narrDone = (function(){
		narrDone_kibble9();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false; teachertiptext.text = '';

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);	
	world_current.addChild(bg);
	
	//** page assets:
	bag_active9 = new createjs.Bitmap(images['bag_active']);
	bag_active9.regX = bag_active9.image.width/2 - 100;
	bag_active9.regY = bag_active9.image.height/2;
	bag_active9.x = 325; bag_active9.y = 240;
	bag_active9.startX = bag_active9.x;
	bag_active9.startY = bag_active9.y;
	world_current.addChild(bag_active9);

	bottleCut9 = new createjs.Bitmap(images['bottle_door']);
	bottleCut9.regX  = bottleCut9.image.width/2;
	bottleCut9.regY  = bottleCut9.image.height/2;
	bottleCut9.rotation = 194;
	bottleCut9.scaleX = bottleCut9.scaleY = 0.85;
	bottleCut9.scaleX *= -1;
	bottleCut9.x = 665; bottleCut9.y = 324;
	world_current.addChild(bottleCut9);


	bagOpen9 = new createjs.Bitmap(images['bag_open_active']);
	bagOpen9.regX  = bagOpen9.image.width/2;
	bagOpen9.regY  = bagOpen9.image.height/2;
	bagOpen9.rotation = 83;
	bagOpen9.x = 500; bagOpen9.y = 240;
	bagOpen9.visible = false;
	world_current.addChild(bagOpen9);

	bagPour9 = new createjs.BitmapAnimation(spritesheets['kibble_pour9']);
	bagPour9.rotation = 83;
	bagPour9.gotoAndStop(0);
	bagPour9.x = bagOpen9.x + bagOpen9.regX/2 + 15;
	bagPour9.y = bagOpen9.y - bagOpen9.regY  - 50;
	bagPour9.visible = false;
	world_current.addChild(bagPour9);

	bottleFill9 = new createjs.BitmapAnimation(spritesheets['contrap_step9_fill']);
	bottleFill9.gotoAndStop(0);
	bottleFill9.x = 520;
	bottleFill9.y = 280;
	world_current.addChild(bottleFill9);

	bottleCup9 = new createjs.Bitmap(images['contrap_step9_cup']);
	bottleCup9.regX  = bottleCup9.image.width/2;
	bottleCup9.regY  = bottleCup9.image.height/2;
	bottleCup9.rotation = 30;
	bottleCup9.scaleX = bottleCup9.scaleY = 0.88;
	bottleCup9.scaleX *= -1;
	bottleCup9.x = 547; bottleCup9.y = 332;
	world_current.addChild(bottleCup9);
	



	//hit region that accepts bag_active9 for drag-drop:
	hitregion9 = new createjs.Shape();
	hitregion9.graphics.beginFill("white").drawRect(500,90, 300, 290);
	hitregion9.alpha = 0.01;
	world_current.addChild(hitregion9);

	_bagPouring = false;

	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	bg_wordcloudSTEP = new createjs.Bitmap(images['bg_wordcloud_STEP']);
	bg_wordcloudSTEP.x = 43;
	bg_wordcloudSTEP.y = 430;
	world_current.addChild(bg_wordcloudSTEP);

	text_step = new createjs.Text("STEP 9", "28px Nunito", "black");
	text_step.x = 115; text_step.y = 472;
	text_step.textAlign = "center";
	text_step.textBaseline = "middle";
	world_current.addChild(text_step);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('kibble9', ['kibble.']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_kibble9);

}

//level specific functions:
function dragBag9(obj){
	addShadow(obj);
	doPulse(obj);

	(function(target) {
		obj.onPress =  function(evt) {
			if(!_active) return;
			
			world_current.addChild(target);
			target.scaleX *= 1.02;
			target.scaleY *= 1.02;

			evt.onMouseMove = function(ev) {
				if(_bagPouring) return;
				////**console.log('bag at: ' + target.x + " .. " + target.y);
				target.x = ev.stageX;
				target.y = ev.stageY;

				var pt = target.localToLocal(target.regX, target.regY,hitregion9);
				if (hitregion9.hitTest(pt.x, pt.y)) { 
					_bagPouring = true;					

					target.scaleX /= 1.02;
					target.scaleY /= 1.02;
					target.x = target.startX;
					target.y = target.startY;

					swapBags();
				}

			}			
			evt.onMouseUp = function(ev){
				
				target.scaleX /= 1.02;
				target.scaleY /= 1.02;

				target.x = target.startX;
				target.y = target.startY;

				if(_bagPouring) resetBag9();	
				_bagPouring = false;				

			}
		}	
			
	})(obj);			
}
//called once this level is fully slid into place
function begin_kibble9(){
	//**//**console.log("WORLD 1 BEGIN");
	
	playSound('kibble9');
	
}

function narrDone_kibble9(){
	//swapBags();
	bottleFill9.gotoAndStop(0);
	dragBag9(bag_active9);


}


//on successful drag of bag_active9 onto hitregion9....
function swapBags(){
	if(!_bagPouring) return;
	
	bag_active9.visible = false;
	bagOpen9.visible = true;
	setTimeout(doPour9, 500);	
}
function doPour9(){
	if(!_bagPouring) return;

	bagPour9.visible = true;
	bottleFill9.gotoAndPlay('fillup');
	bagPour9.gotoAndPlay('start');

	if(!narrActive) playSound('dog_kibble');

}

function resetBag9(e){
	////**console.log('reset those bags');
	if(!narrActive) stopSound();

	bottleFill9.stop();

	bagPour9.gotoAndStop(0);
	bagOpen9.visible = false;
	bagPour9.visible = false;

	bag_active9.visible = true;
	_bagPouring = false;


}

function tick_kibble9(){
	stage.update();
}



function end_kibble9(){
	//**//**console.log('end_kibble9');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

