function prep_kibble_intro(transition){
	//**//**console.log('function: prep_kibble_intro');
	world_current = worlds['kibble_intro'];
	
	ticker_world = (function(){
		tick_kibble_intro();
	});
	end_world = (function(){
		end_kibble_intro();
	});
	narrDone = (function(){
		narrDone_kibble_intro();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = false;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false; teachertiptext.text = '';

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['cover_story']);	
	world_current.addChild(bg);

	//** page assets:


	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('kibble_intro');

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_kibble_intro);

}

//level specific functions:

//called once this level is fully slid into place
function begin_kibble_intro(){
	//**//**console.log("WORLD 0 BEGIN");
	
	//FIX FOR ANDROID: play ~100ms of silence muted before playing actual cover audio
    var empty0 =  sounds['empty'][0] * 1000;
    var empty1 =  sounds['empty'][1] * 1000;
    soundManager.mute('multisound');
	playFromTo(empty0, empty1, audio_kibble_cover);
}

function audio_kibble_cover(){
	soundManager.unmute('multisound');
    var k0 =  sounds['kibble_cover'][0] * 1000;
    var k1 =  sounds['kibble_cover'][1] * 1000;

	playFromTo(k0, k1, audio_kibble_intro);
}

function audio_kibble_intro(){
	setTimeout(function(){playSound('kibble_intro');}, 500);
}

function narrDone_kibble_intro(){
	
}


function tick_kibble_intro(){
	stage.update();
}



function end_kibble_intro(){
	//**//**console.log('end_kibble_intro');

	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

