//"Kibble Contraption" Quiz vars

//page name of quiz_end page should be set to var quiz_end
//create one additional container in worlds[] with .name contained in quiz_end
var quiz_end = 'kibblecontraption_quiz_end';
worlds[ quiz_end ] = new createjs.Container();

//define questions and answers here 
//Questions are always text. Answers can be txt or images....
/*
//quiz_words: array that holds each word being quizzed. array elements (strings) used as keys to access questions and answers in quiz_content

//TEXT-ONLY
//quiz_content 2D array, for each inner array, indices as follows:
	0 - question text
	1 - CORRECT answer choice
	2 - WRONG answer choice
	3 - WRONG answer choice
	4 - difficulty: 'easy', 'medium' 'hard', 'rc'(for reading comp question)

*/


//testing quiz_words as 2D array: [0] holds  words being tested, [1] holds type: txt or img
var quiz_words = ['q1', 'q2', 'q3', 'q4', 'q5', 'q6', 'q7', 'q8', 'q9']; 
var quiz_content = [];

//txt questions
quiz_content['q1'] = ["When you are creating an invention, first you plan it, then you build it, and last you test it. These are...", 'steps', 'pieces', 'cups', 'easy'];
quiz_content['q2'] = ["When your teacher gives you instructions for a project, in order for the project to come out right, it's important to...",'follow the instructions', 'listen carefully', 'pay attention', 'medium'];
quiz_content['q3'] = ["If you want to share a pizza with your friends, you'll have to divide the pizza into what?", 'pieces', 'steps', 'detach', 'medium'];
quiz_content['q4'] = ["What's another word for directions?", 'instructions', 'parts', 'pieces' ,'hard'];
quiz_content['q5'] = ["Before you begin assembling something, you should read the...", 'manual', 'dictionary', 'puzzle' ,'hard']
quiz_content['q6'] = ["When you assemble something, what should you read so you know how to put it together?",'directions', 'steps', 'the first page', 'hard'];
quiz_content['q7'] = ["What's another word for putting all the parts together?", 'assembling', 'detaching', 'instructing' ,'hard']
quiz_content['q8'] = ["When you put parts together you are...",'connecting them', 'contacting them', 'detaching them', 'hard'];
quiz_content['q9'] = ["When you are taking apart building blocks that were connected to each other, you are...", 'detaching them', 'assembling them', 'contacting them' ,'hard'];

quiz_doCover();

//

//for quiz only: set narrDone to nothing:
function narrDone(){}

//SOUNDS: path+filename of this storybook's multisound file (without extension)
var sndurl = 'sound/kibble_quiz';

/*
//functions below are called at certain points in the main storybook js (rtlstorybook.js)
1: makeSounds() -- call makeSound() and define defintions in definitionText[]
2: make_storymanifest() -- defines the differnet image files that preload.js will load 
3: story_spritesheets() -- called by main js (rtlstorybook.js)'s make_spritesheet's function to create storybook specific ss
*/

function makeSounds(){
	// all timecodes are in seconds format... converted to milliseconds at runtime (onPlay event)
	
	//quiz sfx:
	makeSound('sfx_biscuits', 144.405169, 145.378779);
	makeSound('sfx_splat', 145.657482, 146.768321);
	makeSound('sfx_pie', 146.851327, 147.661229);
	makeSound('sfx_lazer', 147.830572, 149.873733);
	makeSound('sfx_wrong', 150.436983, 151.777002);


	//question-specific audio:
	makeSound('q_q1', 0.142146, 7.917558);
	makeSound('q_q2', 9.068945, 15.550824);
	makeSound('q_q3', 18.379538, 23.781104);
	makeSound('q_q4', 25.216783, 27.775420);
	makeSound('q_q5', 29.111597, 32.731484);
	makeSound('q_q6', 34.143582, 38.663839);
	makeSound('q_q7', 40.412241, 43.653180);
	makeSound('q_q8', 45.529514, 48.127838);
	makeSound('q_q9', 49.097390, 54.044087);
	makeSound('steps', 54.498956, 55.267249);

	makeSound('follow the instructions', 56.858587, 58.436413);
	makeSound('pieces', 58.948140, 59.813263);
	makeSound('instructions', 59.872092, 60.947650);
	makeSound('manual', 61.066123, 61.884482);
	makeSound('directions', 61.947431, 62.952843);
	makeSound('assembling', 63.184105, 64.122272);
	makeSound('connecting them', 65.032009, 66.211825);
	makeSound('detaching them', 66.979416, 68.187661);
	makeSound('listen carefully', 70.518863, 71.982971);
	makeSound('parts', 73.873520, 74.740613);
	makeSound('dictionary', 75.806711, 76.773307);
	makeSound('detaching', 78.436421, 79.502520);
	makeSound('contacting them', 80.724979, 82.061156);
	makeSound('assembling them', 82.970893, 84.136494);
	makeSound('cups', 85.515315, 86.183404);
	makeSound('pay attention', 87.135785, 88.386674);
	makeSound('detach', 88.770469, 89.986317);
	makeSound('puzzle', 91.442823, 92.139341);
	makeSound('the first page', 93.162795, 94.470543);
	makeSound('instructing', 95.422924, 96.503237);
	makeSound('f_q1', 97.299257, 101.882525);
	makeSound('f_q2', 102.132237, 109.907649);
	makeSound('f_q3', 110.078225, 112.463157);
	makeSound('f_q4', 112.580003, 115.116916);
	makeSound('f_q5', 115.252356, 119.227243);
	makeSound('f_q6', 139.866900, 143.082198);
	makeSound('f_q7', 119.227243, 122.823549);
	makeSound('f_q8', 123.647998, 127.365686);
	makeSound('f_q9', 127.457524, 130.754341);
	
	//required for quiz question outocomes:
	makeSound('empty', 8.1,8.2);
	makeSound('quizmo', 130.968541, 132.198181);
	makeSound('correct_1', 132.569932, 133.756677);
	makeSound('correct_2', 133.913956, 135.118837);
	makeSound('incorrect_1', 135.485385, 136.716390);
	makeSound('incorrect_2', 137.445594, 138.754529);
}