//"How Do You Measure Up?" Quiz vars

//page name of quiz_end page should be set to var quiz_end
//create one additional container in worlds[] with .name contained in quiz_end
var quiz_end = 'measureup_quiz_end';
worlds[quiz_end ] = new createjs.Container();

//define questions and answers here 
//Questions are always text. Answers can be txt or images....
/*
//quiz_words: array that holds each word being quizzed. array elements (strings) used as keys to access questions and answers in quiz_content

//TEXT-ONLY
//quiz_content 2D array, for each inner array, indices as follows:
	0 - question text
	1 - CORRECT answer choice
	2 - WRONG answer choice
	3 - WRONG answer choice
	4 - difficulty: 'easy', 'medium' 'hard', 'rc'(for reading comp question)
*/

//testing quiz_words as 2D array: [0] holds  words being tested, [1] holds type: txt or img
var quiz_words =  ['q1', 'q2', 'q3', 'q4', 'q5', 'q6', 'q7', 'q8', 'q9', 'q10']; 
var quiz_content = [];
//txt questions
quiz_content['q1'] = ["If you want to measure the weight of something you use a…", 'scale', 'stopwatch', 'ruler', 'easy'];
quiz_content['q2'] = ["When you want to find out how tall someone is, you measure their...",'height', 'weight', 'speed', 'medium'];
quiz_content['q3'] = ["What's another word for how fast you're going?", 'speed', 'height', 'weight', 'medium'];
quiz_content['q4'] = ["When you want to find the size or amount of something you…", 'measure', 'estimate', 'compare' ,'hard'];
quiz_content['q5'] = ["When you measure how long something is, what are you measuring?", 'length ', 'height', 'weight' ,'hard'];
quiz_content['q6'] = ["When you find something out you…",'determine it', 'construct it', 'divide it', 'hard'];
quiz_content['q7'] = ["When you use what you know about measuring to find something out you...", 'apply it', 'sweep it', 'comfort it' ,'hard'];
quiz_content['q8'] = ["What do you need to measure to figure out how hot or cold something is?",'temperature', 'distance', 'speed', 'hard'];
quiz_content['q9'] = ["What does a scale measure?", 'weight', 'height', 'length ' ,'hard']
quiz_content['q10'] = ["To figure out how far apart two things are, you need to figure out its...",'distance', 'weight', 'height', 'hard'];


//FOR FIRST question:
//pull a random quiz question... 
//_questionNumber will be random # to pull a random word from quiz_words
//quiz_content holds the question text and answer choices for the word in quiz_words 
quiz_doCover();


//

//for quiz only: set narrDone to nothing:
function narrDone(){}

//SOUNDS: path+filename of this storybook's multisound file (without extension)
var sndurl = 'sound/measure_quiz';

/*
//functions below are called at certain points in the main storybook js (rtlstorybook.js)
1: makeSounds() -- call makeSound() and define defintions in definitionText[]
2: make_storymanifest() -- defines the differnet image files that preload.js will load 
3: story_spritesheets() -- called by main js (rtlstorybook.js)'s make_spritesheet's function to create storybook specific ss
*/

function makeSounds(){
	// all timecodes are in seconds format... converted to milliseconds at runtime (onPlay event)
	
	//quiz sfx:
	makeSound('sfx_biscuits', 116.056104, 117.029715);
	makeSound('sfx_splat', 117.308417, 118.419256);
	makeSound('sfx_pie', 118.502263, 119.312165);
	makeSound('sfx_lazer', 119.481508, 121.524669);
	makeSound('sfx_wrong', 122.087919, 123.427938);


	//question-specific audio:
	makeSound('q_q1', 0.495087, 3.701368);
	makeSound('q_q2', 4.856573, 8.793697);
	makeSound('q_q3', 10.161081, 12.730821);
	makeSound('q_q4', 14.239659, 17.516667);
	makeSound('q_q8', 19.685622, 23.599171);
	makeSound('q_q5', 25.579521, 29.139435);
	makeSound('q_q10', 30.719000, 35.174788);
	makeSound('q_q6', 38.027435, 40.078511);
	makeSound('q_q7', 41.469472, 45.170840);
	makeSound('q_q9', 46.278893, 47.787731);

	makeSound('determine it', 49.555901, 50.593227);
	makeSound('apply it', 51.347646, 52.432123);
	makeSound('stopwatch', 53.775932, 54.907561);
	makeSound('construct it', 55.567677, 56.652155);
	makeSound('sweep it', 57.642330, 58.608929);
	makeSound('ruler', 59.764133, 60.494977);
	makeSound('divide it', 61.650181, 62.593205);
	makeSound('comfort it', 63.347624, 64.267072);
	makeSound('measure', 64.832886, 65.360961);
	makeSound('scale', 66.011666, 66.695058);
	makeSound('weight', 67.025416, 67.584555);
	makeSound('length ', 68.109894, 68.675708);
	makeSound('height', 69.194371, 69.939889);
	makeSound('speed', 70.184546, 70.942490);
	makeSound('distance', 71.304387, 72.348112);
	makeSound('temperature', 72.506742, 73.252260);
	makeSound('estimate', 73.544068, 74.115405);
	makeSound('compare', 115.797153,116.481301);
	makeSound('f_q1', 75.630509, 78.512319);
	makeSound('f_q2', 78.872153, 81.887586);
	makeSound('f_q3', 82.408492, 85.906000);
	makeSound('f_q4', 86.227739, 89.547433);
	makeSound('f_q5', 89.988046, 92.651904);
	makeSound('f_q6', 92.946783, 95.153372);
	makeSound('f_q7', 95.386857, 97.760293);
	makeSound('f_q8', 98.027324, 101.659857);
	makeSound('f_q9', 102.082326, 103.851766);
	makeSound('f_q10', 104.145191, 107.206568);
	
	//required for quiz question outocomes:
	makeSound('empty', 4.5,4.6);
	makeSound('quizmo', 107.410411, 108.640050);
	makeSound('correct_1', 109.011801, 110.198546);
	makeSound('correct_2', 110.355825, 111.560707);
	makeSound('incorrect_1', 111.927255, 113.158259);
	makeSound('incorrect_2', 113.887464, 115.196398);	
}