//"How Do You Measure Up?" story-specific vars

var pagenames = [
	'0_cover',
	'1_intro',
	'2_baker',
	'3_butcher',
	'4_carpenter',
	'5_carpenter',
	'6_policeofficer',
	'7_coach',
	'8_doctor',
	'9_kitchen',
	'10_end',
	'glossary',
];

//define quiz_url as the page to switch to upon press of arrowGame on final page (glossary)
quiz_url = "measureup_game.html";

var glossary_definitions = []; //defined per storybook (storybook's js). used to store defintion words themselves, used with definitionText[] in Glossary

//for use with glossary:
glossary_definitions.push(
	['measure', 'txt'],
	['scale', 'txt'],
	['weight', 'txt'],
	['length ', 'txt'],
	['determine', 'txt'],
	['speed', 'txt'],
	['distance', 'txt'],
	['temperature', 'txt'],	
	['apply', 'txt']	
);

//SOUNDS: path+filename of this storybook's multisound file (without extension)
var sndurl = 'sound/measure_text';
quiz_url = "measureup_game.html";
/*
//functions below are called at certain points in the main storybook js (rtlstorybook.js)
1: makeSounds() -- call makeSound() and define defintions in definitionText[]
2: make_storymanifest() -- defines the differnet image files that preload.js will load 
3: story_spritesheets() -- called by main js (rtlstorybook.js)'s make_spritesheet's function to create storybook specific ss
*/

function makeSounds(){	
	//empty:
	makeSound('empty', 8.2,8.3);
	
	//narration:
	makeSound('0_cover',	194.330364,	198.008253);
	makeSound('1_intro', 0.552926, 8.2, ["There ", "are ", "all ", "kinds ", "of ", "reasons ", "why ", "we ", "need ", "to ", "measure. ", "Measuring ", "helps ", "us ", "be ", "sure ", "the ", "things ", "we ", "make ", "come ", "out ", "as ", "planned."], [0.552926, 0.705136, 0.844921, 1.202148, 1.51278, 1.689841, 2.130939, 2.363914, 2.572037, 2.749098, 2.938584, 3.97299, 4.46379, 4.802379, 5.019822, 5.159607, 5.547897, 5.715639, 5.970358, 6.122567, 6.545028, 6.656855, 6.880511, 7.032721]);
	makeSound('2_baker', 9.020769, 14.637006, ["Bakers ", "have ", "to ", "measure ", "the ", "amount ", "of ", "different ", "ingredients, ", "so ", "that ", "their ", "treats ", "taste ", "yummy ", "and ", "delicious."], [9.120172, 9.673097, 9.918497, 9.98373, 10.337851, 10.458998, 10.810013, 10.977754, 11.310131, 12.19854, 12.335218, 12.434621, 12.633426, 13.037248, 13.301286, 13.692683, 13.875956]);
	makeSound('3_butcher', 15.668306, 22.688601, ["Butchers ", "use ", "scales ", "to ", "measure ", "the ", "weight ", "of ", "meat ", "to ", "sell ", "at ", "the ", "supermarket. ", "But ", "measuring ", "isn't ", "just ", "used ", "with ", "food."], [15.7149, 16.215019, 16.442557, 16.981505, 17.178756, 17.501038, 17.65946, 17.842733, 18.010475, 18.345958, 18.423616, 18.662803, 18.790163, 18.908203, 20.234604, 20.352644, 20.877613, 21.119907, 21.470921, 21.91202, 22.24129]);
	makeSound('4_carpenter', 24.440569, 28.8, ["Carpenters ", "use ", "a ", "measuring ", "tape ", "to ", "find ", "out ", "the ", "length  ", "of ", "things."], [24.499589, 25.33519, 25.555739, 25.624079, 26.15526, 26.369597, 26.537338, 26.773419, 27.0095, 27.149284, 27.453704, 27.615233]);
	makeSound('5_carpenter', 29.870425, 37.176503, ["Carpenters ", "use ", "a ", "measuring ", "tape ", "to ", "determine ", "how ", "tall ", "things ", "are, ", "too! ", "They ", "need ", "to ", "make ", "sure ", "everything ", "is ", "just ", "the ", "right ", "size. "], [29.963615, 30.522754, 30.727771, 30.811642, 31.302442, 31.634818, 31.746646, 32.119405, 32.358592, 32.687863, 32.939475, 33.175556, 34.088815, 34.2286, 34.411873, 34.520595, 34.706974, 34.995862, 35.461811, 35.732062, 36.011631, 36.107927, 36.390603]);
	makeSound('6_policeofficer', 39.363356, 46, ["Police ", "officers ", "measure ", "the ", "speed ", "of ", "cars. ", "They ", "need ", "to ", "check ", "that ", "everyone ", "is ", "driving ", "at ", "a ", "safe ", "speed."], [39.409951, 39.804454, 40.285935, 40.636949, 40.742565, 41.127749, 41.283065, 42.426193, 42.60636, 42.774101, 42.892142, 43.18103, 43.289751, 43.687361, 43.855103, 44.240287, 44.355221, 44.432879, 44.787]);
	makeSound('7_coach', 46.980066, 54.5, ["Track ", "coaches ", "use ", "stopwatches ", "to ", "measure ", "the ", "amount ", "of ", "time ", "a ", "racer ", "takes ", "to ", "run ", "the ", "distance ", "from ", "one ", "place ", "to ", "another."], [47.082575, 47.532992, 47.989622, 48.228809, 49.117218, 49.197982, 49.517934, 49.632868, 49.980776, 50.123667, 50.372173, 50.487107, 50.934418, 51.198456, 51.394155, 51.614704, 51.726531, 52.071333, 52.267032, 52.503113, 52.792001, 52.888297]);
	makeSound('8_doctor', 55.516248, 63.0, ["Doctors ", "measure ", "all ", "kinds ", "of ", "things: ", "your ", "height, ", "your ", "weight, ", "and ", "your ", "temperature ", "- all ", "to ", "make ", "sure ", "you're ", "healthy."], [55.516248, 56.041217, 56.485422, 56.824011, 57.237153, 57.389363, 58.184582, 58.343005, 58.749933, 59.051247, 59.374305, 59.768808, 59.933443, 60.837384, 61.14491, 61.275376, 61.446224, 61.7786, 62.048851]);
	makeSound('9_kitchen', 63.940603, 72.8, ["And ", "temperature ", "brings ", "us ", "back ", "to ", "baking! ", "When ", "you ", "bake, ", "you ", "have ", "to ", "set ", "the ", "oven ", "at ", "the ", "right ", "temperature ", "so ", "that ", "your ", "treats ", "will ", "be ", "tasty."], [64.030686, 64.282299, 64.94084, 65.183133, 65.409895, 65.652188, 65.87895, 66.826379, 67.031397, 67.236414, 67.680619, 67.795553, 67.966401, 68.065803, 68.233545, 68.379542, 68.621835, 68.749195, 68.851704, 69.097103, 69.811558, 69.951343, 70.109765, 70.265082, 70.61299, 70.749668, 70.88324]);
	makeSound('10_end',	73.272005, 79.5, ["You ", "can ", "apply ", "measuring ", "to ", "just ", "about ", "anything ", "you ", "do. ", "What ", "kinds ", "of ", "things ", "do ", "you ", "measure ", "?"], [73.299962, 73.532936, 73.64787, 74.042373, 74.753722, 74.918357, 75.10163, 75.399838, 75.965189, 76.170206, 77.182868, 77.335078, 77.617754, 77.779283, 78.052639, 78.192424, 78.487525]);

	//sfx:
	makeSound('milk_pour',	201.103512,	203.854238);
	makeSound('car_horn',	204.954512,	206.043512);
	makeSound('slow_pug',	207.255512,	212.427478);
	makeSound('fast_pug',	213.454512,	216.769451);
	makeSound('toy_bell',	217.498512,	218.543025);
	makeSound('buzzer',	219.096512,	219.566717);
	makeSound('ding',	219.992512,	221.1419);
	//glossary sfx:
	makeSound('wordbones',	198.693931,	199.921681);
	makeSound('boing_bonk',	221.833512,	224.06154);

	//definition audio:
	makeSound('def_measure', 80.50353, 84.833748);
	makeSound('def_measure.', 80.50353, 84.833748);
	makeSound('def_scale',	85.299697, 94.07196);
		makeSound('defONLY_scale',	94.687012, 97.401941);	
	makeSound('def_scales',	85.299697, 94.07196);
		makeSound('defONLY_scales',	94.687012, 97.401941);
	makeSound('def_weight',	97.961079, 101.794285);
		makeSound('def_weight,',	97.961079, 101.794285);
	makeSound('def_length ', 103.080304, 111.082198);
		makeSound('defONLY_length ', 112.175625, 116.275974);
	makeSound('def_determine', 122.538326, 126.41502);
	makeSound('def_speed', 127.458746, 132.404016);
	makeSound('def_distance', 133.845351, 150.470405);
		makeSound('defONLY_distance', 151.290475, 156.136342);
	makeSound('def_temperature', 156.707906, 161.876832);
	makeSound('def_apply',	162.891776,	166.32116);
	makeSound('def_check',	167.309,	171.967027);
	makeSound('def_amount',	172.802027,	176.595633);
	makeSound('def_ingredient',	177.553,	188.218215);
		makeSound('def_ingredients,',	177.553,	188.218215);
	makeSound('def_size',	189.165,	193.342664);
		makeSound('def_size.',	189.165,	193.342664);


	//definitions go into definitionText array (need to put word verbatim from phrase's text array above, including punctuation if necessary)
	definitionText['measure.'] = definitionText['measure'] = "When you measure, you find the size or amount of something.";
	definitionText['scale'] = definitionText['scales'] = "A scale is a tool for weighing.";
	definitionText['weight'] = definitionText['weight,'] = "Weight means how heavy or light something is.";
	definitionText['length '] = "Length means how long something is.";	
	definitionText['determine'] = "Determine means to find out.";
	definitionText['speed'] = "Speed means how fast or slow something is moving.";
	definitionText['distance'] = "Distance means how far apart two things are.";
	definitionText['temperature'] = "Temperature tells you how hot or cold something, or someone, is.";
	definitionText['apply'] = "To apply means to put to use.";
	definitionText['height'] = "The height of something is how tall or short it is.";
	definitionText['check'] = "When you check something, it means you make sure that it's right.";
	definitionText['amount'] = "An amount of something is how much of it there is.";
	definitionText['ingredient'] = "An ingredient is one of the things that goes into a mixture.";
		definitionText['ingredients,'] = definitionText['ingredient'];
	definitionText['size'] = "Size means how big or small something is.";
		definitionText['size.'] = definitionText['size'];
}


//story_manifest: unique for each storybook:
function make_storymanifest(){
	//**console.log("HI I AM MEASURE UP...");
	//image assets:
	//for preloader, each storybook's image assets should be defined here
	//id is used within images array to reference images:  images['i_pops']
	story_manifest = [
		
		//cover image:
		{src:imgPath+"img/covers/measureup.jpg", id:"cover_story"},
		//background image;
		{src:imgPath+"img/bg/bg_red.jpg", id:"bg_story"},

		//for 1_intro:
		{src:imgPath+"img/measureup_story/1_intro/helen.png", id:"1-helen"},
		{src:imgPath+"img/measureup_story/1_intro/dogs.png", id:"1-dogs"},
		
		//for 2_baker:
		{src:imgPath+"img/measureup_story/2_baker/chef_counter.png", id:"2-chef_counter"},
		{src:imgPath+"img/measureup_story/2_baker/empty_cup.png", id:"2-emptycup"},		
		{src:imgPath+"img/measureup_story/2_baker/measurecup_fill.png", id:"2-measurecup"},
		{src:imgPath+"img/measureup_story/2_baker/carton.png", id:"2-milkcarton"},
		{src:imgPath+"img/measureup_story/2_baker/milkpour.png", id:"2-milkcarton_pour"},

		//for 3_butcher:
		{src:imgPath+"img/measureup_story/3_butcher/sausage.png", id:"3-sausage"},
		{src:imgPath+"img/measureup_story/3_butcher/nuggets.png", id:"3-nuggets"},
		{src:imgPath+"img/measureup_story/3_butcher/steak.png", id:"3-steak"},
		{src:imgPath+"img/measureup_story/3_butcher/sausages.png", id:"3-sausages"},
		{src:imgPath+"img/measureup_story/3_butcher/roast.png", id:"3-roast"},
		{src:imgPath+"img/measureup_story/3_butcher/scale.png", id:"3-scale"},
		{src:imgPath+"img/measureup_story/3_butcher/scale_readings.png", id:"3-scale_readings"},
		{src:imgPath+"img/measureup_story/3_butcher/butcher.png", id:"3-butcher"},

		//for 4_carpenter:
		{src:imgPath+"img/measureup_story/4_carpenter/board.png", id:"4-board"},
		{src:imgPath+"img/measureup_story/4_carpenter/tape-body.png", id:"4-measuringtape_body"},
		{src:imgPath+"img/measureup_story/4_carpenter/tapewithtab.png", id:"4-tapewithtab"},
		{src:imgPath+"img/measureup_story/4_carpenter/td.png", id:"4-td"},

		//for 5_carpenter:
		{src:imgPath+"img/measureup_story/5_carpenter/door.png", id:"5-door"},
		{src:imgPath+"img/measureup_story/5_carpenter/alice.png", id:"5-alice"},

		//for 6_policeofficer:
		{src:imgPath+"img/measureup_story/6_policeofficer/radar.png", id:"6-radar"},
		{src:imgPath+"img/measureup_story/6_policeofficer/cop.png", id:"6-cop"},
		{src:imgPath+"img/measureup_story/6_policeofficer/road.png", id:"6-road"},
		{src:imgPath+"img/measureup_story/6_policeofficer/car.png", id:"6-car-body"},
		{src:imgPath+"img/measureup_story/6_policeofficer/wheel.png", id:"6-car-wheel"},
	
		//for 7_coach:
		{src:imgPath+"img/measureup_story/7_coach/pops-walk-run.png", id:"7-pops-walk-run"},
		{src:imgPath+"img/measureup_story/7_coach/track.png", id:"7-track"},
		{src:imgPath+"img/measureup_story/7_coach/stopwatch-start.png", id:"7-stopwatch-start"},
		{src:imgPath+"img/measureup_story/7_coach/stopwatch-running.png", id:"7-stopwatch-running"},

		//for 8_doctor:
		{src:imgPath+"img/measureup_story/8_doctor/dr.png", id:"8-dr"},
		{src:imgPath+"img/measureup_story/8_doctor/kid.png", id:"8-kid"},

		//for 9_kitchen:
		{src:imgPath+"img/measureup_story/9_kitchen/meter.png", id:"9-meter"},
		{src:imgPath+"img/measureup_story/9_kitchen/cursor.png", id:"9-cursor"},
		{src:imgPath+"img/measureup_story/9_kitchen/oven-front.png", id:"9-oven-front"},
		{src:imgPath+"img/measureup_story/9_kitchen/oven.png", id:"9-oven"},
		{src:imgPath+"img/measureup_story/9_kitchen/treats-burnt.png", id:"9-treats-burnt"},
		{src:imgPath+"img/measureup_story/9_kitchen/treats-soggy.png", id:"9-treats-soggy"},
		{src:imgPath+"img/measureup_story/9_kitchen/treats-good.png", id:"9-treats-good"},
		{src:imgPath+"img/measureup_story/9_kitchen/skits-neutral.png", id:"9-skits-neutral"},
		{src:imgPath+"img/measureup_story/9_kitchen/skits-sad.png", id:"9-skits-sad"},
		{src:imgPath+"img/measureup_story/9_kitchen/skits-happy.png", id:"9-skits-happy"},

		//for 10_end:
		{src:imgPath+"img/measureup_story/10_end/apple.png", id:"10-apple"},
		{src:imgPath+"img/measureup_story/10_end/ball.png", id:"10-ball"},
		{src:imgPath+"img/measureup_story/10_end/carrot.png", id:"10-carrot"},
		{src:imgPath+"img/measureup_story/10_end/flowers.png", id:"10-flowers"},
		{src:imgPath+"img/measureup_story/10_end/helmet.png", id:"10-helmet"},
		{src:imgPath+"img/measureup_story/10_end/martha.png", id:"10-martha"},
		{src:imgPath+"img/measureup_story/10_end/pancake.png", id:"10-pancake"},
		{src:imgPath+"img/measureup_story/10_end/skateboard.png", id:"10-skateboard"},
		{src:imgPath+"img/measureup_story/10_end/violin.png", id:"10-violin"},
		{src:imgPath+"img/measureup_story/10_end/10_scale_readings.png", id:"10-scale_readings"},

		//for glossary (common assets for every use):
		{src:imgPath+"img/glossary/wordbone.png", id:"glossary-wordbone"},	
		//{src:imgPath+"img/glossary/martha_only.png", id:"glossary-martha"},
		{src:imgPath+"img/glossary/martha_only.png", id:"glossary-martha"},	
		{src:imgPath+"img/glossary/board_only.png", id:"glossary-board"},{src:imgPath+"img/glossary/glossary_title.png", id:"glossary-title"},	
		{src:imgPath+"img/glossary/bowl_only.png", id:"glossary-bowl"},	
		{src:imgPath+"img/glossary/splash_only.png", id:"glossary-splash"},			
		{src:imgPath+"img/glossary/cloud_defonly.png", id:"glossary-txtcloud"},
		{src:imgPath+"img/glossary/cloud_defandimage.png", id:"glossary-imgcloud"}

		//quiz-glossary img assets specific to this story:
		/*{src:imgPath+"img/measureup_story/quiz_glossary/scale.png", id:"scales"},
		{src:imgPath+"img/measureup_story/quiz_glossary/cake.png", id:"speed"},
		{src:imgPath+"img/measureup_story/quiz_glossary/steak.png", id:"temperature"},
		{src:imgPath+"img/measureup_story/quiz_glossary/roast.png", id:"weight"},
		{src:imgPath+"img/measureup_story/quiz_glossary/flowers.png", id:"distance"},*/

	];

}


//each storybook should have its spritesheets created in this function
function story_spritesheets(){
	//2_baker
	spritesheets['measurecup'] = new createjs.SpriteSheet({
		"frames": [[0, 0, 256, 128, 0, 256, 0], [256, 0, 256, 128, 0, 256, 0], [0, 128, 256, 128, 0, 256, 0], [256, 128, 256, 128, 0, 256, 0], [0, 256, 256, 128, 0, 256, 0], [256, 256, 256, 128, 0, 256, 0]], 
		"animations": {
			"pour": {				
				"frames": [0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,2,2,3,3,4,4,4,5,5,5,5,5,5],
				"frequency": 3,
				"next": false
			}
		}, 		
		"images": [images['2-measurecup']]
	});	

	spritesheets['milkcarton_pour'] = new createjs.SpriteSheet({
	    "frames": [
	        [2, 2, 252, 252, 0, 254, -2],
	        [258, 2, 252, 252, 0, 254, -2],
	        [514, 2, 252, 252, 0, 254, -2],
	        [770, 2, 252, 252, 0, 254, -2],
	        [1026, 2, 252, 252, 0, 254, -2],
	        [1282, 2, 252, 252, 0, 254, -2],
	        [1538, 2, 252, 252, 0, 254, -2],
	        [1794, 2, 252, 252, 0, 254, -2],
	        [2, 258, 252, 252, 0, 254, -2],
	        [258, 258, 252, 252, 0, 254, -2],
	        [514, 258, 252, 252, 0, 254, -2],
	        [770, 258, 252, 252, 0, 254, -2],
	        [1026, 258, 252, 252, 0, 254, -2],
	        [1282, 258, 252, 252, 0, 254, -2],
	        [1538, 258, 252, 252, 0, 254, -2],
	        [1794, 258, 252, 252, 0, 254, -2],
	        [2, 514, 252, 252, 0, 254, -2],
	        [258, 514, 252, 252, 0, 254, -2],
	        [514, 514, 252, 252, 0, 254, -2],
	        [770, 514, 252, 252, 0, 254, -2]
	    ],
	    "animations": {
	    	"up": {"frames": 0, "next": false},
	    	"pour": {"frames": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 13, 14, 14, 14, 13, 13, 13, 13, 15, 16, 17, 18, 19, 0, 0, 0, 0, 0, 0], "next": false, "frequency": 3}
	    },
		"images": [images['2-milkcarton_pour']]
	});

	//3_butcher:
	spritesheets['scale_readings'] = new createjs.SpriteSheet({
		"frames": [[0, 0, 128, 64, 0, 128, 0], [128, 0, 128, 64, 0, 128, 0], [256, 0, 128, 64, 0, 128, 0], [384, 0, 128, 64, 0, 128, 0], [512, 0, 128, 64, 0, 128, 0], [640, 0, 128, 64, 0, 128, 0]], 
		"animations": {"all": {"frames": [0, 1, 2, 3, 4, 5]}},

		"images": [images['3-scale_readings']]
	});	

	//7_coach:
	spritesheets['pops_walk_run'] = new createjs.SpriteSheet({
	    "frames": [
	        [0, 0, 512, 256, 0, 512, 0],
	        [512, 0, 512, 256, 0, 512, 0],
	        [1024, 0, 512, 256, 0, 512, 0],
	        [1536, 0, 512, 256, 0, 512, 0],
	        [0, 256, 512, 256, 0, 512, 0],
	        [512, 256, 512, 256, 0, 512, 0],
	        [1024, 256, 512, 256, 0, 512, 0],
	        [1536, 256, 512, 256, 0, 512, 0],
	        [0, 512, 512, 256, 0, 512, 0],
	        [512, 512, 512, 256, 0, 512, 0],
	        [1024, 512, 512, 256, 0, 512, 0],
	        [1536, 512, 512, 256, 0, 512, 0],
	        [0, 768, 512, 256, 0, 512, 0],
	        [512, 768, 512, 256, 0, 512, 0],
	        [1024, 768, 512, 256, 0, 512, 0],
	        [1536, 768, 512, 256, 0, 512, 0],
	        [0, 1024, 512, 256, 0, 512, 0],
	        [512, 1024, 512, 256, 0, 512, 0],
	        [1024, 1024, 512, 256, 0, 512, 0],
	        [1536, 1024, 512, 256, 0, 512, 0],
	        [0, 1280, 512, 256, 0, 512, 0],
	        [512, 1280, 512, 256, 0, 512, 0],
	        [1024, 1280, 512, 256, 0, 512, 0],
	        [1536, 1280, 512, 256, 0, 512, 0],
	        [0, 1536, 512, 256, 0, 512, 0],
	        [512, 1536, 512, 256, 0, 512, 0],
	        [1024, 1536, 512, 256, 0, 512, 0],
	        [1536, 1536, 512, 256, 0, 512, 0],
	        [0, 1792, 512, 256, 0, 512, 0],
	        [512, 1792, 512, 256, 0, 512, 0]
	    ],
	    "animations": {
	    	"idle": {"frames": [0, 1, 2, 3], "loop": true, "frequency": 6},
	    	"run": {"frames": [20, 21, 22, 23, 24, 25, 26, 27, 28, 29], "loop": true, "frequency": 2}, 
	    	"walk": {"frames": [4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19], "loop": true, "frequency": 4}
	    },
	    "images": [images['7-pops-walk-run']]
	});		
	
	//10_end:
	spritesheets['10_scale_readings'] = new createjs.SpriteSheet({
	    "frames": [[480, 0, 0, 0, 0, 0, 0], [244, 0, 114, 32, 0, -217, -100], [0, 0, 122, 34, 0, -212, -100], [122, 0, 122, 33, 0, -212, -100], [357, 34, 119, 30, 0, -214, -102], [238, 34, 119, 30, 0, -214, -102], [119, 34, 119, 30, 0, -214, -102], [0, 34, 119, 30, 0, -214, -102], [358, 0, 122, 30, 0, -212, -101]],
	    "animations": {
	    	"helmet": {"frames": [5]}, 
	    	"ball": {"frames": [2]}, 
	    	"flowers": {"frames": [1]}, 
	    	"skateboard": {"frames": [8]}, 
	    	"carrot": {"frames": [4]}, 
	    	"none": {"frames": [0]}, 
	    	"violin": {"frames": [7]}, 
	    	"pancake": {"frames": [6]}, 
	    	"apple": {"frames": [3]}
	    },
	    "images": [images['10-scale_readings']]
	});

	//glossary:
	spritesheets['glossary-martha'] = new createjs.SpriteSheet({
	    "frames": [
	        [1037, 2, 259, 217, 0, -20, -114],
	        [538, 2, 248, 227, 0, -37, -128],
	        [288, 2, 246, 229, 0, -38, -118],
	        [790, 2, 243, 220, 0, -38, -121],
	        [1755, 450, 252, 196, 0, -30, -137],
	        [2, 2, 282, 237, 0, -4, -86],
	        [577, 656, 280, 157, 0, -149, -105],
	        [861, 656, 281, 157, 0, -183, -67],
	        [2, 656, 284, 190, 0, -208, -20],
	        [290, 656, 283, 189, 0, -228, -15],
	        [1463, 450, 288, 196, 0, -237, -10],
	        [1171, 450, 288, 196, 0, -244, -9],
	        [877, 450, 290, 200, 0, -247, -7],
	        [582, 450, 291, 200, 0, -249, -7],
	        [869, 243, 289, 203, 0, -252, -8],
	        [578, 243, 287, 203, 0, -255, -10],
	        [291, 450, 287, 202, 0, -257, -18],
	        [1742, 243, 286, 203, 0, -262, -30],
	        [1452, 243, 286, 203, 0, -268, -48],
	        [1162, 243, 286, 203, 0, -276, -73],
	        [2, 450, 285, 202, 0, -287, -107],
	        [290, 243, 284, 203, 0, -302, -152],
	        [2, 243, 284, 203, 0, -322, -215],
	        [1300, 2, 276, 204, 0, -356, -310],
	        [1580, 2, 275, 204, 0, -416, -495]
	    ],
	    "animations": {"all": {"frames": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24], "next": false, "frequency": 3}},		
		"images": [images['glossary-martha']]
	});

	spritesheets['glossary-board'] = new createjs.SpriteSheet({
	    "frames": [[2, 209, 384, 69, 0, 0, -14], [2, 2, 387, 110, 0, 0, -2], [393, 2, 386, 99, 0, 0, -5], [2, 116, 386, 89, 0, 0, -8], [392, 116, 386, 79, 0, 0, -11], [580, 209, 304, 69, 0, 0, -14], [783, 2, 237, 69, 0, 0, -14], [390, 209, 186, 69, 0, 0, -14], [2, 282, 149, 68, 0, 0, -14], [782, 116, 127, 68, 0, 0, -14], [888, 209, 120, 68, 0, 0, -14]],
	    "animations": {"all": {"frames": [0, 1, 2, 3, 4, 0, 0, 0, 0, 5, 6, 7, 8, 9, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10], "next": false, "frequency": 3}},
		"images": [images['glossary-board']]
	});

	spritesheets['glossary-bowl'] = new createjs.SpriteSheet({	
		"frames": [[0, 0, 629, 170, 0, 0, -1], [0, 170, 629, 166, 0, 0, -1]], 
		"animations": {"all": {"frames": [0, 1]}
		},
		"images": [images['glossary-bowl']]		
	});

	spritesheets['glossary-splash'] = new createjs.SpriteSheet({	
		"frames": [[1808, 0, 1, 1, 0, 0, 0], [451, 578, 422, 186, 0, -45, -134], [0, 578, 451, 230, 0, -30, -78], [0, 0, 543, 297, 0, 0, -4], [543, 0, 594, 295, 0, 0, 0], [1402, 297, 637, 262, 0, 0, -21], [1137, 0, 671, 282, 0, 0, 0], [0, 297, 694, 281, 0, 0, 0], [694, 297, 708, 280, 0, 0, 0]], 
		"animations": {
			"bowl_idle": {"frames": [0]}, 
			"bowl_splash": {"frames": [1, 2, 3, 4, 5, 6, 7, 8], "frequency": 4, "next": false}, 
		},			
		"images": [images['glossary-splash']]		
	});
}