function prep_1_intro(transition){
	//**//**console.log('function: prep_1_intro');
	world_current = worlds['1_intro'];
	
	ticker_world = (function(){
		tick_1_intro();
	});
	end_world = (function(){
		end_1_intro();
	});
	narrDone = (function(){
		narrDone_1_intro();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;	
	teachertiptext.text = "Parent tip: To expand your child's understanding of the word \"choice,\" talk about the choices your child makes every day: what to wear, who to play with, what book to read before bedtime. Ask, \"what choices do you think this story will be about?\"";
	
	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:

	bin_t = new createjs.Bitmap(images['1_bin_trash']);
	bin_t.regX = bin_t.image.width/2;
	bin_t.regY = bin_t.image.height/2;	
	bin_t.x = 310;
	bin_t.y = 360;
	
	bin_tFRONT = new createjs.Bitmap(images['1_bin_trashFRONT']);
	bin_tFRONT.regX = bin_tFRONT.image.width/2;
	bin_tFRONT.regY = bin_tFRONT.image.height/2;	
	bin_tFRONT.x = 310;
	bin_tFRONT.y = 360;	

	shadow_t = new createjs.Bitmap(images['1_groundshadow']);
	shadow_t.scaleX = shadow_t.scaleY = 0.75;
	shadow_t.regX = shadow_t.image.width/2;
	shadow_t.regY = shadow_t.image.height/2;
	shadow_t.x = bin_t.x;
	shadow_t.y = bin_t.y + 85;

	hitbox_t = new createjs.Shape();
	hitbox_t.graphics.beginFill("#78F595").drawRect((bin_tFRONT.x - bin_tFRONT.image.width/2  - 20), (bin_tFRONT.y - bin_tFRONT.image.height/2 - 37), (bin_tFRONT.image.width + 40), (bin_tFRONT.image.height + 74));
	hitbox_t.alpha = 0.2; 

	bin_r = new createjs.Bitmap(images['1_bin_recycling']);
	bin_r.regX = bin_r.image.width/2;
	bin_r.regY = bin_r.image.height/2;	
	bin_r.x = 715;
	bin_r.y = 350;

	bin_rFRONT = new createjs.Bitmap(images['1_bin_recyclingFRONT']);
	bin_rFRONT.regX = bin_rFRONT.image.width/2;
	bin_rFRONT.regY = bin_rFRONT.image.height/2;	
	bin_rFRONT.x = 715;
	bin_rFRONT.y = 350;

	shadow_r = shadow_t.clone();
	shadow_r.scaleX = shadow_r.scaleY = 0.80;
	shadow_r.x = bin_r.x;
	shadow_r.y = bin_r.y + 104;

	hitbox_r = new createjs.Shape();
	hitbox_r.graphics.beginFill("#78F595").drawRect((bin_rFRONT.x - bin_rFRONT.image.width/2  - 20), (bin_rFRONT.y - bin_rFRONT.image.height/2 - 37), (bin_rFRONT.image.width + 40), (bin_rFRONT.image.height + 74));
	hitbox_r.alpha = 0.2; 
	
	can1 = new createjs.Bitmap(images['1_can']);
	can1.regX = can1.image.width/2;
	can1.regY = can1.image.height/2;
	can1.scaleX = can1.scaleY = 0.6;
	can1.x = canvas.width/2;
	can1.y = 120;
	can1.startX = can1.x;
	can1.startY = can1.y;
	
	world_current.addChild(shadow_t);
	world_current.addChild(shadow_r);
	world_current.addChild(bin_t);	
	world_current.addChild(bin_r);
	world_current.addChild(bin_tFRONT);
	world_current.addChild(bin_rFRONT);
	world_current.addChild(can1);

	//uncomment to see bin hitregions
	//world_current.addChild(hitbox_t);
	//world_current.addChild(hitbox_r);

	//bool set to true when can is doing through its animation. prohibit grabbing when animation is active
	can1_tweening = false;
	binFRONT = {};
	binBACK = {};

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('1_intro', ['choice.']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_1_intro);

}

//level specific functions:

//called once this level is fully slid into place
function begin_1_intro(){
	//**//**console.log("WORLD 1 BEGIN");

	playSound('1_intro');	
	
}

function narrDone_1_intro(){	
	dragCan1(can1);
}

function dragCan1(obj){
	doPulse(obj);
	addShadow(obj);

	(function(target) {
		
		obj.onPress = function(evt) {						
			if (can1_tweening) return;

			//**//**console.log(evt.target + " pressed!");
			// bump the target in front of it's siblings:
			world_current.addChild(target);

			target.scaleX *= 1.03; 
			target.scaleY *= 1.03;

			var offset = {x:target.x-evt.stageX, y:target.y-evt.stageY};

			evt.onMouseMove = function(ev) {
				//if( (target.x >= -420) && (target.x <=0) ) target.x = ev.stageX+offset.x;
				target.x = ev.stageX+offset.x;
				target.y = ev.stageY+offset.y;
				}


			evt.onMouseUp = function(ev){
				//**//**console.log(target + " released!");

				target.scaleX /= 1.03; 
				target.scaleY /= 1.03;

				var pt;
				//if hitTest w/ scalereading is true, then modify scale display, else, return the meat
				pt = target.localToLocal(target.regX, target.regY,hitbox_r);
				if (hitbox_r.hitTest(pt.x, pt.y)) { 
					//**//**console.log('target has hit the R bin!');
					binFRONT = bin_rFRONT;
					binBACK = bin_r;
					canInBin();
					return;	
				}
				pt = target.localToLocal(target.regX, target.regY,hitbox_t);
				if (hitbox_t.hitTest(pt.x, pt.y)) { 
					//**//**console.log('target has hit the t bin!');					
					binFRONT = bin_tFRONT;
					binBACK = bin_t;
					canInBin();
					return;	
				}
				else{
					can1.x = can1.startX;
					can1.y = can1.startY;
				}

			}

		}
		
	})(obj);
}


function canInBin(){
	can1_tweening = true;
	
	createjs.Tween.removeTweens(can1);

	//can1.x = binFRONT.x - 10;
	//can1.y = binFRONT.y - 200;

	createjs.Tween.get(can1, {loop:false})
     .to({x: binFRONT.x - 10, y: binFRONT.y - 200}, 200, createjs.Ease.linear)
     .call(doDrop);


}

function doDrop(){
	//make passed binFRONT topmost child
	world_current.addChild(binFRONT);

	createjs.Tween.get(can1, {loop:false})
     .to({y: binFRONT.y + 10}, 600, createjs.Ease.linear)
     //.wait(200)
     .call(binWiggle);
     //.call(returnCan);

}

/*
the wiggle:

rotate: - 25
rotate:0, scale: 1.2
rotate: 25, scale 1.0
start
*/

function binWiggle(){
	can1.visible = false;
	binFRONT.visible = false;

	var wiggleMS = 40;

	if(!narrActive) playSound('can_rattle_honk');

	createjs.Tween.get(binBACK, {loop:false})
     .to({rotation:-25}, wiggleMS, createjs.Ease.linear)
     .call(function(){

		createjs.Tween.get(binBACK, {loop:false})
	     .to({rotation:0, scaleX: 1.2, scaleY: 1.2}, wiggleMS, createjs.Ease.linear)
	     .call(function(){

			createjs.Tween.get(binBACK, {loop:false})
		     .to({rotation:25, scaleX: 1.0, scaleY: 1.0}, wiggleMS, createjs.Ease.linear)
		     .call(function(){

				createjs.Tween.get(binBACK, {loop:false})
			     .to({rotation:0}, wiggleMS, createjs.Ease.linear)
			     .wait(450)
			     .call(returnCan);
		     });

	     });

     });

}


function returnCan(){
	can1.visible = true;
	binFRONT.visible = true;

	can1.x = can1.startX;
	can1.y = -50;

		createjs.Tween.get(can1, {loop:false})
	     .to({x:can1.startX, y:can1.startY}, 400, createjs.Ease.linear)
	     .call(function(){
	     	can1_tweening = false;
	     });

/*
	createjs.Tween.get(can1, {loop:false})
	.wait(500)
     .to({y:can1.startY + 100}, 200, createjs.Ease.linear)
     .call(function(){

		createjs.Tween.get(can1, {loop:false})
	     .to({x:can1.startX, y:can1.startY}, 200, createjs.Ease.linear)
	     .call(function(){
	     	can1_tweening = false;
	     });

     });
*/

}
function tick_1_intro(){
	stage.update();
}



function end_1_intro(){
	//**//**console.log('end_1_intro');	
	createjs.Tween.removeTweens(can1);
	createjs.Tween.removeTweens(binBACK);

	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

