function prep_2_landfill(transition){
	//**//**console.log('function: prep_2_landfill');
	world_current = worlds['2_landfill'];
	
	ticker_world = (function(){
		tick_2_landfill();
	});
	end_world = (function(){
		end_2_landfill();
	});
	narrDone = (function(){
		narrDone_2_landfill();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = "Parent tip: When children relate what they are reading to their own lives, it helps them to understand and remember information. Talk about how garbage is collected in your neighborhood. Do trucks pick up it up or do you bring it somewhere? Fill in any gaps in your child's understanding. ";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:
	pile = new createjs.Bitmap(images['2_pile']);
	pile.x = 130; pile.y = 280;
	world_current.addChild(pile);

	dumptruck = new createjs.BitmapAnimation( spritesheets['2_dumptruck'] );
	dumptruck.gotoAndStop(0);
	
	dumptruck.regX = -200;
	dumptruck.regY = 120;
	dumptruck.x=100;
	dumptruck.y=dumptruck.regY+55;;
	
	world_current.addChild(dumptruck);

	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('2_landfill', ['garbage', 'landfill.']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_2_landfill);

}

//level specific functions:

//called once this level is fully slid into place
function begin_2_landfill(){
	//**//**console.log("WORLD 1 BEGIN");
	
	
	playSound('2_landfill');
	
}

function narrDone_2_landfill(){
	doPulse(dumptruck);
	addShadow(dumptruck);
	
	dumptruck.onPress = doDump2;
}


function doDump2(e){
	removeShadow(dumptruck);
	
	if(!narrActive){
		stopSound();
		playSound('garbage_truck');
	} 

	dumptruck.gotoAndPlay("dump");
	dumptruck.onAnimationEnd = resetTruck;
}

function resetTruck()
{
	addShadow(dumptruck);
}

function tick_2_landfill(){
	stage.update();
}



function end_2_landfill(){
	//**//**console.log('end_2_landfill');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

