function prep_3_decompose(transition){
	//**//**console.log('function: prep_3_decompose');
	world_current = worlds['3_decompose'];
	
	ticker_world = (function(){
		tick_3_decompose();
	});
	end_world = (function(){
		end_3_decompose();
	});
	narrDone = (function(){
		narrDone_3_decompose();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	//teachertipcontainer.onPage = true;
	//teachertiptext.text = "Parent tip: ';

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	dirtbg = new createjs.Bitmap(images['3_bg']);
	world_current.addChild(dirtbg);

	//** page assets:


	var dirtpatchX = canvas.width/2-30;
	var dirtpatchY = 40;

	canA = new createjs.Bitmap(images['3_soupcan_clean']);
	canA.x = dirtpatchX+ 100;
	canA.y = dirtpatchY + 115;
	world_current.addChild(canA);

	canB = new createjs.Bitmap(images['3_soupcan_dirty']);
	canB.x = canA.x;
	canB.y = canA.y;
	canB.alpha = 0;
	world_current.addChild(canB);

	topdirt = new createjs.Bitmap(images['3_dirttop']);
	topdirt.x = dirtpatchX-50;//dirtpatchX + 60;
	topdirt.y = dirtpatchY//dirtpatchY + 245;
	world_current.addChild(topdirt);

	helenA = new createjs.Bitmap(images['3_helen_young']);
	helenA.x = 210;
	helenA.y = 125;
	world_current.addChild(helenA);

	helenB = new createjs.Bitmap(images['3_helen_old']);
	helenB.x = helenA.x - 15;
	helenB.y = helenA.y - 45;
	helenB.alpha = 0;
	world_current.addChild(helenB);

	controls = new createjs.Container();
	controls.regX = 280;
	controls.regY = 75;
	controls.x=controls.regX;
	controls.y=controls.regY;
	world_current.addChild(controls);

	clockface = new createjs.Bitmap(images['3_clockface']);
	clockface.regX = clockface.image.width/2;
	clockface.regY = clockface.image.height/2;
	clockface.x = canvas.width/2 - 25;
	clockface.y = 90;
	controls.addChild(clockface);

	arrow3 = new createjs.Bitmap(images['3_arrow']);
	arrow3.regX = arrow3.image.width/2;
	arrow3.regY = 10; //to have the arrow rotate on its backend
	arrow3.x = clockface.x;
	arrow3.y = clockface.y + 26;
	arrow3.rotation = 75;
	controls.addChild(arrow3);


	btn_present = new createjs.Bitmap(images['3_btn_present']);
	btn_present.regX = btn_present.image.width/2;
	btn_present.regY = btn_present.image.height/2;
	btn_present.x = 420; btn_present.y = 75;
	controls.addChild(btn_present);

	btn_future = new createjs.Bitmap(images['3_btn_future']);
	btn_future.regX = btn_future.image.width/2;
	btn_future.regY = btn_future.image.height/2;
	btn_future.x = 560; btn_future.y = btn_present.y;
	controls.addChild(btn_future);

	currentState="future";

	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('3_decompose', ['decompose.']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_3_decompose);

}

//level specific functions:

//called once this level is fully slid into place
function begin_3_decompose(){
	//**//**console.log("WORLD 1 BEGIN");

	playSound('3_decompose');
	
}

function narrDone_3_decompose(){
	//doPulse(btn_present);
	//addShadow(btn_present);

	//doPulse(btn_future);
	//addShadow(btn_future);

	//btn_present.onPress = morphCanB;
	doPulse(controls);
	addShadow(clockface);
	controls.onPress = morphCanB;
}


function morphCanB(e){
	//**console.log("morph? "+currentState)
	var newAlpha = {};
	var newRotate = {};
	var helenA_alpha = {};
	var helenB_alpha = {};
	
	createjs.Tween.removeTweens(canB);
	createjs.Tween.removeTweens(arrow3);
	createjs.Tween.removeTweens(helenA);
	createjs.Tween.removeTweens(helenB);

	if(currentState == "present"){
		currentState="future"
		newAlpha = 0;
		newRotate = 75;
		helenA_alpha = 1.0;
		helenB_alpha = 0;			
	}
	else if(currentState=="future"){
		currentState="present";
		newAlpha = 1.0;
		newRotate = -75;
		helenB_alpha = 1.0;
		helenA_alpha = 0;	

		if(!narrActive) playSound('whistle_down');
	}

	createjs.Tween.get(canB, {loop:false})
     .to({alpha: newAlpha}, 1000, createjs.Ease.linear);

	createjs.Tween.get(arrow3, {loop:false})
     .to({rotation: newRotate}, 1000, createjs.Ease.linear);

	createjs.Tween.get(helenA, {loop:false})
     .to({alpha: helenA_alpha}, 1000, createjs.Ease.linear);

	createjs.Tween.get(helenB, {loop:false})
     .to({alpha: helenB_alpha}, 1000, createjs.Ease.linear);


}

function tick_3_decompose(){
	stage.update();
}



function end_3_decompose(){
	//**//**console.log('end_3_decompose');	
	createjs.Tween.removeAllTweens();
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

