function prep_6_washcan(transition){
	//**//**console.log('function: prep_6_washcan');
	world_current = worlds['6_washcan'];
	
	ticker_world = (function(){
		tick_6_washcan();
	});
	end_world = (function(){
		end_6_washcan();
	});
	narrDone = (function(){
		narrDone_6_washcan();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:

	bathbg = new createjs.Bitmap(images['6_bathbg']);
	bathbg.x = 18;
	bathbg.y = 10;
	world_current.addChild(bathbg);

	midbar = new createjs.Shape();
	midbar.graphics.beginFill("green").drawRect(canvas.width/2 -15,0,30,canvas.height);
	midbar.alpha = 0.2;
	//world_current.addChild(midbar);

	faucethead = new createjs.Bitmap(images['6_faucethead']);
	faucethead.regX = faucethead.image.width/2;
	faucethead.regY = faucethead.image.height/2;
	faucethead.x = canvas.width/2 + 62;
	faucethead.y = 60;
	
	waterstream = new createjs.BitmapAnimation( spritesheets['6_waterstream'] );
	waterstream.x = canvas.width/2 - 130;
	waterstream.y = 108;
	waterstream.scaleY = 1.75;
	waterstream.alpha = 0.7;
	waterstream.gotoAndStop(0);

	//
	canrusted = new createjs.Bitmap(images['6_can_rusted']);
	canrusted.regX = canrusted.image.width/2;
	canrusted.regY = canrusted.image.height/2;	
	canrusted.x = 250;
	canrusted.y = 330;
	canrusted.startX = canrusted.x;
	
	canclean = new createjs.Bitmap(images['6_can_clean']);
	canclean.regX = canclean.image.width/2;
	canclean.regY = canclean.image.height/2;	
	canclean.x = canrusted.x;
	canclean.y = canrusted.y;


	cleanmask = new createjs.Shape();
	cleanmask.graphics.beginFill("red").drawRect(canvas.width/2,0,canvas.width/2,canvas.height);
	canclean.mask = cleanmask;

	world_current.addChild(canrusted);
	world_current.addChild(canclean);
	world_current.addChild(faucethead);
	world_current.addChild(waterstream);
	//


	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('6_washcan', ['garbage','reused']);

	setDefinitionText();
	//********

	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_6_washcan);



}

//level specific functions:

function dragCan(obj){
	doPulse(obj);
	addShadow(obj);

	(function(target) {
		obj.onPress = function(evt) {
			//**//**console.log(evt.target + " pressed!");
			// bump the target in front of it's siblings:
			//world_current.addChild(target);
			
			canrusted.scaleX = canrusted.scaleY = 1.02;
			canclean.scaleX = canclean.scaleY = 1.02;

			var offset = {x:target.x-evt.stageX, y:target.y-evt.stageY};

			evt.onMouseMove = function(ev) {
				//if( (target.x >= -420) && (target.x <=0) ) target.x = ev.stageX+offset.x;
				target.x = ev.stageX+offset.x;
				}


			evt.onMouseUp = function(ev){
				canrusted.scaleX = canrusted.scaleY = 1.0;
				canclean.scaleX = canclean.scaleY = 1.0;

				//if can not moved far enough into faucet, reset to start position.
				if(target.x < canvas.width/2 - 80){
					target.x = canrusted.startX;	
				} 

				//if can past water and moved enough to the right, move it offscreen and make new can
				if(target.x > canvas.width/2 + 30){
					moveCanRight();
				}
			}

		}
		
	})(obj);
}


function moveCanRight(){
	createjs.Tween.get(canrusted, {loop:false})
		.to({x: canvas.width + 100}, 750, createjs.Ease.linear)
		.call(new_rustedcan);

}

function new_rustedcan(){
	canrusted.x = -150;

	createjs.Tween.get(canrusted, {loop:false})
		.wait(250)
		.to({x: canrusted.startX}, 500, createjs.Ease.linear)
		.call(function(){doPulse(canrusted)});
		

}

//called once this level is fully slid into place
function begin_6_washcan(){
	//**//**console.log("WORLD 8 BEGIN");
	playSound('6_washcan');
}

function narrDone_6_washcan(){
	dragCan(canrusted);

	waterstream.gotoAndPlay('all');
}

function tick_6_washcan(){
	canclean.x = canrusted.x;
	canclean.y = canrusted.y;

	stage.update();
}



function end_6_washcan(){
	//**//**console.log('end_6_washcan');	

	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

