function prep_8_recycle(transition){
	//**//**console.log('function: prep_8_recycle');
	world_current = worlds['8_recycle'];
	
	ticker_world = (function(){
		tick_8_recycle();
	});
	end_world = (function(){
		end_8_recycle();
	});
	narrDone = (function(){
		narrDone_8_recycle();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = "Parent tip: Continue the discussion about recycling the next time you are in a store.  Point out bags made from recycled plastic, notebooks from reused paper, and look for signs that say, \"recycle.\" At home, your child can join in as you add bottles and cans to the recycling bin. ";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:
	conveyor = new createjs.BitmapAnimation( spritesheets['8_conveyor'] );
	conveyor.gotoAndStop(0);
	conveyor.scaleX = conveyor.scaleY = 1.7;
	conveyor.x = -10;
	conveyor.y = 150;
	world_current.addChild(conveyor);


	//cans go between conveyor and machinetop
	canA = new createjs.BitmapAnimation( spritesheets['8_cans'] );
	canA.gotoAndStop("old");
	canA.scaleX = canA.scaleY = 0.4;	
	canA.x = 180; canA.y = 285;
	canA.startX = canA.x; canA.startY = canA.y;
	world_current.addChild(canA);


	canB = new createjs.BitmapAnimation( spritesheets['8_cans'] );
	canB.gotoAndStop("new");
	canB.scaleX = canB.scaleY = 0.4;
	canB.x = canA.startX+700; canB.y = canA.startY + 37;
	canB.startX = canB.x; canB.startY = canB.y;
	canB.returnX = -50; canB.returnY = canB.startY - 50;
	canB.visible = false;
	world_current.addChild(canB);

	machinetop = new createjs.Bitmap(images['8_machinetop']);
	machinetop.scaleX = machinetop.scaleY = conveyor.scaleX;
	machinetop.x = 472;
	machinetop.y = 240;	
	world_current.addChild(machinetop);


	machinelever = new createjs.BitmapAnimation( spritesheets['8_lever'] );
	machinelever.gotoAndStop("off");
	machinelever.scaleX = machinelever.scaleY = 1.5;
	machinelever.x = machinetop.x - 15; machinelever.y = machinetop.y;
	world_current.addChild(machinelever);

	_machineActive = false;

	//


	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('8_recycle'); //, ['recycled.']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_8_recycle);

}

//level specific functions:

//called once this level is fully slid into place
function begin_8_recycle(){
	//**//**console.log("WORLD 1 BEGIN");

	playSound('8_recycle');
	
}
function narrDone_8_recycle(){
	//resetMachine();
	doPulse(machinelever);
	addShadow(machinelever);
	
	machinelever.onPress = resetMachine;
}

function recycleMachineOn(){
	conveyor.gotoAndPlay("on");
	
	if(!narrActive) playSound('conveyorbelt');

	createjs.Tween.get(canA, {loop:false})
		//.to({x: canA.x+700, y: canA.y + 35}, 5500, createjs.Ease.linear);
		.wait(200)
		.to({x: canA.startX+430, y: canA.startY + 25}, 4000, createjs.Ease.linear)
		.call(
			function(){
				conveyor.gotoAndStop(0);
				canA.gotoAndStop("new");				
			})
		.wait(1000)
		.call(
			function(){
				conveyor.gotoAndPlay("on");
			})
		.to({x: canA.startX+700, y: canA.startY + 37}, 2000, createjs.Ease.linear)
		.call(
			function(){
				conveyor.gotoAndStop(0);
		});

	createjs.Tween.get(canB, {loop:false})
		.wait(200)
		.to({x: canB.startX+200, y: canB.startY + 14}, 2000, createjs.Ease.linear)
		.to({x: canB.returnX, y: canB.returnY}, 10, createjs.Ease.linear)
		.call(
			function(){
				canB.visible = true;
				canB.gotoAndStop("old");
			})
		.wait(3000)
		.to({x: canA.startX, y: canA.startY}, 2000, createjs.Ease.linear)

		.wait(500)
		.call(enableMachine);
}

function enableMachine(){
	playSound('ding');
	
	machinelever.gotoAndStop("off");
	_machineActive = false;
}

function resetMachine(){
	if (_machineActive) return;

	createjs.Tween.removeTweens(canA);
	createjs.Tween.removeTweens(canB);

	machinelever.gotoAndStop("on");
	_machineActive = true;

	canA.gotoAndStop("old");
	canA.x = canA.startX;
	canA.y = canA.startY;

	canB.gotoAndStop("new");
	canB.x = canB.startX;
	canB.y = canB.startY;

	recycleMachineOn();
}


function tick_8_recycle(){
	stage.update();
}



function end_8_recycle(){
	//**//**console.log('end_8_recycle');	
	createjs.Tween.removeTweens(canA);
	createjs.Tween.removeTweens(canB);
	conveyor.gotoAndStop(0);

	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

