function prep_9_decision(transition){
	//**//**console.log('function: prep_9_decision');
	world_current = worlds['9_decision'];
	
	ticker_world = (function(){
		tick_9_decision();
	});
	end_world = (function(){
		end_9_decision();
	});
	narrDone = (function(){
		narrDone_9_decision();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	teachertiptext.text = "";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:
	skits9 = new createjs.Bitmap(images['9_skits']);
	skits9.x = 20; skits9.y = 110;
	world_current.addChild(skits9);

	bin = new createjs.Bitmap(images['9_recyclebin_on']);
	bin.regX = bin.image.width/2;
	bin.regY = bin.image.height/2;
	bin.x=canvas.width/2;
	bin.y=445;
	world_current.addChild(bin);
	
	score9 = {};
	fallers = [];
	falling = [];
	gameReady=false;
	binGrabbed = false;
	objCount=0;

	cTime = 0;

	makeFallingObj9('9_bottle', 'r', 0.7);
	makeFallingObj9('3_soupcan_clean', 'r', 0.3);
	makeFallingObj9('9_can1', 'r', 1);
	makeFallingObj9('9_milkbottle', 'r', 1);
	makeFallingObj9('3_soupcan_clean', 'r' , 0.5);
	makeFallingObj9('9_paper', 'r', 0.9);
	makeFallingObj9('9_paper', 'r', 0.75);
	makeFallingObj9('9_bottle', 'r', 0.8);
	
	makeFallingObj9('9_applecore', 't', 1);
	makeFallingObj9('9_banana1', 't', 1);
	makeFallingObj9('9_banana2', 't', 1);
	makeFallingObj9('9_bone', 't', 2);
	makeFallingObj9('9_oldcup', 't', 1);
	makeFallingObj9('9_bread1', 't', 1);
	makeFallingObj9('9_bread2', 't', 1);
	makeFallingObj9('9_cheese', 't', 1);	

	falling = shuffle(falling);



	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('9_decision', ['decision', 'piece', 'plastic', 'container.', 'reuse']); //, 'recycle']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_9_decision);

}

//level specific functions:

//click timer that increments cTime. used to determine whether onMouse up indicates stop drag or deactivate sticky click
function cTimer(){
	cTime++;
}

function makeFallingObj9(tag, kind, scaleF){
	falling.push(objCount);
	objCount++;
	fallers.push(new createjs.Bitmap(images[tag]));
	var obj = fallers[fallers.length-1];

	obj.regX = obj.image.width/2;
	obj.regY = obj.image.height/2;

	obj.kind = kind;

	if(scaleF) obj.scaleX = obj.scaleY = scaleF;

	obj.speed = randomInt(2,5);
	obj.rotation = randomInt(0,360);
	obj.x = randomInt(60, canvas.width - 60);
	obj.y = randomInt(-130, -100);
	obj.hit=false;

	world_current.addChild(obj);
}



function resetFaller9(obj){
	obj.speed = randomInt(2,5);
	obj.rotation = randomInt(0,360);
	obj.x = randomInt(60, canvas.width - 60);
	obj.y = randomInt(-130, -100);

}

//called once this level is fully slid into place
function begin_9_decision(){
	//**//**console.log("WORLD 1 BEGIN");
	
	playSound('9_decision');
	
}

function narrDone_9_decision(){
	doPulse(bin);	
	addShadow(bin);

	gameReady=true;
	
	dragTheBin(bin);	
}



function dragTheBin(obj){
	(function(target) {
		obj.onPress =  function(evt) {
			if(!_active) return;
			
			//do quick scale up/down on every click/tap:
			target.scaleX = target.scaleY = 1.03;
			setTimeout(function(){target.scaleX = target.scaleY = 1.0}, 50);

			//for sticky-deactivate, if binGrabbed is still true at moment of press, make it false and return.
			if(binGrabbed){
				binGrabbed = false;				
				return;
			}
			
			//if binGrabbed was false, start timer to detect whether sticky click or intentional dragging
			cTime = 0;
			var startTimer = setInterval(function(){ cTimer()}, 100)

			binGrabbed = true;
						
			evt.onMouseUp = function(ev){
				//stop timer
				clearInterval(startTimer);
				////**console.log("cTime: " + cTime);

				//only if cTime greater than 1, it is intentional dragging, and stop dragging on mouseUp
				if(cTime>1) binGrabbed = false;
				//target.scaleX = target.scaleY = 1.0;
			}
		}	
			
	})(obj);			

}
function tick_9_decision(){
	stage.update();

	if(gameReady)
	{
		if(binGrabbed) bin.x = stage.mouseX;

		if(score9 == 3){
			swap_bin();
			return;
		}

		//for each faller. have it fall, and check for hitTest
		for (var i=0; i<3;i++){
			var obj = fallers[falling[i]];
			obj.y += obj.speed;
			//obj.rotation += obj.speed;

			//hitTest with cloud first
			var pt = obj.localToLocal(obj.regX, obj.regY,bin);
			if (bin.hitTest(pt.x, pt.y)) { 
					
					//fallers.remove(i);
					//world_current.removeChild(obj);
					resetFaller9(obj);
					falling.push(falling.splice(i,1));
					i--;

					if (obj.kind =='t'){
						////**console.log('trash grabbed');
					}
					if (obj.kind =='r'){
						////**console.log('recycle grabbed');
						if(!narrActive && !defActive){
							stopSound();
							playSound('ding');	
						} 
					}

					continue;
			}
			//if hit hasn't happened, check to see if pos reset necessary
			if(obj.y > 540){
				//fallers.remove(i);
				falling.push(falling.splice(i,1));
				resetFaller9(obj);
				i--;
			}
		}

		//lastly check for win: no objs left
		if(fallers.length==0){
			////**console.log('all objs gone. win!');
			
		}	
	}
}



function end_9_decision(){
	//**//**console.log('end_9_decision');	
	gameReady=false;
	binGrabbed = false;
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

