//"A TALE OF TWO SOUP CANS" story-specific vars

var pagenames = [
	'0_cover',		
	'1_intro',
	'2_landfill',
	'3_decompose',
	'4_town',
	'5_lake',
	'6_washcan',
	'7_reuse',
	'8_recycle',
	'9_decision',
	'glossary'
];

var glossary_definitions = []; //defined per storybook (storybook's js). used to store defintion words themselves, used with definitionText[] in Glossary
//for use with glossary:
glossary_definitions.push(
	['choice', 'txt'],
	['garbage', 'txt'],
	['landfill', 'txt'],
	['decompose', 'txt'],
	['consequences', 'txt'],
	['pollute', 'txt'],
	['environment', 'txt'],
	['reuse', 'txt'],
	['repurpose', 'txt'],
	['decision', 'txt'] //originally, "recycle." Replaced because recycle was not listed on final Word doc.	
);

//box2d physics vars(can be modified in js per level):
var doPhysics  = true; //set false whenver you want physics ticker to not execute (such as false at page creation, true on narration done)
var frameRate, gravitationalConstant, gravityX, gravityY, pixelsPerMeter, forceMultiplier;
pixelsPerMeter = 30;
gravityX = 0;
gravityY = 0;
frameRate = FPS;
gravitationalConstant = 1.5;
forceMultiplier = 5;
//

//for page 4_town: bestTime var to hold record for session (per session AND longterm via local storage):
bestTime = 0;

	if (localStorage.soupcanscore){
		//**alert('local storage EXISTS!');
		//**//**console.log('local storage EXISTS!');
		bestTime = JSON.parse(localStorage.soupcanscore);
	} 
	else{
		//**alert('first time!');
		//**//**console.log('first time!');
		localStorage.soupcanscore = JSON.stringify(bestTime);
	}

//SOUNDS: path+filename of this storybook's multisound file (without extension)
//var sndurl = 'sound/soupcan_bb';
var sndurl = 'sound/tale_text';

quiz_url = "soupcan_game.html";
/*
//functions below are called at certain points in the main storybook js (rtlstorybook.js)
1: makeSounds() -- call makeSound() and define defintions in definitionText[]
2: make_storymanifest() -- defines the differnet image files that preload.js will load 
3: story_spritesheets() -- called by main js (rtlstorybook.js)'s make_spritesheet's function to create storybook specific ss
*/

function makeSounds(){
	//empty:
	makeSound('empty', 4.3,4.4);
	//narration: 
	makeSound('0_cover',	197.228228,	201.662437);
	makeSound('1_intro', 0.164639, 4.5, ["Every ", "time ", "you ", "open ", "a ", "can ", "of ", "soup ", "to ", "eat, ", "you ", "make ", "a ", "choice. "], [0.216088, 0.514496, 0.809045, 0.965967, 1.234791, 1.308107, 1.556351, 1.670826, 2.005249, 2.115865, 2.385976, 2.688242, 2.879892, 3.002085]);
	makeSound('2_landfill',	5.000903, 9.940066, ["Suppose ", "you ", "put ", "the ", "can ", "in ", "the ", "garbage ","? ", "The ", "can ", "will ", "go ", "to ", "a ", "landfill. "], [5.092226, 5.609294, 5.761071, 5.906416, 6.019605, 6.386184, 6.482652, 6.621566, 7.757316, 7.969546, 7.969546, 8.382429, 8.562502, 8.823609, 8.956092, 9.080857]);
	makeSound('3_decompose', 11.092537, 21.670579, ["Some ", "soup ", "cans ", "can ", "take ", "as ", "long ", "as ", "two ", "hundred ", "years ", "to ", "decompose. ", "Others ", "take ", "even ", "longer! ", "You ", "will ", "be ", "older ", "than ", "your ", "grandparents ", "before ", "that ", "soup ", "can ", "is ", "gone! "], [11.150418, 11.477123, 11.824408, 12.193559, 12.349194, 12.521551, 12.674613, 12.864977, 13.093927, 13.313875, 13.693316, 14.049604, 14.223247, 15.668981, 16.116592, 16.31596, 16.654241, 17.791278, 18.08454, 18.290339, 18.503855, 18.888441, 19.081377, 19.255019, 19.98689, 20.273722, 20.451223, 20.757348, 20.965719, 21.20496]);
	makeSound('4_town', 23.296387, 36.1, ["If ", "everyone ", "everywhere ", "throws ", "all ", "their ", "cans ", "in ", "the ", "trash, ", "the ", "landfill ", "won't ", "be ", "able ", "to ", "hold ", "them ", "all. ", "Think ", "of ", "the ", "consequences! ", "Before ", "you ", "know ", "it, ", "the ", "town ", "could ", "be ", "covered ", "in ", "cans! "], [23.347836, 23.639813, 24.282933, 24.981361, 25.2862, 25.681076, 25.835425, 26.163416, 26.267602, 26.370501, 27.210416, 27.362193, 27.989878, 28.262561, 28.338449, 28.580262, 28.743615, 29.025301, 29.14878, 30.023424, 30.263951, 30.445311, 30.593228, 32.0261, 32.372099, 32.535451, 32.715525, 32.89174, 33.019078, 33.412667, 33.558013, 33.677633, 34.143252, 34.309177]);
	makeSound('5_lake', 37.167203, 46.0, ["All ", "those ", "soup ", "cans ", "could ", "pollute ", "lakes ", "and ", "oceans. ", "That ", "wouldn't ", "be ", "good ", "for ", "the ", "environment. ", "Think ", "about ", "what ", "might ", "happen ", "to ", "the ", "fish! "], [37.213508, 37.441172, 37.752443, 37.980107, 38.409712, 38.601361, 39.007813, 39.473432, 39.607201, 40.660632, 40.923025, 41.287031, 41.45167, 41.657469, 41.779661, 41.905713, 43.114779, 43.297425, 43.607409, 43.734747, 44.008716, 44.397161, 44.51035, 44.730297]);
	makeSound('6_washcan', 46.870601, 53.6, ["But ", "what ", "if ", "you ", "didn't ", "throw ", "your ", "soup ", "can ", "in ", "the ", "garbage ","? ", "What ", "if ", "you ", "washed ", "the ", "can ", "and ", "reused ", "it ", "instead? "], [46.902757, 47.015946, 47.269336, 47.423684, 47.593468, 47.904738, 48.102819, 48.279034, 48.501554, 48.868132, 48.95431, 49.045634, 50.02, 50.060477, 50.214826, 50.337019, 50.536386, 50.864378, 50.968563, 51.376301, 51.562806, 52.135183, 52.261235]);
	makeSound('7_reuse', 54.485144, 66.833052, ["If ", "you ", "reuse ", "your ", "soup ", "can, ", "you ", "could ", "turn ", "it ", "into ", "a ", "flower ", "vase. ", "You ", "could \n", "also ", "repurpose ", "it ", "as ", "a ", "holder ", "for ", "paintbrushes, ", "crayons, ", "or ", "big ", "spoons. ", "Soup ", "cans ", "can ", "be ", "reused ", "in ", "all ", "sorts ", "of ", "ways. "], [54.503152, 54.654928, 54.912176, 55.579735, 55.687779, 55.986187, 56.70005, 56.88141, 57.057625, 57.375327, 57.485943, 57.628716, 57.74705, 58.168937, 59.030718, 59.155483, 59.250665, 59.623675, 60.151033, 60.242356, 60.383843, 60.464876, 60.889335, 61.051402, 61.771696, 62.250178, 62.439255, 62.618043, 63.796239, 64.058632, 64.403344, 64.552548, 64.634867, 65.320434, 65.548098, 65.800201, 66.184787, 66.366147]);
	makeSound('8_recycle', 68.088423, 79.901255, ["Or ", "you ", "could ", "send ", "your ", "soup ", "can ", "to ", "be ", "recycled. ", "It ", "might ", "be ", "made ", "into… ", "another ", "soup ", "can! ", "It ", "could ", "be ", "filled ", "with ", "more ", "delicious ", "soup. ", "That's ", "the ", "best ", "ending ", "of ", "all! "], [68.163025, 68.436994, 68.624785, 68.86274, 69.029951, 69.179155, 69.441548, 69.801695, 69.926461, 70.111679, 71.279585, 71.406923, 71.737487, 71.854535, 72.119501, 72.992858, 73.572952, 73.823769, 74.632814, 74.811602, 75.040553, 75.22963, 75.466298, 75.601353, 76.051537, 76.584041, 78.051641, 78.37706, 78.509543, 78.873549, 79.234983, 79.358462]);
	makeSound('9_decision', 81.815181, 93.545693, ["You ", "make ", "the ", "same ", "decision ", "every ", "time ", "you're ", "done ", "using ", "a ", "piece ", "of ", "paper, ", "a ", "glass ", "bottle ", "or ", "a ", "plastic ", "container. ", "Do ", "you ", "throw ", "it ", "in ", "the ", "trash? ", "Will ", "you ", "reuse ", "it? ", "Or ", "will ", "you ", "recycle ", "it? "], [81.915508, 82.065998, 82.29109, 82.377268, 82.759281, 83.420409, 83.763835, 84.028801, 84.202443, 84.359364, 84.728515, 84.897013, 85.084804, 85.285457, 86.037908, 86.154956, 86.587133, 87.072045, 87.218677, 87.306141, 87.796199, 88.892076, 89.014268, 89.154469, 89.463166, 89.530051, 89.666392, 89.786013, 90.691526, 90.890893, 91.094119, 91.552021, 91.953328, 92.155268, 92.453675, 92.707065, 93.284587]);
	

	//sfx:
	makeSound('can_rattle_honk',	220.265707,	221.952737);
	makeSound('conveyorbelt',	223.434707,	228.540707);
	makeSound('ding',	230.020707,	231.561454);
	makeSound('garbage_truck',	233.189707,	234.130116);
	makeSound('whistle_down',	235.535707,	236.835027);

	//glossary sfx:
	makeSound('wordbones',	217.878707,	219.360707);
	makeSound('boing_bonk',	238.622707,	240.850735);

	//definition audio:
	makeSound('def_choice',	95.963825, 100.429652);
		makeSound('def_choice.', 95.963825, 100.429652);
	makeSound('def_container',	101.171,	107.873404);
		makeSound('def_container.',	101.171,	107.873404);
	makeSound('def_garbage', 108.891633,	112.740064);
	makeSound('def_plastic',	113.23,	121.15644);
	makeSound('def_piece',	122.02144,	125.481304);
		makeSound('def_pieces',	122.02144,	125.481304);
	makeSound('def_landfill', 126.576328,	131.762449);
		makeSound('def_landfill.', 126.576328,	131.762449);

	makeSound('def_decompose', 133.439707,	141.661356);
		makeSound('def_decompose.', 133.439707,	141.661356);
	makeSound('def_consequences', 143.338613,	153.854915);
		makeSound('def_consequences!', 143.338613,	153.854915);
	makeSound('def_pollute', 155.542462,	160.059739);
	makeSound('def_environment', 162.436711,	170.55546);
		makeSound('def_environment.', 162.436711,	170.55546);
	makeSound('def_reuse', 172.078369,	176.749994);
		makeSound('def_reused', 172.078369,	176.749994);
	makeSound('def_repurpose', 178.087684,	189.108192);
	makeSound('def_decision', 190.77516,	196.712446);
		makeSound('def_decision.', 190.77516,	196.712446);

	makeSound('defONLY_consequences', 202.279294,	207.753523);
	makeSound('defONLY_repurpose', 210.511233,	216.849816);


	//definitions go into definitionText array (need to put word verbatim from phrase's text array above, including punctuation if necessary)
	definitionText['choice'] = definitionText['choice.'] = "When you make a choice, you pick between different things.";
	definitionText['container'] = definitionText['container.'] =  "A container is something that holds something else.";
	definitionText['piece'] = "A piece is a part of something whole.";
	definitionText['plastic'] = "Plastic is a material made from oil or coal.";
	definitionText['garbage'] = "Garbage is anything that you throw away.";
	definitionText['landfill'] = definitionText['landfill.'] = "A landfill is a place where garbage is taken and covered with dirt.";
	definitionText['decompose'] = definitionText['decompose.'] =  "When something decomposes, it means it breaks down into smaller and smaller pieces until it's gone.";
	definitionText['consequences'] = definitionText['consequences!'] = "Consequences are things that happen because of something else.";
	definitionText['pollute'] = "When you pollute something, it means you make it dirty.";
	definitionText['environment'] = definitionText['environment.'] = "Environment means all the things in nature: plants, animals, the water we drink, and the air we breathe.";
	definitionText['reused'] = definitionText['reuse'] = "When you reuse something, it means you use it again.";
	definitionText['repurpose'] = "When you repurpose something, you use it differently than how it was originally used.";
	definitionText['decision'] = definitionText['decision.'] = "When you make a decision, it means you think about something and then make up your mind.";
	definitionText['recycle'] = definitionText['recycled.'] = "Recycle means to reuse or to make into something new again.";
}


//story_manifest: unique for each storybook:
function make_storymanifest(){
	//image assets:
	//for preloader, each storybook's image assets should be defined here
	//id is used within images array to reference images:  images['i_pops']
	story_manifest = [
		
		//cover image:
		{src:imgPath+"img/covers/soupcan.jpg", id:"cover_story"},		
		//background image;
		{src:imgPath+"img/bg/bg_blue.jpg", id:"bg_story"},
		
		// 1_intro:
		{src:imgPath+"img/soupcan_story/1_intro/groundshadow.png", id:"1_groundshadow"},
		{src:imgPath+"img/soupcan_story/1_intro/1_can.png", id:"1_can"},
		{src:imgPath+"img/soupcan_story/1_intro/bin_trash.png", id:"1_bin_trash"},
		{src:imgPath+"img/soupcan_story/1_intro/bin_trashFRONT.png", id:"1_bin_trashFRONT"},
		{src:imgPath+"img/soupcan_story/1_intro/bin_recycling.png", id:"1_bin_recycling"},
		{src:imgPath+"img/soupcan_story/1_intro/bin_recyclingFRONT.png", id:"1_bin_recyclingFRONT"},

		// 2_landfill:
		{src:imgPath+"img/soupcan_story/2_landfill/pileofgarbage.png", id:"2_pile"},
		//{src:imgPath+"img/soupcan_story/2_landfill/garbage_truck_dump.png", id:"2_dumptruck"},
		{src:imgPath+"img/soupcan_story/2_landfill/dumptruck_final.png", id:"2_dumptruck"},

		// 3_decompose:
		{src:imgPath+"img/soupcan_story/3_decompose/button_present.png", id:"3_btn_present"},
		{src:imgPath+"img/soupcan_story/3_decompose/button_future.png", id:"3_btn_future"},
		{src:imgPath+"img/soupcan_story/3_decompose/arrow.png", id:"3_arrow"},
		{src:imgPath+"img/soupcan_story/3_decompose/clockface.png", id:"3_clockface"},
		{src:imgPath+"img/soupcan_story/3_decompose/top_dirt.png", id:"3_dirttop"},
		{src:imgPath+"img/soupcan_story/3_decompose/helen_old.png", id:"3_helen_old"},
		{src:imgPath+"img/soupcan_story/3_decompose/helen_young.png", id:"3_helen_young"},
		{src:imgPath+"img/soupcan_story/3_decompose/soupcan_clean.png", id:"3_soupcan_clean"},
		{src:imgPath+"img/soupcan_story/3_decompose/soupcan_dirty.png", id:"3_soupcan_dirty"},
		{src:imgPath+"img/soupcan_story/3_decompose/dirt_background.png", id:"3_bg"},

		//4_town		
		{src:imgPath+"img/soupcan_story/4_town/4_bg.jpg", id:"4_bg"},
		{src:imgPath+"img/soupcan_story/4_town/4_can_over.png", id:"4_can_on"},
		//pg4 and pg9 also reuses 3_soupcan_clean

		// 5_lake:			
		{src:imgPath+"img/soupcan_story/5_lake/page5_fishcans.jpg", id:"5_fishcans"},

		// 6_washcan:
		{src:imgPath+"img/soupcan_story/6_washcan/6_bathbg.jpg", id:"6_bathbg"},
		{src:imgPath+"img/soupcan_story/6_washcan/6_can_clean.png", id:"6_can_clean"},
		{src:imgPath+"img/soupcan_story/6_washcan/6_can_dirty.png", id:"6_can_rusted"},
		{src:imgPath+"img/soupcan_story/6_washcan/6_faucethead.png", id:"6_faucethead"},
		{src:imgPath+"img/soupcan_story/6_washcan/waterstream.png", id:"6_waterstream"},

		//7_reuse:
		{src:imgPath+"img/soupcan_story/7_reuse/7can_back.png", id:"7can_back"},
		{src:imgPath+"img/soupcan_story/7_reuse/7can_front.png", id:"7can_front"},
		{src:imgPath+"img/soupcan_story/7_reuse/7can_crayons.png", id:"7can_crayons"},
		{src:imgPath+"img/soupcan_story/7_reuse/7can_flowers.png", id:"7can_flowers"},
		{src:imgPath+"img/soupcan_story/7_reuse/7can_spoons.png", id:"7can_spoons"},
		{src:imgPath+"img/soupcan_story/7_reuse/7can_brushes.png", id:"7can_brushes"},
		{src:imgPath+"img/soupcan_story/7_reuse/7drag_crayons.png", id:"7drag_crayons"},
		{src:imgPath+"img/soupcan_story/7_reuse/7drag_flowers.png", id:"7drag_flowers"},
		{src:imgPath+"img/soupcan_story/7_reuse/7drag_spoons.png", id:"7drag_spoons"},
		{src:imgPath+"img/soupcan_story/7_reuse/7drag_brushes.png", id:"7drag_brushes"},

		//8_recycle:
		{src:imgPath+"img/soupcan_story/8_recycle/8_bg.jpg", id:"8_bg"},
		{src:imgPath+"img/soupcan_story/8_recycle/8_conveyor.png", id:"8_conveyor"},
		{src:imgPath+"img/soupcan_story/8_recycle/8_can_sprite.png", id:"8_cans"},
		{src:imgPath+"img/soupcan_story/8_recycle/8_lever.png", id:"8_lever"},
		{src:imgPath+"img/soupcan_story/8_recycle/8_machinetop.png", id:"8_machinetop"},		

		//9_decision:
		{src:imgPath+"img/soupcan_story/9_decision/9_recyclebin.png", id:"9_recyclebin"},
		{src:imgPath+"img/soupcan_story/9_decision/9_recyclebin_on.png", id:"9_recyclebin_on"},
		{src:imgPath+"img/soupcan_story/9_decision/9_skits.png", id:"9_skits"},
		{src:imgPath+"img/soupcan_story/9_decision/9_bottle.png", id:"9_bottle"},
		{src:imgPath+"img/soupcan_story/9_decision/9_paper.png", id:"9_paper"},

		{src:imgPath+"img/soupcan_story/9_decision/9_oldcup.png", id:"9_oldcup"},
		{src:imgPath+"img/soupcan_story/9_decision/9_milkbottle.png", id:"9_milkbottle"},
		{src:imgPath+"img/soupcan_story/9_decision/9_cheese.png", id:"9_cheese"},
		{src:imgPath+"img/soupcan_story/9_decision/9_can1.png", id:"9_can1"},
		{src:imgPath+"img/soupcan_story/9_decision/9_bread1.png", id:"9_bread1"},
		{src:imgPath+"img/soupcan_story/9_decision/9_bread2.png", id:"9_bread2"},
		{src:imgPath+"img/soupcan_story/9_decision/9_bone.png", id:"9_bone"},
		{src:imgPath+"img/soupcan_story/9_decision/9_banana1.png", id:"9_banana1"},
		{src:imgPath+"img/soupcan_story/9_decision/9_banana2.png", id:"9_banana2"},
		{src:imgPath+"img/soupcan_story/9_decision/9_applecore.png", id:"9_applecore"},


		//for glossary (common assets for every use):
		{src:imgPath+"img/glossary/wordbone.png", id:"glossary-wordbone"},	
		{src:imgPath+"img/glossary/martha_only.png", id:"glossary-martha"},	
		{src:imgPath+"img/glossary/board_only.png", id:"glossary-board"},{src:imgPath+"img/glossary/glossary_title.png", id:"glossary-title"},	
		{src:imgPath+"img/glossary/bowl_only.png", id:"glossary-bowl"},	
		{src:imgPath+"img/glossary/splash_only.png", id:"glossary-splash"},			
		{src:imgPath+"img/glossary/cloud_defonly.png", id:"glossary-txtcloud"},
		{src:imgPath+"img/glossary/cloud_defandimage.png", id:"glossary-imgcloud"},
	];

}

//each storybook should have its spritesheets created in this function
function story_spritesheets(){
	//2_landfill:
	spritesheets['2_dumptruck'] = new createjs.SpriteSheet({
		"frames": [[507, 392, 499, 279, 0, -91, -77], [1006, 392, 489, 271, 0, -94, -79], [0, 392, 507, 306, 0, -76, -46], [1120, 0, 537, 346, 0, -46, -36], [560, 0, 560, 392, 0, -23, -17], [0, 0, 560, 392, 0, -23, -17]], 
		"animations": {"dump": {"frames": [0, 1, 2, 3, 4, 5,5,5,5,5,5,5,5,5, 0], "next":false, "frequency": 3}}, 
		"images": [images['2_dumptruck']]
	});


	//6_washcan:
	spritesheets['6_waterstream'] = new createjs.SpriteSheet({
		"frames": [[228, 255, 226, 246, 0, -7, -1], [668, 255, 220, 241, 0, -10, 0], [454, 255, 214, 244, 0, -14, 0], [0, 255, 228, 250, 0, -11, 0], [0, 0, 256, 255, 0, 0, 0], [256, 0, 240, 255, 0, 0, -6], [496, 0, 219, 253, 0, -8, -5], [715, 0, 224, 251, 0, 0, -2], [0, 505, 214, 241, 0, -11, -3], [416, 505, 208, 232, 0, -14, -6], [624, 505, 196, 229, 0, -21, -5], [214, 505, 202, 238, 0, -18, -2]], 
		"animations": {
			"all": {"frames": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11], "next": 'all', "frequency": 2}
		},		
		"images": [images['6_waterstream']]
	});

	//8_recycle:
	spritesheets['8_conveyor'] = new createjs.SpriteSheet({
		"frames": [[669, 0, 651, 216, 0, 0, 0], [0, 0, 669, 216, 0, 0, 0]],
		"animations": {
			"on": {"frames": [0, 1], "frequency": 10, "next": true}
		},
		"images": [images['8_conveyor']]
	});

	spritesheets['8_cans'] = new createjs.SpriteSheet({
		"frames": [[2, 2, 124, 252, 0, 126, -2], [130, 2, 124, 252, 0, 126, -2]],
		"animations": {
			"old": {"frames": [0], "next": false},
			"new": {"frames": [1], "next": false}
		},
		"images": [images['8_cans']]
	});

	spritesheets['8_lever'] = new createjs.SpriteSheet({
		"frames": [[2, 2, 72, 50, 0, -2, -3], [78, 2, 58, 46, 0, -20, -4]],
		"animations": {
			"off": {"frames": [0], "next": false},
			"on": {"frames": [1], "next": false}
		},
		"images": [images['8_lever']]
	});

	//glossary:
	spritesheets['glossary-martha'] = new createjs.SpriteSheet({
	    "frames": [
	        [1037, 2, 259, 217, 0, -20, -114],
	        [538, 2, 248, 227, 0, -37, -128],
	        [288, 2, 246, 229, 0, -38, -118],
	        [790, 2, 243, 220, 0, -38, -121],
	        [1755, 450, 252, 196, 0, -30, -137],
	        [2, 2, 282, 237, 0, -4, -86],
	        [577, 656, 280, 157, 0, -149, -105],
	        [861, 656, 281, 157, 0, -183, -67],
	        [2, 656, 284, 190, 0, -208, -20],
	        [290, 656, 283, 189, 0, -228, -15],
	        [1463, 450, 288, 196, 0, -237, -10],
	        [1171, 450, 288, 196, 0, -244, -9],
	        [877, 450, 290, 200, 0, -247, -7],
	        [582, 450, 291, 200, 0, -249, -7],
	        [869, 243, 289, 203, 0, -252, -8],
	        [578, 243, 287, 203, 0, -255, -10],
	        [291, 450, 287, 202, 0, -257, -18],
	        [1742, 243, 286, 203, 0, -262, -30],
	        [1452, 243, 286, 203, 0, -268, -48],
	        [1162, 243, 286, 203, 0, -276, -73],
	        [2, 450, 285, 202, 0, -287, -107],
	        [290, 243, 284, 203, 0, -302, -152],
	        [2, 243, 284, 203, 0, -322, -215],
	        [1300, 2, 276, 204, 0, -356, -310],
	        [1580, 2, 275, 204, 0, -416, -495]
	    ],
	    "animations": {"all": {"frames": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24], "next": false, "frequency": 3}},		
		"images": [images['glossary-martha']]
	});

	spritesheets['glossary-board'] = new createjs.SpriteSheet({
	    "frames": [[2, 209, 384, 69, 0, 0, -14], [2, 2, 387, 110, 0, 0, -2], [393, 2, 386, 99, 0, 0, -5], [2, 116, 386, 89, 0, 0, -8], [392, 116, 386, 79, 0, 0, -11], [580, 209, 304, 69, 0, 0, -14], [783, 2, 237, 69, 0, 0, -14], [390, 209, 186, 69, 0, 0, -14], [2, 282, 149, 68, 0, 0, -14], [782, 116, 127, 68, 0, 0, -14], [888, 209, 120, 68, 0, 0, -14]],
	    "animations": {"all": {"frames": [0, 1, 2, 3, 4, 0, 0, 0, 0, 5, 6, 7, 8, 9, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10], "next": false, "frequency": 3}},
		"images": [images['glossary-board']]
	});

	spritesheets['glossary-bowl'] = new createjs.SpriteSheet({	
		"frames": [[0, 0, 629, 170, 0, 0, -1], [0, 170, 629, 166, 0, 0, -1]], 
		"animations": {"all": {"frames": [0, 1]}
		},
		"images": [images['glossary-bowl']]		
	});

	spritesheets['glossary-splash'] = new createjs.SpriteSheet({	
		"frames": [[1808, 0, 1, 1, 0, 0, 0], [451, 578, 422, 186, 0, -45, -134], [0, 578, 451, 230, 0, -30, -78], [0, 0, 543, 297, 0, 0, -4], [543, 0, 594, 295, 0, 0, 0], [1402, 297, 637, 262, 0, 0, -21], [1137, 0, 671, 282, 0, 0, 0], [0, 297, 694, 281, 0, 0, 0], [694, 297, 708, 280, 0, 0, 0]], 
		"animations": {
			"bowl_idle": {"frames": [0]}, 
			"bowl_splash": {"frames": [1, 2, 3, 4, 5, 6, 7, 8], "frequency": 4, "next": false}, 
		},			
		"images": [images['glossary-splash']]		
	});
	//**//**console.log('all spritesheet objects created');		
}