//"Sunflower Biscuits" Quiz vars

//page name of quiz_end page should be set to var quiz_end
//create one additional container in worlds[] with .name contained in quiz_end
var quiz_end = 'sunflowerbiscuits_quiz_end';
worlds[quiz_end ] = new createjs.Container();

//define questions and answers here 
//Questions are always text. Answers can be txt or images....
/*
//quiz_words: array that holds each word being quizzed. array elements (strings) used as keys to access questions and answers in quiz_content

//TEXT-ONLY
//quiz_content 2D array, for each inner array, indices as follows:
	0 - question text
	1 - CORRECT answer choice
	2 - WRONG answer choice
	3 - WRONG answer choice
	4 - difficulty: 'easy', 'medium' 'hard', 'rc'(for reading comp question)
*/


//testing quiz_words as 2D array: [0] holds  words being tested, [1] holds type: txt or img
var quiz_words = ['q1', 'q2', 'q3', 'q4', 'q5', 'q6', 'q7', 'q8', 'q9']; 
var quiz_content = [];

//txt questions
quiz_content['q1'] = ["Which is an amount?", 'how much', 'how tall', 'how heavy', 'easy'];
quiz_content['q2'] = ["How could you divide dough?", 'cut it', 'knead it', 'mix it', 'easy'];
quiz_content['q3'] = ["When you are adding thing together, you are...", 'putting things together', 'estimating', 'combining', 'medium'];
quiz_content['q4'] = ["What's another word for mixing things together?", 'combine','estimate','squish & mush','medium'];
quiz_content['q5'] = ["What are you measuring when you want to know how hot or cold something is?", 'temperature', 'height', 'amount' , 'medium'];
quiz_content['q6'] = ["What's another word for combining things together?", 'mix' , 'cut', 'cook', 'medium'];
quiz_content['q7'] = ["A part of a whole is a...", 'portion', 'half', 'piece', 'easy'];
quiz_content['q8'] = ["What does an oven measure temperature in?", 'degrees', 'cups', 'spoons', 'hard'];
quiz_content['q9'] = ["When you measure a cup of flour, you want to make sure the flour in the cup is...", 'level', 'too much', 'not enough' , 'hard'];

//FOR FIRST question:
//pull a random quiz question... 
//_questionNumber will be random # to pull a random word from quiz_words
//quiz_content holds the question text and answer choices for the word in quiz_words 
quiz_doCover();
//

//for quiz only: set narrDone to nothing:
function narrDone(){}

//SOUNDS: path+filename of this storybook's multisound file (without extension)
var sndurl = 'sound/sunflower_quiz';

/*
//functions below are called at certain points in the main storybook js (rtlstorybook.js)
1: makeSounds() -- call makeSound() and define defintions in definitionText[]
2: make_storymanifest() -- defines the differnet image files that preload.js will load 
3: story_spritesheets() -- called by main js (rtlstorybook.js)'s make_spritesheet's function to create storybook specific ss
*/

function makeSounds(){
	// all timecodes are in seconds format... converted to milliseconds at runtime (onPlay event)
	//quiz sfx:
	makeSound('sfx_biscuits', 117.822410, 118.796020);
	makeSound('sfx_splat', 119.074723, 120.185562);
	makeSound('sfx_pie', 120.268569, 121.078470);
	makeSound('sfx_lazer', 121.247813, 123.290974);
	makeSound('sfx_wrong', 123.854224, 125.194243);

	//question-specific audio:
	//required for quiz question outocomes:
	makeSound('empty', 2.8,2.9);
	makeSound('quizmo', 109.242499, 110.472138);
	makeSound('correct_1', 110.843889, 112.030634);
	makeSound('correct_2', 112.187914, 113.573188);
	makeSound('incorrect_1', 113.759343, 114.990347);
	makeSound('incorrect_2', 115.719552, 117.028486);

	makeSound('q_q1', 0.736558, 2.400634);
	makeSound('q_q2', 3.573671, 5.346867);
	makeSound('q_q3', 6.410785, 8.784139);
	makeSound('q_q4', 9.411577, 12.003171);
	makeSound('q_q5', 13.558128, 17.459158);
	makeSound('q_q6', 18.441236, 21.060110);
	makeSound('q_q7', 22.151307, 24.006343);
	makeSound('q_q8', 25.152100, 27.334495);
	makeSound('q_q9', 29.189530, 33.608880);

	//makeSound('q_q10', 33.4994,38.224661);

	makeSound('how much', 35.218396, 36.118634);
	makeSound('cut it', 36.964312, 37.837270);
	makeSound('putting things together', 38.628388, 40.074224);
	makeSound('how tall', 41.301821, 42.256619);
	makeSound('knead it', 43.047737, 43.975255);
	makeSound('estimating', 44.984612, 45.993970);
	makeSound('mix', 46.730528, 47.385247);
	makeSound('cut', 48.285485, 49.022043);
	makeSound('half', 50.004120, 50.576999);
	makeSound('cups', 51.750036, 52.432035);
	makeSound('too much', 53.468672, 54.450750);
	makeSound('how heavy', 55.460107, 56.360345);
	makeSound('mix it', 57.533382, 58.542740);
	makeSound('combining', 59.442978, 60.452335);
	makeSound('squish & mush', 61.229814, 62.730210);
	makeSound('cook', 63.957807, 64.462486);
	makeSound('piece', 65.621883, 66.181122);
	makeSound('spoons', 67.258679, 68.104357);
	makeSound('not enough', 68.922755, 69.959393);
	makeSound('combine', 70.532271, 71.480675);
	makeSound('temperature', 71.868988, 72.564626);
	makeSound('portion', 73.328465, 73.914983);
	makeSound('degrees', 74.160503, 74.973420);
	makeSound('level', 75.360820, 75.933698);
	makeSound('amount', 76.165578, 76.937575);
	makeSound('estimate', 77.038536, 77.679015);
	makeSound('height', 78.006973, 78.729904);
	makeSound('f_q1', 78.975411, 81.766427);
	makeSound('f_q2', 82.153524, 84.781956);
	makeSound('f_q3', 85.181596, 87.620348);
	makeSound('f_q6', 87.882310, 90.592034);
	makeSound('f_q5', 90.924023, 94.067303);
	makeSound('f_q4', 94.470414, 97.965959);
	makeSound('f_q7', 98.316885, 100.728540);
	makeSound('f_q8', 101.167638, 104.879960);
	makeSound('f_q9', 105.327828, 109.175637);
	
}