//"Sunflower Biscuits" story-specific vars

var ingredientsWindow, ingredientsDisplay, ingredButton, bg, titleGraphic, bg_textBG_title, instruct_people_png, pageTextBG_1_png, pageTextBG_2_png;
var step1ToolsIMG, step1InterInstance, step2InterInstance, step3InterInstance, step4InterInstance, step5InterInstance, step6InterInstance, step7InterInstance, step8InterInstance, step9InterInstance;

var pagenames = [
	//'0_cover',
	'1_intro',
	'2_instruct',
	'3_step1',
	'4_step2',
	'5_step3',
	'6_step4',
	'7_step5',
	'8_step6',
	'9_step7',
	'10_step8',
	'11_step9',
	'glossary'
];

//define quiz_url as the page to switch to upon press of arrowGame on final page (glossary)
quiz_url = "sunflowerbiscuits_game.html";

var glossary_definitions = []; //defined per storybook (storybook's js). used to store defintion words themselves, used with definitionText[] in Glossary

//for use with glossary:
glossary_definitions.push(
	['add', 'txt'],
	['amount', 'txt'],
	['combine', 'txt'],
	['degrees ', 'txt'],
	['divide', 'txt'],
	['level', 'txt'],
	['mixture', 'txt'],
	['portion', 'txt'],
	['temperature', 'txt']
);


//SOUNDS: path+filename of this storybook's multisound file (without extension)
// 4-25: tara_measureup_sfx_PAWS includes sfx and PAWS commentary for pages 1, 8, 10
var sndurl = 'sound/sunflower_text';

/*
//functions below are called at certain points in the main storybook js (rtlstorybook.js)
1: makeSounds() -- call makeSound() and define defintions in definitionText[]
2: make_storymanifest() -- defines the differnet image files that preload.js will load 
3: story_spritesheets() -- called by main js (rtlstorybook.js)'s make_spritesheet's function to create storybook specific ss
*/

function makeSounds(){
	//empty
	makeSound('empty', 5.6,5.7);
	
	//sfx:
	makeSound('buzzer',	253.474611,	255.127543);
	makeSound('click',	256.049,	256.168466);
	makeSound('ding_ding',	256.549046,	257.540626);
	makeSound('egg_crack',	258.04853,	258.988904);	
	makeSound('skits_eating_done',	260.548797,	262.612157);
	makeSound('skits_eating',	263.048722,	263.858024);
	makeSound('spill',	264.04917,	264.492221);
	makeSound('wet_spill',	264.5482,	264.992274);
	makeSound('stir',	265.049277,	266.354536);
	makeSound('wet_stir',	266.549096,	267.932861);

	//glossary sfx:
	makeSound('boing_bonk',	268.675946,	270.8505);
	makeSound('wordbones',	271.643,	272.815);
	
	makeSound('tools', 19.639377, 20.506489);
	makeSound('MEASURING_CUP', 21.346503, 23.45749);
	makeSound('MIXING_BOWL', 23.920741, 26.058826);
	makeSound('WOODEN_SPOON', 26.061424, 28.307897);
	makeSound('TABLE_SPOON', 28.473078, 30.63826);
	makeSound('COOKIE_SHEET', 30.776344, 32.914428);
	makeSound('OVEN_MITTS', 33.160902, 35.190597);


	makeSound('ingredients', 51.343152, 52.589625);
	makeSound('CORNMEAL', 53.91739, 55.624517);
	makeSound('SEEDS', 56.545823, 58.415533);
	makeSound('FLOUR', 59.05, 61.640105);
	makeSound('EGG', 62.01, 63.698594);
	makeSound('WATER', 63.8, 65.413396);
	makeSound('OIL', 66.659869, 69.51);

	//narration:
	makeSound('0_cover', 225.964565, 228.2);
	makeSound('1_intro', 0.014198, 5.142352, ["Skits ", "loves ", "these ", "biscuits! ", "You ", "can ", "make ", "this ", "recipe ", "online ", "and ", "in ", "a ", "kitchen."], [0, 0.752598, 1.335189, 1.565515, 2.517306, 2.656179, 2.784891, 2.994895, 3.187963, 3.594421, 4.22782, 4.427662, 4.532664, 4.634278]);
	makeSound('2_instruct', 5.630102, 16.0, ["If ", "you're ", "making ",  "real ", "biscuits ", "in ", "a ", "kitchen, ", "have ", "a ", "grown-up ", "help ", "you. ", "Always ", "ask ", "a ", "grown-up ", "to ", "help ", "BEFORE ", "you ", "use ", "an ", "oven. ", "Remember ", "to ", "wash ", "your     ", "hands ", "before ", "you ", "start ", "cooking."], [5.5, 6.076557, 6.23914, 6.581243, 6.875926, 7.265448, 7.356902, 7.455129, 8.213852, 8.420468, 8.535632, 8.887896, 9.236773, 9.873558, 10.249532, 10.46631, 10.598409, 10.954061, 11.082773, 11.306325, 11.787301, 11.902464, 12.153114, 12.332633, 13.00, 13.4, 13.8, 14.0, 14.2, 14.4, 14.8, 14.8, 15.01, 15.2]);
	makeSound('3_step1', 16.523194, 18.85, ["First, ", "find ", "the ", "tools ", "you'll ", "need."], [16.0, 17.02788, 17.298852, 17.488533, 17.891605, 18.06435]);
	makeSound('4_step2', 35.328681, 51.4, ["Next, ", "find ", "and ", "measure ", "your ", "ingredients. ", "When ", "you ", "measure ", "an ", "ingredient, ", "use ", "the ", "recipe ", "to ", "check ", "the ", "amount ",  "you ", "need. ", "Notice ", "that ", "the ", "measuring ", "cup ", "has ", "lines ", "with ", "numbers. ", "Be ", "sure ", "that ", "the ", "amount ", "you ", "use ", "is ", "level ", "with ","the ", "right ", "number ", "on ", "the ", "measuring ", "cup."], [34.9, 36.036597, 36.354989, 36.585316, 36.886773, 37.030727, 38.439783, 38.573576, 38.786967, 39.069794, 39.186651, 40.097796, 40.372156, 40.451754, 40.888697, 41.081765, 41.384915, 41.525482, 41.882827, 42.062346, 43.193656, 43.586566, 43.738988, 43.803344, 44.204722, 44.419806, 44.660294, 45.210707, 45.376678, 46.567263, 46.679039, 46.995738, 47.131224, 47.207435, 47.610507, 47.771397, 48.07116, 48.240518, 48.675767, 48.789237, 48.956901, 49.177066, 49.531024, 49.785061, 49.896837, 50.254182]);
	makeSound('5_step3', 70.670261, 80.1, ["Now ", "set ", "the ", "oven ", "to ", "350 ", "degrees. ", "This ", "will ", "give ", "it ", "time ", "to     ", "heat ", "up ", "to ", "the ", "right ", "temperature ", "before ", "you ", "need ", "to ", "bake     ", "your ", "biscuits."], [70.01, 71.198657, 71.578019, 71.679634, 71.974316, 72.174158, 73.078529, 74.253872, 74.477424, 74.623072, 74.711138, 74.833075, 75.185339, 75.314051, 75.530829, 75.737446, 75.876319, 75.947449, 76.204873, 76.983919, 77.356506, 77.485218, 77.66135, 77.800223, 78.000066, 78.166036]);
	
	makeSound('6_step4', 80.858825, 95.80, ["Next, ", "use ", "the ", "wooden ", "spoon ", "to ", "combine ", "the ", "whole", "-wheat ", "flour, ", "cornmeal,      ", "egg, ", "and ", "sunflower ", "seeds ", "in ", "a ", "mixing ", "bowl. ", "Pour ", "in ", "the ", "water ", "and ", "the ", "vegetable ", "oil. ", "Stir ", "the ", "mixture ", "until ", "there ", "are ", "no ", "more ", "big ", "lumps."], [80.01, 81.675129, 81.98336, 82.129008, 82.372883, 82.803052, 82.908054, 83.405966, 83.599034, 83.825973, 84.10372, 84.764215, 85.411162, 85.804072, 85.929397, 86.481503, 86.874413, 86.999738, 87.135224, 87.562006, 88.849125, 89.25897, 89.492684, 89.577363, 89.953337, 90.34286, 90.437701, 90.837385, 91.897565, 92.432735, 92.517414, 92.967906, 93.259201, 93.448882, 93.553884, 93.960342, 94.315994, 94.583579]);
	makeSound('7_step5', 98.282353, 114.025851, ["Then, ", "sprinkle ", "some ", "flour ", "on ", "the ", "table ", "or ", "counter. ", "If ", "the ", "dough ", "is ", "really ", "sticky, ", "then ", "add ", "a ", "little ", "more ", "flour. ", "Mush ", "and ", "squish ", "the ", "dough ", "for ", "about ", "a ", "minute. ", "When ", "squeezing ", "the ", "dough ", "feels ", "like ", "squeezing ", "your ", "earlobe ", "it's ", "ready!"], [98.01, 98.814136, 99.386565, 99.576246, 99.99964, 100.141901, 100.263839, 100.555134, 100.754976, 102.059031, 102.221614, 102.370649, 102.546781, 102.797431, 103.247922, 103.908418, 104.17939, 104.392781, 104.52488, 104.79924, 105.022792, 106.455559, 106.865405, 107.068634, 107.593643, 107.749452, 108.128814, 109.178832, 109.351577, 110.320303,110.513371, 111.03838, 111.13322, 111.356773, 111.641294, 111.770006, 112.237433, 112.422033, 113.275596, 113.500842, 113.8]);
	makeSound('8_step6', 115.814269, 128.820946, ["Now, ", "divide ", "the ", "dough ", "into ", "portions ", "the ", "size ", "of ", "a ", "tablespoon. ", "Take ", "each     ", "portion ", "and ", "roll ", "it ", "into ", "a ", "log ", "about ", "as ", "thick ", "as ", "your ", "thumb. ", "Pinch ", "the ", "ends ", "to ", "make ", "a ", "dog ", "bone ", "shape ", "or ", "any ", "shape ", "you ", "want."], [115.01, 116.327423, 116.854126, 116.986225, 117.179293, 117.497686, 118.036243, 118.109067, 118.581575, 118.652706, 118.742465, 120.292089, 120.549513, 120.957665, 121.635096, 121.929778, 122.12454, 122.224461, 122.503901, 122.581806, 122.966248, 123.210123, 123.479402, 123.674164, 123.851989, 123.945136, 125.008703, 125.322015, 125.430404, 125.70815, 125.814846, 125.946945, 126.065495, 126.329693, 126.644699, 127.198499, 127.384792, 127.671007, 128.019884, 128.258678]);
	makeSound('9_step7', 130.148711, 140.933414, ["Next, ", "put ", "your ", "shaped ", "dough ", "on ", "a ", "cookie ", "sheet. ", "Now, ", "put ", "on ", "your ", "oven ", "mitts. ", "With ", "the ", "help ", "of ", "a ", "grown-up, ", "carefully ", "put ", "the ", "cookie ", "sheet ", "in ", "the ", "oven."], [129.01, 130.839691, 131.041227, 131.166551, 131.535751, 131.948984, 132.162375, 132.257215, 132.509559, 133.801758, 134.445318, 134.633305, 134.938149, 135.180331, 135.349688, 136.760439, 136.911167, 136.992459, 137.232947, 137.39045, 137.490371, 138.328692, 138.995961, 139.226288, 139.339758, 139.593794, 139.966381, 140.245822, 140.345743]);
	makeSound('10_step8', 142.071498, 154, ["Then, ", "set ", "the ", "timer ", "for ", "35 ", "minutes. ", "Bake ", "your ", "biscuits ", "until ", "they ", "are ", "golden ", "brown. ", "They ", "should ", "be ", "more ", "like ", "the ", "color ", "of ", "my ", "fur ", "than ", "the ", "color ", "of ", "Skits' ", "fur."], [141.01, 142.759091, 143.089339, 143.204502, 143.632977, 143.863304, 144.642349, 145.819386, 146.0531, 146.315604, 146.67803, 146.942228, 147.065859, 147.360542, 147.846599, 148.761131, 148.889842, 149.062587, 149.201461, 149.401303, 149.597758, 149.731551, 149.995749, 150.117686, 150.652857, 151.265932, 151.459, 151.562308, 151.823119, 151.909492, 152.392161]);
	
	makeSound('11_step9',154.129122, 171.5, ["Finally, ", "when ", "the ", "timer ", "goes ", "off, ", "put ", "on ", "the ", "oven ", "mitts ", "to ", "take ", "the ", "biscuits ", "out ", "of ", "the ", "oven, ", "with ", "the ", "help ", "of ", "a ", "grown-up. ", "Turn ", "off ", "the ", "oven. ", "Make ", "sure ", "you ", "let ", "the ", "biscuits ", "cool ", "before ", "sharing ", "them ", "with ", "your ", "four-legged ", "friends ", "-no ", "matter ", "how ", "much ", "they ", "beg."], [154.01, 155.670928, 155.813188, 155.933432, 156.339891, 156.600702, 157.511847, 157.623623, 157.987742, 158.060566, 158.373878, 158.607591, 158.7109, 158.949694, 159.093648, 159.450993, 159.627125, 159.757531, 159.860839, 160.260523, 160.477301, 160.558593, 160.809243, 160.929487, 161.02094, 162.579031, 162.990571, 163.293721, 163.407191, 164.721407, 164.92633, 165.221013, 165.349724, 165.549567, 165.676585, 166.094899, 166.491196, 166.831605, 167.277016, 167.382018, 167.576779, 167.752911, 168.283001, 169.155194, 169.275438, 169.680203, 170.118839, 170.423683, 170.547314]);

	//definition audio:
	makeSound('def_add', 182.934142, 187);
	makeSound('def_amount',	172.637189, 177);
	makeSound('def_combine', 200.249281, 205);
	makeSound('def_degrees',  211.95529, 218);
	makeSound('def_degrees ', 211.95529, 218);
	makeSound('def_degrees.', 211.95529, 218);
	makeSound('def_divide',	177.894055, 182.5);
	makeSound('def_level',	218.756698, 225);
	makeSound('def_mixture', 188.16391, 194);
	makeSound('def_portion', 206.020994, 211);
	makeSound('def_portions', 206.020994, 211);
	makeSound('def_temperature', 194.152401, 199.5);
	makeSound('def_measure',	231.058,	235.388249);
	makeSound('def_ingredient',	236.268,	246.933215);
	makeSound('def_ingredients',	236.268,	246.933215);
	makeSound('def_ingredients.',	236.268,	246.933215);
	makeSound('def_check',	248.075,	252.73305);


	//definitions go into definitionText array (need to put word verbatim from phrase's text array above, including punctuation if necessary)
	definitionText['add'] = "To add means to put things together.";
	definitionText['amount'] = "An amount of something is how much of it there is.";
	definitionText['check'] = "When you check something, it means you make sure it's right.";
	definitionText['combine'] = "When you put things together, you combine them.";
	definitionText['degrees'] = definitionText['degrees.'] = definitionText['degrees '] = "You measure how cold or hot something is with degrees.";	
	definitionText['divide'] = "To divide means to take apart into pieces.";
	definitionText['ingredient'] = "An ingredient is one of the things that goes into a mixture.";
	definitionText['ingredients'] = definitionText['ingredient'];
	definitionText['ingredients.'] = definitionText['ingredient'];
	definitionText['level'] = "When something is level, that means it is flat like a straight line.";
	definitionText['measure'] = "When you measure, you find the size or amount of something.";
	definitionText['mixture'] = "When you put two or more things together, you make a mixture.";
	definitionText['portion'] = definitionText['portions'] = "A portion is a part of something.";
	definitionText['temperature'] = "The temperature of something is how hot or cold it is.";
}


//story_manifest: unique for each storybook:
function make_storymanifest(){
	//image assets:
	//for preloader, each storybook's image assets should be defined here
	//id is used within images array to reference images:  images['i_pops']
	story_manifest = [
		
		//cover image:
		{src:imgPath+"img/covers/sunflowerbiscuits.jpg", id:"cover_story"},
		//background image;
		{src:imgPath+"img/bg/bg_red.jpg", id:"bg_story"},
		{src:imgPath+"img/sunflowerbiscuits/playAudioButton.gif", id:"playAudioButton"},
		{src:imgPath+"img/sunflowerbiscuits/playAudioButton_off.gif", id:"playAudioButton_off"},

		{src:imgPath+"img/sunflowerbiscuits/pageTextBG_1.png", id:"pageTextBG_1_png"},
		{src:imgPath+"img/sunflowerbiscuits/pageTextBG_2.png", id:"pageTextBG_2_png"},

		//for 1_intro:
		{src:imgPath+"img/sunflowerbiscuits/pageTextBG_title.png", id:"pageTextBG_title_png"},
		//{src:imgPath+"img/sunflowerbiscuits/dog_biscuit_bones.png", id:"dog_biscuit_bones_png"},
		{src:imgPath+"img/sunflowerbiscuits/ingredients_button.png", id:"ingredients_button_png"},


		{src:imgPath+"img/sunflowerbiscuits/ingredients_display_BG.png", id:"ingredients_display_BG"},
		{src:imgPath+"img/sunflowerbiscuits/ingredientsDisplay/01_ingredients_cm.png", id:"01_ingredients_cm"},
		{src:imgPath+"img/sunflowerbiscuits/ingredientsDisplay/02_ingredients_egg.png", id:"02_ingredients_egg"},
		{src:imgPath+"img/sunflowerbiscuits/ingredientsDisplay/03_ingredients_seeds.png", id:"03_ingredients_seeds"},
		{src:imgPath+"img/sunflowerbiscuits/ingredientsDisplay/04_ingredients_water.png", id:"04_ingredients_water"},
		{src:imgPath+"img/sunflowerbiscuits/ingredientsDisplay/05_ingredients_wheat.png", id:"05_ingredients_wheat"},
		{src:imgPath+"img/sunflowerbiscuits/ingredientsDisplay/06_ingredients_oil.png", id:"06_ingredients_oil"},

		{src:imgPath+"img/sunflowerbiscuits/title_skits_graphic.png", id:"title_graphic_png"},
		{src:imgPath+"img/sunflowerbiscuits/sharedButtonAssets.png", id:"sharedButtonAssets_png"},

		// for 2_instruct
		{src:imgPath+"img/sunflowerbiscuits/instruct_people.png", id:"instruct_people_png"},
		
		// for 2_step1:
		//{src:imgPath+"img/sunflowerbiscuits/step1_tools.png", id:"step1_tools_png"},
		{src:imgPath+"img/sunflowerbiscuits/step1/images/01_tools_mc.png", id:"01_tools_mc"},
		{src:imgPath+"img/sunflowerbiscuits/step1/images/02_tools_ws.png", id:"02_tools_ws"},
		{src:imgPath+"img/sunflowerbiscuits/step1/images/03_tools_ts.png", id:"03_tools_ts"},
		{src:imgPath+"img/sunflowerbiscuits/step1/images/04_tools_mb.png", id:"04_tools_mb"},
		{src:imgPath+"img/sunflowerbiscuits/step1/images/05_tools_cs.png", id:"05_tools_cs"},
		{src:imgPath+"img/sunflowerbiscuits/step1/images/06_tools_om.png", id:"06_tools_om"},
		
		// for 3_step2
		{src:imgPath+"img/sunflowerbiscuits/step2/step2_ingredients.png", id:"step2_ingredients_png"},
		{src:imgPath+"img/sunflowerbiscuits/step2/step2_click_ingredient.png", id:"step2_click_ingredient_png"},
		{src:imgPath+"img/sunflowerbiscuits/step2/cupSprite.png", id:"step2_cupSprite_png"},
		{src:imgPath+"img/sunflowerbiscuits/step2/bagSprite.png", id:"step2_bagSprite_png"},

		// for 4_step3
		{src:imgPath+"img/sunflowerbiscuits/step3/step3_oven_layer.png", id:"step3_oven_layer_png"},
		{src:imgPath+"img/sunflowerbiscuits/step3/step3_knob_back.png", id:"step3_knob_back_png"},
		{src:imgPath+"img/sunflowerbiscuits/step3/knobIndicatorSprite.png", id:"knobIndicatorSprite_png"},
		{src:imgPath+"img/sunflowerbiscuits/step3/step3_skits.png", id:"step3_skits_png"},

		// for 5_step4
		{src:imgPath+"img/sunflowerbiscuits/step4/bowl_01_transparent.png", id:"bowl_01_transparent_png"},
		{src:imgPath+"img/sunflowerbiscuits/step4/bowl_02_base.png", id:"bowl_02_base_png"},
		{src:imgPath+"img/sunflowerbiscuits/step4/mixingBowlSprite.png", id:"mixingBowlSprite_png"},
		{src:imgPath+"img/sunflowerbiscuits/step4/step4_spoon.png", id:"step4_spoon_png"},
		{src:imgPath+"img/sunflowerbiscuits/step4/step4_girl.png", id:"step4_girl_png"},
		{src:imgPath+"img/sunflowerbiscuits/step4/hitAreaBowl.png", id:"hitAreaBowl_png"},
		
		// for 6_step5
		{src:imgPath+"img/sunflowerbiscuits/step5/step5_board.png", id:"step5_board_png"},
		{src:imgPath+"img/sunflowerbiscuits/step5/step5_dough.png", id:"step5_dough_png"},
		{src:imgPath+"img/sunflowerbiscuits/step5/step5_flour_on_board.png", id:"step5_flour_on_board_png"},
		{src:imgPath+"img/sunflowerbiscuits/step5/spoonSprite.png", id:"spoonSprite_png"},
		{src:imgPath+"img/sunflowerbiscuits/step5/step5_spoon_empty.png", id:"step5_spoon_empty_png"},

		// for 7_step6
		{src:imgPath+"img/sunflowerbiscuits/step6/step6_board.png", id:"step6_board_png"},
		{src:imgPath+"img/sunflowerbiscuits/step6/doughSprite.png", id:"doughSprite_png"},
		
		// for 8_step7
		{src:imgPath+"img/sunflowerbiscuits/step7/boneBiscuitSprite.png", id:"step7_boneBiscuitSprite_png"},
		{src:imgPath+"img/sunflowerbiscuits/step7/step7_board.png", id:"step7_board_png"},
		{src:imgPath+"img/sunflowerbiscuits/step7/step7_pan.png", id:"step7_pan_png"},
		{src:imgPath+"img/sunflowerbiscuits/step7/step7_skits.png", id:"step7_skits_png"},
		{src:imgPath+"img/sunflowerbiscuits/step7/panHitArea.png", id:"panHitArea_png"},
		
		// for 9_step8
		{src:imgPath+"img/sunflowerbiscuits/step8/timerSprite.png", id:"step8_timerSprite_png"},
		{src:imgPath+"img/sunflowerbiscuits/step8/step8_background.png", id:"step8_background_png"},

		// for 10_step9
		{src:imgPath+"img/sunflowerbiscuits/step9/boneBiscuitSprite.png", id:"step9_boneBiscuitSprite_png"},
		{src:imgPath+"img/sunflowerbiscuits/step9/step9_background.png", id:"step9_background_png"},
		{src:imgPath+"img/sunflowerbiscuits/step9/step9_skit.png", id:"step9_skit_png"},
		{src:imgPath+"img/sunflowerbiscuits/step9/skitsSprite.png", id:"skitsSprite_png"},
		{src:imgPath+"img/sunflowerbiscuits/step9/step9_tools.png", id:"step9_tools_png"},

		// //for glossary (common assets for every use):
		{src:imgPath+"img/glossary/wordbone.png", id:"glossary-wordbone"},	
		//{src:imgPath+"img/glossary/martha_only.png", id:"glossary-martha"},
		{src:imgPath+"img/glossary/martha_only.png", id:"glossary-martha"},	
		{src:imgPath+"img/glossary/board_only.png", id:"glossary-board"},{src:imgPath+"img/glossary/glossary_title.png", id:"glossary-title"},	
		{src:imgPath+"img/glossary/bowl_only.png", id:"glossary-bowl"},	
		{src:imgPath+"img/glossary/splash_only.png", id:"glossary-splash"},			
		{src:imgPath+"img/glossary/cloud_defonly.png", id:"glossary-txtcloud"},
		{src:imgPath+"img/glossary/cloud_defandimage.png", id:"glossary-imgcloud"},

		// //quiz-glossary img assets specific to this story:
		// {src:imgPath+"img/measureup_story/quiz_glossary/scale.png", id:"scales"},
		// {src:imgPath+"img/measureup_story/quiz_glossary/cake.png", id:"speed"},
		// {src:imgPath+"img/measureup_story/quiz_glossary/steak.png", id:"temperature"},
		// {src:imgPath+"img/measureup_story/quiz_glossary/roast.png", id:"weight"},
		// {src:imgPath+"img/measureup_story/quiz_glossary/flowers.png", id:"distance"},

	];

}


//each storybook should have its spritesheets created in this function
function story_spritesheets(){
	
	spritesheets['sharedButtonAssets'] = new createjs.SpriteSheet({
            images: [images['sharedButtonAssets_png']],
            "frames": [
			    [201, 46, 46, 44], 
			    [154, 46, 46, 44], 
			    [201, 1, 46, 44], 
			    [154, 1, 46, 44], 
			    [107, 46, 46, 44], 
			    [107, 1, 46, 44], 
			    [1, 62, 58, 60], 
			    [1, 1, 58, 60], 
			    [60, 46, 46, 44], 
			    [60, 1, 46, 44]
			],
			"animations": {
			        "btn_close":[0], 
			        "btn_close_over":[1], 
			        "btn_home":[2], 
			        "btn_home_over":[3], 
			        "btn_nosnd":[4], 
			        "btn_nosnd_over":[5], 
			        "btn_replay":[6], 
			        "btn_replay_over":[7], 
			        "btn_snd":[8], 
			        "btn_snd_over":[9]
			}
         });

	spritesheets['playAudioSheet'] = new createjs.SpriteSheet({
            "images": [ images['playAudioButton'] ],
			"frames": [
			    [1, 1, 46, 44], 
			    [48, 1, 46, 44]
			],
			"animations": {
			    "btn_play_off":[0], 
			    "btn_play_on":[1]
			}
         });

	// //glossary:
	spritesheets['glossary-martha'] = new createjs.SpriteSheet({
	    "frames": [
	        [1037, 2, 259, 217, 0, -20, -114],
	        [538, 2, 248, 227, 0, -37, -128],
	        [288, 2, 246, 229, 0, -38, -118],
	        [790, 2, 243, 220, 0, -38, -121],
	        [1755, 450, 252, 196, 0, -30, -137],
	        [2, 2, 282, 237, 0, -4, -86],
	        [577, 656, 280, 157, 0, -149, -105],
	        [861, 656, 281, 157, 0, -183, -67],
	        [2, 656, 284, 190, 0, -208, -20],
	        [290, 656, 283, 189, 0, -228, -15],
	        [1463, 450, 288, 196, 0, -237, -10],
	        [1171, 450, 288, 196, 0, -244, -9],
	        [877, 450, 290, 200, 0, -247, -7],
	        [582, 450, 291, 200, 0, -249, -7],
	        [869, 243, 289, 203, 0, -252, -8],
	        [578, 243, 287, 203, 0, -255, -10],
	        [291, 450, 287, 202, 0, -257, -18],
	        [1742, 243, 286, 203, 0, -262, -30],
	        [1452, 243, 286, 203, 0, -268, -48],
	        [1162, 243, 286, 203, 0, -276, -73],
	        [2, 450, 285, 202, 0, -287, -107],
	        [290, 243, 284, 203, 0, -302, -152],
	        [2, 243, 284, 203, 0, -322, -215],
	        [1300, 2, 276, 204, 0, -356, -310],
	        [1580, 2, 275, 204, 0, -416, -495]
	    ],
	    "animations": {"all": {"frames": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24], "next": false, "frequency": 3}},		
		"images": [images['glossary-martha']]
	});

	spritesheets['glossary-board'] = new createjs.SpriteSheet({
	    "frames": [[2, 209, 384, 69, 0, 0, -14], [2, 2, 387, 110, 0, 0, -2], [393, 2, 386, 99, 0, 0, -5], [2, 116, 386, 89, 0, 0, -8], [392, 116, 386, 79, 0, 0, -11], [580, 209, 304, 69, 0, 0, -14], [783, 2, 237, 69, 0, 0, -14], [390, 209, 186, 69, 0, 0, -14], [2, 282, 149, 68, 0, 0, -14], [782, 116, 127, 68, 0, 0, -14], [888, 209, 120, 68, 0, 0, -14]],
	    "animations": {"all": {"frames": [0, 1, 2, 3, 4, 0, 0, 0, 0, 5, 6, 7, 8, 9, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10], "next": false, "frequency": 3}},
		"images": [images['glossary-board']]
	});

	spritesheets['glossary-bowl'] = new createjs.SpriteSheet({	
		"frames": [[0, 0, 629, 170, 0, 0, -1], [0, 170, 629, 166, 0, 0, -1]], 
		"animations": {"all": {"frames": [0, 1]}
		},
		"images": [images['glossary-bowl']]		
	});

	spritesheets['glossary-splash'] = new createjs.SpriteSheet({	
		"frames": [[1808, 0, 1, 1, 0, 0, 0], [451, 578, 422, 186, 0, -45, -134], [0, 578, 451, 230, 0, -30, -78], [0, 0, 543, 297, 0, 0, -4], [543, 0, 594, 295, 0, 0, 0], [1402, 297, 637, 262, 0, 0, -21], [1137, 0, 671, 282, 0, 0, 0], [0, 297, 694, 281, 0, 0, 0], [694, 297, 708, 280, 0, 0, 0]], 
		"animations": {
			"bowl_idle": {"frames": [0]}, 
			"bowl_splash": {"frames": [1, 2, 3, 4, 5, 6, 7, 8], "frequency": 4, "next": false}, 
		},			
		"images": [images['glossary-splash']]		
	});
	//**//**console.log('all spritesheet objects created');		
}

// function to set up ingredients window menu
function ingredientsSetUp(){
	
	if(!ingredientsWindow) {
		//logger("ingredientsSetUp");
		ingredientsWindow = new createjs.Container();
		var playButton, displayCloseButton;
		
		var imageIngredientsBG = new createjs.Bitmap(images['ingredients_display_BG']);
	 	ingredientsWindow.addChild(imageIngredientsBG);

		if(!displayCloseButton) displayCloseButton = new pageContentLib.closeButton();
		// note: ingredientsDisplay needs to be referenced in order to shut off - reset()
		if(!ingredientsDisplay) ingredientsDisplay = new pageContentLib.IngredientsDisplay(images);
		if(!playButton) playButton = new pageContentLib.playAudioButton(images);
		
		ingredientsWindow.addChild( ingredientsDisplay );
		ingredientsWindow.addChild( displayCloseButton );
		displayCloseButton.getChildAt(0).addEventListener("click", onClickIngredientButton);
		ingredientsWindow.addChild( playButton );
		playButton.addEventListener("click", function(){
			stopSound();
			ingredientsDisplay.enable();
		});

		imageIngredientsBG.x = 100;
		imageIngredientsBG.y = 22;
		displayCloseButton.x = 790;
	 	displayCloseButton.y = 25;
		playButton.x = 160;
		playButton.y = 80;
		ingredientsDisplay.x = 190;
		ingredientsDisplay.y = 22 + 40;
	}
	//logger("ingredientsSetUp " + stage.contains(ingredientsDisplay));

	if(!ingredButton) ingredButton = new pageContentLib.ingredientsButton(images);	
	ingredButton.addEventListener("click", onClickIngredientButton);
	ingredButton.x = 110;
	ingredButton.y = 10;
	ingredButton.cursor = "pointer";
	//stage.addChild(ingredientsWindow);
	ingredientsWindow.visible = false;
	//stage.addChild( ingredButton );
}

function onClickIngredientButton(){
	ingredientsWindow.visible = !ingredientsWindow.visible;
	stopSound();
	ingredientsDisplay.reset();
}

function ingredientsShutDown(){
	//logger("ingredientsShutDown");
	stopSound();
	ingredButton.removeEventListener("click", onClickIngredientButton);
	ingredientsDisplay.reset();
	stage.removeChild( ingredButton );
	stage.removeChild( ingredientsWindow );
}

var FONT_COLOR_BLACK = createjs.Graphics.getRGB(0,0,0,1);
var FONT_HIGHLIGHT_COLOR = createjs.Graphics.getRGB(0,144,173,1);
var FONT_VOCAB_COLOR = createjs.Graphics.getRGB(226,66,39,1);

var FONT_STYLE_TITLE = "bold 72px Nunito";
var FONT_STYLE_LOADING = "bold 32px Arial";
var FONT_STYLE_START_BUTTON = "bold 12px Arial";
var FONT_STYLE_SUBTITLE_TEXT = "26px Nunito";
var FONT_STYLE_PAGE_TEXT = "26px Nunito";
var FONT_STYLE_TIMER = "80px Nunito";