function prep_2_animals(transition){
	//**//**console.log('function: prep_2_animals');
	
	world_current = worlds['2_animals'];
	
	ticker_world = (function(){
		tick_2_animals();
	});
	end_world = (function(){
		end_2_animals();
	});
	narrDone = (function(){
		narrDone_2_animals();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	teachertiptext.text = '';

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:

	water_back = new createjs.Bitmap(images['water_back']);
	water_back.x=0;
	water_back.y=120;
	

	water_front = new createjs.Bitmap(images['water_front']);
	water_front.x=0;
	water_front.y=120;
	

	bush = new createjs.Bitmap(images['bush']);
	bush.x=0;
	bush.y=320;
	

	tree = new createjs.Bitmap(images['tree']);
	tree.x=560;
	tree.y=0;

	giraffe = new createjs.BitmapAnimation(spritesheets['2_giraffe']);
	//giraffe.regX = giraffe.image.width/2;
	//giraffe.regY = giraffe.image.height/2;
	giraffe.gotoAndStop(0);
	giraffe.x=-135;
	giraffe.y=195; //320
	giraffe.startX = giraffe.x;
	giraffe.startY = giraffe.y;
	

	squirrel = new createjs.Bitmap(images['squirrel_reg']);
	squirrel.x=720;
	squirrel.y=350;
	squirrel.startX = squirrel.x;


	squirrel_run = new createjs.BitmapAnimation(spritesheets['2_squirrel']);
	squirrel_run.gotoAndStop(0);
	squirrel_run.x=730;
	squirrel_run.y=350;
	squirrel_run.startX = squirrel_run.x;
	squirrel_run.startY = squirrel_run.y;
	squirrel_run.visible=false;

	whale_tail = new createjs.Bitmap(images['whale_tail']);
	whale_tail.x=140;
	whale_tail.y=150;
	whale_tail.startY=whale_tail.y;
		whale_tail.regX = 40;

	whale_head = new createjs.Bitmap(images['whale_jump']);
	whale_head.x=110;
	whale_head.y=210;
	whale_head.startX = whale_head.x;
	whale_head.startY = whale_head.y;
		whale_head.pos=0;
		whale_head.vX=9;
		whale_head.travelTime=1;
	whale_head.visible=false;

	splash = new createjs.BitmapAnimation(spritesheets['2_splash']);
	splash.gotoAndStop(0);
	splash.x=90;
	splash.y=150;
	splash.startX = splash.x;
	splash.startY = splash.y;
	splash.visible=false;
	
	world_current.addChild(water_back);
	world_current.addChild(whale_tail);
	world_current.addChild(whale_head);
	world_current.addChild(water_front);
	world_current.addChild(splash);
	world_current.addChild(giraffe);
	world_current.addChild(bush);
	world_current.addChild(squirrel);
	world_current.addChild(tree);
	world_current.addChild(squirrel_run);

	//path = [[110,210,0],[150.52910052910056, 180.14008885527933,20],[424.5608465608466, 13.925323754608186,55],[550.5291005291004, 92.89724926741658,110],[620.9629629629629, 281.9623782966254,130]];

	path = [[110,210,0],[214.7731092436975, 220.43418221844198,10],
	/*[238.43697478991598, 167.58993345674688,30],*/
	[284.6890756302521, 110.4420873567819,50],
	/*[362.1344537815126, 59.74963726422174,75], */
	[434.20168067226894, 48.865462550657945,90], 
	/*[508.4201680672269, 72.41006654325312,110],*/
	/*[560.0504201680673, 122.85215390003506,118],*/
	[584.7899159663865, 178.67373792965427,124],
	[598.7731092436975, 232.3435232901386,130]] 

	
	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('2_animals', ['inspire']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_2_animals);

}

//level specific functions:

//called once this level is fully slid into place
function begin_2_animals(){	

	playSound('2_animals');
	
}

function narrDone_2_animals(){
	//EXAMPLE OF ACTIVATING A MOUSE/TOUCH INTERACTIVITY AFTER PAGE'S NARRATION AUDIO FINISHES PLAYING:
	//marthaTestDrag(martha1, true);
	addShadow(giraffe);
	doPulse(giraffe);
	addShadow(squirrel);
	doPulse(squirrel);
	addShadow(whale_tail);
	doPulse(whale_tail);
	whale_tail.onPress = popWhale;
	giraffe.onPress = popGiraffe;
	squirrel.onPress = popSquirrel;
	splash.onAnimationEnd = resetSplash;
}

function tick_2_animals(){
	stage.update();
}

function popGiraffe(e){
	removeShadow(giraffe);
	giraffe.onPress = null;

	if(!narrActive){
		stopSound();
		playSound('giraffe');	
	} 

	giraffe.gotoAndStop(2);
	createjs.Tween.get(giraffe, {loop:false})
     .to({y: giraffe.y  - 160, x:giraffe.x+200}, 1200, createjs.Ease.linear).call(stopGiraffe);
}

function stopGiraffe(){
	setTimeout('resetGiraffe()',1000);
	
}

function resetGiraffe(){
	if(!narrActive) stopSound();
	
	giraffe.gotoAndStop(1);
	createjs.Tween.get(giraffe, {loop:false})
     .to({y: giraffe.startY, x:giraffe.startX}, 1200, createjs.Ease.linear).call(enableGiraffe);
	//giraffe.onPress = popGiraffe;
}

function enableGiraffe() { giraffe.onPress = popGiraffe; addShadow(giraffe); giraffe.gotoAndStop(0);}

function popSquirrel(e) {
	removeShadow(squirrel);
	squirrel.visible=false;
	squirrel_run.visible=true;

	if(!narrActive){
		stopSound();
		playSound('chipmunk');
	}

	squirrel_run.gotoAndPlay("all");
	createjs.Tween.get(squirrel_run, {loop:false}).to({y:-200}, 1500, createjs.Ease.linear).call(stopSquirrel);
}
function stopSquirrel() {
	squirrel_run.gotoAndStop(0);
	squirrel_run.y=squirrel_run.startY;
	squirrel_run.visible=false;
	setTimeout('resetSquirrel()',1000);
}

function resetSquirrel(){
	if(!narrActive) stopSound();

	squirrel.visible=true;
	squirrel.x=squirrel.startX+60;
	createjs.Tween.get(squirrel, {loop:false}).to({x:squirrel.startX}, 100, createjs.Ease.linear).call(enableSquirrel);
}

function enableSquirrel(){
	squirrel.onPress = popSquirrel; 
	addShadow(squirrel);
}

function popWhale(){
	whale_tail.visible=false;
	whale_head.visible=true;
	splash.visible=true;
	splash.x=splash.startX;
	splash.y=splash.startY;

	if(!narrActive){
		stopSound();
		playSound('whale');	
	}

	splash.gotoAndPlay("all");
	TweenLite.to(whale_head, 1.5, {bezier:[{x:434,y:28},{x:598,y:232}], rotation:140, ease:"Linear.easeInOut", onComplete:waterSplash});
	//whale_dive(whale_head,path);
}

function resetSplash() {
	splash.gotoAndStop(0);
	splash.visible=false;
}

function waterSplash(){
	splash.x=440; splash.y=130; 
	splash.visible=true; 
	splash.gotoAndPlay("all");
	createjs.Tween.get(whale_head).to({x:632, y:323},300).call(resetWhale);
	
}

function resetWhale()
{
	if(!narrActive) stopSound();

	whale_head.x=whale_head.startX;
	whale_head.y=whale_head.startY;
	whale_head.pos=0;
	whale_head.rotation=0;
	whale_tail.y+=40;
	whale_tail.visible=true;
	whale_head.visible=false;
	createjs.Tween.get(whale_tail).to({y:whale_tail.startY},100);
}

function end_2_animals(){
	//**//**console.log('end_2_animals');	
	createjs.Tween.removeTweens(squirrel_run);
	TweenLite.killTweensOf(whale_head);
	stopSound();
	
	createjs.Ticker.removeListener(ticker_world);
}

