function prep_3_bird(transition){
	//**//**console.log('function: prep_3_bird');
	world_current = worlds['3_bird'];
	
	ticker_world = (function(){
		tick_3_bird();
	});
	end_world = (function(){
		end_3_bird();
	});
	narrDone = (function(){
		narrDone_3_bird();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	teachertiptext.text = '';

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:
	airplane = new createjs.Bitmap(images['airplane']);
	airplane.x = 580;
	airplane.y = 220;
	world_current.addChild(airplane);

	line = new createjs.Shape();
	line.graphics.beginStroke("black").setStrokeStyle(2);
	line.graphics.moveTo(0,100);
	//line.graphics.lineTo(500,30);
	line.graphics.bezierCurveTo(30,200,700,200,1000,130);
	line.graphics.endStroke();
	
	world_current.addChild(line);

	helen = new createjs.BitmapAnimation(spritesheets['3_helen']);
	helen.x=140;
	helen.y=250;
	helen.gotoAndStop(0);
	helen.onPress = throwPlane;
	

	plane = new createjs.Bitmap(images['plane']);
	plane.x=550;
	plane.y=390;
	plane.startX = plane.x;
	plane.startY = plane.y;
	plane.visible=false;
	

	bird1 = new createjs.BitmapAnimation(spritesheets['3_bird']);
	bird1.gotoAndStop("rest1");
	bird1.x = 194;
	bird1.y = 115;
	bird1.kind = "rest1";

	bird2 = bird1.clone();
	bird2.gotoAndStop("rest2");
	bird2.x = 334;
	bird2.y = 130;
	bird2.rotation=8;
	bird2.kind = "rest2";

	bird3 = bird1.clone();
	bird3.gotoAndStop("rest1");
	bird3.x = 450;
	bird3.y = 130;
	bird3.scaleX=-1;
	bird3.rotation=14;
	bird3.kind = "rest1";

	bird4 = bird1.clone();
	bird4.gotoAndStop("rest2");
	bird4.x = 570;
	bird4.y = 133;
	bird4.rotation=11;
	bird4.kind = "rest2";

	bird5 = bird1.clone();
	bird5.gotoAndStop("rest2");
	bird5.x = 700;
	bird5.y = 127;
	bird5.scaleX = -1;
	bird5.rotation=-9;
	bird5.kind = "rest2";

	bird6 = bird1.clone();
	bird6.gotoAndStop("rest1");
	bird6.x = 820;
	bird6.y = 115;
	bird6.scaleX = -1;
	bird6.rotation=1;
	bird6.kind = "rest1";


	birdArr=[bird1,bird2,bird3,bird4,bird5,bird6];
	birdArr.forEach(function(bird,i)
	{
		////**console.log(i+": "+bird)
		bird.id=i;
		bird.regX=57;
		bird.regY=44;
		bird.startX=bird.x;
		bird.startY=bird.y;
		world_current.addChild(bird);
	});

	world_current.addChild(helen);
	world_current.addChild(plane);

	birdPathList = [
	[{x:400,y:300}, {x:1060,y:260}],
	[{x:420,y:90}, {x:1060,y:500}],
	[{x:280,y:70}, {x:100,y:130}, {x:-20,y:240}],
	[{x:690,y:70}, {x:820,y:290}, {x:1060,y:240}],
	[{x:520,y:240}, {x:300,y:330}, {x:210,y:390}, {x:-20,y:400}],
	[{x:530,y:60}, {x:400,y:100}, {x:240,y:180}, {x:100,y:300}, {x:-20,y:360}]
	];

	birdTimeList = [2,1.6,.9,1.5,1.5,2];

	/*194.23858318294435, 154.37014925373137
	334.55975285229255, 174.3402985074627 
448.8212767259046, 184.28059701492538
549.0506836325819, 182.18507462686568 
 697.3902058544643, 176.0776119402985
807.6425534518092, 163.95223880597013*/

	//

	//********
	//text stuff:

	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText(900,28);

	//params: sndID, defintion words in array
	renderNarration('3_bird', ['copy']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_3_bird);

}

//level specific functions:

//called once this level is fully slid into place
function begin_3_bird(){
	//**//**console.log("WORLD 1 BEGIN");

	playSound('3_bird');
	
}

function narrDone_3_bird(){
	addShadow(helen);
	doPulse(helen);
	for(var i=0; i<6; i++)
	{
		addShadow(birdArr[i]);
		doPulse(birdArr[i]);
		birdArr[i].onPress = flyBird;
	}
	helen.onPress=throwPlane;
}

function throwPlane(){
	helen.onPress = null;
	removeShadow(helen);
	helen.gotoAndPlay("all");
	helen.onAnimationEnd = flyPlane;
}

function flyPlane(){
	helen.onAnimationEnd = null;
	//helen.gotoAndStop(3);
	to = setTimeout(resetHelen,890);
	plane.visible=true;
	plane.x=plane.startX;
	plane.y=plane.startY;
	createjs.Tween.get(plane).to({x:1100, y:plane.startY+50},1000).call(resetPlane);
}

function resetHelen(){
	helen.gotoAndStop(3);
}

function resetPlane(){
	plane.visible=false;
	helen.gotoAndStop(0);
	addShadow(helen);
	helen.onPress = throwPlane;
}

function flyBird(e){
	if(!narrActive && !defActive){
		stopSound();
		playSound('birds');
	}

	e.target.onPress = null;
	removeShadow(e.target);
	var indx = world_current.getNumChildren()-1;
	world_current.setChildIndex(e.target,indx);
	e.target.gotoAndPlay("fly");
	//**console.log(birdPathList[e.target.id]);
	TweenLite.to(e.target,birdTimeList[e.target.id],{bezier:birdPathList[e.target.id],ease:"Linear.easeInOut", onComplete:resetBird, onCompleteParams:[e.target.id]});
	//bird_dive(e.target,birdPathList[e.target.id]);
	//createjs.Tween.get(e.target).to({x:pathlist[e.target.id][0], y:pathlist[e.target.id][1]},1000).call(resetBird,[e.target.id]);
}

function resetBird(num)
{
	addShadow(birdArr[num]);
	birdArr[num].x=birdArr[num].startX;
	birdArr[num].y = -100;
	createjs.Tween.get(birdArr[num]).to({x:birdArr[num].startX, y:birdArr[num].startY}, 500).call(enableBird,[num]);
}

function enableBird(num)
{
	birdArr[num].gotoAndStop(birdArr[num].kind);
	birdArr[num].onPress = flyBird;
}

function tick_3_bird(){
	stage.update();
}



function end_3_bird(){
	//**//**console.log('end_3_bird');	
	clearTimeout(to);
	TweenLite.killTweensOf(plane);
	for(var i=0; i<6; i++)
	{
		TweenLite.killTweensOf(birdArr[i]);
	}
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

