function prep_5_octopus(transition){
	//**//**console.log('function: prep_5_octopus');
	world_current = worlds['5_octopus'];
	
	ticker_world = (function(){
		tick_5_octopus();
	});
	end_world = (function(){
		end_5_octopus();
	});
	narrDone = (function(){
		narrDone_5_octopus();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	teachertiptext.text = '';

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['5_bg']);
	world_current.addChild(bg);

	//** page assets:

	octopus = new createjs.Bitmap(images['5_octopus_active']);
	octopus.regX = octopus.image.width/2;
	octopus.regY = octopus.image.height/2;
	octopus.x = canvas.width/2 + 30;
	octopus.y = 152;
	octopus.midX = octopus.x;
	world_current.addChild(octopus);

	octopusCoral = new createjs.Bitmap(images['5_octopus_coral']);
	octopusCoral.regX = octopusCoral.image.width/2;
	octopusCoral.regY = octopusCoral.image.height/2;
	octopusCoral.x = 250;
	octopusCoral.y = 306;
	octopusCoral.alpha = 0;
	world_current.addChild(octopusCoral);


	octopusSand = new createjs.Bitmap(images['5_octopus_sand']);
	octopusSand.regX = octopusSand.image.width/2;
	octopusSand.regY = octopusSand.image.height/2;
	octopusSand.x = 766;
	octopusSand.y = 340;
	octopusSand.alpha = 0;
	world_current.addChild(octopusSand);

	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	//providing custom linewidth and font size params for this page only:
	setNarrationText(900, 25, 27);

	//params: sndID, defintion words in array
	renderNarration('5_octopus', ['similar']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_5_octopus);

}

//level specific functions:

//called once this level is fully slid into place
function begin_5_octopus(){
	//**//**console.log("WORLD 5 BEGIN");

	playSound('5_octopus');
	
}

function narrDone_5_octopus(){
	addShadow(octopus);
	doPulse(octopus);
	
	octopus.onPress = drag_octopus;
}

function drag_octopus(e){
	
	if(!_active) return;
	
	octopus.alpha = 1;
	octopus.scaleX = octopus.scaleY = 1.03;
	
	octopusCoral.alpha = 0;
	octopusSand.alpha = 0;
	
	var offset = {x:octopus.x-e.stageX, y:octopus.y-e.stageY};
	
	e.onMouseMove = function(ev) {				
		////**console.log("x,y: " + binocularsbody.x + " " + binocularsbody.y);
						
		if( (ev.stageX+offset.x < 987) && (ev.stageX+offset.x > 40)) octopus.x = ev.stageX+offset.x;
		if( (ev.stageY+offset.y < 430) && (ev.stageY+offset.y > 80)) octopus.y = ev.stageY+offset.y;
		//else binocularsbody.y = 430;
			
	}			
	e.onMouseUp = function(ev){
		octopus.scaleX = octopus.scaleY = 1;

		if(octopus.x < octopus.midX){
			octoSlideToCoral();
		}
		if(octopus.x > octopus.midX){
			octoSlideToSand();
		}

	}
			
}

function octoSlideToCoral(){
	octopus.onPress = null;

	createjs.Tween.get(octopus, {loop:false})
		.to({x: octopusCoral.x, y: octopusCoral.y}, 500, createjs.Ease.sineOut)
		.call(camoToCoral);
}
function camoToCoral(){

	createjs.Tween.get(octopus, {loop:false})
     .to({alpha:0.01 }, 500, createjs.Ease.linear);

	createjs.Tween.get(octopusCoral, {loop:false})
     .to({alpha:1 }, 500, createjs.Ease.linear)
     .call(function(){
     	octopus.onPress = drag_octopus;
     });
}

function octoSlideToSand(){
	octopus.onPress = null;

	createjs.Tween.get(octopus, {loop:false})
		.to({x: octopusSand.x, y: octopusSand.y}, 500, createjs.Ease.sineOut)
		.call(camoToSand);
}
function camoToSand(){

	createjs.Tween.get(octopus, {loop:false})
     .to({alpha:0.01 }, 500, createjs.Ease.linear);

	createjs.Tween.get(octopusSand, {loop:false})
     .to({alpha:1 }, 500, createjs.Ease.linear)
     .call(function(){
     	octopus.onPress = drag_octopus;
     });
}

function tick_5_octopus(){
	stage.update();
}



function end_5_octopus(){
	//**//**console.log('end_5_octopus');	
	createjs.Tween.removeTweens(octopus);
	createjs.Tween.removeTweens(octopusCoral);
	createjs.Tween.removeTweens(octopusSand);
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

