function prep_7_shark(transition){
	//**//**console.log('function: prep_7_shark');
	world_current = worlds['7_shark'];
	
	ticker_world = (function(){
		tick_7_shark();
	});
	end_world = (function(){
		end_7_shark();
	});
	narrDone = (function(){
		narrDone_7_shark();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = "Parent tip: Children are often fascinated by sharks, whales, and other sea creatures. Find out more about these animals online or at the library. After you've learned new information together, invite your child to explain what he or she knows. Congratulate your child on his or her expertise! ";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['shark_bg']);
	world_current.addChild(bg);

	//** page assets:
	bgLargeA = new createjs.Bitmap(images['shark_skin']);
	bgLargeA.regX = bgLargeA.image.width/2;
	bgLargeA.regY = bgLargeA.image.height/2;
		//bgLargeA.scaleX = bgLargeA.scaleY = 2;
	bgLargeA.x = canvas.width/2;
	bgLargeA.y = canvas.height/2-60;
	world_current.addChild(bgLargeA);

	circA = new createjs.Shape();
	circA.graphics.beginFill("white").drawCircle(0,0,90);
	circA.regX = circA.width/2;
	circA.regY = circA.height/2;
	circA.x = 580;
	circA.y = 240;	
	circA.alpha = 0.01; //shape has to be at least a little visible to have the mask effect, while shape is also touchable
	world_current.addChild(circA);

	bgLargeA.mask = circA;

	binocularsbody = new createjs.Bitmap( images['7_magnifyer']);
	binocularsbody.regX = 90;
	binocularsbody.regY = 110;
	binocularsbody.x = 400; binocularsbody.y = 320;
	binocularsbody.startX=binocularsbody.x;
	binocularsbody.startY=binocularsbody.y;
	world_current.addChild(binocularsbody);

	circA.x = binocularsbody.x+10;
	circA.y = binocularsbody.y;

	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	//providing custom linewidth and font size params for this page only:
	setNarrationText(900, 25, 28);

	//params: sndID, defintion words in array
	renderNarration('7_shark', ['explains']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_7_shark);

}

//level specific functions:

//called once this level is fully slid into place
function begin_7_shark(){
	//**//**console.log("WORLD 1 BEGIN");
	/*
	binocularsbody.onPress=null;
	circA.onPress=null;
	binocularsbody.x=binocularsbody.startX;
	binocularsbody.y=binocularsbody.startY;
	*/
	playSound('7_shark');
	
}

function narrDone_7_shark(){
	drag_magnifyer(binocularsbody);
	drag_magnifyer(circA);

	doPulse(binocularsbody);
}

function drag_magnifyer(obj){
	
	(function() {
		obj.onPress =  function(evt) {
			if(!_active) return;
			//binocularsbody.scaleX = binocularsbody.scaleY = 1.02;
			
			// bump the target in front of it's siblings:
			//world_current.addChild(binocularsbody);
			
			var offset = {x:binocularsbody.x-evt.stageX, y:binocularsbody.y-evt.stageY};
			
			evt.onMouseMove = function(ev) {				
				////**console.log("x,y: " + binocularsbody.x + " " + binocularsbody.y);

				var newPos = {x:ev.stageX+offset.x, y:ev.stageY+offset.y};
								
				if( (newPos.x < 587) && (newPos.x > 370)) binocularsbody.x = newPos.x
				if( (newPos.y < 370) && (newPos.y > 200)) binocularsbody.y = newPos.y;
				//else binocularsbody.y = 430;
					
			}			
			evt.onMouseUp = function(ev){
				//binocularsbody.scaleX = binocularsbody.scaleY = 1.0;
				//binocularsbody.x = binocularsbody.startX;
				//binocularsbody.y = binocularsbody.startY;						
			}
		}	
			
	})(obj);			
}


function tick_7_shark(){
	stage.update();
	circA.x = binocularsbody.x+10;
	circA.y = binocularsbody.y;
}



function end_7_shark(){
	//**//**console.log('end_7_shark');	
	newPos = null;
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

