function prep_8_goggles(transition){
	//**//**console.log('function: prep_8_goggles');
	world_current = worlds['8_goggles'];
	
	ticker_world = (function(){
		tick_8_goggles();
	});
	end_world = (function(){
		end_8_goggles();
	});
	narrDone = (function(){
		narrDone_8_goggles();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = false;
	teachertiptext.text = '';

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['8_bg']);
	world_current.addChild(bg);

	//** page assets:
	bgLargeA = new createjs.Bitmap(images['8_bg2']);
	bgLargeA.regX = bgLargeA.image.width/2;
	bgLargeA.regY = bgLargeA.image.height/2;
		//bgLargeA.scaleX = bgLargeA.scaleY = 2;
	bgLargeA.x = canvas.width/2;
	bgLargeA.y = canvas.height/2;
	world_current.addChild(bgLargeA);

	circA = new createjs.Shape();
	circA.graphics.beginFill("white").drawRoundRect(0,3,300,147,60);
	circA.regX = circA.width/2;
	circA.regY = circA.height/2;
	circA.x = 580;
	circA.y = 240;	
	circA.alpha = 0.01; //shape has to be at least a little visible to have the mask effect, while shape is also touchable
	world_current.addChild(circA);

	bgLargeA.mask = circA;

	binocularsbody = new createjs.BitmapAnimation( spritesheets['8_goggles']);
	binocularsbody.gotoAndStop("off");
	binocularsbody.regX = 183;
	binocularsbody.regY = 92;
	binocularsbody.x = canvas.width/2; binocularsbody.y = canvas.height/2;
	binocularsbody.startX=binocularsbody.x;
	binocularsbody.startY=binocularsbody.y;
	world_current.addChild(binocularsbody);

	circA.x = binocularsbody.x-150;
	circA.y = binocularsbody.y-80;

	//final position of bg's based on binocular position (same positioning as ticker):
	//bgLargeA.x = canvas.width/2 - (binocularsbody.x - canvas.width/2) ;
	//bgLargeA.y = canvas.height/2 - (binocularsbody.y - canvas.height/2) ;
	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	//providing custom linewidth and font size params for this page only:
	setNarrationText(900, 28,30);


	//params: sndID, defintion words in array
	renderNarration('8_goggles', ['complex']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_8_goggles);

}

//level specific functions:

//called once this level is fully slid into place
function begin_8_goggles(){
	//**//**console.log("WORLD 1 BEGIN");
	playSound('8_goggles');
	
}

function narrDone_8_goggles(){
	drag_binoculars(binocularsbody);
	drag_binoculars(circA);

	doPulse(binocularsbody);
}

function drag_binoculars(obj){
	
	(function() {
		obj.onPress =  function(evt) {
			if(!_active) return;
			binocularsbody.gotoAndStop("on");
			//binocularsbody.scaleX = binocularsbody.scaleY = 1.02;
			
			// bump the target in front of it's siblings:
			//world_current.addChild(binocularsbody);
			
			//var offset = {x:binocularsbody.x-evt.stageX, y:binocularsbody.y-evt.stageY};
				offset = {x:binocularsbody.x-evt.stageX, y:binocularsbody.y-evt.stageY};

			evt.onMouseMove = function(ev) {				
				////**console.log("x,y: " + binocularsbody.x + " " + binocularsbody.y);

				newPos = {x:ev.stageX+offset.x, y:ev.stageY+offset.y};
								
				if( (newPos.x < 987) && (newPos.x > 40)) binocularsbody.x = newPos.x
				if( (newPos.y < 430) && (newPos.y > 80)) binocularsbody.y = newPos.y;
				//else binocularsbody.y = 430;
				circA.x = binocularsbody.x-150;
				circA.y = binocularsbody.y-80;
					
			}			
			evt.onMouseUp = function(ev){
				binocularsbody.gotoAndStop("off");
				//binocularsbody.scaleX = binocularsbody.scaleY = 1.0;
				//binocularsbody.x = binocularsbody.startX;
				//binocularsbody.y = binocularsbody.startY;						
			}
		}	
			
	})(obj);			
}


function tick_8_goggles(){
	stage.update();

	

	//temp:
	////**console.log("x: " + binocularsbody.x + " y: " + binocularsbody.y);


	//moving enlarged bg's as based on binocular position difference to canvas center
	//bgLargeA.x = canvas.width/2 - (binocularsbody.x - canvas.width/2) ;

	//bgLargeA.y = canvas.height/2 - (binocularsbody.y - canvas.height/2) ;
}



function end_8_goggles(){
	//**//**console.log('end_8_goggles');	
	offset = null;
	newPos = null;
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

