function prep_9_robot(transition){
	//**//**console.log('function: prep_9_robot');
	world_current = worlds['9_robot'];
	
	ticker_world = (function(){
		tick_9_robot();
	});
	end_world = (function(){
		end_9_robot();
	});
	narrDone = (function(){
		narrDone_9_robot();
	});

	//if game, visible = false. if storybook, visible = true
	arrowLeft.visible = true;
	arrowRight.visible = true;

	//teachertip:
	teachertipcontainer.onPage = true;
	teachertiptext.text = "Parent tip: Have your child complete his or her superhero drawing. Help write a caption explaining the character and what it can do. Label it with your child's name and title (inventor) and display it for all to see. ";

	//adding background color (shape) or image (bitmap, and white border (bitmap)
	bg = new createjs.Bitmap(images['bg_story']);
	world_current.addChild(bg);

	//** page assets:
	td_doodle = new createjs.Bitmap(images['td_doodle']);
	td_doodle.x = 60;
	td_doodle.y = 57;

	bubbleContainer = new createjs.Container();
	bubbleContainer.regX = 200;
	bubbleContainer.regY = 100;
	bubbleContainer.x=200;
	bubbleContainer.y=100;

	shape_r = new createjs.Shape();
	shape_r.graphics.beginFill("#000000").drawRect(0,0,250,200);
	shape_r.alpha = .01;
	shape_r.x = 380;
	shape_r.y = 130;

	shape_l = shape_r.clone();
	shape_l.x = 670;
	shape_l.y = 130;


	thought_bubble = new createjs.Bitmap(images['thought_bubble']);
	thought_bubble.x = 440;
	thought_bubble.y = 40;

	arm_l = new createjs.BitmapAnimation(spritesheets['9_arms']);
	arm_l.gotoAndStop('l_rest');
	arm_l.regX = 50;
	arm_l.x = 625;
	arm_l.y = 78;
	

	arm_r = new createjs.BitmapAnimation(spritesheets['9_arms']);
	arm_r.gotoAndStop('r_rest');
	arm_r.regX = 700;
	arm_r.x = 705;
	arm_r.y = 1;


	bubbleContainer.addChild(thought_bubble);
	bubbleContainer.addChild(arm_l);
	bubbleContainer.addChild(arm_r);
	bubbleContainer.addChild(shape_l);
	bubbleContainer.addChild(shape_r);


	world_current.addChild(td_doodle);
	world_current.addChild(bubbleContainer);
	//world_current.addChild(thought_bubble);
	//world_current.addChild(arm_l);
	//world_current.addChild(arm_r);

	//

	//********
	//text stuff:
	bg_wordcloud = new createjs.Bitmap(images['bg_wordcloud']);
	world_current.addChild(bg_wordcloud);

	setNarrationText();

	//params: sndID, defintion words in array
	renderNarration('9_robot', ['original']);

	setDefinitionText();
	//********

	
	//
	// passing optional callback function to be called once this world_current is fully transitioned in
	initTransitionAndLoad(transition, begin_9_robot);

}

//level specific functions:

//called once this level is fully slid into place
function begin_9_robot(){
	//**//**console.log("WORLD 1 BEGIN");	

	playSound('9_robot');
	
}

function narrDone_9_robot(){
	//addShadow(arm_l);
	//addShadow(arm_r);
	
	doPulse(bubbleContainer, true);
	doPulse(shape_l);
	doPulse(shape_r);

	shape_l.onPress = extendLeftArm;
	shape_r.onPress = extendRightArm;

}

function extendLeftArm(){
	arm_l.onPress = null;
	//num = Math.round(Math.random(0,1));
	////**console.log(num)
	////**console.log(arm_l.currentFrame)
	if(!narrActive) playSound('robot_arms');

	if(arm_l.currentFrame==0)
	{
		num=0;
		arm_l.gotoAndPlay("l_reach_no_"+num);
	}else{

		num=1;
		arm_l.gotoAndPlay("l_reach_yes_"+num);
	}
	arm_l.onAnimationEnd = resetLeftArm;
	//removeShadow(arm_l);
}

function extendRightArm(){
	arm_r.onPress = null;
	//num = Math.round(Math.random(0,1));

	if(!narrActive) playSound('robot_arms');

	if(arm_r.currentFrame==5)
	{
		num=0;
		arm_r.gotoAndPlay("r_reach_no_"+num);
	}else{
		num=1;
		arm_r.gotoAndPlay("r_reach_yes_"+num);
	}
	//arm_r.gotoAndPlay("r_reach_"+num);
	arm_r.onAnimationEnd = resetRightArm;
	//removeShadow(arm_r);
}

function resetLeftArm(){
	arm_l.onAnimationEnd = null;
	arm_l.onPress = extendLeftArm;
}

function resetRightArm(){
	arm_r.onAnimationEnd = null;
	arm_r.onPress = extendRightArm;
}


function tick_9_robot(){
	stage.update();
	
}



function end_9_robot(){
	//**//**console.log('end_9_robot');	
	
	stopSound(); //if PAWS audio in narrDone function - make sure to stop it before going to next page
	
	createjs.Ticker.removeListener(ticker_world);
}

