//"Super Inventions?" Quiz vars

//page name of quiz_end page should be set to var quiz_end
//create one additional container in worlds[] with .name contained in quiz_end
var quiz_end = 'superinventions_quiz_end';
worlds[ quiz_end ] = new createjs.Container();

//define questions and answers here 
//Questions are always text. Answers can be txt or images....
/*
//quiz_words: array that holds each word being quizzed. array elements (strings) used as keys to access questions and answers in quiz_content

//TEXT-ONLY
//quiz_content 2D array, for each inner array, indices as follows:
	0 - question text
	1 - CORRECT answer choice
	2 - WRONG answer choice
	3 - WRONG answer choice
	4 - difficulty: 'easy', 'medium' 'hard', 'rc'(for reading comp question)

*/


//testing quiz_words as 2D array: [0] holds  words being tested, [1] holds type: txt or img
var quiz_words = ['q1', 'q2', 'q3', 'q4', 'q5', 'q6', 'q7', 'q8', 'q9']; 
var quiz_content = [];

//txt questions
quiz_content['q1'] = ["When you try to do things in the same way as someone or something else, this is called...", 'copying', 'explaining', 'discovering', 'easy'];
quiz_content['q2'] = ["If someone doesn't understand an idea, what can you do to help them make sense of it in a way they understand?",'explain it', 'create it', 'copy it', 'medium'];
quiz_content['q3'] = ["What's another word for making something?", 'create', 'discover', 'copy', 'medium'];
quiz_content['q4'] = ["When an inventor finds something for the very first time, what is this called?", 'a discovery', 'an invention', 'a copy' ,'hard'];
quiz_content['q5'] = ["Two things that are like each other, but not exactly the same are...", 'similar', 'equal', 'opposite' ,'hard']
quiz_content['q6'] = ["The very first invention of something can also be called the...",'original', 'discovery', 'plan', 'hard'];
quiz_content['q7'] = ["What's another word for idea?", 'concept', 'mimic', 'copy' ,'hard']
quiz_content['q8'] = ["When something sparks a new idea in you, that means it...",'inspires you', 'tickles you', 'mimics you', 'hard'];
quiz_content['q9'] = ["What's another word for copy?", 'mimic', 'original', 'create' ,'hard']


//FOR FIRST question:
//pull a random quiz question... 
//_questionNumber will be random # to pull a random word from quiz_words
//quiz_content holds the question text and answer choices for the word in quiz_words 
quiz_doCover();
//

//for quiz only: set narrDone to nothing:
function narrDone(){}

//SOUNDS: path+filename of this storybook's multisound file (without extension)
var sndurl = 'sound/super_quiz';

/*
//functions below are called at certain points in the main storybook js (rtlstorybook.js)
1: makeSounds() -- call makeSound() and define defintions in definitionText[]
2: make_storymanifest() -- defines the differnet image files that preload.js will load 
3: story_spritesheets() -- called by main js (rtlstorybook.js)'s make_spritesheet's function to create storybook specific ss
*/

function makeSounds(){
	// all timecodes are in seconds format... converted to milliseconds at runtime (onPlay event)
	
	//quiz sfx:
	makeSound('sfx_biscuits', 130.694640, 131.668250);
	makeSound('sfx_splat', 131.946953, 133.057792);
	makeSound('sfx_pie', 133.140799, 133.950700);
	makeSound('sfx_lazer', 134.120044, 136.163205);
	makeSound('sfx_wrong', 136.726454, 138.066473);

	//question-specific audio:
	makeSound('q_q1', 0.084803, 4.927970);
	makeSound('q_q2', 5.182378, 11.457766);
	makeSound('q_q3', 12.682692, 15.810963);
	makeSound('q_q4', 16.809749, 21.483311);
	makeSound('q_q5', 22.369027, 26.872984);
	makeSound('q_q6', 27.325264, 31.347771);
	makeSound('q_q7', 32.262657, 34.693663);
	makeSound('q_q8', 35.617069, 39.899092);
	makeSound('q_q9', 40.648686, 43.098538);


	makeSound('copying', 44.813434, 45.849909);
	makeSound('explain it', 46.697935, 48.299760);
	makeSound('create', 49.034716, 49.984357);
	makeSound('a discovery', 50.278487, 51.371497);
	makeSound('similar', 51.936847, 52.657871);
	makeSound('original', 53.029858, 53.934418);
	makeSound('concept', 53.934418, 54.848887);
	makeSound('inspires you', 54.848887, 56.327735);
	makeSound('explaining', 57.722265, 58.966036);
	makeSound('create it', 59.851752, 60.850537);
	makeSound('discover', 62.113153, 63.243853);
	makeSound('an invention', 64.035344, 65.203734);
	makeSound('discovery', 65.599480, 66.461191);
	makeSound('mimic', 66.711335, 67.238913);
	makeSound('tickles you', 67.578206, 68.727751);
	makeSound('discovering', 70.122282, 71.215293);
	makeSound('copy it', 72.195233, 73.156329);
	makeSound('copy', 73.457849, 74.143700);
	makeSound('a copy', 74.701619, 75.643870);
	makeSound('opposite', 76.529585, 77.528371);
	makeSound('mimics you', 79.167887, 80.260897);
	makeSound('f_q1', 81.504668, 85.873047);
	makeSound('f_q2', 86.027470, 90.775675);
	makeSound('f_q3', 90.964863, 93.462067);
	makeSound('f_q4', 93.622009, 97.684362);
	makeSound('f_q5', 97.862137, 102.258622);
	makeSound('f_q6', 102.479164, 105.627048);
	makeSound('f_q7', 105.852421, 107.857218);
	makeSound('f_q8', 108.170357, 112.777874);
	makeSound('f_q9', 112.956990, 116.614865);
	makeSound('plan', 120.012414, 120.689113);
	makeSound('equal', 128.752098, 129.450802);
	
	//required for quiz question outocomes:
	makeSound('empty', 5.0,5.1);
	makeSound('quizmo', 120.966119, 122.195758);
	makeSound('correct_1', 122.567509, 123.754254);
	makeSound('correct_2', 123.911534, 125.225091);
	makeSound('incorrect_1', 125.482963, 126.789227);
	makeSound('incorrect_2', 127.443172, 128.752106);	
}