//"TD Reports?" Quiz vars

//page name of quiz_end page should be set to var quiz_end
//create one additional container in worlds[] with .name contained in quiz_end
var quiz_end = 'tdreports_quiz_end';
worlds[ quiz_end ] = new createjs.Container();

var questionOutcome = {}; //will hold final outcome of each quiz question (right/wrong)
var quiz_finalchoice = {}; //will equal word player has chosen for the round (to play proper final audio)

//define questions and answers here 
//Questions are always text. Answers can be txt or images....
/*
//quiz_words: array that holds each word being quizzed. array elements (strings) used as keys to access questions and answers in quiz_content

//TEXT-ONLY
//quiz_content 2D array, for each inner array, indices as follows:
	0 - question text
	1 - CORRECT answer choice
	2 - WRONG answer choice
	3 - WRONG answer choice
	4 - difficulty: 'easy', 'medium' 'hard', 'rc'(for reading comp question)
*/


//testing quiz_words as 2D array: [0] holds  words being tested, [1] holds type: txt or img
var quiz_words = ['q1', 'q2', 'q3', 'q4', 'q5', 'q6', 'q7', 'q8', 'q9']; 
var quiz_content = [];

//txt questions
quiz_content['q1'] = ["If you want to make a cake, you get ready by getting all the things you need. When you get ready you...", 'prepare', 'study', 'read', 'easy'];
quiz_content['q2'] = ["When people try to learn about something by reading, looking at things carefully, or listening to their teachers, they are...",'studying', 'testing', 'fixing', 'medium'];
quiz_content['q3'] = ["When you finish with an experiment it’s important to write about your discoveries so you can share it with other people, this is called...",'a report','a test','blibber-blubber','medium'];
quiz_content['q4'] = ["When you study something carefully in order to find out information about it, you are doing...", 'research', 'improvising', 'inventing' ,'hard'];
quiz_content['q5'] = ["When you're investigating something to resolve a problem, it's important to present facts to show that your idea is true. What are these facts called?", 'evidence', 'plans', 'ingredients' ,'hard']
quiz_content['q6'] = ["In a science project, when you want to show whether something is true or correct you want to...",'prove it', 'test it', 'fix it', 'hard'];
quiz_content['q7'] = ["If you're trying to create a new type of bubble gum, what should you gather before you begin to make it?", 'ingredients', 'quarters', 'debris' ,'hard']
quiz_content['q8'] = ["When you're making something, and you have an idea of what you'd like to make, but you don't have a clear plan, what is this kind of process called?",'improvising', 'cleaning', 'organizing', 'hard'];
quiz_content['q9'] = ["When you are explaining or describing something by showing examples, you are...", 'demonstrating', 'playing', 'planning' ,'hard'];

//FOR FIRST question:
//pull a random quiz question... 
//_questionNumber will be random # to pull a random word from quiz_words
//quiz_content holds the question text and answer choices for the word in quiz_words 
quiz_doCover();

//

//for quiz only: set narrDone to nothing:
function narrDone(){
//**console.log("NARRATION DONE")
}

//SOUNDS: path+filename of this storybook's multisound file (without extension)
var sndurl = 'sound/td_quiz';

/*
//functions below are called at certain points in the main storybook js (rtlstorybook.js)
1: makeSounds() -- call makeSound() and define defintions in definitionText[]
2: make_storymanifest() -- defines the differnet image files that preload.js will load 
3: story_spritesheets() -- called by main js (rtlstorybook.js)'s make_spritesheet's function to create storybook specific ss
*/

function makeSounds(){
	// all timecodes are in seconds format... converted to milliseconds at runtime (onPlay event)
	
	//quiz sfx:
	makeSound('sfx_biscuits', 206.257285, 207.230896);
	makeSound('sfx_splat', 207.509598, 208.620437);
	makeSound('sfx_pie', 208.703444, 209.513346);
	makeSound('sfx_lazer', 209.682689, 211.725850);
	makeSound('sfx_wrong', 212.289100, 213.629119);


	//question-specific audio:
	makeSound('q_q1', 0.743655, 6.781423);
	makeSound('q_q2', 8.321851, 14.943920);
	makeSound('q_q3', 186.010083, 194.374034);
	makeSound('q_q4', 17.139472, 22.221113);
	makeSound('q_q5', 24.328135, 32.649986);
	makeSound('q_q6', 34.544535, 39.767825);
	makeSound('q_q7', 41.449901, 46.885664);
	makeSound('q_q8', 48.585446, 56.535470);
	makeSound('q_q9', 58.217546, 62.856536);

	makeSound('studying', 66.025921, 66.840400);
	makeSound('prove it', 68.239180, 69.053659);
	makeSound('ingredients', 70.470144, 71.603332);
	makeSound('improvising', 72.931287, 74.011357);
	makeSound('demonstrating', 75.410137, 76.631855);
	makeSound('testing', 78.349344, 79.146117);
	makeSound('reading', 80.350129, 81.129196);
	makeSound('plans', 83.377866, 84.174639);
	makeSound('test it', 85.378652, 85.980658);
	makeSound('quarters', 87.432556, 88.282447);
	makeSound('cleaning', 89.433341, 90.247820);
	makeSound('playing', 91.504951, 92.230900);
	makeSound('read', 93.222439, 94.001506);
	makeSound('fixing', 95.329461, 95.984586);
	makeSound('memorizing', 97.082362, 98.162432);
	makeSound('fix it', 101.030815, 101.650527);
	makeSound('organizing', 102.872245, 103.934609);
	makeSound('planning', 105.244858, 105.988513);
	makeSound('inventing', 106.820698, 107.706002);
	makeSound('prepare', 108.856896, 109.582798);
	makeSound('study', 109.812969, 110.408581);
	makeSound('research', 111.034742, 111.816483);
	makeSound('evidence', 112.309579, 113.054094);
	makeSound('f_q1', 124.132529, 127.377908);
	makeSound('f_q2', 128.797761, 137.012625);
	makeSound('f_q4', 140.258003, 145.531743);
	makeSound('f_q5', 148.777122, 152.529590);
	makeSound('f_q6', 154.862206, 159.223183);
	makeSound('f_q7', 162.062889, 165.713940);
	makeSound('f_q8', 168.249392, 173.016041);
	makeSound('f_q9', 174.233058, 179.101126);
	makeSound('f_q3', 180.013888, 184.983374);
	makeSound('a report', 195.031201, 196.405279);
	makeSound('a test', 197.241674, 198.615752);
	makeSound('blibber-blubber', 201.244422, 202.678242);
	makeSound('debris', 203.973884, 204.913908);
	
	//required for quiz question outocomes:
	makeSound('empty', 7.4,7.5);
	makeSound('quizmo', 113.194882, 114.424521);
	makeSound('correct_1', 114.796273, 115.983018);
	makeSound('correct_2', 116.140297, 117.497456);
	makeSound('incorrect_1', 117.711726, 118.942730);
	makeSound('incorrect_2', 119.671935, 120.980870);
	makeSound('report', 120.980861, 121.762602);	
}
