//TDREPORTS SITE Preloader & Main Functions
//*** REQUIRES SPECIFIC JS FOR EACH STORYBOOK TO DEFINE SOUNDS, IMAGE ASSETS, AND SPRITESHEET OBJECTS

//for hosting on PBS servers: checking domain and adjusting filepaths accordingly
var fpath = ""; //empty by default, just to load things from same folder
var imgPath = "";//img path
var martha_base="/martha/stories/truestories/"; //base path to true stories
/*if( (document.domain).search("ernie") !== -1) fpath = "https://ernie-tc.pbskids.org/martha/stories/truestories/"
if( (document.domain).search("soup") !== -1) fpath = "https://soup-tc.pbskids.org/martha/stories/truestories/"*/

if( (document.domain).search("ernie") !== -1 || (document.domain).search("soup") !== -1)
{
	fpath = PBS.KIDS.cdn_base+martha_base;
	imgPath = PBS.KIDS.base+martha_base;
}else{
	fpath = PBS.KIDS.cdn_base+martha_base;
	imgPath = PBS.KIDS.base+martha_base;
}

//iOS devices- keep fpath as empty
if ( navigator.userAgent.match(/iPad/i) || navigator.userAgent.match(/iPhone/i) || navigator.userAgent.match(/iPod/i) ){
	//**//////**console.log('iOS device detected');
	fpath="";
}
//GLOBAL VARS:

//for preloader with preloadJS:
var manifest, manifest_length, main_preload, story_preload, main_manifest, story_manifest;

var totalLoaded; //keeps count of images loaded. once totalLoaded == manifest.length, all images have loaded

//canvas = the canvas element in html, stage = State object, world_current = only child on stage, container (that is parent of everything else)
//*since all objects are on container, you can transform container and have everything follow.
var canvas, stage;//, world_current;
//canWidth and canHeight are set (at onReady) to be the defined width and height dimensions of the canvas element in html.
//transitions and other code use these values!
var canWidth; 
var canHeight;

var loader_bgIMG, loader_boneIMG;

var edgeLEFT = new createjs.Shape();
var edgeRIGHT = new createjs.Shape();
var edgeTOP = new createjs.Shape();
var edgeBOTTOM = new createjs.Shape();

var world_current; //used to represent the c urrent world_current in level specific functions. current level set to world_current in prep functions 
var world_main, world_left, world_right; //used to represent current, prev, and next worlds for transitions
var worlds = new Array(); //holds all worlds' containers
var currentPage;


//GLOBAL:  ticker function and end function var, set to unique functions for each level	
var ticker_world, end_world; 
var _active = false; //use with interactions. return out of functions when this is false(when world is no longer current)

//left & right arrows (for navigation). navArrows is the container that should be topmost:
var arrowLeft, arrowRight, navArrows;
var allowTransition = true; //bool that switches to enable/disable navArrows


//teachertip: container holds both teachertipbox and teachertiptext. tween container via btnTip
//var teachertipcontainer, teachertipbox, teachertiptext;

var snd_active = true; //bool for sound on/off (on by default). toggled via btnSnd
var snd_activeCnt = 0; //used to track on each page whether the # of times narration_done is being called. it only calls narrDone if narration_done is called for FIRST TIME only
var narrActive = false; //bool that is set to TRUE whenever narration audio is being read, false when narration audio finishes
//definitions array will hold createjs Container objects of definition shapes and text
//reset in each page's setup

var currentSndTime;
var totalSndTime;

var text_page, text_page2;
var defHighlightText = new createjs.Text();
var definitionMask = new createjs.Shape();
var defCloseShape;
var narrationMask = new createjs.Shape();
var linebreaks = [];
var definitionBoxes = [];
var definitionText = [];
var defTextArr=[];
var defBoxArr=[];
var defHighlightArr=[];
var definitionBoxesArr=[];
var narrationMaskArr=[];
var definitionMaskArr=[];
var text_page_arr = {};
var text_page2_arr = {};
var narrationHeight = 0;
var currentSndID;
var allowDefinitions = false; //used to know when to allow click/tappable definition boxes

var glossary_active = false; //bool that should be set TRUE only when a glossary page is current page. (used for when definition audio finishes playing to trigger a new jump)

var quiz_url = {}; //empty on init. will be come string holding url to quiz page in each storybook's js code

//string that holds function name for prep function for the current world_current.
//dynamically changes before being called via makeWorldMain() for each new world_current
// function prepWorld set to -1 at start. for QUIZ: it'll change via quiz_getNewQ() to random quiz mech. for STORYBOOKS, it'll remain -1 at start, and then it'll change to prep_world0. 
var function_prepWorld = -1;

var function_onReady; //function that is called at end of world_inplace (if callback provided to initTransitionAndLoad
var narrDone; //function that is called when "narration done" event fires. (should be set to distint function per world/page)

//for mouse-over hover scaling & hit region visiblity
var hoverFactor = 1.1;
var hitAlpha = 0.01; //for all 'orb' objects attched to objects for hit regions. increase alpha for debugging

//FPS: set FPS here, used by ticker's setFPS function in init
var FPS = 60;

//transTweenMS: number of milliseconds for transition tweens
var transTweenMS = 1;

//for EACH image file to be loaded (loaded once, but can then be used multiple times)
//feed in string id to access an image:  images['i_pops']
var images = new Array(); //array to hold each Image object, fed via preloadJS

//spritesheets... (eventually make an array like images)
var spritesheets = new Array();

//new audio via SoundManager2:
var snd_multisound;
var sounds = [];
var phrases = [];
//snd_multisound will be the actual soundManager object
//sounds[tag] will be the sound definitions
//optional: phrases contains any text that goes with a sound (phrases['id'] to go with sounds['id'])

var navBtnArr = new Array();
var needHome = true;
var currentPage2=0;



soundManager.audioFormats = {
  'mp3': {
    'type': ['audio/mpeg; codecs="mp3"', 'audio/mpeg', 'audio/mp3', 'audio/MPA', 'audio/mpa-robust'],
    'required': false
  },

  'mp4': {
    'related': ['aac','m4a'], // additional formats under the MP4 container
    'type': ['audio/mp4; codecs="mp4a.40.2"', 'audio/aac', 'audio/x-m4a', 'audio/MP4A-LATM', 'audio/mpeg4-generic'],
    'required': false
  },

  'ogg': {
    'type': ['audio/ogg; codecs=vorbis'],
    'required': false
  },

  'wav': {
    'type': ['audio/wav; codecs="1"', 'audio/wav', 'audio/wave', 'audio/x-wav'],
    'required': false
  }

};

/*
//SOUND SETUP:
//preferring mp3 playback, using flash if available, html5 if not. OGG provided for firefox if no flash
**** IE NEEDS FLASH PLAYBACK OF MP3 FOR ACCURATE AUDIO TIMECODES FOR PLAYBACK WITH GOOD PEFORMANCE
**** SAFARI NEEDS FLASH PLAYBACK OF MP3 FOR LOADING ON ERNIE/SOUP
*/

soundManager.setup({	
  //waitForWindowLoad: true,
  preferFlash: true,
  useHTML5Audio: true,
  html5PollingInterval: 10,
  useHighPerformance: true,  
  flashPollingInterval:10,
  flashLoadTimeout: 0,
  flashVersion: 9, 
  url: 'js/soundmanager2/swf/', 	
  debugMode: true,
  
  onready: function() {
    //**//**console.log('SM2 ready!');
    //**console.log("SM2 ready! dType: " + dType);

    //prefixing sndurl with adjusted filepath (depending on which server content is being hosted)
    sndurl = fpath + sndurl;
    var ext = "";

	//preferring mp3 First
	if (soundManager.canPlayURL( sndurl + '.mp3' )) {
		//**//**console.log( "MP3 works.");		
		ext = ".mp3";
	}
    //For Firefox: resorting to ogg
	else if (soundManager.canPlayURL(sndurl + '.ogg' )) {
		//**//**console.log('OGG works... use it!');		
		//sndurl+= '.ogg';
		ext = ".ogg";
	}
	else{
		//**//**console.log('cannot detect any soundtype to play....will try mp3');
		ext = ".mp3";
	}
	
	sndurl+=ext;
	//**console.log('FINAL SNDURL IS:\n' + sndurl);

	//first, begin sound loading:
    createSM();
  },
  ontimeout: function() {
    //**console.log('SM2 init failed!');
    
  },
  defaultOptions: {
    // set global default volume for all sound objects
    //volume: 33
    autoLoad: false,
    autoPlay: false,
  }
 
});


function createSM(){
	//**console.log("createSM ready to load: " + sndurl);	

	snd_multisound = soundManager.createSound({
	 id: 'multisound', // required
	 url: sndurl,
	
	onbufferchange: function() {
		//**//**console.log('sound buffer state changed: ' + (this.isBuffering ? 'true' : 'false'));
		if (this.isBuffering) {	    
		  	////**console.log("SM2 sound loading begins...");
		  	////**console.log('total bytes: ' + snd_multisound.bytesTotal);
		  	//&$&$$ SHOW SPINNING LOAD IMG HERE.
		  	
		} else{	      
			//**//**console.log("SM2 sound loading DONE!");
		}
		
	},
	onload: function() {
		////**console.log('sound ' + this.id + ' has fully loaded');							
		//**SOUND LOAD DONE, BEGIN IMG ASSET LOADING
		//main_preload.loadManifest(main_manifest);
		//main_preload.load(main_manifest);

		beginImgLoading();

		

	},
	whileloading: function() {
	   		//s//**console.log(this.sID + ' loaded ' + this.bytesLoaded + ' of ' + this.bytesTotal + '(' + parseInt((this.bytesLoaded/this.bytesTotal)*100, 10) + '%)');
			//fill from 0 to max of 50% of loader_barBACK width (274)			
			//loader_barFRONT.graphics.clear();	   		
	   		loader_barFRONT.graphics.beginFill("#c14322").drawRect(662, 580, ( parseInt( (this.bytesLoaded/this.bytesTotal) * 137) ), 27);
	}

	});
}

function beginImgLoading()
{
	//**console.log("LOAD IT!!");

	//**console.log("main preload..")

	main_preload = new createjs.LoadQueue(false);
	main_preload.addEventListener("fileload",handleFileLoad);
	main_preload.addEventListener("progress",handleProgress);
	main_preload.addEventListener("complete",main_handleComplete);
	//**console.log("added events progress ----- **..")
	//main_preload.loadFile({src:'img/rtlstorybook/navArrow_seq.png', id:'navArrow'});
	main_preload.loadManifest(main_manifest);
	//**console.log("added file..")

	//**console.log("load?")
}



//makes a new array inside of sounds. index 0 = start time, index 1 = endtime. 
//optional: 
	//phrase: phrase text as single string, or array of words 
	//wordtimes: array of word-by-word timecodes
function makeSound(tag, begin, end, phrase, wordtimes){
	sounds[tag] = new Array(begin, end);	
	//////////**console.log(">>	sounds["+tag+"]: " + sounds[tag]);
	
	if(phrase)
	{
		phrases[tag] = [];
		phrases[tag][0] = phrase;
		//////////**console.log("phrases["+tag+"][0]: " + phrases[tag][0]);
	}
	if (wordtimes)
	{
		phrases[tag][1] = wordtimes;
		//////////**console.log("TIMES: phrases["+tag+"][1]: " + phrases[tag][1]);

		//lastly, convert all seconds times into milliseconds:
		for (var i=0; i< phrases[tag][1].length;i++){
			phrases[tag][1][i] *= 1000;
		}
	}
	
}

function stopSound(){
	snd_multisound.stop();
}

//if providing 'snd_callback' - function will be called on sound completion.
function playSound(tag, snd_callback){
	/*&for(var i=0; i<world_current.getNumChildren(); i++)
	{
		//////**console.log("CHILD "+i+": "+world_current.children[i].name);
	}*/
	currentSndID = tag;
	//disableDefinitions();
	////////**console.log("*^*^* playSound: " + tag);
	//////////**console.log("sound active? "+snd_active)
	//////////**console.log("begin: "+sounds[tag][0]*1000+" end: "+sounds[tag][1]*1000)
	
	//if sound is 'deactivated' don't go through with playsound, but:
	//if snd_callback function provided, do that (quiz_fade funcitions) 
	//otherwise do whatever narrDone is necessary (storybooks)
	////////**console.log("active? "+snd_active);
	if(!snd_active){
	////////**console.log("NOT ACTIVE..."+snd_callback)		
		if(snd_callback) 
		{
			snd_callback();
			//////**console.log(snd_callback())
		}
		else 
			{
				////**console.log("narration done defined: "+narration_done)
				narration_done();
			}		

		return; 
	} 

	////////**console.log("play sound.. snd Active: "+snd_active)
	
	var sndIterator = 0;

	snd_multisound.stop()

	////////**console.log("from: "+sounds[tag][0]*1000+" to: "+sounds[tag][1] * 1000);
	totalSndTime = sounds[tag][1]*1000;
	currentSndTime = sounds[tag][0]*1000;
	snd_multisound.play({
    from: (sounds[tag][0] * 1000),
    to: (sounds[tag][1] * 1000),
    onplay: function(){
    	btnNarration.visible=false;
    	////////**console.log("sounds['" + tag + "'] begun at " + this.position);
		
    	//if this is NARRATION audio-- fire a event for "narration begun"
    	if(phrases[tag])
    	{
			narration_begins(phrases[tag][0]);
    	}
    },

	whileplaying: function(){
		currentSndTime = this.position;
		//////////**console.log("sounds['" + tag + "'] reached " + this.position);	
		//////////**console.log(phrases[tag])	
		if(!phrases[tag]) return;
		//only if a word-by-word timecodes array exist for this phrase
		if(phrases[tag][1])
		{

			var posMAX = phrases[tag][1][sndIterator];// + 50;
			//////////**console.log('posMAX: ' +posMAX);
			if (this.position > posMAX)
			{
				////////**console.log('word '+ sndIterator + ': ' + phrases[tag][0][sndIterator]);
				
				narration_newWord(tag, sndIterator);
				sndIterator++;
			}

		}
	},

    onstop: function() {
    	currentSndTime = this.position;
		//////////**console.log("sounds['" + tag + "'] stopped at " + this.position);
      	//if snd_callback function provided, it will run after sound finishes
      	if(snd_callback){
      		////////**console.log("callback function")
      		snd_callback();
      		return;
      	}
    	//if this is narration (or quiz question) audio-- fire a event upon completion
    	if(phrases[tag] || (tag.search("q_") != -1))
    	{
    		//////////**console.log('*&*&*&*&*soundStop calling narration_done()');
    		////**console.log(sounds[tag][1]*100 +" vs "+this.position)
    		narration_done();
    	}
		
		if(glossary_active){
			if( (tag.search("def_") != -1) || (tag.search("defONLY_") != -1) ) {
			   //**//**console.log("glossary defintion audio has ended");
			   //implementing setTimeout to have slight time delay before resetting glossary			   
			   //only resetting glossary w/ new word if sound is active. if snd muted, user taps word bone/cloud to advance
			   if(snd_active) setTimeout(resetGlossary, 1000);
			} 			
		}

    }
  });
}


//used to play sounds simply from provided start time to end time. no narration/definition checks, etc.
//**used for playing audio on first pages 0_cover.
function playFromTo(nFrom, nTo, snd_callback) {
	if(!snd_active) return;

	////**////////**console.log("play from to: " + nFrom +", " + nTo);
	snd_multisound.stop(); // optional: stop before re-starting sound (covers overlapping play attempts)
	
	snd_multisound.play({
	from: nFrom,
	to: nTo,
		onstop: function() {
			if(snd_callback) snd_callback();
		  //**////////**console.log('snd_multisound stopped at position ' + this.position);
		  // note that the "to" target may be over-shot by 200+ msec, depending on polling and other factors.
		}
	});
}



//*********END OF SOUND LOADING, ONTO CREATEJS/CANVAS GFX

//Preload sounds: must be initiated by user action (tap a button or splash screen)
function doTheLoad(){
	//**////////**console.log("DOTHELOAD");
	//loadingText.innerHTML = "Loading..."; //"doTheLoad: " + soundOutcome;

	//if STORYBOOK: pagenames exists
	//if QUIZ: pagenames is set to false in quiz .js file
	
	//pagenames is created & defined in the storybook's specific js file
	if(pagenames){
		//**////////**console.log("STORYBOOK: pagenames:\n" + pagenames);
		//create a container for each world_current/scene/page:
		for (var i = 0; i < pagenames.length; i++){
			worlds[ pagenames[i] ] = new createjs.Container();
		}
	} 

	else{
		//**////////**console.log("QUIZ: quizMechs[0]:\n" + quizMechs[0]);
		for (var i = 0; i < quizMechs[0].length; i++){
			worlds[ quizMechs[0][i] ] = new createjs.Container();
		}

	}

	makeSounds(); //function defined for each unique storybook
	

	main_manifest = [
		//wrapper (COMMON FOR ALL STORYBOOKS. uses same assets across storybooks:
		{src:imgPath+"img/rtlstorybook/navArrow_seq.png", id:"navArrow"},
		{src:imgPath+"img/rtlstorybook/btn_quiz.png", id:"navArrow_game"},
		{src:imgPath+"img/rtlstorybook/btn_quiz_over.png", id:"navArrow_game_over"},
		{src:imgPath+"img/rtlstorybook/btn_wordbones.png",id:"arrow_bone"},
		{src:imgPath+"img/rtlstorybook/btn_wordbones_over.png",id:"arrow_bone_over"},
		{src:imgPath+"img/rtlstorybook/frame.png", id:"whiteborder"},
		{src:imgPath+"img/rtlstorybook/frame_topleft.png",id:"leftborder"},
		//TDREPORTS site uses 2btn right bg
		{src:imgPath+"img/rtlstorybook/frame_topright2.png",id:"rightborder"},
		{src:imgPath+"img/rtlstorybook/frame_arrowbg.png",id:"arrowbg"},
		{src:imgPath+"img/rtlstorybook/frame_arrowbg_big.png",id:"arrowbg_big"},
		{src:imgPath+"img/site/btn-pbskids-boy.png", id:"but-pbskids"},

		{src:imgPath+"img/rtlstorybook/defbox.png", id:"defRect"},

		{src:imgPath+"img/rtlstorybook/textbox_story.png", id:"bg_wordcloud"},
		{src:imgPath+"img/rtlstorybook/tipbox.png", id:"teachertipbox"},
		{src:imgPath+"img/rtlstorybook/btn_close.png", id:"closeX"},
		{src:imgPath+"img/rtlstorybook/btn_close_over.png", id:"closeXOver"},
		{src:imgPath+"img/rtlstorybook/btn_tip.png", id:"but-tip"},
		{src:imgPath+"img/rtlstorybook/btn_tip_over.png", id:"but-tip-over"},
		{src:imgPath+"img/rtlstorybook/btn_snd.png", id:"but-snd"},
		{src:imgPath+"img/rtlstorybook/btn_snd_over.png", id:"but-snd-over"},
		{src:imgPath+"img/rtlstorybook/btn_nosnd.png", id:"but-nosnd"},
		{src:imgPath+"img/rtlstorybook/btn_nosnd_over.png", id:"but-nosnd-over"},
		{src:imgPath+"img/rtlstorybook/btn_home.png", id:"but-home"},
		{src:imgPath+"img/rtlstorybook/btn_home_over.png", id:"but-home-over"},

		{src:imgPath+"img/rtlstorybook/btn_replay.png", id:"but-replay"},
		{src:imgPath+"img/rtlstorybook/btn_replay_over.png", id:"but-replay-over"},

		{src:imgPath+"img/tdsite/nav.png", id:"btn-nav"},
		{src:imgPath+"img/tdsite/topnav.png", id:"title-nav"},
		{src:imgPath+"img/tdsite/word_bones_td.png", id:"word_bones"}
	];
	
	make_storymanifest(); //function defined for each unique storybook to load unique assets
	
	//make canvas ontop of coverImg
	document.getElementById('coverImg').style.zIndex = -2;	
	document.getElementById('gameCanvas').style.zIndex = 100;

	
	//setting canvas element on html page to canvas var, referenced by createJS content code
	canvas = document.getElementById("gameCanvas");
	stage = new createjs.Stage(canvas);
		
	//to get onMouseOver & onMouseOut events
	stage.enableMouseOver();
	
	//enable touch interactions if supported on the current device:
	//params: single touch only (true), allow scroll/zoom gestures (false)
	createjs.Touch.enable(stage, true, false);

	//fully load loading/progress anim assets first. only then begin preload process
	loader_bgIMG = new Image();
	loader_bgIMG.src = 'img/rtlstorybook/loader_bg.png';
	loader_bgIMG.crossOrigin = "anonymous";
	
	loader_bgIMG.onLoad = function(){
		////**console.log('loader_bg loaded');
		loader_boneIMG = new Image();
		loader_boneIMG.src = 'img/rtlstorybook/loader_bone.png';
		loader_boneIMG.crossOrigin = "anonymous";
		loader_boneIMG.onLoad = loaderOnStage();
	}();	
}

//begin loading..
function loaderOnStage(){
	loader_bg = new createjs.Bitmap(loader_bgIMG);
	loader_bg.regX = 313/2;
	loader_bg.regY = 161/2;
	loader_bg.x = 800; loader_bg.y = 550;
		
	loader_bone = new createjs.Bitmap(loader_boneIMG);
	loader_bone.regX = 111/2;
	loader_bone.regY = 36/2;
	loader_bone.x = loader_bg.x; loader_bone.y = loader_bg.y - 26;	

	stage.addChild(loader_bg);
	stage.addChild(loader_bone);
	
	createjs.Ticker.addListener(bonespin);
	stage.update();
	
	init_preload();	
}

function init_preload() {
	////**console.log("INIT PRELOAD");					
	loader_barBACK = new createjs.Shape();		
	loader_barBACK.graphics.beginFill("#cccccc").drawRect(662,580,274,27);

	//initial width of loader_barFRONT: 0, fills up to 0-50% for sound loading, then 50-100% for img loading
	loader_barFRONT = new createjs.Shape();		
	loader_barFRONT.graphics.beginFill("#c14322").drawRect(662,580,0,27);

	stage.addChild(loader_barBACK);
	stage.addChild(loader_barFRONT);
	//re-add loader_bg and loader_bone ontop
	stage.addChild(loader_bg);
	stage.addChild(loader_bone);

    //**//**console.log('main_manifest: \n' + main_manifest );
    //**//**console.log('story_manifest: \n' + story_manifest );
	
	manifest_length = main_manifest.length + story_manifest.length;            
    //manifest = main_manifest + story_manifest;
    
    ////**console.log('manifest_length: ' + manifest_length);
	//**//**console.log(manifest);            
	//manifest should be created by now		
	images = images || {};
	totalLoaded = 0;
	
	//main_preload = new createjs.LoadQueue(false);
	

   // main_preload = new createjs.PreloadJS(false);
   // main_preload.onProgress = handleProgress;
    //main_preload.onLoadComplete = handleLoadComplete;
    //main_preload.onFileLoad = handleFileLoad;
   // main_preload.onComplete = main_handleComplete;	
    
    //**beginning sound load.. on complete, image load
    
    //for android (offline via Firefox)
	//soundManager.load('multisound');
	
	//for iOS and Android to work:
	soundManager.play('multisound');
	soundManager.pause('multisound');
	//

}


function bonespin(){
	loader_bone.rotation+=15;
	stage.update();
}

function handleProgress(event) {
    //**////////**console.log('loading image ' + (totalLoaded +1) + ' out of ' + manifest_length);
}

function handleFileLoad(o) {
    //Storing all loaded images assets in single array to call them easily.
    //if (o.type == "image") {
    //**console.log("handle file load")
    //**console.log("WHAT IS FILE... "+o.item.type);
    //**console.log("WHAT IS PATH.. "+o.item.src);
    if (o.item.type == createjs.LoadQueue.IMAGE) {
            images[o.item.id] = o.result;
            
            images.push(o.result);
            images[images.length-1].id = o.item.id;

            ////**console.log("file loaded: " + o.result.src);
            
            totalLoaded++;

            //**console.log("Loading... " + Math.round( (totalLoaded / manifest_length) * 100) + "%\n" + o.item.id);           
           	//here.. clear loader_barFRONT, make it fill more from 50% to 100% width of 274
			//loader_barFRONT.graphics.clear();	   		
	   		loader_barFRONT.graphics.beginFill("#c14322").drawRect(662, 580, (137 + parseInt((totalLoaded / manifest_length)*137) ), 27);

        }
}

//main_manifest loaded... load story_manifest
function main_handleComplete(event) {
			
           /* story_preload = new createjs.PreloadJS(false);
            story_preload.onProgress = handleProgress;
            //story_preload.onLoadComplete = handleLoadComplete;
            story_preload.onFileLoad = handleFileLoad;
            story_preload.onComplete = story_handleComplete;*/
            //**console.log("*****[[[[			story preload...");
            story_preload = new createjs.LoadQueue(false);
            story_preload.addEventListener("fileload",handleFileLoad);
            story_preload.addEventListener("complete",story_handleComplete);
            

            story_preload.loadManifest(story_manifest);

}


  //once ALL images loaded...
function story_handleComplete(event) {
    
    ////**console.log('ALL images loaded...');
	//remove loader bar assets, spinning bone ticker
	createjs.Ticker.removeListener(bonespin);
    stage.removeChild(loader_bone);
    stage.removeChild(loader_bg);
    stage.removeChild(loader_barBACK);
    stage.removeChild(loader_barFRONT);
    loader_bone = null;
    loader_bg = null;
    loader_barBACK = null;
    loader_barFRONT = null;
	
	document.getElementById('loadingFrame').style.display = 'none';
	document.getElementById('loadingFrameTopLeft').style.display = 'none';
	document.getElementById('loadingFrameTopRight').style.display = 'none';
	document.getElementById('loadingFramePBSLogo').style.display = 'none';
	document.getElementById('loadingFrameHome').style.display = 'none';


	make_spritesheets();
}

//****creating reusable spritesheet objects in spritesheets[] using images in images[]
//**for each SS in spritesheets[]... store each frame's width and heigth as attributes .fWidth and .fHeight
function make_spritesheets(){
	document.getElementById('canvas_parent').removeChild(coverImg);
	document.getElementById('canvas_parent').removeChild(startBtn);

	//for nav:
	spritesheets['btn-nav'] = new createjs.SpriteSheet({
		"images": [images['btn-nav']],
    	"frames": [[0, 0, 117, 81, 0, -4, -5], [117, 0, 117, 81, 0, -4, -5], [0, 134, 152, 51, 0, -2, -15], [240, 81, 152, 51, 0, -2, -15], [120, 81, 120, 53, 0, -2, -8], [0, 81, 120, 53, 0, -2, -8], [372, 0, 138, 70, 0, -6, -4], [234, 0, 138, 70, 0, -6, -4]],
    "animations": {"timeline_off": {"frames": [4]}, "gum_off": {"frames": [6]}, "curtisadams_off": {"frames": [0]}, "funfacts_on": {"frames": [2]}, "curtisadams_on": {"frames": [1]}, "gum_on": {"frames": [7]}, "timeline_on": {"frames": [5]}, "funfacts_off": {"frames": [3]}}
	});

	spritesheets['navArrow'] = new createjs.SpriteSheet({
		"frames": [[0, 0, 128, 128, 0, 128, 0], [128, 0, 128, 128, 0, 128, 0]], 
		"animations": {}, 
		"images": [images['navArrow']]
	});

	spritesheets["word_bones"]  = new createjs.SpriteSheet({
        images: [images['word_bones']],
        frames: {width:181, height:53},
        animations: {
            off:[0],
            on:[1]
        }
     });


	story_spritesheets(); //function defined for each unique storybook

	//
	
	createjs.Ticker.useRAF = true;
	createjs.Ticker.setFPS(FPS);


	//
	makeNavArrows();
	//function_prepWorld = "prep_5_cover";
	//makeWorldMain('none');
}

//establishing persistent left/right arrows, in container ABOVE all else
//also establishing persistent pagination dots in their own container ABOVE all else
function makeNavArrows(){
	currentPage = 0;
	//////////**console.log("url: "+window.location.hash)

	//find current page to start with (by looking at hash tag in url)
	var currentHash = window.location.hash;
	switch(currentHash)
	{
		case "#curtisadams":
		currentPage=0;
		break;

		case "#funfacts":
		currentPage=1;
		break;

		case "#timeline":
		currentPage=2;
		break;

		case "#gum":
		currentPage=3;
		break;

		case "#home":
		currentPage=4;
		break;

		default:
		currentPage=4;
		window.location.hash = "#home";
		break;
	}

	//navArrows = new createjs.Container();
	navOnly = new createjs.Container();
	
	whiteborder = new createjs.Bitmap(images['whiteborder']);

	//rightborder image has reg point be its top right, so any sized image can be used, and it can scale...
	rightborder = new createjs.Bitmap(images['rightborder']);
	rightborder.regX = rightborder.image.width;
	rightborder.regY = 0;
	rightborder.x=canvas.width - 20;

	//leftborder image has top-left reg point.
	leftborder = new createjs.Bitmap(images['leftborder']);
	leftborder.x=10;
	leftborder.y=rightborder.y=13;

	pbskidslogo = new createjs.Bitmap(images['but-pbskids']);
	pbskidslogo.scaleX = pbskidslogo.scaleY = 0.9;
	pbskidslogo.x = 20; pbskidslogo.y = 12;
	pbskidslogo.onPress = pbskidslogoPressed;

	topleftBG = new createjs.Bitmap(images['topleft_bg']);
	topleftBG.x=20; topleftBG.y=15;

	toprightBG = new createjs.Bitmap(images['topright_bg']);
	toprightBG.x=875; toprightBG.y=15;

	/*btnTip = new createjs.Bitmap(images['but-tip']);
	btnTip.x = 850; btnTip.y = 20;
	btnTip.onPress = teachertipPressed;*/

	btnSnd = new createjs.Bitmap(images['but-snd']);
	btnSnd.x = 900; btnSnd.y = 20;
	btnSnd.onPress = sndPressed;

	btnSndOver = new createjs.Bitmap(images['but-snd-over']);
	//btnSndOver.regX = btnSndOver.image.width;
	//btnSndOver.regY = 0;
	btnSndOver.x = btnSnd.x;
	btnSndOver.y = btnSnd.y;
	btnSndOver.visible = false;
	btnSndOver.onPress = sndPressed;


	//btnNoSnd has top-right reg point
	btnNoSnd = new createjs.Bitmap(images['but-nosnd']);
	//btnNoSnd.regX = btnNoSnd.image.width;
	//btnNoSnd.regY = 0;
	btnNoSnd.x = btnSnd.x; btnNoSnd.y = btnSnd.y;
	btnNoSnd.visible = false;
	btnNoSnd.onPress = sndPressed;	

	btnNoSndOver = new createjs.Bitmap(images['but-nosnd-over']);
	//btnNoSndOver.regX = btnNoSndOver.image.width;
	//btnNoSndOver.regY = 0;
	btnNoSndOver.x = btnNoSnd.x; btnNoSndOver.y = btnSnd.y;
	btnNoSndOver.visible = false;
	btnNoSndOver.onPress = sndPressed;	

	btnHome = new createjs.Bitmap(images['but-home']);
	btnHome.x = 950; btnHome.y = 20;
	btnHome.onPress = homePressed;

	btnHomeOver = new createjs.Bitmap(images['but-home-over']);
	//btnHomeOver.regX = btnHomeOver.image.width;
	//btnHomeOver.regY = 0;
	btnHomeOver.x = btnHome.x;
	btnHomeOver.y = btnHome.y;
	btnHomeOver.visible = false;
	btnHomeOver.onPress = homePressed;

	btnNarration = new createjs.Bitmap(images['but-replay']);
	btnNarration.x = 920; btnNarration.y = 586;
	btnNarration.onPress = btnNarrationPressed;

	btnNarrationOver = new createjs.Bitmap(images['but-replay-over']);
	btnNarrationOver.x = 920; btnNarrationOver.y = 586;
	btnNarrationOver.visible = false;
	btnNarrationOver.onPress = btnNarrationPressed;


	//TD's REPORT home button
	titleNav = new createjs.Bitmap( images['title-nav'] );
	//if(currentPage==4) titleNav.gotoAndStop("on"); else titleNav.gotoAndStop("off");
	titleNav.x=50;titleNav.y=25;
	titleNav.name="home";
	titleNav.num=4;
	titleNav.onPress = goPage;

	//oval hit area for TD's REPORT home button
	titleNavHit = new createjs.Shape();
	titleNavHit.graphics.beginFill("0x00ff00").drawEllipse(10,15,170,140);
	titleNavHit.alpha = .01;
	titleNavHit.x = titleNav.x;
	titleNavHit.y = titleNav.y;
	titleNavHit.name="home";
	titleNavHit.num=4;
	titleNavHit.onPress = goPage;

	titleNavHit.onMouseOver = function(e){
		document.body.style.cursor='pointer';
	}
	titleNavHit.onMouseOut = function(e){
		document.body.style.cursor='default';
	}

	wordboneBtn = new createjs.BitmapAnimation(spritesheets['word_bones']);
	wordboneBtn.regX = 90.5;
	wordboneBtn.x=910;
	wordboneBtn.y=100;
	wordboneBtn.scaleX=wordboneBtn.scaleY=.9;
	wordboneBtn.name="glossary";
	wordboneBtn.onPress=goPage;
	wordboneBtn.num=6;
	wordboneBtn.gotoAndStop("off");
	wordboneBtn.onMouseOver = function(){
		wordboneBtn.gotoAndStop("on");
		document.body.style.cursor='pointer';
	};

	wordboneBtn.onMouseOut = function(){
		wordboneBtn.gotoAndStop("off");
		document.body.style.cursor='default';
	};

	//arrows
	arrowGameBG = new createjs.Bitmap(images['arrowbg_big']);
	arrowGameBG.x=900;
	arrowGameBG.y=262;
	arrowGameBG.visible=false;

	arrowGame = new createjs.Bitmap(images['navArrow_game']);
	arrowGame.x = 913;
	arrowGame.y = 292;
	arrowGame.visible = false;

	arrowGameOver = new createjs.Bitmap(images['navArrow_game_over']);
	arrowGameOver.x = arrowGame.x;
	arrowGameOver.y = arrowGame.y;
	arrowGameOver.visible = false;

	arrowbgLeft = new createjs.Bitmap(images['arrowbg']);
	arrowbgLeft.regX=43;
	arrowbgLeft.scaleX=-1;
	arrowbgLeft.x=60;
	arrowbgLeft.y=265;
	arrowbgLeft.visible=false;

	arrowLeft = new createjs.BitmapAnimation(spritesheets['navArrow']);
	arrowLeft.x = 142;
	arrowLeft.y = 292
	arrowLeft.num=4;
	arrowLeft.name="home";
	arrowLeft.gotoAndStop(0);
	arrowLeft.visible=false;

	arrowGame.onPress = gotoQuiz;
	arrowLeft.onPress = goPage;

	//titleNav.x=50; titleNav.y=25;

	makeNavButton("Curtis & Adams","curtisadams",0,240,55,160);
	makeNavButton("Fun Facts","funfacts",1,380,55,160);
	makeNavButton("Timeline","timeline",2,540,58,160);
	///makeNavButton("Poll","poll",3,660,100,160);
	makeNavButton("How Gum is Made","gum",3,670,65,160);//830,100,160
	
	var edgeColor = $('body').css('background-color');
	edgeLEFT.graphics.beginFill(edgeColor).drawRect(0,0,20,canHeight);
	edgeRIGHT.graphics.beginFill(edgeColor).drawRect(canWidth-20,0,20,canHeight);
	edgeTOP.graphics.beginFill(edgeColor).drawRect(0,0,canWidth,20);
	edgeBOTTOM.graphics.beginFill(edgeColor).drawRect(0,canHeight-20,canWidth,20);


	//stage.addChild(teachertipcontainer);
	
	stage.addChild(edgeLEFT);
	stage.addChild(edgeRIGHT);
	stage.addChild(edgeTOP);
	stage.addChild(edgeBOTTOM);

	navOnly.addChild(titleNav);
	navOnly.addChild(titleNavHit);
	navOnly.addChild(wordboneBtn);

	stage.addChild(whiteborder);
	stage.addChild(leftborder);
	stage.addChild(rightborder);

	stage.addChild(topleftBG);
	stage.addChild(toprightBG);
	stage.addChild(pbskidslogo);
	//stage.addChild(btnTip);
	stage.addChild(btnSnd);
	stage.addChild(btnHome);

	stage.addChild(btnNarration);
	stage.addChild(btnNarrationOver);

	/*stage.addChild(btn1Shape);
	stage.addChild(btn2Shape);
	stage.addChild(btn1);
	stage.addChild(btn2);*/
	/*stage.addChild(arrowLeft);
	stage.addChild(arrowRight);
	stage.addChild(arrowGame);*/
	//stage.addChild(teachertipcontainer);
	
	stage.addChild(navOnly);
	stage.addChild(arrowbgLeft);
	stage.addChild(arrowLeft);
	stage.addChild(arrowGameBG);
	stage.addChild(arrowGame);
	stage.addChild(arrowGameOver);

	setupOvers();	
	//

	//pg1 word highlighting misalignment- this happens because custom ttf font is being referenced first time in acutal use case. You can see it switching from default font to custom on pg 1 sometimes....
	//to fix: adding and rendering one instance of page text RIGHT AWAY using the same font + style as page text... so the font file is not being used first time on an actual story page:
	testText = new createjs.Text("Hello World!", "30px Nunito", "black");
	testText.x = 300; testText.y = 200;
	testText.textAlign = "left";
	testText.textBaseline = "middle";
	testText.lineWidth = 880; //default	
	testText.lineHeight = 36; //default
	stage.addChild(testText);

	if(needHome)
	{
		needHome=false;
		navOnly.visible=false;
		currentPage2 = currentPage;
		currentPage=5;

	}
	if(function_prepWorld == -1){
		
		function_prepWorld = "prep_" + pagenames[currentPage];		
	}

/*********
	//TEMP show/hide
	//temp: keyPress eventListener to show/hide UI elements:
	UIelements = [
		//leftborder,
		rightborder,
		//pbskidslogo,
		btnNarration,
		//btnTip,
		btnHome,
		btnSnd,
		btnNoSnd,
		arrowLeft,
		arrowRight,
		arrowbgLeft,
		//arrowbgRight,
		//arrowBone,
		arrowGame,
		arrowGameBG
	];
	UIcurrent = [];

	$(document).keypress(function(event){
    	////////**console.log(String.fromCharCode(event.which)); 
    	if(String.fromCharCode(event.which) == 'x'){    		
    		if(UIcurrent.length>0) return;
    		UIcurrent = [];
    		for(var i=0;i<UIelements.length;i++){
    			if(UIelements[i].visible){
    				UIelements[i].visible = false;	
    				UIcurrent.push(UIelements[i]);

    			} 
    		}
    	}
    	if(String.fromCharCode(event.which) == 'z'){    		
    		for(var i=0;i<UIcurrent.length;i++){
    			UIcurrent[i].visible = true;
    		}
			UIcurrent = [];
    	}

 	});
***********/
	makeWorldMain('none');

}

//hide the cover page after title audio
function hideCoverPage()
{
	//////**console.log("hide cover")
	navOnly.visible=true;
	currentPage = currentPage2;
	function_prepWorld = "prep_" + pagenames[currentPage];	
	makeWorldMain('none');
}

//make nav button
function makeNavButton(txt,varName,num,xpos,ypos,txtWidth)
{
	var btn = new createjs.BitmapAnimation(spritesheets['btn-nav']);
	btn.x = xpos, btn.y=ypos;
	btn.name = varName;
	btn.num = num;

	if(currentPage == num)
	{
		btn.gotoAndStop(varName+"_on");
	}else{
		btn.gotoAndStop(varName+"_off");
	}
	btn.onPress = goPage;
	navBtnArr[num] = btn;
	navOnly.addChild(btn);

	btn.onMouseOver = function(e){
		document.body.style.cursor='pointer';
	}
	btn.onMouseOut = function(e){
		document.body.style.cursor='default';
	}
}


//NOW make world_main... uses the dynamically created function_prepWorld string
function makeWorldMain(transition){
	//////////**console.log("MAKE THE WORLD!");
	//prep_0_cover('none');

	// Since its name is being dynamically generated, always ensure your function actually exists
	if (typeof(window[function_prepWorld]) === "function")
	{
		window[function_prepWorld](transition);
	}
	else
	{
		throw("Error.  Function " + function_prepWorld + " does not exist.");
	}		
	
}

function pbskidslogoPressed(e){
	window.location.href = '/';
}

function homePressed(e){
	//**////////**console.log('Go to RTL Stories homepage');
	window.location.href = 'index.html';
}

function sndPressed(e){
	snd_active = !snd_active;

	if(snd_active){
		
		btnNoSnd.visible = false;	
		btnNoSndOver.visible = false;	

		
		if(glossary_active){
			////**////////**console.log('snd reactivated in glossary... replay def audio')
			glossary_define();
			return;
		}
		

	function_onReady();
	disableDefinitions();

	}
	//if sound deactivated: different paths for quiz vs storybook
	else{
		btnNoSnd.visible = true;

		btnNarration.visible = false;
		btnNarrationOver.visible = false;

		stopSound();
		//only if its a quiz-- still trigger narrDone -->fading of answer choices:
		if(!pagenames){
			//**////////**console.log("sound OFF for quiz...");
			narrDone();			
		}
		//else -- it's a storybook
		else{
		////**console.log("SND PRESSED... narrDone")	
			enableDefinitions();
			if(pagenames[currentPage]=="2_timeline" || pagenames[currentPage]=="1_funfacts" || pagenames[currentPage]=="0_curtisadams") narrDone();			
		}
	} 
}

function btnNarrationPressed(e){
	////////**console.log("replay");

	btnNarrationOver.visible = false;
	hideDefinition();
	function_onReady();
	disableDefinitions();	
}

/*function teachertipPressed(e){
	if(!_active || !teachertipcontainer.onPage) return;

	createjs.Tween.removeTweens(teachertipcontainer);
	if(e.target == teachertipcontainer) teachertipcontainer.active = true;

	var moveTo;
	if (teachertipcontainer.active) moveTo = teachertipcontainer.offY;
	else moveTo = teachertipcontainer.onY;

	teachertipcontainer.active = !teachertipcontainer.active;
	
	createjs.Tween.get(teachertipcontainer, {loop:false})
     .to({y: moveTo }, 500, createjs.Ease.linear);

     hideDefinition();
}*/

//***************
//TRANSITION & LEVEL LOADING FUNCTIONS:

//called via arrowRight, or by certain in-level conditions... always calls end_world#() before prepping next lvel and beginning transition
function goPage(e){
	////**console.log(e.target.name);
	if (!allowTransition || currentPage==e.target.num ) return;
	window.location.hash = e.target.name;

	arrowLeft.gotoAndStop(1);

	e.onMouseUp = function(ev){
		navOnly.visible=true;
		//**////////**console.log('arrowRight released');
		arrowLeft.gotoAndStop(0);
		_active = false;
		//**////////**console.log("**.** _active is " + _active);

		////**console.log('goPage')
		stopSound();

		//before beginning transition & calling world_current's end_world fuction, cache the current world_current so it transitions smoothly
		//world_current.cache(0,0,canvas.width,canvas.height);

		narrationMask.x = -300;
		definitionMask.x = -300;
		btnNarration.visible = false;	
		btnNarrationOver.visible = false;	

		arrowLeft.visible = false;
		arrowbgLeft.visible = false;
		arrowGame.visible = false;
		arrowGameBG.visible = false;

		end_world();

		// TD REPORTS: need to remove previous page's world Container and all its elements from stage before bringing up new world
		stage.removeChild(world_main);
		world_main.removeAllChildren();
		

		currentPage=e.target.num;
		//**console.log("num "+currentPage+": "+pagenames[currentPage]);
		//titleNav.gotoAndStop("off");
		for(var i=0; i<navBtnArr.length; i++)
		{
			if(currentPage==navBtnArr[i].num)
			{
				navBtnArr[i].gotoAndStop(navBtnArr[i].name+"_on");
			}else{
				navBtnArr[i].gotoAndStop(navBtnArr[i].name+"_off");
			}
		}
		
		function_prepWorld = "prep_" + pagenames[currentPage];
		makeWorldMain('none');

	
	}
}


//quiz-specific:
//goForward / goBackward functions.-- cannot call mouseUP calls via setTimeout)
function quizQ_fadein_left(){
	var choice, wordchoice;
	switch(posLEFT){
		case choice1.x: choice = choice1; wordchoice = wordchoice1; break;
		case choice2.x: choice = choice2; wordchoice = wordchoice2; break;
		case choice3.x: choice = choice3; wordchoice = wordchoice3; break;
	}

	fade_in(choice, 400);
	
	if(qType=='txt') playSound(wordchoice, quizQ_fadein_mid);
	else quizQ_fadein_mid();
}
function quizQ_fadein_mid(){
	var choice, wordchoice;
	switch(posMID){
		case choice1.x: choice = choice1; wordchoice = wordchoice1; break;
		case choice2.x: choice = choice2; wordchoice = wordchoice2; break;
		case choice3.x: choice = choice3; wordchoice = wordchoice3; break;
	}

	fade_in(choice, 400);

	if(qType=='txt') playSound(wordchoice, quizQ_fadein_right);
	else quizQ_fadein_right();
}
function quizQ_fadein_right(){
	var choice, wordchoice;
	switch(posRIGHT){
		case choice1.x: choice = choice1; wordchoice = wordchoice1; break;
		case choice2.x: choice = choice2; wordchoice = wordchoice2; break;
		case choice3.x: choice = choice3; wordchoice = wordchoice3; break;
	}

	fade_in(choice, 400, quizQ_fadesDone);
	if(qType=='txt')playSound(wordchoice);
}

function quiz_wiggleAll(){
	quiz_wiggleChoice(choice1);
	quiz_wiggleChoice(choice2);
	quiz_wiggleChoice(choice3);
}

function quiz_wiggleChoice(choice){
	var wiggleMS = 40;

	createjs.Tween.get(choice, {loop:false})
     .to({rotation:-25}, wiggleMS, createjs.Ease.linear)
     .call(function(){

		createjs.Tween.get(choice, {loop:false})
	     .to({rotation:0, scaleX: 1.2, scaleY: 1.2}, wiggleMS, createjs.Ease.linear)
	     .call(function(){

			createjs.Tween.get(choice, {loop:false})
		     .to({rotation:25, scaleX: 1.0, scaleY: 1.0}, wiggleMS, createjs.Ease.linear)
		     .call(function(){

				createjs.Tween.get(choice, {loop:false})
			     .to({rotation:0}, wiggleMS, createjs.Ease.linear);
			     //.call(returnCan);
		     });

	     });

     });
}

function quizQ_finalAudio(){
	//**////////**console.log('quizQ_finalAudio...')
	//if sound is OFF - go onto next question after time delay
	if(!snd_active){
		//quizQ_ontoNext();
		setTimeout('quizQ_ontoNext()', 1500);
		return;
	}
	
	playSound('f_' + qWord, quizQ_ontoNext);
}

function quizQ_ontoNext(){
	//correct:	
	if(questionOutcome.search("incorrect") == -1){
		//remove current quiz word from remaining list:
		quiz_words[0].remove(_questionNumber);
		quiz_words[1].remove(_questionNumber);

			//check if all words solved successfully. if so, go to quiz end.
			if(quiz_words[0].length == 0){
				setTimeout('quiz_goToEnd()', 1000);
				return;
			}
			//otherwise move onto next page
			setTimeout('quiz_getNewQ(true)', 1000);
	}

	//wrong:	
	else{
		setTimeout('quiz_getNewQ(true)', 750);
	}

}

/*
//pulls random quiz word, answer type (txt/img), and question text
//_questionNumber will be random # to pull a random word from quiz_words
//quiz_content holds the question text and answer choices for the word in quiz_words 
*/
function quiz_getNewQ(forward){
	//**////////**console.log('getting new quiz question item:');

	_questionNumber = randomInt(0,quiz_words[0].length-1);
	//_questionNumber = quiz_words[0].length-1 ;
	qWord = quiz_words[0][_questionNumber];
	qType = quiz_words[1][_questionNumber];
	qText = quiz_content[qWord][0];

	//**////////**console.log('qWord: ' + qWord);
	//**////////**console.log('qType: ' + qType);
	//**////////**console.log('qText: ' + qText);


	//figuring out which world/page to load next
	//**////////**console.log("getting new quiz mechanic:");
	var mechs = [];
	for(var i = 0; i < quizMechs[1].length;i++){
		if(quizMechs[1][i] == qType) mechs.push(quizMechs[0][i]);

		//remove current mech from possible choices this time.
		if(currentMech == mechs[mechs.length-1]){
			mechs.pop();
			//**////////**console.log('*(*(*removed last rounds mech: ' + currentMech);
		} 
	}

	//**////////**console.log('REMAINING ' + qType + " based mechs: " + mechs);

	currentMech = mechs[randomInt(0,mechs.length-1)];
	function_prepWorld = "prep_" + currentMech;

	//**////////**console.log('mech to load: ' + currentMech);

	//for sliding transition: world_main slides center to left, world_right slides right to center
	//set world_main to the currently active world container. world_right to the new one that's to be brought in.
	world_main = world_current;
	world_right = worlds[currentMech];

	//** if called at conclusion of a prev. question, it will pass forward as true, call quiz_goForward
	//quiz_getNewQ also called at load w/o 'true' param... no need to goForward then
	if(forward) quiz_goForward();

}
function quiz_goForward(){
		//quiz_doCover();
 //**get new quiz question word BEFORE next mechanic is loaded

		arrowRight.gotoAndStop(0);
		_active = false;
		//**////////**console.log("**.** _active is " + _active);

		stopSound();

		//before beginning transition & calling world_current's end_world fuction, cache the current world_current so it transitions smoothly
		world_current.cache(0,0,canvas.width,canvas.height);

		narrationMask.x = -300;
		definitionMask.x = -300;
		btnNarration.visible = false;	
		btnNarrationOver.visible = false;	
		end_world();


		makeWorldMain('right');

		allowTransition = false;
		//arrowRight.alpha = arrowLeft.alpha  = 0.5;

		slide_center_to_left();

}


//quiz-specific end function - transitions from current quesiton page to the quiz_end page
//** ULTIMATLEY THIS COULD BE MERGED INTO quiz_getNewQ... and branch to this instead of quiz_goForward ... 
//** what matters is between //*&*&*
function quiz_goToEnd(){
		arrowRight.gotoAndStop(0);
		_active = false;
		//**////////**console.log("**.** _active is " + _active);

		stopSound();

		//before beginning transition & calling world_current's end_world fuction, cache the current world_current so it transitions smoothly
		world_current.cache(0,0,canvas.width,canvas.height);

		narrationMask.x = -300;
		definitionMask.x = -300;
		btnNarration.visible = false;	
		btnNarrationOver.visible = false;	
		end_world();

		//*&*&*
		//figuring out which world/page to load next
	
		//for sliding transition: world_main slides center to left, world_right slides right to center
		//set world_main to the currently active world container. world_right to the new one that's to be brought in.
		world_main = worlds[currentMech];
		world_right = world_current;
		
		function_prepWorld = "prep_" + quiz_end;
		makeWorldMain('quiz_end'); //'quiz_end' passed to initTransitionAndLoad
		//*&*&*

		allowTransition = false;
		//arrowRight.alpha = arrowLeft.alpha  = 0.5;

		slide_center_to_left();
}

//navigates to url stored in var quiz_url (quiz_url is created for each storybook)
//if quiz_url is not defined.... fall back is to go to next page.
function gotoQuiz(e){

	if(quiz_url.length>0){
		//**////////**console.log('go to: ' + quiz_url);
		window.location.href = quiz_url;
	} 
	else{
		alert('no quiz url defined');		
	} 

}


function slide_center_to_left(){
	//////////**console.log("TRANS): slide_center_to_left");
//world_main.x=canWidth*-1;
//stage.removeChild(world_main);
//world_main.removeAllChildren();
	createjs.Tween.get(world_main, {loop:false})
     .to({x: (canWidth*-1) }, transTweenMS, createjs.Ease.linear)
     .call(function(){
		stage.removeChild(world_main);
		world_main.removeAllChildren();

     });
}

function slide_center_to_right(){
	//////////**console.log("TRANS): slide_center_to_right");
//world_main.x=canWidth;
//stage.removeChild(world_main);
		//world_main.removeAllChildren();
	createjs.Tween.get(world_main, {loop:false})
     .to({x: (canWidth) }, transTweenMS, createjs.Ease.linear)
     .call(function(){
		stage.removeChild(world_main);
		world_main.removeAllChildren();

     });
}


function slide_left_to_center(){
	//////////**console.log("TRANS): slide_left_to_center");
//world_left.x=0;
	///world_inplace(world_left);
	createjs.Tween.get(world_left, {loop:false})
     .to({x: 0 }, transTweenMS, createjs.Ease.linear).call(function(){
		world_inplace(world_left);
     });

}

function slide_right_to_center(){
	//////////**console.log("TRANS): slide_right_to_center");
//world_right.x=0;
//world_inplace(world_right);
	createjs.Tween.get(world_right, {loop:false})
     .to({x: 0 }, transTweenMS, createjs.Ease.linear).call(function(){
		world_inplace(world_right);
     });
	
}

function slide_quizend_to_center(){
	world_current.x = canWidth;

	createjs.Tween.get(world_current, {loop:false})
     .to({x: 0 }, transTweenMS, createjs.Ease.linear)
     .call(function(){

		world_current.uncache();
		
		createjs.Ticker.removeListener(transitionTicker);
		createjs.Ticker.addListener(ticker_world);		

		allowTransition = true;
		//arrowRight.alpha = arrowLeft.alpha  = 1;

		_active = true;
		//**////////**console.log("**.** _active is " + _active);

		//change teachertip button if teachertip has been created for current page:
		//if(teachertipcontainer.onPage) btnTip.alpha = 1;
		//else btnTip.alpha = 0.4;
		
		snd_activeCnt = 0;
		disableDefinitions();

		////**////////**console.log("function_onReady is: " + function_onReady)
		if (function_onReady){
			//**////////**console.log("calling callback!");
			function_onReady();
		} 
		
     });
     
	
}


function transitionTicker(){
	stage.update();
}

//final function that adds level's ticker & sets left, center, right levels for transition
function world_inplace(world_current){
	//////////**console.log('WORLD IN PLACE!... world_current is at index: ' + currentPage );
	world_current.x = 0;
	
	//once main world_current has transitioned to center, uncache so its stage updates ontick!
	world_current.uncache();
	
	createjs.Ticker.removeListener(transitionTicker);
	createjs.Ticker.addListener(ticker_world);		

	var indx_left, indx_right;
	
	
	//if STORYBOOK - pagenames exists
	if(pagenames){

		//if there is a world_current AFTER current world_current, it becomes world_right, otherwise, set world_right to 0
		if (pagenames[currentPage+1]) indx_right = currentPage + 1;
		else indx_right = 0;
		
		//if there is a world_current BEFORE current world_current, it becomes world_left, otherwise, set world_current left to last world_current
		if (pagenames[currentPage-1]) indx_left = currentPage - 1;
		else indx_left = pagenames.length - 1; 

		world_main = worlds[ pagenames[currentPage] ];
		world_left = worlds[ pagenames[indx_left] ];
		world_right = worlds[ pagenames[indx_right] ];			

		////**////////**console.log('world_left: ' + pagenames[indx_left]);
		////**////////**console.log('world_right: ' + pagenames[indx_right]);		
	}

	else{
		//**////////**console.log('world in place for QUIZ');
	}


	allowTransition = true;
	//arrowRight.alpha = arrowLeft.alpha  = 1;

	_active = true;
	//**////////**console.log("**.** _active is " + _active);

	//change teachertip button if teachertip has been created for current page:
	//if(teachertipcontainer.onPage) btnTip.alpha = 1;
	//else btnTip.alpha = 0.4;
	
	snd_activeCnt = 0;
	disableDefinitions();

	////**////////**console.log("function_onReady is: " + function_onReady)
	if (function_onReady){
		////////**console.log("calling callback!");
		setTimeout('function_onReady()',500);
	} 
}

/*
called by all worlds at end of prep_world# function. 
receives 'transition' from prep function. 
initiates sliding transition or begins play. 
adds current world_current to stage & adjusts layering so nav arrows are on top of current world_current 
does callback function ONCE world_current IS FULLY TRANSITIONED, if provided
*/
function initTransitionAndLoad(transition, callback){
//**////////**console.log('^&^&^ transition is: ' + transition);
////**////////**console.log('^&^&^ callback is: ' + callback);
	//**console.log('init transition and load')
	//for smooth transition: caching each world_current as it transitions into center
	world_current.cache(0,0,canvas.width,canvas.height);

	if (callback) function_onReady = callback;
	else function_onReady = null;

	////**////////**console.log("transition passed: " + transition);
	switch(transition){
		case 'right':
			world_current.x = canWidth;
			slide_right_to_center();
			createjs.Ticker.addListener(transitionTicker);
		break;
		case 'left':
			world_current.x = canWidth * -1;
			slide_left_to_center();
			createjs.Ticker.addListener(transitionTicker);
		break;
		case 'quiz_end':
			//**////////**console.log("quiz end transition....");
			world_current.x = canWidth * -1;
			slide_quizend_to_center();
			createjs.Ticker.addListener(transitionTicker);
		break;

		//if no transition given- be sure to establish callback now BEFORE world_inplace is called
		default: 			
			world_inplace(world_current); 
		break;
		
	}
	
	stage.addChild(world_current);
	//stage.swapChildren(world_current, navArrows);
	//stage.swapChildren(pagination, navArrows);
	//stage.update();	

	bringUpUI();

}

function bringUpUI(){

	stage.addChild(navOnly);

	stage.addChild(btnNarration);
	stage.addChild(btnNarrationOver);
	//stage.addChild(teachertipcontainer);
	//stage.addChild(teachertipboxcloseX);
	//stage.addChild(teachertipboxcloseXOver);
	//teachertipboxcloseX.visible = false;
	//teachertipboxcloseXOver.visible = false;	

	stage.addChild(edgeLEFT);
	stage.addChild(edgeRIGHT);
	stage.addChild(edgeTOP);
	stage.addChild(edgeBOTTOM);

	stage.addChild(whiteborder);
	stage.addChild(leftborder);
	stage.addChild(rightborder);
	stage.addChild(pbskidslogo);
	
	
	stage.addChild(btnSnd);
	stage.addChild(btnSndOver);
	stage.addChild(btnNoSnd);
	stage.addChild(btnNoSndOver);
	//btnNoSnd.visible = false;
	stage.addChild(btnHome);
	stage.addChild(btnHomeOver);
	
	
	stage.addChild(arrowbgLeft);
	stage.addChild(arrowbgLeft);
	stage.addChild(arrowLeft);
	stage.addChild(arrowGameBG);
	stage.addChild(arrowGame);
	stage.addChild(arrowGameOver);

	stage.update();

}

//***mouseOver and mouseOut listeners for UI wrapper btns
function setupOvers(){
	
	pbskidslogo.onMouseOver = function(e){
		////////**console.log('pbskidslogo OVER');
		document.body.style.cursor='pointer';
	}

	arrowLeft.onMouseOver = function(e){
		////////**console.log('arrowLeft OVER');
		arrowLeft.gotoAndStop(1);
		document.body.style.cursor='pointer';
	}


	btnSnd.onMouseOver = function(e){
		////////**console.log('btnSnd OVER');
		btnSndOver.visible = true;
		document.body.style.cursor='pointer';
	}

	btnNoSnd.onMouseOver = function(e){
		////////**console.log('btnNoSnd OVER');
		btnNoSndOver.visible = true;
		document.body.style.cursor='pointer';
	}

	btnNarration.onMouseOver = function(e){
		//////**console.log('btnNarration OVER');
		btnNarrationOver.visible = true;
		document.body.style.cursor='pointer';
	}

	btnHome.onMouseOver = function(e){
		////////**console.log('btnHome OVER');
		btnHomeOver.visible = true;
		document.body.style.cursor='pointer';
	}

	arrowGame.onMouseOver = function(e){
		arrowGameOver.visible = true;
		document.body.style.cursor='pointer';		
	}
	
	/*
	arrowBone.onMouseOver = function(e){
		////////**console.log('pbskidslogo OVER');
		arrowBoneOver.visible = true;
		document.body.style.cursor='pointer';
	}	
	*/
	whiteborder.onMouseOut = hideAllOvers;
	pbskidslogo.onMouseOut = hideAllOvers;
	
	btnSndOver.onMouseOut = hideAllOvers;
	btnNoSndOver.onMouseOut = hideAllOvers;
	btnNarrationOver.onMouseOut = hideAllOvers;
	btnHomeOver.onMouseOut = hideAllOvers;
	arrowLeft.onMouseOut = hideAllOvers;
	arrowGame.onMouseOut = hideAllOvers;
	//arrowRight.onMouseOut = hideAllOvers;
	//arrowBone.onMouseOut = hideAllOvers;


	//on edge mouseovers, hide ALL btn over states
	edgeTOP.onMouseOver = hideAllOvers;
	edgeLEFT.onMouseOver = hideAllOvers;
	edgeRIGHT.onMouseOver = hideAllOvers;
	edgeBOTTOM.onMouseOver = hideAllOvers;	
}

function hideAllOvers(e){
		////////**console.log('hide all over states');
		document.body.style.cursor='default';

		btnSndOver.visible = false;
		btnNoSndOver.visible = false;
		btnHomeOver.visible = false;
		btnNarrationOver.visible = false;

		wordboneBtn.gotoAndStop("off");

		arrowLeft.gotoAndStop(0);
		arrowGameOver.visible = false;
		//arrowBoneOver.visible = false;
		//arrowGameOver.visible = false;
		//teachertipboxcloseXOver.visible = false;
}
//***************
//GENERAL GAME FUNCTIONS:

//WORD-BY-WORD NARRATION:
	//optional param: customW is number for text_page linewidth. if nothing provided, default is 880
	//2nd optional param: customTxtSize is number for text font size. if nothing provided, default is 30px
	//3rd optional param;: custom lineHeight. if not provided, default is 35
function setNarrationText(xpos, ypos, tag,textAlignment,customW, customTxtSize, customH){
	//********
	//WORD-BY-WORD NARRATION:

	//default for narration text is 30px, unless customTxtSize param provided
	////////**console.log("NEW TEXT? "+text_page_arr[tag]);
	if(!text_page_arr[tag])
	{
		////////**console.log("****		CREATE NARRATION TEXT");
		var textsize = 30; //default is 30
		var textheight=35;
		if(customTxtSize)
		{
		 	textsize = customTxtSize;
		 	textheight = textsize+4;
		}
		if(customH) textheight = customH;
		
		//1: original page text
		text_page = new createjs.Text("", textsize + "px Nunito", "black");
		text_page.x = xpos; text_page.y = ypos;
		text_page.textAlign = textAlignment;
		text_page.textBaseline = "middle";
		text_page.name="TEXT_PAGE1";

		text_page_arr[tag]=text_page;
		
		if(customW) text_page.lineWidth = customW;
		else text_page.lineWidth = 880; //new default: 880px

		text_page.lineHeight = textheight;
		//else text_page.lineHeight = 35;

		world_current.addChild(text_page);

		narrationMask = new createjs.Shape();
		//no need to draw a shape for mask now, it's done as word-events are being fired via playSound function
		narrationMask.visible = false;
		world_current.addChild(narrationMask);
		narrationMask.name="NARRATION_MASK"
		narrationMaskArr.push(narrationMask);

		//2: read along text:
		text_page2 = new createjs.Text("", text_page.font, "#0090ad");
		text_page2.textBaseline = "middle";
		text_page2.textAlign = textAlignment;
		text_page2.x = text_page.x; text_page2.y = text_page.y;
		text_page2.lineWidth = text_page.lineWidth;
		text_page2.lineHeight = text_page.lineHeight;
		text_page2.mask = narrationMask;

		text_page2_arr[tag]=text_page2;
		text_page2.name="TEXT_PAGE2";

	 	//3:
	 	//CRUCIAL- used to render current word *and prev word* in exact font style as text_page. useful for getting needing width measurements for mask
		dummyText = new createjs.Text("", text_page.font, "black");
		//	
		definitionMask.graphics.clear();
		definitionMask = new createjs.Shape();
		definitionMask.name="DEF_MASK";
		definitionMaskArr.push(definitionMask);
	}else{
		////////**console.log("****		HAS NARRATION TEXT");
		text_page = text_page_arr[tag];
		text_page2 = text_page2_arr[tag];
		text_page.visible=true;
		text_page2.visible=true;
		//////////**console.log(text_page.visible)
		text_page2.textBaseline = "middle";
		text_page2.textAlign = textAlignment;
		text_page2.x = text_page.x; text_page2.y = text_page.y;
		text_page2.lineWidth = text_page.lineWidth;
		text_page2.mask = narrationMask;
		narrationMask.x = text_page.x;
		dummyText.text="TESTING...";
		////////**console.log("*** LINE WIDTH: "+text_page.lineWidth)
		//dummyText = new createjs.Text("", text_page.font, "black");
	}
	
}

function setDefinitionText(){
	
	////////**console.log("SETTING DEFINITION!")
	defHighlightText = new createjs.Text('', text_page.font, "#e24227");
	defHighlightText.text = text_page.text;
	defHighlightText.x = text_page.x; 
	defHighlightText.y = text_page.y;
	defHighlightText.textAlign = "left";
	defHighlightText.lineWidth = text_page.lineWidth;
	defHighlightText.lineHeight = text_page.lineHeight;
	defHighlightText.textBaseline = "middle";
	defHighlightText.visible=false;

	defHighlightText.name = 'DEF_HIGHLIGHT_TEXT';
	defHighlightArr.push(defHighlightText);


	////////**console.log(">>>>>		MAKE NEXT defintion text...")

	//world_current.addChild(text_page2);
	world_current.addChild(defHighlightText);
	defHighlightText.mask = definitionMask;

}
//moves the narrationMask to beggining of text_page
function narration_begins(phrase){
	//////////**console.log("NARRATION RECEIVED: -- " + phrase);
	narrActive = true;
	
	//first word:
	narrationMask.graphics.clear();

	//////////**console.log("narration mask cleared: "+narrationMask);
	//////////**console.log(text_page.x)
	narrationMask.x = text_page.x;
	narrationMask.y = text_page.y - text_page.lineHeight/2;
}

//resizes and moves narrationMask whenever a new word's audio is being played
function narration_newWord(phraseID, wordID){

	////////**console.log("current text? "+text_page.text);

	var currentPhrase = phrases[phraseID][0];
	var currentWord = currentPhrase[wordID];


	dummyText.text = currentWord; //crucial - takes the word and renders it in text_page's font and sizing
	
	if(wordID==0) 
	{
		narrationMask.x=text_page.x;
		narrationHeight = dummyText.getMeasuredHeight();
	}
	//////////**console.log("NARRATION MASK: "+narrationMask.x+", "+narrationMask.y)
	
	//////////**console.log('current word: ' + currentWord + '  : length -- ' + currentWord.length);
	//////////**console.log('measured width of ' + currentWord +": " + dummyText.getMeasuredWidth() );

	////////**console.log("NEW WORD. phraseID: " + phraseID + ", " + "wordID: " + wordID);
	//////////**console.log(dummyText.text);
	//////////**console.log("HEIGHT: "+narrationHeight);
	//////////**console.log("NEW WORD length: " + phrases[phraseID][0][wordID].length);
	

	//make word-by-word text topmost (over definition words)
	world_current.addChild(text_page2);	

	narrationMask.graphics.clear();
	narrationMask.graphics.beginFill("white").drawRect(0,0, dummyText.getMeasuredWidth(), narrationHeight + 1);

	//first check for linebreak, if yes.. move narrationMask to left start and down one text line
	for(var i=0; i < linebreaks.length; i++)
	{
		if (wordID == linebreaks[i])
		{
			////////**console.log("DO LINE BREAK AT: " + currentWord)

			narrationMask.x = text_page.x;
			narrationMask.y  += text_page.lineHeight;

			return;
		}

	}
	//if no linebreak, move narrationMask if currentWord is second or later word.
	if(wordID > 0)
	{
		var prevWord = currentPhrase[wordID-1];
		dummyText.text = prevWord;
	//	////////**console.log(prevWord+": "+dummyText.getMeasuredWidth());
		narrationMask.x += dummyText.getMeasuredWidth();
	}

	if(dummyText.text.indexOf(',')!=-1 || dummyText.text.indexOf('(')!=-1){
		////////**console.log("FOUND _");
		narrationMask.x-=15;
	} 

	//////**console.log(currentWord+": "+narrationMask.x+", "+narrationMask.y);

}

function narration_done(){
	narrActive = false;
	// //////**console.log("narration_done .. enable def")
	 //////////**console.log("TIME:: "+currentSndTime+" / "+totalSndTime);
	 var snd_complete=true;
	 if(currentSndTime<totalSndTime) snd_complete=false;
	// ////////**console.log("SND DONE>>> "+snd_complete+" // snd_active"+snd_active);
	if(snd_active && snd_complete) enableDefinitions();
	////////**console.log(snd_activeCnt);
	//if snd_active is FALSE (sound toggle btn is OFF, only do narrDone if it's the FIRST time narration_done is called)
	if(!snd_active){
		narrationMask.x = -300;
		
		if (snd_activeCnt==0){
				//**////////**console.log("#&#&#& snd_active false, First time on page");
				snd_activeCnt++;
				////**console.log("NARRATION_DONE.. ENABLE DEF")
				enableDefinitions();
				narrDone();

				return;
		}
		else{
			//**////////**console.log("#&#&#& snd_active false, repeat time on page");
			//narrDone();

			return;
		}
			
	}  

	//if snd_active is TRUE (sound toggle btn is ON, always do narrDone when narration has finished)		
	//**////////**console.log('narration done... calling narrDone for FIRST TIME ONLY');
	//narrationMask.graphics.clear();
	snd_activeCnt++;
	narrationMask.x = -300;
	////**console.log("MAIN JS.. narrDone")
	narrDone();
	
}


//hide narration text by id
function hideNarrationText(sndID)
{
	////////**console.log("HIDE NARRATION TEXT!");
	//disableDefinitions();
	btnNarration.visible=false;
	btnNarrationOver.visible = false;	
	disableDefinitions();
	//world_current.removeChild(defHighlightText);
	//defHighlightText.text="";
	defHighlightText.visible=false;
	world_current.removeChild(defHighlightText);
	//////**console.log(sndID);
	if(sndID)
	{
		text_page_arr[sndID].visible=false;
		text_page2_arr[sndID].visible=false;
	}else{
		text_page.visible=false;
		text_page2.visible=false;
	}	
}

//clear narration (array of all readable text fields for current page) from text_page_arr array
function clearNarrationText(arr)
{
	for(var i=0; i<arr.length; i++)
	{
		text_page_arr[arr[i]]=null;
		text_page2_arr[arr[i]]=null;
	}
}

function clearAllText(){
	stopSound();
	for (var id in text_page_arr)
	{
		//world_current.removeChild(text_page_arr[id]);
		text_page_arr[id]=null;
		////////**console.log("TEXT_PG1: "+id+" / "+text_page_arr[id])
	}
	for (var id in text_page2_arr)
	{
		//world_current.removeChild(text_page2_arr[id]);
		text_page2_arr[id]=null;
		////////**console.log("TEXT_PG2: "+id+" / "+text_page_arr[id])
	}

	while(narrationMaskArr.length>0)
	{
		world_current.removeChild(narrationMaskArr[0]);
		narrationMaskArr.splice(0,1);
	}
	while(definitionMaskArr.length>0)
	{
		world_current.removeChild(definitionMaskArr[0]);
		definitionMaskArr.splice(0,1);
	}
	while(definitionBoxesArr.length>0)
	{
		world_current.removeChild(definitionBoxesArr[0]);
		definitionBoxesArr.splice(0,1);
	}
	while(defHighlightArr.length>0)
	{
		world_current.removeChild(defHighlightArr[0]);
		defHighlightArr.splice(0,1);
	}
	defHighlightText.text="";
	////////**console.log(defHighlightText);
	/*while(defBoxArr.length>0)
	{
		world_current.removeChild(defBoxArr[0]);
		defBoxArr.splice(0,1);
	}
	while(defTextArr.length>0)
	{
		world_current.removeChild(defTextArr[0]);
		defTextArr.splice(0,1);
	}*/


	////////**console.log("\n\n========= CLEAR ALL TEXT!");
	for(var i=0; i<world_current.getNumChildren(); i++)
	{
		if(world_current.children[i].name!=null)
		{
			world_current.removeChildAt(i);
			i--;
		}
		////////**console.log("CHILD "+i+": "+world_current.children[i].name);
	}
	////////**console.log(defHighlightText);
	////////**console.log("======================\n\n");
}


//this is actually the "render page text" function 
//params: sndID is phrase name in phrases[], defWords is array of in-text words to be highlighed (having definitions)
function renderNarration(sndID,defWords,btnx,btny){
	/*for(var i=0; i<world_current.children.length; i++)
	{
		//////**console.log("CHILD "+i+": "+world_current.children[i].name);
	}*/

	btnNarration.visible=false;
	btnNarrationOver.visible = false;

	//**////////**console.log("sndID is: " + sndID);
	
	//1) render text first:
	//need to do a check here to gather which words will be the line breaks (using incrementing string rendered in proper style in dummyText)
	var wholeString = "";
	var lineString = "";

	for (var h=0; h < phrases[sndID][0].length; h++)
	{
		wholeString += phrases[sndID][0][h];
		////**////////**console.log('word is: ' + phrases[sndID][0][h]);
	}

	////////**console.log("HELLO RENDER! "+text_page_arr[sndID])
	text_page = text_page_arr[sndID];
	text_page2 = text_page2_arr[sndID];

	text_page.visible=true;
	text_page2.visible=true;
	
	text_page.text = wholeString;
	text_page2.text = wholeString;

	//////**console.log("****&&& 		text... "+text_page2.text)

	//defHighlightText.text="";
	world_current.removeChild(defHighlightText);
	definitionMask.graphics.clear();
	disableDefinitions();


	////////**console.log("REMOVED HIGHLIGHT TEXT... "+defHighlightText.text)


	//////////**console.log(">>>>	RENDER TEXT::: "+text_page.x+" - "+text_page.getMeasuredWidth());
	var xpos=0;
	var ypos=0;
	if(btnx)xpos=btnx;
	if(btny)ypos=btny;
	btnNarration.x = text_page.x+text_page.lineWidth+xpos;
	btnNarration.y = text_page.y+text_page.getMeasuredHeight()-30+ypos;
	btnNarrationOver.x = btnNarration.x;
	btnNarrationOver.y = btnNarration.y;
	
	//after the complete text is rendered on page in proper style
	//check for line breaks , add word index to array linebreaks
	//CLEAR linebreaks each time a new phrase is rendered
	linebreaks = [];
	definitions = []; //hold all definition Containers
	//////////**console.log("DEF BOXES B4: "+definitionBoxes.length);
	while(definitionBoxes.length>0)
	{
		world_current.removeChild(definitionBoxes[0]);
		definitionBoxes.splice(0,1);
		//////////**console.log("remove child.")
	}
	while(defTextArr.length>0)
	{
		world_current.removeChild(defTextArr[0]);
		defTextArr.splice(0,1);
	}
	while(defBoxArr.length>0)
	{
		world_current.removeChild(defBoxArr[0]);
		defBoxArr.splice(0,1);
	}
	////////**console.log("DEF BOXES AFTER: ");
	////////**console.log(definitionBoxes.length);

	/*dummyText = text_page.clone();
	dummyText.text="";*/

	for (var i=0; i < phrases[sndID][0].length; i++)
	{
		lineString += phrases[sndID][0][i];

		//////////**console.log(phrases[sndID][0][i])
		//////////**console.log("has linebreaks: "+phrases[sndID][0][i].split("\n").length)
		var hasHardBreak = phrases[sndID][0][i].split("\n").length;

		dummyText.text = lineString;
		////////**console.log('checking: ' + dummyText.text);
		//////////**console.log('text width: ' + dummyText.getMeasuredWidth() + " vs " + (text_page.lineWidth +10) + " is " + (dummyText.getMeasuredWidth() > (text_page.lineWidth + 10) ));
		//////////**console.log("break: "+hasHardBreak)
		
		if (dummyText.getMeasuredWidth() >= (text_page.lineWidth + 10) || hasHardBreak>1) //+10 is some extra pixels threshold to allow before considering linebreak
		{
			////////**console.log('** 	line break at word ' + i + ": " + phrases[sndID][0][i] ); //Need to store this for use in narration_newWord (so it knows when to move narrationMask to down a line & back to left start)
			linebreaks.push(i);
			lineString = phrases[sndID][0][i];
			//////////**console.log("linebreaks.. "+linebreaks)
		}
		////////**console.log("RENDER DEF WORDS.. "+defWords)

		//def test:
		if(defWords){
			////////**console.log("has defined words.. "+defWords);
			for (var h=0;h<defWords.length;h++){
				var theDef =  defWords[h] + ' ';
				////////**console.log("check: "+theDef +" == "+phrases[sndID][0][i])
				if(theDef == phrases[sndID][0][i]){
					var firstlinephrase;
					if(linebreaks.length == 0 ) firstlinephrase = phrases[sndID][0][0];
					else firstlinephrase = phrases[sndID][0][linebreaks.length-1];

					//////////**console.log('defWords: ' + defWords[h] + '     ... found after ' + linebreaks.length + ' linebreaks');
					//**////////**console.log('the line .... : ' + lineString);
					defWords.remove(h);
					//h--;
					//////////**console.log("REMOVED DEF.. ");
					//////////**console.log(defWords);
					//if(!defTextArr[sndID])
					//{
						//////////**console.log("GET DEF POS!!!")
						getDefPosition(sndID, theDef, lineString, linebreaks.length);
					//}
					break;
				}
			}			
		}
	}
	//////////**console.log("HAS DEFINITION BOXES: "+definitionBoxesArr[sndID])
	if(!definitionBoxesArr[sndID])
	{
		definitionBoxesArr[sndID] = definitionBoxes;
	}
	//////////**console.log("GETTING DEFINITION BOXES.. "+definitionBoxes+" / "+definitionBoxesArr[sndID])
}

function getDefPosition(sndID, defWord, linephrase, numBreaks){
	////////**console.log("GET DEF POSITION/// "+sndID+" - "+defWord)
	var scratchText = new createjs.Text("", text_page.font, "black");
	linephrase = linephrase.replace(defWord, '');	
	//var defPos = phrases[sndID][0].indexOf(defWord);
	
	var defText = new createjs.Text("", text_page.font, "black");
	//removing last char (space) from defWord
	defWord = defWord.substr(0, defWord.length-1);
	defText.text = defWord;
	defTextArr[sndID]=defWord;
	defText.name = "I AM TEXT";
	
	////**////////**console.log('**.** get the width of this phrase:   ' + linephrase);

	scratchText.text = linephrase;
	////**////////**console.log('linephrase measuredWidth: ' + scratchText.getMeasuredWidth() );
	////**////////**console.log('num linebreaks: ' + numBreaks);

	var maskX = scratchText.getMeasuredWidth() + text_page.x;
	var maskY = text_page.y + text_page.lineHeight*numBreaks  - text_page.lineHeight/2;
	var maskWidth = defText.getMeasuredWidth() ;
	var maskHeight = defText.getMeasuredHeight() ;

	if(defWord=="improvise")
	{
		maskX=574;
	}

	//////**console.log('x: ' + maskX);
	//////**console.log('y: ' + maskY);
	//////**console.log('width: ' + maskWidth);
	//////**console.log('height: ' + maskHeight);

	
	
	definitionMask.graphics.beginFill("blue").drawRect(maskX, maskY, maskWidth, maskHeight);


	//the shape that can be tapped and shown to highlight a def word
	//RoundRect params: drawRoundRect ( x  y  w  h  radius )
	var wordBox = new createjs.Shape();
	//wordBox.graphics.beginFill("#f3b3a9").drawRect(maskX, maskY, maskWidth, maskHeight);
	wordBox.graphics.beginFill("#f3b3a9").drawRoundRect(maskX - 3, maskY -3, maskWidth + 6, maskHeight + 3, 5);
	wordBox.alpha = 0.01; 
	world_current.addChild(wordBox);
	defBoxArr[sndID]=wordBox;
	wordBox.name="TEXT_HIGHLIGHT_BOX";


	wordBox.onMouseOver = function(e){
		////////**console.log('def moused');
		document.body.style.cursor='pointer';
	}
	wordBox.onMouseOut = function(e){
		document.body.style.cursor='default';
	}

	////**////////**console.log('*&*&* def to put in box: ' + defWord + ' -- '  + definitionText[defWord]);
	
	//params: triggerObj, text content
	makeDefinition(wordBox, defWord);

}
//

//DEFINITIONS:

function makeDefinition(triggerObj, defWord){

	var defContainer = new createjs.Container();
	defContainer.visible = false;
	world_current.addChild(defContainer);
	defContainer.name = "DEF_CONTAINER";

	//var defShape = new createjs.Shape();
	//defShape.graphics.setStrokeStyle(2.5).beginStroke("black").beginFill("white").drawRect(defText.x - 10, defText.y - 5, defText.lineWidth + 20, defText.getMeasuredHeight() + 10);
	var defShape = new createjs.Bitmap(images['defRect']);
	defShape.regX = defShape.image.width/2;
	defShape.regY = defShape.image.height/2;
	defShape.x = canvas.width/2;
	defShape.y = canvas.height/2 + 90;
	defShape.name="DEF_SHAPE";
	//add empty onPress function to defShape, so it won't trigger close function of defCloseShape.onPress
	defShape.onPress = function(e){};


	var defcloseX = new createjs.Bitmap(images['closeX']);		
	defcloseX.regX = defcloseX.image.width/2;
	defcloseX.regY = defcloseX.image.height/2;
	defcloseX.x = defShape.x + defShape.regX - 8;
	defcloseX.y = defShape.y - defShape.regY + 10;
	defcloseX.name="DEF_CLOSE_BTN";

	var defcloseXOver = new createjs.Bitmap(images['closeXOver']);
	defcloseXOver.regX = defcloseXOver.image.width/2;
	defcloseXOver.regY = defcloseXOver.image.height/2;
	defcloseXOver.x = defcloseX.x;
	defcloseXOver.y = defcloseX.y;
	defcloseXOver.visible = false;

	defcloseX.onMouseOver = function(e){
		defcloseXOver.visible = true;
		document.body.style.cursor='pointer';
	}
	defcloseXOver.onMouseOut = function(e){
		defcloseXOver.visible = false;
		document.body.style.cursor='default';
	}

	var defText = new createjs.Text(definitionText[defWord], "28px Nunito", "black");
	//defText.textAlign = 'center';
	defText.lineWidth = 550;
	defText.lineHeight = 30;
	defText.x = defShape.x - defShape.regX + 15;
	defText.y = defShape.y - defShape.regY + 15;
	defText.name="DEF_TEXT";

	if(defText.getMeasuredHeight() > 110)
	{
		defText.font="26px Nunito";
		defText.lineHeight = 28;
	}

	//////**console.log("MAKE DEF TEXT FOR.. "+defWord+" // height: "+defText.getMeasuredHeight());

	defContainer.addChild(defShape);
	defContainer.addChild(defcloseX);
	defContainer.addChild(defcloseXOver);
	defContainer.addChild(defText);
	
	definitionBoxes.push(defContainer);
	
	triggerObj.def = defContainer;
	triggerObj.defWord = defWord; //used to know what the original definition word is when the triggerObj is tapped
	defContainer.trigger = triggerObj;

	triggerObj.onPress = showDefinition;
	//defContainer.onPress = hideDefinition;
	defcloseX.onPress = hideDefinition;
	defcloseXOver.onPress = hideDefinition;

}

function showDefinition(e){
	////**////////**console.log("show definition: _active is: " + _active);
	if(!allowDefinitions) return;
	if(!_active) return;

	//add close shape here:
	world_current.removeChild(defCloseShape);
	defCloseShape = new createjs.Shape();
	defCloseShape.graphics.beginFill("white").drawRect(0, 0, canvas.width, 470);
	defCloseShape.alpha = 0.01;

	defCloseShape.onPress = hideDefinition;	
	world_current.addChild(defCloseShape);

	// bump the target's defContainer in front of its siblings:
	world_current.addChild(e.target.def);
	var defWord = e.target.defWord;
	////**////////**console.log('showDefinition: word to define: ' + defWord);

	for (var i=0; i<definitionBoxes.length;i++){
		if(definitionBoxes[i] == e.target.def){
			e.target.def.visible = !e.target.def.visible;	
			
			if(e.target.def.visible)
			{
				e.target.alpha = 1;
				stopSound();
				playSound('def_' + defWord);
			} 
			else{
				e.target.alpha = 0.6;
				stopSound();
			} 
		} 

		else{
			definitionBoxes[i].visible = false;
			var triggerObj = definitionBoxes[i].trigger;
			triggerObj.alpha = 0.6;
		} 
	}

}

function hideDefinition(e){
	stopSound();

	world_current.removeChild(defCloseShape);
	defCloseShape = null;

	for (var i=0; i<definitionBoxes.length;i++){
		definitionBoxes[i].visible = false;
		var triggerObj = definitionBoxes[i].trigger;
		triggerObj.alpha = 0.6;
	}

	if(snd_active)btnNarration.visible=true;
}

function enableDefinitions(){
	allowDefinitions = true;
	defHighlightText.visible = true;
	if(snd_active) btnNarration.visible = true;
	////////**console.log("HIGHLIGHT TEXT...?");
	////////**console.log("highlightText: "+defHighlightText.text);
	////////**console.log("SET REPLAY BTN TO TRUE");
	////////**console.log("CURRENT BOX? "+definitionBoxesArr[currentSndID]);
	if(definitionBoxesArr[currentSndID])
	{
		if(definitionBoxesArr[currentSndID]!="")
		{
			world_current.addChild(defHighlightText);
		}
		
	}
	////////**console.log("dEF BOX LEN: "+definitionBoxes.length);
	////////**console.log("dEF TEXT: "+defHighlightText);
	for (var i=0; i<definitionBoxes.length;i++){
		//definitionBoxes[i].visible = true;
		////////**console.log("##$*(#&)#$ 		ENABLE DEF: "+definitionBoxes[i]);
		var triggerObj = definitionBoxes[i].trigger;
		triggerObj.alpha = 0.6;
	}

	//**////////**console.log('enableDefinitions -- allowDefinitions: ' + allowDefinitions);
}
function disableDefinitions(){
	////////**console.log("HIDE DEF")
	allowDefinitions = false;
	defHighlightText.visible = false;
	btnNarration.visible = false;

	for (var i=0; i<definitionBoxes.length;i++){
		definitionBoxes[i].visible = false;
		var triggerObj = definitionBoxes[i].trigger;
		triggerObj.alpha = 0.01;
	}

	
	//**////////**console.log('disableDefinitions -- allowDefinitions: ' + allowDefinitions);
}
//




//GENERAL FUNCTIONS:
//adds standard 'sticker'-style dropshadow to passed DisplayObject
//params: Shadow ( color  offsetX  offsetY  blur )
function addShadow(obj){
	obj.shadow = new createjs.Shadow("#4F4F4F", 3, 3, 0);
}
function removeShadow(obj){
	obj.shadow = null;
}

//do fade-in of given object over ms seconds, call callback function after if provided.
function fade_in(target, ms, callback)
{
	if(callback)
	{
		createjs.Tween.get(target, {loop:false})
	     .to({alpha:1}, ms, createjs.Ease.linear)
	     .call(callback);
	}

     else
     {
		createjs.Tween.get(target, {loop:false})
	     .to({alpha:1}, ms, createjs.Ease.linear);
     }
}

//pulses passed DisplayObject
function doPulse(obj){
	var currentScaleX = obj.scaleX;
	var currentScaleY = obj.scaleY;

	createjs.Tween.get(obj, {loop:false})
     .to({scaleX: currentScaleX*1.05, scaleY: currentScaleY*1.05 }, 250, createjs.Ease.linear)
     .call(function(){
     	createjs.Tween.get(obj, {loop:false})
			.to({scaleX: currentScaleX, scaleY: currentScaleY }, 250, createjs.Ease.linear);
     });
}



//****************
//HELPER FUNCTIONS:

// Array Remove - By John Resig (MIT Licensed)
Array.prototype.remove = function(from, to) {
  var rest = this.slice((to || from) + 1 || this.length);
  this.length = from < 0 ? this.length + from : from;
  return this.push.apply(this, rest);
};

//Array indexOf: Returns the index of the found element.
Array.prototype.indexOf = function(elt /*, from*/)
{
var len = this.length;

var from = Number(arguments[1]) || 0;
from = (from < 0)
     ? Math.ceil(from)
     : Math.floor(from);
if (from < 0)
  from += len;

for (; from < len; from++)
{
  if (from in this &&
      this[from] === elt)
    return from;
}
return -1;
};

// get random Int
function randomInt (min, max) {
    return Math.floor(Math.random() * (max - min + 1)) + min;
}

// get random num
function randomNum (min, max) {
    return Math.random() * (max - min) + min;
}


function lineDistance( point1, point2 )
{
	var xs = 0;
	var ys = 0;
	 
	xs = point2.x - point1.x;
	xs = xs * xs;
	 
	ys = point2.y - point1.y;
	ys = ys * ys;
	 
	return Math.sqrt( xs + ys );
}


//HELPER FUNCTION:
//+ Jonas Raoni Soares Silva
//@ https://jsfromhell.com/array/shuffle [v1.0]
function shuffle(o){ //v1.0
    for(var j, x, i = o.length; i; j = parseInt(Math.random() * i), x = o[--i], o[i] = o[j], o[j] = x);
    return o;
}