//"Waste Not Want Not" Quiz vars

//page name of quiz_end page should be set to var quiz_end
//create one additional container in worlds[] with .name contained in quiz_end
var quiz_end = 'wastenot_quiz_end';
worlds[ quiz_end ] = new createjs.Container();

//define questions and answers here 
//Questions are always text. Answers can be txt or images....
/*
//quiz_words: array that holds each word being quizzed. array elements (strings) used as keys to access questions and answers in quiz_content

//TEXT-ONLY
//quiz_content 2D array, for each inner array, indices as follows:
	0 - question text
	1 - CORRECT answer choice
	2 - WRONG answer choice
	3 - WRONG answer choice
	4 - difficulty: 'easy', 'medium' 'hard', 'rc'(for reading comp question)
*/


//testing quiz_words as 2D array: [0] holds  words being tested, [1] holds type: txt or img
var quiz_words = ['q1', 'q2', 'q3', 'q4', 'q5', 'q6', 'q7', 'q8', 'q9']; 
var quiz_content = [];

//txt questions
quiz_content['q1'] = ["Which of these things is used for trash that is not recycled or reused?", 'a trash bin', 'a recycling bin', 'a compost pile', 'easy'];
quiz_content['q2'] = ["Which of these is a type of material that is used for making new things?",'lumber', 'picnic table', 'a pencil', 'medium'];
quiz_content['q3'] = ["Oil and coal make what kind of material?", 'plastic', 'a paper bag', 'tin', 'medium'];
quiz_content['q4'] = ["Which of these is a container?", 'a recycling bin', 'compost pile', 'lumber' ,'hard'];
quiz_content['q5'] = ["When you are taking the plastic stuff in your recycling bin away from the glass stuff, you are...", 'separating', 'exercising', 'thinking' ,'hard']
quiz_content['q6'] = ["After your garbage goes to the recycling facility, what needs to happen before it can be made into new material?",'sorting', 'composting', 'garbage', 'hard'];
quiz_content['q7'] = ["What's another word for getting rid of something?", 'dispose', 'exercise', 'compost' ,'hard']
quiz_content['q8'] = ["What's another word for garbage?",'waste', 'plastic', 'fertilizer', 'hard'];
quiz_content['q9'] = ["What can you make with a mix of rotting plants, vegetables & fruit?", 'compost', 'lumber', 'plastic' ,'hard']

//FOR FIRST question:
//pull a random quiz question... 
//_questionNumber will be random # to pull a random word from quiz_words
//quiz_content holds the question text and answer choices for the word in quiz_words 
quiz_doCover();

//

//for quiz only: set narrDone to nothing:
function narrDone(){}

//SOUNDS: path+filename of this storybook's multisound file (without extension)
var sndurl = 'sound/waste_quiz';

/*
//functions below are called at certain points in the main storybook js (rtlstorybook.js)
1: makeSounds() -- call makeSound() and define defintions in definitionText[]
2: make_storymanifest() -- defines the differnet image files that preload.js will load 
3: story_spritesheets() -- called by main js (rtlstorybook.js)'s make_spritesheet's function to create storybook specific ss
*/

function makeSounds(){
	// all timecodes are in seconds format... converted to milliseconds at runtime (onPlay event)
	
	//quiz sfx:
	makeSound('sfx_biscuits', 138.225977, 139.199587);
	makeSound('sfx_splat', 139.478290, 140.589129);
	makeSound('sfx_pie', 140.672136, 141.482037);
	makeSound('sfx_lazer', 141.651380, 143.694541);
	makeSound('sfx_wrong', 144.257791, 145.597810);


	//question-specific audio:
	makeSound('q_q1', 0.806895, 4.642572);
	makeSound('q_q2', 5.940621, 9.787991);
	makeSound('q_q3', 11.390088, 14.079739);
	makeSound('q_q4', 15.728612, 17.658144);
	makeSound('q_q5', 19.318712, 24.113307);
	makeSound('q_q6', 25.855733, 32.123790);
	makeSound('q_q7', 33.936381, 36.485702);
	makeSound('q_q8', 38.064411, 40.040719);
	makeSound('q_q9', 41.397239, 44.999033);

	makeSound('a trash bin', 46.390635, 47.396331);
	makeSound('lumber', 48.624215, 49.442804);
	makeSound('plastic', 50.530359, 51.465890);
	makeSound('a recycling bin', 52.202620, 53.512363);
	makeSound('separating', 54.553141, 55.348343);
	makeSound('sorting', 56.447591, 57.172628);
	makeSound('recycle', 58.236794, 59.067078);
	makeSound('a recycling bin', 60.599009, 61.850282);
	makeSound('picnic table', 63.218496, 64.142332);
	makeSound('a paper bag', 65.253275, 66.399301);
	makeSound('compost pile', 67.381608, 68.621186);
	makeSound('exercising', 70.012788, 71.158814);
	makeSound('exercise', 72.456863, 73.380699);
	makeSound('a compost pile', 74.725525, 76.035268);
	makeSound('a pencil', 77.017576, 77.801083);
	makeSound('tin', 79.052355, 79.672144);
	makeSound('thinking', 80.794781, 81.554900);
	makeSound('compost', 82.677537, 83.699934);
	makeSound('waste', 85.238553, 85.834954);
	makeSound('plastic', 86.665237, 87.298555);
	makeSound('dispose', 87.782027, 88.559687);
	makeSound('f_q1', 89.389971, 95.478913);
	makeSound('f_q2', 96.055628, 98.509381);
	makeSound('f_q3', 99.236433, 101.855919);
	makeSound('f_q4', 102.089802, 104.662512);
	makeSound('f_q5', 104.826229, 108.575779);
	makeSound('f_q6', 108.825624, 113.573443);
	makeSound('f_q7', 113.982737, 116.847801);
	makeSound('f_q8', 117.257095, 120.601618);
	makeSound('f_q9', 121.291572, 125.744679);
	makeSound('fertilizer', 134.166815, 134.973997);
	makeSound('garbage', 135.277758, 135.967712);
	makeSound('composting', 136.189900, 137.220744);


	//required for quiz question outocomes:
	makeSound('empty', 5.1,5.2);
	makeSound('quizmo', 125.805508, 127.035147);
	makeSound('correct_1', 127.406899, 128.593644);
	makeSound('correct_2', 128.750923, 130.050479);
	makeSound('incorrect_1', 130.322352, 131.553357);
	makeSound('incorrect_2', 132.282561, 133.591496);
}
